********************************************************
*      Programa. CHGDEMPL.PRG                          *
*      Cambio o consulta al archivo de                 *
*      empleado ( datos informativos ).                *
*      Sist. Multiuso : Ing. claudia Vanegas C.        *
*      Version        : Febrero 15 de 1993             *
*      Archivos: Empleado     Indice: Indemp2          *
*                Empresas             Nitemp           *
*                Cencosto             Indcosto         *
*                Tablas               Tablas           *
*                Patronal             Lugar            *
********************************************************
* Ver 01 : (SEP/05) Se puede escoger contratos preactivos
*       B: (FEB/06) Error en Carga de Vars x Negocio
*       D: Activamos control x Usuario x Negocio
*       E: Activamos Grabacion CANAL
*       F: Agregamos Historico de Cambios Salario, Cenco, 
*          CenTrabajo,codofi, cargo, integral, catiss,lugtraba
*          Codage, cencosto, subtran, negocio, tipcont, clacont
*          fhasta
*       G: Ajustamos PICT de min_garan
*     02 : Incluimos actualizacion de dtem.liqtippag  
*     02A: Grabar HRAPAG1
*     02B: Correccion grab Min Garantizdo
*     02C: Correccion grab Min Garantizdo
*     02D: Agregamos validacion tipcont-clacont vs tabgen11
*       E: Correccion act_dtem, para var  wced
*       F: Agregamos opcion para Modificar -RELIQUIDACIONES -
*       G: Agregamos _formpago y conbasico
*       H: Correcion mced, wced para GRABPROC y agregamos hrapag1
*       I: Agregamos Observaciones obs1,obs2,obs3
*       J: Quitamos direccion y ponemos fechas radic eps,arp,ccf
*       K: Agregamos modif de pedido quitamos ciudad
*     03 : Agregamos campos flex7srh.DIASLIQVAC y flex7srh.SABAHABVAC
*          FLEX7SRH.DIAS_TERFJ
*       A: Validamos la existencia del campo EPS_RADICA, etc
*       B: Creamos tipcont =M, Para medios tiempos
*     03c: Agregamos campos flex7srh.PREFIJOCON
*       D: Se agrega Consulta-para lugtraba
*       E: 2010.09.15, Correccion letrero para cambio salario
*       F: 2010.11.05, Consulta avanzada sobre lugar de trabajo 
*       G: 2010.11.25, Se agrega parametro para bloquea el cambio salarial.
*                      Bloqueo campo tipo-pago /cuenta
*          2011.03.12  Revisamos "tipo de datos"
*          2011.11.10  Ajustamos presentacion salbasico y uso de hrsmes.
PARAMETERS _puede_modif, _bloquea_sal, _bloquea_pag
_nomprg = 'chgdempl'
SET PROC TO LOCKS
DO INICIAL
SET DECIMAL TO 3

PUBLIC _act_nmbas   && Indicador de Cambios Sensibles de NMBASICO

IF !FILE('nmbasico.dbf')
   DO crea_tabla 
ENDIF

STORE '' TO _clacont,_formpago
IF ABRIR('tabgen11',1) 
   IF SEEK('CC')
      DO WHILE !EOF() AND tiptab="CC"
         IF codtab#"0"
            _clacont = _clacont + codtab
         ENDIF
         SKIP
      ENDDO
   ENDIF
   IF SEEK('P1')
      DO WHILE !EOF() AND tiptab="P1"
         IF codtab#"0"
            _formpago = _formpago + codtab
         ENDIF
         SKIP
      ENDDO
   ENDIF
ENDIF

RELEASE WINDOW w_selco101
DEFINE WINDOW w_selco101 ;
	AT  0.000, 0.000  ;
    SIZE 32,120 ;
	TITLE "Sie7e" ;
	FONT "Courier New", 8 ;
	STYLE "B" ;
	NOFLOAT ;
	NOCLOSE ;
	NOMINIMIZE ;
	DOUBLE ;
    COLOR RGB(,,,192,192,192)
	MOVE WINDOW w_selco101 CENTER

ACTIVATE WINDOW w_selco101

RELEASE WINDOW w_flex_s101
DEFINE WINDOW w_flex_s101 ;
       IN WINDOW w_selco101 ;
       AT 2.2,81.2 SIZE 27, 36 ;
       TITLE '33. ATRIBUTOS-FLEXIBLES' ;
       FONT "Courier New", 8 ;
       NOFLOAT ;
	   NOCLOSE ;
	   NOMINIMIZE ;
	   DOUBLE ;
       COLOR RGB(,,,255,255,255)
       
DEACTIVATE WINDOW w_flex_s101

SET DELETED ON
SET EXCLUSIVE OFF
SET DATE ANSI
SET CENT ON

=_CLOSE("usuarios","ncontrol","empresas","tabgen00","selpr001")
=_CLOSE("empleado","cntabanc","cencosto","tabgen02","datbas01")
=_CLOSE("patronal","divpol06")
STORE SPACE(10)        TO nitemprew, wnit, canalw
STORE SPACE(8)         TO nitemplew
STORE SPACE(30)        TO nombrew, wraz, wmotlabor
STORE SPACE(6)         TO fecingw,mped
STORE 0                TO catissw,nroissw,hracobw,hrapagw,hrapag1w
STORE 0                TO tippagw, tippagprw
STORE SPACE(30)        TO oficiow
STORE SPACE(1)         TO subtranw,formpagow,indretw,resp
STORE SPACE(8)         TO ccostow,nivel3w,nivel4w,nivel5w
STORE "N"              TO tipcontw
STORE SPACE(2)         TO ncontratow,_15w,sabadow
STORE SPACE(4)         TO codofiw,wtip_nit
STORE CTOD("  .  .  ") TO fecvigw,fecvacubw
STORE 0                TO numdato,vlrretw,valor2w,opcionw
STORE SPACE(5)         TO lugtrabaw
STORE SPACE(11)        TO patronalw
STORE SPACE(250)       TO obs1w,obs2w,obs3w
 
_c13    =  CHR(13)

men_ret = "0: Lo calcula el Sistema"+CHR(13)+;
          "1: Valor Fijo"+CHR(13)+;
          "2: Porcentaje del Devengo"+CHR(13)+;
          "3: No aplicar"

men_cnt = "Precaucion: Si Cambia el Numero de Contrato"+CHR(13)+;
          "      dejar algunos ACUMULADOS sin soporte."

_men19 = "A: Embargo Especial Alimentos"+CHR(13)+ ;
         "S: Otro tipo de contrato Esp."+CHR(13)+ ;
         "N: Contrato sin novedad."

men_tpg = "Tipos de Pago"+CHR(13)+;
          "1: Cheque"+CHR(13)+;
          "2: Efectivo"+CHR(13)+;
          "3: Giro"+ CHR(13)+;
          "4: Conavi"+CHR(13)+;
          "5: Davivienda"+CHR(13)+;
          "   etc ."

men_wat = "S: Si paga Subsidio de Transporte legal"+_c13+;
          "N: No liquida Subsidio de Transporte"+_c13+;
          "L: Si paga,si tiene menos de 2 SMMLV."

SELECT 0          
USE NCONTROL
STORE dsalmin TO dsalminw
STORE salmin  TO salminw
*DO DEF_WIND WITH "99"
*ACTIVATE WINDOW pantalla

SELECT 0  &&2
USE empleado ORDER 1  && TAG indemp 
&&INDEX indemp,nomemp,nomemp2,planilla,planill2,indemp3
SET FILTER TO estado $"AaL"
DO WHILE nitemprew <> "/"
   box1="͸Գ"
   @ 0,1 , 2,119.5 BOX box1+" " COLOR gr+/B
   @ 1+IIF(_windows,-.6,0),37 SAY " CAMBIOS AL ARCHIVO DE EMPLEADOS - DATOS INFORMATIVOS " ;
       COLOR w+/gb FONT 'Courier New',9 STYLE 'B'
   @ 0.2,109.0 SAY "SELCO101.03H" ;
		FONT "ARIAL", 8 ;
		COLOR RGB(255,255,255,0,0,128)
   STORE .T. TO errorcod,error1

   DO WHILE errorcod AND nitemprew <> "/" AND error1

      STORE .F. TO _act_nmbas
      DO WHILE error1
         IF _windows
*           SET COLOR TO n/w
         ELSE
            SET COLOR TO W/N
         ENDIF
         @ 3,01 CLEAR TO 32,107
         @ 3,03 SAY "Codigo del Negocio......." GET nitemprew;
           PICTURE "@!" MESS _MENS("Digite ' / '  o  [Esc] para finalizar") ;
           VALID v_nit()
         READ TIMEOUT 240
         ktec = MOD(READ(),256)
         
         IF nitemprew = "/" OR EMPTY(nitemprew) OR ktec = 12
            DO CASE
               CASE ktec = 12
                    error1 = .T.
                    EXIT
               CASE EMPTY(nitemprew) 
                    EXIT
               OTHER
                    STORE .F. TO error1,errorcod
                    DO CLOSE_DATA
                    DEACTIVATE WINDOW w_flex_s101
                    DEACTIVATE WINDOW w_selco101 && pantalla
                    RETURN
            ENDCASE
         ELSE
         
            IF ktec = 20
               QUIT
            ENDIF
            
          
            IF ABRIR('empresas',1) AND !SEEK(nitemprew,"empresas")
               	WAIT WINDOW "Empresa NO existe" TIMEOUT 240
            ELSE
               @ 3,42 SAY empresas.razon
               STORE empresas.indextesp      TO tarespw
               STORE empresas.vlrmin*salminw TO wvrminsal
               STORE empresas.vlrmax*salminw TO wvrmaxsal               
               STORE .F. TO error1
               SET FUNC 10 TO nitemprew
               wtip_nit = ALLTRIM(empresas.tipopag)
            ENDIF
            
         ENDIF
      ENDDO

      IF AT("/",nitemprew) = 0   &&AND !EMPTY(nitemprew)
         @ 4,3 SAY "Codigo del Trabajador......" ;
               GET nitemplew PICT "@!" VALID ced_emp()
         READ TIMEOUT 120
         ktec = MOD(READ(),256)
         IF ktec = 20
            QUIT
         ENDIF

         IF ktec = 12
            DO CLOS_DATA
            DEACTIVATE WINDOW w_selco101 &&pantalla
            RETURN
         ENDIF

         IF _dos
            SET STEP ON
         ENDIF
         STORE nitemprew + nitemplew TO nitw
         SET FUNCTION 9 TO nitemplew
         
         IF USED("selpr001")
            SELECT selpr001 
         ELSE
            SELECT 0
            USE selpr001 ORDER 1  &&INDEX selpr001
         ENDIF
         SEEK nitemplew
         mdir = selpr001.direccion
         mciu = selpr001.municipio
         wnom = selpr001.nombre
         USE IN SELPR001
         
         STORE .F. TO grab_cta
         IF ABRIR("cntabanc",1) AND SEEK(TRIM(nitemplew))
            mbco = banco
            mcta = cuenta
         ELSE
            STORE " " to mbco,mcta
         ENDIF

         USE IN cntabanc
         _numreg = 0
         
         IF ABRIR("empleado",1) AND SEEK(nitw)
*           SET STEP ON
            SET FILT TO   &&estado = "aA"
            
            DO WHILE !EOF() AND ;
               nitempre+nitemple = nitw
               IF estado $ "aAL" AND ;
                  (EMPTY(ncontratow) OR ncontrato=ncontratow)
                  _numreg = RECNO()
                  EXIT
               ENDIF
               SKIP
            ENDDO
            IF nitempre+nitemple = nitw AND estado $ "aAL"
               IF EMPTY(nombre) AND !EMPTY(wnom)
                  REPLACE nombre WITH wnom
                  DO GRABPROC WITH "Grab-Nom: "+nitw,"E"   && error
               ENDIF
               STORE .F.         TO error1,errorcod

              _tab = [EMPLEADO]
              _cmp1= [DIASLIQVAC]
              _cmp2= [SABAHABVAC]
              _cmp3= [DIAS_TERFJ]
              _cmp4= [PREFIJOCON]
              _cmp5= [CCOSTO1]
              _cmp6= [CCOSTO2]
              _cmp7= [PORCCOSTO1]
              _cmp8= [PORCCOSTO2]

              _llav= nitemple+[-]+ncontrato

               STORE nitempre    TO nitemprew
               STORE nitemple    TO nitemplew
               STORE nombre      TO nombrew
               STORE fecing      TO fecingw
               STORE catiss      TO catissw
               STORE nroiss      TO nroissw
               STORE oficio      TO oficiow
               STORE tippag      TO tippagw
               STORE tippagpr    TO tippagprw
               STORE subtran     TO subtranw
               STORE hracob      TO hracobw
               STORE hrapag      TO hrapagw
               STORE hrapag1     TO hrapag1w
               STORE ccosto      TO ccostow
               STORE tipcont     TO tipcontw
               STORE formpago    TO formpagow
               STORE indret      TO indretw
               STORE vlrret      TO vlrretw
*              STORE valor2      TO valor2w
               STORE ncontrato   TO ncontratow
               STORE codoficiom  TO codofiw
               STORE fecvigus    TO fecvigw
               STORE patronal    TO patronalw
               STORE lugtraba    TO lugtrabaw
               STORE especial    TO mespecial
               STORE integral    TO mintegral
               STORE codarp      TO mcodarp
               STORE codage      TO mcodage
               STORE fecvacub    TO fecvacubw
               STORE fec_up2     TO fec_up2w
               STORE codofi      TO codofiw
               STORE pens_adic   TO wpensadic
               STORE fhasta      TO fhastaw
               STORE clacont     TO clacontw
               STORE canal       TO canalw
               STORE min_garan   TO min_garw
               STORE conbasico   TO wconbasico
               STORE obs1        TO obs1w
               STORE obs2        TO obs2w
               STORE obs3        TO obs3w
               IF TYPE('eps_radica') # 'U'
                  STORE eps_radica  TO mfrad1
                  STORE arp_radica  TO mfrad2
                  STORE ccf_radica  TO mfrad3
                  STORE .T. TO wradic
               ELSE
                  STORE {} TO mfrad1,mfrad2,mfrad3
                  STORE .F. TO wradic
               ENDIF
               STORE pedido      TO mped
               STORE hrsmes      TO divisorw
               STORE ROUND(hrapagw*td7("empresas",1,nitemprew,"hrsmes"),0) TO wBasico
               STORE mot_labor + " " + TD7("tabgen00",1,"ML"+mot_labor,"ALLTRIM(destab)") TO wMotLabor
               * Bajamos a Cursor Temporal los datos Flexibles
               CREATE CURSOR Q_FLEX ( mensaje C(200), campo C(10), Titulo C(20), datom M, dato C(200) )
               DO cga_qflex WITH _tab,_llav

               *_15w    = TRAE_DATO('flex7srh',1,_tab+_cmp1+_llav,[TRIM(DATO)])
               *_sabado = TRAE_DATO('flex7srh',1,_tab+_cmp2+_llav,[TRIM(DATO)])
               *_diastf = TRAE_DATO('FLEX7SRH',1,_tab+_cmp3+_llav,[TRIM(DATO)])
               *_prefij = TRAE_DATO('FLEX7SRH',1,_tab+_cmp4+_llav,[TRIM(DATO)])
               
            ENDIF
         ELSE
            =_mens("Empleado NO existe "+CHR(13)+"o no Tiene Cnts Activos",.t.,7)
            STORE .T. TO error1,errorcod
         ENDIF
      ENDIF
   ENDDO

   IF !( "/" $ nitemprew) AND !EOF("empleado") AND;
      empleado.estado $ "AaL"

      @  3,03 SAY "Codigo del Negocio ........ " + nitemprew
      @  4,03 SAY "Codigo del Trabajador...... " + nitemplew
      IF ! _windows
         SET COLOR TO gr+/n
      ENDIF
      @  5,01 SAY " 1" COLOR B/W
      @  6,01 SAY " 2" COLOR B/W
      @  7,01 SAY " 3" COLOR B/W 
      @  8,01 SAY " 4" COLOR B/W
      @  9,01 SAY " 5" COLOR B/W
      @ 10,01 SAY " 6" COLOR B/W
      @ 11,01 SAY " 7" COLOR B/W
      @ 12,01 SAY " 8" COLOR B/W
      @ 13,01 SAY " 9" COLOR B/W
      @ 14,01 SAY "10" COLOR B/W
      @ 15,01 SAY "11" COLOR B/W
      @ 16,01 SAY "12" COLOR B/W
      @ 17,01 SAY "13" COLOR B/W
      @ 18,01 SAY "14" COLOR B/W
      @ 19,01 SAY "15" COLOR B/W
      @ 20,01 SAY "16" COLOR B/W
      @ 21,01 SAY "17" COLOR B/W
      @ 22,01 SAY "32" COLOR B/W
      
      @  4,48 SAY " 0" COLOR B/W
      @  6,48 SAY "18" COLOR B/W
      @  7,48 SAY "19" COLOR B/W
      @  8,48 SAY "20" COLOR B/W
      @  9,48 SAY "21" COLOR B/W
      @ 10,48 SAY "22" COLOR B/W
      @ 13,48 SAY "23" COLOR B/W
      @ 15,48 SAY "24" COLOR B/W
      @ 16,48 SAY "25" COLOR B/W
      @ 17,48 SAY "26" COLOR B/W
      @ 18,48 SAY "27" COLOR B/W
      @ 19,48 SAY "28" COLOR B/W
      @ 20,48 SAY "29" COLOR B/W
      @ 21,48 SAY "30" COLOR B/W
      @ 22,48 SAY "31" COLOR B/W

      @  4,82 SAY "33" COLOR B/W
      
      IF !_windows
         SET COLOR TO w/n
      ENDIF
      @  4,84 SAY ". Atributos Flexibles ..... " 

      @  5,03 SAY ". Nombre del empleado...... "
      @  5,31 SAY nombrew COLOR gr+/n
      @  6,03 SAY ". Fecha de ingreso ........ " + fecingw
      @  7,03 SAY ". Categoria Seguridad Soc.. " + STR(catissw,2,0)
      @  8,03 SAY ". Concep Nom para BASICO... " + wconbasico
      @  9,03 SAY ". Oficio................... " 
      @  9,15 SAY oficiow COLOR w+/n
      @ 10,03 SAY ". Tipo pago Nomina.."+tippagw
      @ 10,26 SAY "Tipo pago Prest."+tippagprw
      @ 11,03 SAY ". Subsidio de transporte..... " + subtranw
      @ 12,03 SAY ". Valor hora pago Anterior... " + STR(hrapag1w,8,3)
      @ 13,03 SAY ". Valor hora a pagar......... " + STR(hrapagw,8,3)
      @ 14,03 SAY ". Centro de Costo............ " + ccostow
      IF !EMPTY(ccostow)
         kcos = TRAE_DATO('cencosto',1,nitemprew+ccostow,'nomccosto')
         IF !EMPTY(kcos)
            @ 14,43 SAY kcos
         ENDIF
      ENDIF
      IF _windows
      @ 15,03 SAY ". Tipo de Cont.(N, , A, P).. " + tipcontw + "  Clase: "+clacontw
      ELSE
      @ 15,03 SAY ". Tipo de Cont.(N, , A, P).. " + tipcontw
      ENDIF
      @ 16,03 SAY ". Periodicidad Pago (Q,C,D,S) " + formpagow
      @ 17,03 SAY ". Ind ret(0,1,2,3). " + indretw
      IF indretw='2'
         @ 17,27 SAY "Porc Ret: " +TRAN(vlrretw,'999.999')+[ % ]
      ELSE
         @ 17,27 SAY "Vlr Ret: " + TRAN(vlrretw,'99,999,999')
      ENDIF
      @ 18,03 SAY ". Canal / Linea / Seccion ... " + canalw
      @ 19,03 SAY ". Cod de Centro de Trabajo .. " + mcodarp
*     @ 20,03 SAY ". Cod Oficio Tarif Ext.Espec. " + codofiw
      @ 20,03 SAY ". Codigo Oficio (OFICIO01)..: " + codofiw
      @ 21,03 SAY ". Fecha vig. del ult. sueldo. " + DTOC(fecvigw)
      @ 22,03 SAY ". Observaciones y Notas: "
      
      @ 23.0,05 SAY obs1w SIZE 3,80
      @ 26.2,05 SAY obs2w SIZE 3,80
      @ 29.4,05 SAY obs3w SIZE 1,80
      
      @  4,40 SAY "- " + ncontratow
      @  4,50 SAY ". Basico Mes:"+alltrim(TRan(wbasico,"999,999,999.99"))
      @  6,50 SAY ". Lugar trabajo ...." + lugtrabaw
      @  7,50 SAY ". Cont ESPECIAL ...." + mespecial
      @  8,50 SAY ". Corporacion   ...." + mbco
      @  9,50 SAY ". Num Cuenta : "+ ALLTRIM(mcta)
      * 10,50 SAY ". Direccion(envio Correo):"
      * 11,52 SAY ALLTRIM(mdir) SIZE 2,27
      @ 10,50 SAY ". F.Rad. EPS : " + DTOC(mfrad1)
      @ 11,50 SAY "         ARP : " + DTOC(mfrad2)
      @ 12,50 SAY "         CCF : " + DTOC(mfrad3)
      @ 13,50 SAY ". No. Ped/Req: " + ALLTRIM(mped)
      @ 15,50 SAY ". Salar.Integral : " + mintegral
      @ 16,50 SAY ". Codigo Agencia : " + mcodage
      @ 17,50 SAY ". Ult Per salario: " + fec_up2w
      @ 18,50 SAY ". Vac Cubiertas  : " + DTOC(fecvacubw)
*     @ 19,50 SAY ". Liq Vac Habiles: " + LEFT(_15w,2) 
*     @ 19,71 SAY " Sab H:"+LEFT(_sabado,2)
      @ 20,50 SAY ". Min Garantizado: " + STR(min_garw,9,0)
*     @ 21,50 SAY ". Pens Alto riesg: " + STR(wpensadic,6,3)+"%"
      @ 21,50 SAY ". Motivo Labor   : " + wMotLabor 
      @ 22,50 SAY ". Fecha Termino F: " + fhastaw 
      
      ACTIVATE WINDOW w_selco101

      STORE .T. TO cambio
      DO WHILE cambio

         @ 30.8,1 SAY "Numero del item a corregir: " GET numdato;
            PICTURE "99" VALID(numdato<34 OR numdato=99)
         @ 30.8,41 SAY "99  para actualizar campos                  "
         READ
         IF !_puede_modif OR MOD(READ(),256)=12
            EXIT
         ENDIF
         _men = "Va a  realizar cambio  en el numero"+CHR(13)+;
                "del contrato.  Esto puede ocasionar"+CHR(13)+;
                "ajustes en otras tablas!."+CHR(13)+;
                "         Desea Continuar ?"
         DO CASE
         CASE numdato = 0 AND GETENV("NIVEL") > "6" AND ;
              msgbox(_men,"",1) = 1
              mdg=GETLOGIN()
              @ 4,72 GET ncontratow PICT '99' MESS _mens(men_cnt)
              READ
              STORE nitemplew TO mced,wced
              DO GRABPROC WITH "Chg-NumCnt"+nitemplew,"A"
              _act_nmbas = .T.
                          
         CASE numdato = 1
            @ 5,31 GET nombrew PICT "@!"
            READ
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-Nombre"+nitemplew,"A"
            
         CASE numdato = 2
            STORE .T. TO errorfec
            men2 = "Digite la Fecha de Ingreso"+IIF(LEN(fecingw)=6,"","AA")+"AAmmDD"
            @ 6,31 GET fecingw PICTURE "@9" MESS _mens(men2) ;
                  VALID val_fing()
            READ
            
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-FecIng"+nitemplew,"A"

         CASE numdato = 3
            @ 7,31 GET catissw PICTURE "99" VALID (catissw=0 OR catissw>=97)
            READ
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-CatISS"+nitemplew,"A"
            _act_nmbas = .T.
            
         CASE numdato = 4
            @ 8,31 GET wconbasico PICTURE "!!" VALID (v_conbas())
            READ

         CASE numdato = 5
            @ 9,10 GET oficiow
            READ

         CASE numdato = 6 AND  _bloquea_pag
             do MENSAJE_01
         CASE numdato = 6 AND !_bloquea_pag
            _wres1 = tippagw
            _wres2 = tippagprw
            wtip_nit = TRAE_DATO('empresas',1,nitemprew,'tipopag')

            @ 10,23 GET tippagw PICTURE "!" ;
                    VALID tippagw$wtip_nit+"0" MESS men_tpg
            @ 10,42 GET tippagprw PICTURE "!"  MESS men_tpg  
            READ     
            IF _wres1 # tippagw
               STORE nitemplew TO mced,wced
               DO GRABPROC WITH "Chg-TipPag"+nitemplew+":"+tippagw,"T"
            ENDIF
            IF _wres2 # tippagprw
               STORE nitemplew TO mced,wced
               DO GRABPROC WITH "Chg-TipPag"+nitemplew+"="+tippagprw,"T"
            ENDIF

         CASE numdato = 7
            _wres = subtranw
            @ 11,33 GET subtranw PICTURE "!" VALID(subtranw$"SNLA") MESS _mens(men_wat)
            READ
            IF _wres # subtranw
               STORE nitemplew TO mced,wced
               DO GRABPROC WITH "Chg-SubTra"+nitemplew,subtranw
            ENDIF

         CASE numdato = 8
            _hra = hrapag1w
            @ 12,33 GET hrapag1w PICTURE "9999.999"
            READ
            IF _hra # hrapag1w
               STORE nitemplew TO mced,wced
               DO GRABPROC WITH "Chg-HraAnt"+nitemplew+STR(_hra,9,3),'A'
               DO GRABPROC WITH "Chg-HraAnt"+nitemplew+STR(hrapag1w,9,3),'B'
            ENDIF
         CASE numdato = 1000  &&&Correccion opc 8
            @ 12,33 GET hracobw PICTURE "9999.999"
            READ
            STORE .T. TO errorcof
            DO WHILE errorcof .AND. tarespw="1"
               @ 20,33 GET codofiw
               READ
               IF codofiw = SPACE(4)
                  WAIT WINDOW "Debe llenar el campo OFICIO " NOWAIT
               ELSE
                  SELECT 0
                  IF use_exc("TABLAS",.F.,7)
                     SET INDEX TO intablas
                  ENDIF
                  SEEK nitemprew+codofiw
                  IF nitemprew+codofiw <> codempre+codoficio
                     @ 20,45 SAY "Codigo errado                   "
                  ELSE
                     @ 20,45 SAY desoficio
                     STORE hordina TO hracobw
                     STORE .F. TO errorcof
                  ENDIF
                  USE IN tablas
               ENDIF
            ENDDO

            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-HraCob"+nitemplew,"A"
            @ 12,33 SAY TRAN(hracobw,"9999.999")
         CASE numdato = 9 AND _bloquea_sal 
              do mensaje_01
            
         CASE numdato = 9 AND !_bloquea_sal &&AND GETENV("NIVEL") > "6"
            
            wvrminsal = TRAE_DATO('empresas',1,nitemprew,'vlrmin')*salminw
            wvrmaxsal = TRAE_DATO('empresas',1,nitemprew,'vlrmax')*salminw
            STORE 0 TO basicow
            *STORE TRAE_DATO('empresas',1,nitemprew,'hrsmes') TO divisorw
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-VlrPag"+nitemplew+" "+STR(hrapagw,8,3),"A"
            @ 13,03 CLEAR TO 13,77
            @ 13,03 SAY ". Valor Basico Mensual ......"
            @ 13,33 GET basicow;
               PICTURE "@K 99,999,999.99" RANGE wvrminsal,wvrmaxsal
            READ
            @ 13,50 SAY "Divisor .." GET divisorw PICTURE "999.99"
            READ
            IF divisorw = 0
               STORE basicow TO hrapagw
            ELSE
               STORE ROUND((basicow/divisorw),3) TO hrapagw
            ENDIF

            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-VlrPag"+nitemplew+" "+STR(hrapagw,8,3),"B"
            @ 13,03 CLEAR TO 13,77
            STORE 0 TO basicow
            STORE 0 TO divisorw
            @ 13,03 SAY ". Valor hora a pagar........."
            @ 13,33 SAY SPACE(33)
            @ 13,33 SAY STR(hrapagw,8,3)
            subtranw = IIF (hrapagw<=dsalminw,'S','N')
            @ 11,33 GET subtranw PICTURE "X" VALID(subtranw$"SNLA")
            @ 21,33 GET fecvigw  VALID(DTOC(fecvigw)#"  .  .  ")
            READ
            _act_nmbas = .T.

         CASE numdato = 10
            STORE .T. TO errorcost
            DO WHILE errorcost
               @ 14,33 GET ccostow
               READ
               DO CASE
               CASE EMPTY(ccostow)
                  STORE .F. TO errorcost
                  @ 14,46 SAY SPACE(25)
               CASE AT("*", ccostow) > 0
                  IF USED("cencosto")
                     SELECT cencosto
                  ELSE
                     SELECT 0
                     USE cencosto ORDER 1
                  ENDIF
                  IF SEEK(nitemprew)
                     WAIT WINDOW "Consultando .." NOWAIT
                     DO DEF_WIND WITH "8","Consulta de Centros De Costos"
                     ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
                     BROWSE NOMO WINDOW consult8 FREEZE codccosto ;
                        FIELD Codccosto : H="Cod CCo" : W=ver_cc() ,;
                              nomccosto : H="Descripcion" ;
                        FOR empccosto = nitemprew
                     ON KEY LABEL ENTER
                     IF LASTKEY() # 27
                        ccostow = codccosto
                        SHOW GET ccostow
                        @ 14,33 SAY ccostow
                        @ 14,43 SAY nomccosto
                        STORE .F. TO errorcost
                     ENDIF
                  ENDIF
               OTHER
                  IF USED("cencosto")
                     SELECT cencosto
                  ELSE
                     SELECT 0
                     USE cencosto ORDER 1
                  ENDIF
                  SEEK nitemprew+ccostow
                  IF nitemprew+ccostow <> empccosto+codccosto
                     WAIT WINDOW "C. costo errado " NOWAIT
                  ELSE
                     @ 14,33 SAY ccostow
                     @ 14,43 SAY nomccosto
                     STORE .F. TO errorcost
                  ENDIF
               ENDCASE
            ENDDO

            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-CenCos"+nitemplew,"A"
            _act_nmbas = .T.

         CASE numdato = 11
            STORE .T. TO errorcont
            _valtipcnt = IIF(_windows,"NAPDM","NAPDM")
            @ 15,33 GET tipcontw PICTURE "!" VALID(tipcontw$_valtipcnt)
            @ 15,43 GET clacontw PICTURE "!" VALID(clacontw $ _clacont)
            @ 22,69 GET fhastaw VALID fhastaw >= fecingw WHEN clacontw $ "CF"
            READ

            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-TipCnt"+nitemplew,"A"
            @ 15,33 SAY tipcontw PICTURE "!" 
            @ 15,43 SAY clacontw PICTURE "!" 
            @ 22,69 SAY fhastaw 
            _act_nmbas = .T.

         CASE numdato = 12
            @ 16,33 GET formpagow PICTURE "!" VALID(formpagow$_formpago)
            READ
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-ForPag"+nitemplew,"A"

         CASE numdato = 13
            @ 17,23 GET indretw PICTURE "X" VALID(indretw$"0123") ;
               MESS _mens(men_ret)
            READ
            IF indretw = '2'
               @ 17,36 SAY SPACE(7)+[%  ]
               @ 17,36 GET vlrretw PICTURE "999.999"
            ELSE
               @ 17,36 GET vlrretw PICTURE "99,999,999"
            ENDIF
            READ

            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-IndRet"+nitemplew,"A"
            @ 17,23 SAY indretw
            IF indretw = '2'
               @ 17,36 SAY vlrretw PICT "999.999"
            ELSE
               @ 17,36 SAY vlrretw PICT "99,999,999"
            ENDIF

         CASE numdato = 14
            @ 18,33 GET canalw PICT "@!"
            READ
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-Canal:"+canalw,"A"

         CASE numdato = 15
            @ 19,33  GET mcodarp SIZE 1,3 PICT "@!"
            READ
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-CodArp"+nitemplew,"A"
            _act_nmbas = .T.            

         CASE numdato = 16
            @ 20,33 GET codofiw VALID v_codofi()
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Codigo Oficio:"+nitemplew,"A"
            _act_nmbas = .T.

         CASE numdato = -16

            STORE .T. TO errorcof
            DO WHILE errorcof
               @ 20,33 GET codofiw VALID(codofiw#SPAC(4))
               READ
               SELECT 0
               IF use_exc("TABLAS",.F.,7)
                  SET INDEX TO intablas
               ENDIF
               SEEK nitemprew+codofiw
               IF nitemprew+codofiw <> codempre+codoficio
                  WAIT WINDOW "Codigo errado" NOWAIT
               ELSE
                  @ 20,45 SAY desoficio
                  STORE hordina TO hracobw
                  STORE .F. TO errorcof
               ENDIF
               USE IN tablas
            ENDDO
            _act_nmbas = .T.            
         CASE numdato = 17
            @ 21,33 GET fecvigw   VALID( !EMPTY(fecvigw))
            READ
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-FecVig"+nitemplew,"A"

         CASE numdato = 18
            STORE .T. TO errorlugar
            DO WHILE errorlugar
*              @  6,52 SAY "Lugar de trabajo ... "
               @  6,70 GET lugtrabaw VALID v_lug()
               READ
               STORE nitemplew TO mced,wced
               DO GRABPROC WITH "Chg-LugTra"+nitemplew,"A"
               =_CLOSE("pat","patronal")
               SELECT 3
               SET EXCL OFF
               USE patronal ORDER 1
               
               _MEN = ""
               
               IF !SEEK(lugtrabaw)  &&lugtrabaw <> lugar
                  _men = "Lugar errado" 
                  STORE .T. TO errorlugar
               ELSE
                  _men = ALLTRIM(nomlugar)
                  STORE patronal TO patronalw
                  STORE .F. TO errorlugar
               ENDIF
               IF lugtrabaw=SPACE(5)
                  STORE .T. TO errorlugar
                  _MEN = "No se puede dejar en blanco" 
               ENDIF
               
               IF !EMPTY(_men)
                  =_mens(_men)
               ENDIF
               =_CLOSE("pat","patronal")
               
            ENDDO
            _act_nmbas = .T.

         CASE numdato = 19
            @ 7,70 GET mespecial PICT '!' VALID(BETWEEN(mespecial,'A','Z')) MESS _mens(_men19)

         CASE numdato = 20 AND _bloquea_pag
              do mensaje_01
         CASE numdato = 20 AND !_bloquea_pag
            @ 8,70 GET mbco PICT "@!" VALID(val_bco()) SIZE 1,3
*           @ 8,71 GET nomcorpo DEFA " " SIZE 1,20 WHEN .F.
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-BcoCor"+nitemplew,"A"
            STORE .T. TO grab_cta

         CASE numdato = 21 and _bloquea_pag
            DO mensaje_01

         CASE numdato = 21 and !_bloquea_pag
            @ 09,65 GET mcta PICT "@!" VALID(!EMPTY(mcta) AND _val_cta()) ;
                    SIZE 1,16
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-NumCta"+nitemplew,"A"
            DO GRABPROC WITH "Chg-NumCta"+ALLTRIM(mcta),"A"
            STORE .T. TO grab_cta

         CASE numdato = 22 
            *@ 11,52 GET mdir PICT "@!" SIZE 2,27
            *DO GRABPROC WITH "Chg-Direcc"+nitemplew,"A"
            IF wradic
               @ 10,65 GET mfrad1 
               @ 11,65 GET mfrad2
               @ 12,65 GET mfrad3
               DO GRABPROC WITH 'Chg-Fradic'+nitemplew,'A'
            ELSE
               =MENSAJE('Campos de Radicacion no han sido creados, Continua?')
            ENDIF

         CASE numdato = 23
*           @ 13,60 GET mciu PICT "@!"
*           STORE nitemplew TO mced,wced
*           DO GRABPROC WITH "Chg-Ciudad"+nitemplew,"A"

            @ 13,60 GET mped PICT "@!"
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-Pedido"+nitemplew,"A"

         CASE numdato = 24
            @ 15,69 GET mintegral PICT "!" VALID (mintegral$"SN")
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-Integr"+nitemplew,"A"
            _act_nmbas = .T.
            
         CASE numdato = 25
            @ 16,69 GET mcodage PICT "!!!" 
            DO GRABPROC WITH "Chg-CodAge"+nitemplew,"A"
            _act_nmbas = .T.
            
         CASE numdato = 26
            @ 17,69 GET fec_up2w 
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-F_ulTpag2"+nitemplew,"A"

         CASE numdato = 27

            @ 18,69 GET fecvacubw 
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Chg-Fvacub"+nitemplew,"A"

         CASE numdato = 28
            @ 19,69 GET _15w PICT "99" ;
                    COLOR ,RGB(,,,0,255,255)

            @ 19,78 GET _sabado PICT "!!" ;
                    SIZE 1,2 ;
                    VALID TRIM(_sabado) $ [SI,NO] OR EMPTY(_sabado) ;
                    COLOR ,RGB(,,,0,255,255)

            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "LIQVAC-HAB-SABADO:"+nitemplew,"A"

         CASE numdato = 29
            @ 20,69 GET min_garw  PICT "99,999,999" ;
                    VALID v_mingar() ;
                    WHEN  w_mingar() ;
                    MESS  _mens("Salario  Mensual Real  que"+CHR(13)+;
                                "debe ganarse el Trabajador")
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Min Garantiz.:"+nitemplew,"A"

         CASE numdato = 30
*           @ 21,69 GET wpensadic VALID BETWEEN(wpensadic,0,40)
            @ 21,69 GET wMotLabor PICT "!!!-!!!!!!!!!!!!!!!!!!!" ;
                    VALID v_motlabor()
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Pension Adicional:"+nitemplew,"A"

         CASE numdato = 31
            @ 22,69 GET fhastaw VALID fhastaw >= fecingw
            STORE nitemplew TO mced,wced
            DO GRABPROC WITH "Fecha Limite Cnt:"+nitemplew,"A"
            _act_nmbas = .T.

         CASE numdato = 32

            @ 23.0,05 GET obs1w SIZE 3,80
            @ 26.2,05 GET obs2w SIZE 3,80
            @ 29.4,05 GET obs3w SIZE 1,80

         CASE numdato = 33

            ACTIVATE WINDOW w_flex_s101
            
            SELECT q_flex
            GO TOP
            ON KEY LABEL F8 KEYBOARD "{CTRL+W}" PLAIN
            EDIT IN WINDOW w_flex_s101 ;
                 FIELD titulo:R:H="Campo", dato:W=W1(TRIM(mensaje))  &&, MENSAJE
            
            DEACTIVATE WINDOW w_flex_s101
            
         CASE numdato = 99
            STORE .F. TO cambio
         ENDCASE
         
      ENDDO      

      STORE .T. TO errorop
      mdg=GETLOGIN()
      DO WHILE errorop
         CLEAR GETS
         @ 30.8,41 SAY "Opciones (1. Grabar 2. Cancelar) ==> [ ]"
         @ 30.8,51 SAY "1" COLOR gr+/n
         @ 30.8,61 SAY "2" COLOR gr+/n
         @ 30.8,79 GET opcionw PICTURE "9" DEFAULT 2
         READ TIMEOUT 120
         IF opcionw = 1
            STORE .F. TO errorop
            IF USED("empleado")
               SELECT empleado
               GO _numreg
            ELSE
               SELECT 0
               USE empleado ORDER 1 && TAG indemp
               GO _numreg
            ENDIF
            
            IF nitempre+nitemple+ncontrato=nitemprew+nitemplew+ncontratow ;
               AND estado $ "AaL" AND rblokado(7) AND _puede_modif

               DO act_empleado
               DO act_flex WITH _tab, _llav
               
               IF USED("selpr001")
                  SELECT selpr001
               ELSE
                  SELE 0
                  USE selpr001 ORDER 1 && INDEX selpr001
               ENDIF

               IF SEEK (nitemplew) AND rblokado(7)
                  *REPLACE direccion WITH mdir
                  *REPLACE municipio WITH mciu
                  REPLACE nombre    WITH nombrew
                  
                  STORE nitemplew TO mced,wced
                  DO GRABPROC WITH "CHG-empl:"+nitemplew,"Z", ;
                                   "CHG-empl:"+nitemprew,"Z"
               ENDIF
               
               IF grab_cta
                  DO act_cnta
               ENDIF
               
               IF _act_nmbas    && Actualizar Historico
                  DO ADD_BASICO
               ENDIF
               
               SELECT empleado     &&2 && (empleado)
            ELSE
              WAIT WINDOW "Registro no Concuerda!" NOWAIT
            ENDIF
                        
         ELSE
            STORE SPACE(1) TO resp
            IF opcionw = 2
               STORE nitemplew TO mced,wced
               DO GRABPROC WITH "CHG-empl:"+nitemplew+nitemprew,"z"
               STORE .F. TO errorop
               WAIT WINDOW  "Cancelado !!! " TIMEOUT 65
            ELSE
               WAIT WINDOW  "Opcion errada !!! "  TIMEOUT 65
            ENDIF
         ENDIF
         
         _act_nmbas = .F.

      ENDDO
      
      STORE SPACE(30)        TO nombrew
      STORE SPACE(6)         TO fecingw,mped
      STORE SPACE(16)        TO oficiow
      STORE 0                TO tippagw, tippagprw, hracobw,hrapagw, ;
                                catissw, nroissw, valor2w,vlrretw,hrapag1w
      STORE SPACE(8)         TO ccostow,nitemplew
      STORE "N"              TO tipcontw
      STORE SPACE(1)         TO formpagow,indretw,tarespw,subtranw
      STORE SPACE(2)         TO ncontratow
      STORE SPACE(4)         TO codofiw
      STORE CTOD("  .  .  ") TO fecvigw
      STORE SPACE(5)         TO lugtrabaw
      STORE SPACE(11)        TO patronalw
      STORE SPACE(240)       TO obs1w, obs2w, obs3w 
   ENDIF
ENDDO
DEACTIVATE WINDOW w_selco101  &&pantalla
DO CLOS_DATA
RETURN
******

FUNCTION ced_emp
kpos = AT("*",nitemplew) 
DO DEF_WIND WITH "8"
CLEAR TYPE
SELECT empleado

IF EMPTY(nitemprew)
   DO CASE
      CASE kpos = 0
           SET ORDER TO 6
           IF SEEK(nitemplew)
              ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
              BROWSE NOMO WINDOW consult8 FREEZE nitemple REST TITLE "Vinculaciones Registradas" ;
               FIELD nombre,nitemple : h= "Codigo":W=F7_usuauto(nitempre), ;
                     ncontrato : H="Cnt",estado,ccosto,fecing, ;
                     nitempre: H="Negocio",Descr=TRAE_RAZ(nitempre),;
                     AUT=IIF(F7_usuauto(nitempre),' SI','no') ;
                 FOR estado $ 'AaL' KEY nitemplew
           ENDIF

      CASE kpos > 1
      SET ORDER TO 6
      kced = LEFT(nitemplew,kpos-1)
      knom = ALLTRIM(SUBS(nitemplew,kpos+1,3))
      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      BROWSE NOMO WINDOW consult8 FREEZE nitemple REST;
             TITLE "Vinculaciones Registradas" ;
             FIELD nombre,nitemple : h="Codigo":W=F7_usuauto(nitempre), ;
             ncontrato : H="Cnt",estado,ccosto,fecing, ;
             nitempre: H="Negocio",Descr=TRAE_RAZ(nitempre),;
             AUT=IIF(F7_usuauto(nitempre),' SI','no') ;
         FOR estado $ 'AaL' AND (EMPTY(knom) OR nombre=knom);
         KEY kced

      OTHER
      SET ORDER TO 2
      knom = ALLTRIM(SUBS(nitemplew,kpos+1,3))
      ON KEY LABEL PGDN
      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      BROWSE NOMO WINDOW consult8 FREEZE nitemple REST;
             TITLE "Vinculaciones Registradas" ;
             FIELD nombre, nitemple:H="Codigo":W=F7_usuauto(nitempre), ;
             ncontrato : H="Cnt",estado,ccosto,fecing, ;
             nitempre: H="Negocio",Descr=TRAE_RAZ(nitempre),;
             AUT=IIF(F7_usuauto(nitempre),' SI','no') ;
         FOR estado $ 'AaL' AND ;
             (EMPTY(knom) OR nombre = knom )
   ENDCASE
    

ELSE
   SET ORDER TO 1
   DO CASE
      CASE kpos > 1
           kced = LEFT(nitemplew,kpos-1)
           knom = ALLTRIM(SUBS(nitemplew,kpos+1,3))
           k1 = FILETEMP(1)
           IF SEEK(nitemprew)
              COPY TO (k1) WHILE nitempre=nitemprew ;
                 FOR LEFT(nitemple,kpos-1)=kced AND ;
                     nombre=knom AND estado $"AaL"
              SELECT 0 
              USE (k1) EXCL ALIAS sel_emp
              INDEX ON nombre TAG LLAVE1
          
              ON KEY LABEL PGDN
              ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
              BROWSE NOMO WINDOW consult8 FREEZE nitemple REST;
                 TITLE "Vinculaciones Registradas" ;
                 FIELD nombre,nitemple : h= "Codigo", ;
                       ncontrato : H="Cnt",estado,ccosto,fecing 
              ON KEY LABEL ENTER
              IF LASTKEY()#27
                 nitemplew  = nitemple
                 ncontratow = ncontrato
                 SHOW GET nitemplew
              ENDIF
              USE
              DELETE FILE (k1)
              SELECT empleado
              SET FILTER TO estado $ "aAL"
              SET ORDER TO 1
              RETURN SEEK(nitemprew+nitemplew+ncontratow) AND estado $ "AaL"
           ENDIF
      CASE kpos = 1
           knom = ALLTRIM(SUBST(nitemplew,2,7))
           SET ORDER TO 3
           ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
           BROWSE NOMO WINDOW consult8 KEY nitemprew;
              TITLE "Vinculaciones Registradas" ;
              FOR estado $ 'AaL' AND nombre = knom ; 
              FIELD nombre,nitemple: H="Codigo" , ;
                    ncontrato : H="Cnt" ,estado,ccosto,fecing ;
              FREEZE nitemple REST
           ON KEY LABEL ENTER 

      OTHER
           SET FILTER TO estado $ "aAL"
           SET ORDER TO 1
           RETURN SEEK(nitemprew+nitemplew)  AND estado $ "AaL"
   ENDCASE
ENDIF

ON KEY LABEL ENTER
IF LASTKEY() # 27
   IF EMPTY(nitemprew) AND F7_usuauto(nitemprew)
      nitemprew = nitempre
      @ 03,29 SAY nitemprew
      @ 03,42 SAY TRAE_RAZ(nitemprew)
      wtip_nit = TRAE_DATO('empresas',1,nitemprew,'tipopag')
      wvrminsal= TRAE_DATO('empresas',1,nitemprew,'vlrmin')*salminw
      wvrmaxsal= TRAE_DATO('empresas',1,nitemprew,'vlrmax')*salminw
   ELSE
      IF !F7_usuauto(nitemprew)
         nitemprew = SPACE(10)
         @ 03,29 SAY nitemprew
         @ 03,42 SAY ' NO AUTORIZADO '
      ENDIF
   ENDIF
   nitemplew = nitemple
   ncontratow= ncontrato
   SHOW GET nitemple
ENDIF
SET ORDER TO 1
IF SEEK(nitemprew+nitemplew+ncontratow) AND ;
   estado $ "AaL" AND F7_usuauto(nitemprew)
   RETURN .T.
ENDIF
RETURN .F.
******

FUNCTION v_lug
IF "*" $ lugtrabaw
   _area_ = SELECT()

   =_CLOSE("patronal","pat")

   _ini = ALLTRIM(LEFT(lugtrabaw, AT("*",lugtrabaw)-1))
   _res = ALLTRIM(SUBS(lugtrabaw, AT("*",lugtrabaw)+1,5))
   SELECT 0
   USE patronal ORDER 1 AGAIN ALIAS pat
   DO DEF_WIND WITH "11","Lugares de Trabajo"
   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   ON KEY LABEL F8 KEYBOARD "{CTRL+W}" PLAIN
   BROWSE WINDOW consult11 NOMO ;
          FIELD lugar:H="Codigo", nomlugar:H="Lugar Trabajo" ;
          FOR estado="A" ;
          AND (EMPTY(_ini) OR lugar=_ini) ;
          AND (EMPTY(_res) OR _res $ nomlugar)

   IF LASTKEY()#27
      lugtrabaw = lugar
      SHOW GET lugtrabaw
   ENDIF
   ON KEY LABEL F8
   ON KEY LABEL ENTER
   
   =_CLOSE("patronal","pat")
      
   SELECT (_area_)
ENDIF

RETURN .T.
******
FUNCTION _val_cta
_area = SELECT()
IF ABRIR("cntabanc",2)
   IF !SEEK(TRIM(mcta)) OR TRIM(nitemple)=trim(nitemplew)
      SELECT (_area)
      RETURN .T.
   ELSE
      WAIT WINDOW "Cuenta ya esta Creada" NOWAIT
   ENDIF
ENDIF
SELECT (_area)
RETURN .F.
******

FUNCTION val_fing
_fec = IIF(LEN(fecingw)=6,STOD6(fecingw),STOD(fecingw))
IF ABS(DATE()-_fec) < 365 OR LEN(nitemprew)< 8
   RETURN .T.
ENDIF
RETURN 0
******

PROCEDURE CLOS_DATA
= _CLOSE("selpr001","cntabanc","empleado","retiros","empresas")
= _CLOSE("patronal","cencosto","tablas","oficio01","hojvid03","tabgen00")
RETURN
******

FUNCTION val_bco
ON KEY LABEL ENTER
IF !EMPTY(mbco)
   _area = SELECT()
   IF ABRIR("TABGEN00",1)
   
      IF SEEK("BC"+mbco)
         nomcorpo = destab
         SHOW GET nomcorpo
         
         IF !EMPTY(char01) AND !(tippagw $ char01)
            tippagw = ALLTRIM(LEFT(char01,1))
            SHOW GET tippagw
            _men = "Tipo de Pago Nomina"+CHR(13)+;
                   "se ha ACTUALIZADO !"
            =_mens(_men)
            SELECT (_area)
            RETURN .T.
         ELSE
            SELECT (_area)
            RETURN .T.
         ENDIF

      ELSE
         _men = "Tipo de Pago Invalido"
         =_mens(_men)
      ENDIF
      
   ENDIF
   SELECT (_area)
ENDIF
RETURN 0
******

FUNCTION ver_cc
WAIT CLEAR
RETURN .T.

PROCEDURE close_data
=_CLOSE("empleado","usuarios","empresas","ncontrol",'nmbasico')
=_CLOSE("tabgen00","tabgen02","cntabanc","selpr001")
RETURN
******

FUNCTION v_codofi
PARAMETER _cod

wvar = VARREAD()
_cod = &wvar

IF ABRIR("oficio01",1)
   kpos = AT("*",_cod)
   IF kpos > 0
      kcod = ALLTRIM(LEFT(_cod,kpos))
      kdes = ALLTRIM(SUBST(_cod,kpos+1,6-kpos))
      SELECT codofi, desofi ;
        FROM oficio01 ;
       WHERE (EMPTY(kcod) OR LEFT(codofi,kpos-1)=kcod) AND ;
             (EMPTY(kdes) OR AT(kdes,desofi)>0) ;
        INTO CURSOR q_ofi
        
      DO DEF_WIND WITH "0", "Maestro de Oficios"
      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      BROWSE NOMO WINDOW consult0 ;
        FREE codofi FIELDS codofi : H="Codigo", desofi
      ON KEY LABEL ENTER
      
      IF LASTKEY()#27
         &wvar = codofi
         _cod  = codofi
         SHOW GET &wvar
      ENDIF
      
   ENDIF

   IF ABRIR('oficio01',1 ) AND SEEK(_cod)
      wdes = desofi
      WAIT WINDOW wdes NOWAIT
      RETURN .T.
   ENDIF
ENDIF
RETURN .F.
******

FUNCTION v_mingar
=SEEK(nitemprew,'empresas')
RETURN (min_garw>=0)
******

FUNCTION w_mingar
IF ABRIR('empresas',1) AND ;
   SEEK(nitemprew,'empresas') AND ;
   empresas.min_garan # "S"
   _men = "Este Negocio, no esta autorizado para"+CHR(13)+;
          "Trabajar con MINIMOS GARANTIZADOS."
   =_mens(_men,.T.,5)
   RETURN .F.   
ENDIF
RETURN .T.
******

FUNCTION v_nit
IF "/" $ nitemprew
   RETURN .T.
ENDIF
wnit = nitemprew
kraz = TRAE_RAZ(nitemprew)
IF EMPTY(nitemprew) OR (kraz # "." AND !EMPTY(kraz) AND F7_usuauto(nitemprew))
   RETURN .T.
ENDIF
RETURN .F.
******

PROCEDURE act_empleado

ktip1 = tippag
ktip2 = tippagpr

hrapag1w = IIF(hrapag#hrapagw,hrapag,hrapag1)

REPLACE ncontrato     WITH ncontratow
REPLACE nombre        WITH nombrew
REPLACE fecing        WITH fecingw
REPLACE catiss        WITH catissw
REPLACE nroiss        WITH nroissw
REPLACE oficio        WITH oficiow
REPLACE tippag        WITH tippagw
REPLACE tippagpr      WITH tippagprw
REPLACE subtran       WITH subtranw
REPLACE hracob        WITH hracobw
REPLACE hrapag        WITH hrapagw
REPLACE hrapag1       WITH hrapag1w
REPLACE ccosto        WITH ccostow
REPLACE tipcont       WITH tipcontw
REPLACE clacont       WITH clacontw
REPLACE formpago      WITH formpagow
REPLACE indret        WITH indretw
REPLACE vlrret        WITH vlrretw
REPLACE codoficiom    WITH codofiw
REPLACE fecvigus      WITH fecvigw
REPLACE patronal      WITH patronalw
REPLACE lugtraba      WITH lugtrabaw
REPLACE integral      WITH mintegral
REPLACE dg_modi       WITH mdg
REPLACE especial      WITH mespecial
REPLACE codarp        WITH mcodarp
REPLACE codage        WITH mcodage
REPLACE fecvacub      WITH fecvacubw
REPLACE fec_up2       WITH fec_up2w
REPLACE codofi        WITH codofiw
REPLACE pens_adic     WITH wpensadic
REPLACE min_garan WITH min_garw
REPLACE fhasta        WITH fhastaw
REPLACE canal         WITH canalw
REPLACE nivel3        WITH nivel3w
REPLACE nivel4        WITH nivel4w
REPLACE nivel5        WITH nivel5w
REPLACE conbasico     WITH wconbasico
REPLACE obs1          WITH obs1w
REPLACE obs2          WITH obs2w
REPLACE obs3          WITH obs3w
IF wradic
   REPLACE eps_radica    WITH mfrad1
   REPLACE arp_radica    WITH mfrad2
   REPLACE ccf_radica    WITH mfrad3
ENDIF
REPLACE pedido        WITH mped
REPLACE hrsmes        WITH divisorw               
IF fecing > DTOS(DATE())   
   REPLACE estado WITH "a"
ELSE
   REPLACE estado WITH "A"
ENDIF

IF hrapag1 # hrapag1w AND ;
   mensaje('Desea conservar Historia Salario Anterior?')
   REPLACE hrapag1 WITH hrapag1w
ENDIF


UNLOCK

DO act_empl7
               
IF empleado.tippag # ktip1 AND ;
   ABRIR('dtem13',6) AND SEEK(nitemplew)
   wced = nitemplew
   DO f_act_dtem WITH nitemprew,tippagw IN modcta54
ENDIF               

IF empleado.tippagpr # ktip2 AND ;
   ABRIR('dtem13c',6) AND SEEK(nitemplew)
   DO f_act_dtem WITH nitemprew,tippagw IN modcta54
ENDIF               

RETURN
******

PROCEDURE crea_tabla
_warc = FULLP('empleado.dbf')
_warc = STRTRAN(_warc,'EMPLEADO.DBF','NMBASICO.DBF')
CREATE TABLE (_warc) ;
       ( codemp C(8), numcnt C(2), dig C(3), fechar D, ;
         fecini D, tipcont C(1), clacont C(1), ;
         hrapag N(12,3), codage C(3), ccosto C(8), ;
         integral C(1), subtran C(1), negocio C(10), ;
         codofi C(6),  oficio C(30), lugtraba C(5), ;
         codarp C(3), catiss N(2), fhasta C(8) )
INDEX ON codemp+numcnt+DTOS(fecini)  TAG llave1 DESC
RETURN
******


PROCEDURE act_cnta
IF USED("cntabanc")
   SELECT cntabanc
   SET ORDER TO 1
ELSE
   SELECT 0
   USE cntabanc ORDER 1
ENDIF

IF SEEK(TRIM(nitemplew))
   IF (banco#mbco OR cuenta#mcta) ;
      AND rblokado(7)
      REPL nitemple WITH nitemplew, ;
           banco    WITH mbco, ;
           cuenta   WITH mcta, ;
           fe_modi  WITH DATE(), ;
           dg_modi  WITH GETLOGIN(), ;
           hr_modi  WITH TIME()
   ENDIF
ELSE    
   APPEND BLANK
   REPL nitemple WITH nitemplew
   REPL banco    WITH mbco, ;
        cuenta   WITH mcta
   REPL fe_grab  WITH DATE(), ;
        dg_grab  WITH GETLOGIN(), ;
        hr_grab  WITH TIME()
ENDIF   

RETURN
******

PROCEDURE add_basico

IF ABRIR('NMBASICO',0) AND ADD_REC(7)
  
   REPLACE codemp        WITH nitemplew
   REPLACE numcnt        WITH ncontratow
   REPLACE fecini        WITH DATE()
   REPLACE fechar        WITH DATE()
   REPLACE dig           WITH _wuser

   REPLACE negocio       WITH nitemprew
   REPLACE catiss        WITH catissw
   REPLACE oficio        WITH oficiow
   REPLACE subtran       WITH subtranw
   REPLACE hrapag        WITH hrapagw
   REPLACE ccosto        WITH ccostow
   REPLACE tipcont       WITH tipcontw
   REPLACE lugtraba      WITH lugtrabaw
   REPLACE integral      WITH mintegral
   REPLACE codarp        WITH mcodarp
   REPLACE codage        WITH mcodage
   REPLACE codofi        WITH codofiw
   REPLACE clacont       WITH clacontw
   REPLACE fhasta        WITH fhastaw
   REPLACE fechar        WITH DATE()
ENDIF
RETURN
******

FUNCTION v_conbas
IF "*" $ wconbasico
   SELECT codigo, descr, codcon02 FROM concepto ;
    WHERE estado ='A' ;
     INTO CURSOR q_cnc ;
    ORDER BY codigo
    
   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   ON KEY LABEL F8    KEYBOARD "{CTRL+W}" PLAIN
   BROWSE NORMAL FREEZE codigo TITLE 'MAESTRO CONCEPTOS NOMINA' NOMODIFY
   ON KEY LABEL ENTER
   ON KEY LABEL F8
   
   IF LASTKEY()#27
      wconbasico = codigo
      SHOW GET wconbasico
   ENDIF
     
ENDIF

IF ABRIR('CONCEPTO',1) AND SEEK(wconbasico)
   RETURN  .T.
ENDIF
RETURN .F.
******

PROCEDURE act_flex    &&2010.03.10
*  No estamos usando el campo FLEX7SRH.DATOM
PARAMETER xc_tab, xc_llav


IF ABRIR("flex7srh",1)
   SELECT q_flex
   GO TOP
   DO WHILE !EOF()

      _cmp = campo
      _dat = ALLTRIM(dato)
      SELECT flex7srh
      IF !SEEK(xc_tab + _cmp + xc_llav)
         APPEND BLANK
         REPLACE tabla WITH xc_tab, campo WITH _cmp, llave WITH xc_llav
      ENDIF
      REPLACE dato WITH _dat
      SELECT q_flex
      SKIP
   ENDDO

   USE IN flex7srh
ENDIF
RETURN
******

PROCEDURE act_flex_ANTERIOR

IF EMPTY(_15w)
   IF ABRIR('FLEX7SRH',1) AND SEEK(_tab+_cmp1+_llav)
      REPLACE dato  WITH []
   ENDIF
ELSE
   IF ABRIR('FLEX7SRH',1) 
      IF !SEEK(_tab+_cmp1+_llav)
         APPEND BLANK
         REPLACE tabla WITH _tab, ;
                 campo WITH _cmp1, ;
                 llave WITH _llav, ;
                 dato  WITH ALLTRIM(_15w)
      ELSE
         REPLACE dato  WITH ALLTRIM(_15w)
      ENDIF
   ENDIF
ENDIF

IF EMPTY(_sabado)
   IF ABRIR('FLEX7SRH',1) AND SEEK(_tab+_cmp2+_llav)
      REPLACE dato  WITH []
   ENDIF
ELSE
   IF ABRIR('FLEX7SRH',1) 
      IF !SEEK(_tab+_cmp2+_llav)
         APPEND BLANK
         REPLACE tabla WITH _tab, ;
                 campo WITH _cmp2, ;
                 llave WITH _llav, ;
                 dato  WITH ALLTRIM(_sabado)
      ELSE
         REPLACE dato  WITH ALLTRIM(_sabado)
      ENDIF
   ENDIF
ENDIF

=_CLOSE('flex7srh')

RETURN
******

PROCEDURE ver_flex_anterior
PARAMETER wc_tabla, wc_llave
_area_ = SELECT()

=_CLOSE("tg13_flex")
SELECT 0
USE tabgen13 ORDER 1 ALIAS tg13_flex AGAIN

IF SEEK(wc_tabla)
   wc_cmps = []
   DO WHILE !EOF() AND tabla=wc_tabla
      IF !EMPTY(wc_cmps)
         wc_cmps = wc_cmps + [,]
      ENDIF
      
      wc_cmps = wc_cmps + ALLTRIM(campo)
      
      IF !EMPTY(titulo)
         wc_cmps = wc_cmps +[:H=']+ALLTRIM(titulo)+[']
      ENDIF

      IF !EMPTY(mensaje)
         wc_cmps = wc_cmps +[:W=!EMPTY(_mens(']+ALLTRIM(mensaje)+['))]
      ENDIF

      SKIP
   ENDDO
ENDIF

=_CLOSE("tg13_flex")

SELECT (_area_)
RETURN
******

PROCEDURE cga_qflex
*  No estamos usando el campo FLEX7SRH.DATOM
PARAMETER xc7_tab, xc7_llav
=_CLOSE("Q_FLEXTIT")            
               SELECT 0
               USE TABGEN13 ORDER 1 AGAIN SHARED ALIAS q_flextit
               IF SEEK(xc7_tab)
                  DO WHILE !EOF() AND tabla=xc7_tab
                     xc7_tit = titulo
                     xc7_cmp = campo
                     xc7_men = ALLTRIM(mensaje)
                     xc7_dat = TF7(xc7_tab,xc7_cmp,xc7_llav)
                     
                     SELECT q_flex
                     APPEND BLANK
                     REPLACE titulo WITH xc7_tit, ;
                             dato   WITH ALLTRIM(xc7_dat),;
                             campo  WITH xc7_cmp, mensaje WITH xc7_men
                     
                     SELECT q_flextit
                     SKIP
                  ENDDO
               ENDIF
               
               USE IN q_flextit
RETURN
******

FUNCTION w1
PARAMETER xc_mensaje
IF !EMPTY(xc_mensaje)
   =_MENS(xc_mensaje)
ENDIF
RETURN .T.
******

PROCEDURE ACT_EMPL7
IF !FILE("EMPLEADO_.DBF")
   SELECT empleado
   _regn = RECNO()
   Q_T1 = UPPER(DBF())
   q_t2 = FILETEMP()
   COPY STRUCTURE EXTENDED TO (Q_T2)
   SELECT 0
   USE (q_t2) EXCL
   APPEND BLANK
   REPLACE field_name WITH "RADICADO_", field_type WITH "C", field_len WITH 30
   USE
   _dest = STRTRAN(q_t1,"EMPLEADO.DBF","EMPLEADO_.DBF")
   SELECT 0
   CREATE (_dest) FROM (q_t2) EXTENDED
   SELECT empleado
   GO _regn 
ENDIF

IF FILE("EMPLEADO_.DBF") AND "VISUAL" $ UPPER(VERSION())
   SELECT empleado
   SCATTER MEMVAR MEMO
   SELECT 0
   USE empleado_ EXCL ALIAS t_contr AGAIN
   APPEND BLANK
   GATHER MEMVAR MEMO
   
   IF TYPE("radicado_")=[C]
      REPLACE radicado_ WITH _wuser+" "+DTOC(DATE())+" "+TIME()+' '+_nomprg
   ENDIF
   
   USE IN t_contr
ENDIF
RETURN
******

PROCEDURE mensaje_01
 =MENSAJE("No tiene Acceso a este Campo!"+CHR(13)+"      Continua ?")
RETURN
******

FUNCTION v_MotLabor
kmot = LEFT(wMotLabor,3)
IF "*" $ kmot
   kmot = SPACE(3)
   USE tabgen00 ORDER 1 IN 0 ALIAS tg00 AGAIN SHARED NOUPDATE
   SELECT tg00
   SET KEY TO "ML"
   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   BROWSE NORMAL NOMODIFY FREEZE codtab
   ON KEY LABEL ENTER
   
   IF LASTKEY()#27
      wMotLabor= codtab+"-"+destab
   ENDIF
ELSE
   wMotLabor = TD7("tabgen00",1,"ML"+kmot,[codtab+"-"+destab])
ENDIF

      SHOW GET wMotLabor

*: EOF: CHGDEMPL.PRG
