*       *********************************************************
*       *                                                         
*       * 2012.08.21           ESTUDI03.PRG              14:02:54 
*       *                                                         
*       *********************************************************
*       *                                                         
*       * Ing Gustavo A. Pinilla C.                               
*       *                                                         
*       * Copyright (c) 2012 SIE7E Ltda.                          
*       * Cel 310.421.2741                                        
*       * Cali, Valle  76001                                         
*       * Colombia                                          
*       *                                                         
*       * Description:                                            
*       * Este programa lo ha generado automticamente GENSCRN.    
*       *                                                         
*       *********************************************************

PARAMETERS _cod_cand

*       *********************************************************
*       *                                                         
*       *  ESTUDI03/Windows Cdigo de configuracin - SECCION 1   
*       *                                                         
*       *********************************************************
*

#REGION 1

IF PARAMETERS()=0
   _cod_cand = SPACE(8)
ENDIF

_nomprg = "estudi03"

SET PROCEDURE TO procedi
DO INICIAL

C13 = CHR(13)

RELEASE wced

do crea_qest

STORE " " TO m.estado

men_ced = "Digite el Codigo del Candidato"+c13+;
          "Con -1 Consulta todos los Candidatos"+c13+;
          "Con -2 Consulta los C. de  8 dias"+c13+;
          "Con -3 Consulta los C. de 30 dias"

men_tip = "Tipo de Estudio"+c13+;
          "Con * Consulta"
men_est = "Seleccione el Estado del Estudio"
men_fec = "Digite la fecha de Terminacion del Estudio"
men_tit = "Titulo que otorga el establecimiento"+c13+;
          "por este estudio."
men_col = "Nombre del Establecimiento donde"+c13+;
          "se realiz el Estudio, [*] Consulta"
men_inst= "Ingrese la Institucion de grado, con [*] consulta "

RELEASE a_detalle
DIMENSION a_detalle[10]
STORE SPACE(50) TO a_detalle,wmedida

SELECT DISTINCT PADR(ALLTRIM(establ),40,' ') AS nombre;
  FROM estudi30 ;
 WHERE ![*] $ establ ;
  INTO CURSOR q_establ

 INDEX ON nombre TAG llave1



#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.rborder = SET("READBORDER")
SET READBORDER ON

m.currarea = SELECT()


*       *********************************************************
*       *                                                         
*       *             Windows Definiciones de ventana             
*       *                                                         
*       *********************************************************
*

IF NOT WEXIST("w_estudi") ;
	OR UPPER(WTITLE("W_ESTUDI")) == "W_ESTUDI.PJX" ;
	OR UPPER(WTITLE("W_ESTUDI")) == "W_ESTUDI.SCX" ;
	OR UPPER(WTITLE("W_ESTUDI")) == "W_ESTUDI.MNX" ;
	OR UPPER(WTITLE("W_ESTUDI")) == "W_ESTUDI.PRG" ;
	OR UPPER(WTITLE("W_ESTUDI")) == "W_ESTUDI.FRX" ;
	OR UPPER(WTITLE("W_ESTUDI")) == "W_ESTUDI.QPR"
	DEFINE WINDOW w_estudi ;
		AT  0.000, 0.000  ;
		SIZE 24.286,82.429 ;
		TITLE "SIE7E" ;
		FONT "Courier New", 8 ;
		FLOAT ;
		NOCLOSE ;
		NOMINIMIZE ;
		SYSTEM ;
		COLOR RGB(,,,192,192,192)
	MOVE WINDOW w_estudi CENTER
ENDIF


*       *********************************************************
*       *                                                         
*       *        ESTUDI03/Windows Distribucin de pantalla        
*       *                                                         
*       *********************************************************
*

#REGION 1
IF WVISIBLE("w_estudi")
	ACTIVATE WINDOW w_estudi SAME
ELSE
	ACTIVATE WINDOW w_estudi NOSHOW
ENDIF
@ 4.357,11.143 SAY "Codigo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 6.143,12.714 SAY "Tipo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 7.857,8.714 SAY "Titulo Otorgado:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 9.571,8.857 SAY "Establecimiento:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.571,8.857 SAY "Duracion:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.714,55.571 SAY "Fecha:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.571,30.429 SAY "Estado:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 0.000,0.000 TO 3.500,82.429 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(,,,0,0,128)
@ 1.214,23.000 SAY "CONTROL DE ESTUDIOS POR CANDIDATO" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(255,255,0,,,,)
@ 0.143,72.000 SAY "ESTUDI03.02A" ;
	FONT "Arial", 8 ;
	STYLE "T" ;
	COLOR RGB(255,255,255,,,,)
@ 4.500,18.000 GET wced03 ;
	SIZE 1.000,11.143 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN w_ced() ;
	VALID v_ced() ;
	MESSAGE _mens(men_ced) ;
	COLOR ,RGB(,,,0,255,255)
@ 4.500,30.857 GET wnom ;
	SIZE 1.000,42.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 6.286,18.000 GET m.tipest ;
	SIZE 1.000,2.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID v_tip() ;
	MESSAGE _mens(men_tip) ;
	COLOR ,RGB(,,,0,255,255)
@ 6.286,30.857 GET wdes ;
	SIZE 1.000,42.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	MESSAGE _mens(men_estu) ;
	COLOR ,RGB(,,,0,255,255)
@ 8.000,30.714 GET m.titulo ;
	SIZE 1.000,42.571 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!T" ;
	VALID _enable() ;
	MESSAGE _mens(men_tit) ;
	COLOR ,RGB(,,,0,255,255)
@ 9.714,30.714 GET m.establ ;
	SIZE 1.000,42.571 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!T" ;
	VALID v_col() ;
	MESSAGE _mens(men_col) ;
	COLOR ,RGB(,,,0,255,255)
@ 11.571,18.000 GET m.duraci ;
	SIZE 1.000,2.143 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID _enable() ;
	COLOR ,RGB(,,,0,255,255)
@ 11.429,38.286 GET westado1 ;
	PICTURE "@^ Actualmente;Suspendido;Terminado" ;
	SIZE 1.538,16.000 ;
	DEFAULT "Actualmente" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID v_estado() ;
	MESSAGE _mens(men_est)
@ 11.643,63.000 GET m.fecter ;
	SIZE 1.000,10.143 ;
	DEFAULT {  /  /  } ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9999.99.99" ;
	WHEN w_fec() ;
	VALID _enable() ;
	MESSAGE _mens(men_fec) ;
	COLOR ,RGB(,,,255,255,255)
@ 13.786,1.000 GET wdetalle ;
 	PICTURE "@&N" ;
	FROM a_detalle ;
	SIZE 5.714,80.571 ;
	DEFAULT 1 ;
	FONT "Courier New", 8 ;
	WHEN .F. ;
	VALID _enable() ;
	COLOR RGB(,,,255,255,255),RGB(,,,255,255,255)
@ 20.643,15.429 TO 20.643,68.715 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(128,128,128,128,128,128)
@ 20.643,15.429 TO 23.286,15.429 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,128,128,128)
@ 23.214,15.429 TO 23.214,68.715 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 20.643,68.571 TO 23.286,68.571 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 21.143,16.714 GET wsal4 ;
	PICTURE "@*HN \\\<Grabar;\\\<Borrar;\<Salir" ;
	SIZE 1.769,19.333,0.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _3ku0u3zcb()
@ 11.571,21.429 GET wmedida ;
	SIZE 1.000,8.286 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	VALID _enable() ;
	COLOR ,RGB(,,,255,255,255)

IF NOT WVISIBLE("w_estudi")
	ACTIVATE WINDOW w_estudi
ENDIF

READ CYCLE

RELEASE WINDOW w_estudi
SELECT (m.currarea)


#REGION 0

SET READBORDER &rborder

IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF



*       *********************************************************
*       *                                                         
*       * ESTUDI03/Windows Procedimientos y funciones de soporte  
*       *                                                         
*       *********************************************************
*

#REGION 1
PROCEDURE _grabar
IF ABRIR("estudi30",1)
   wllave = STR(wced03,11,0)+m.tipest+DTOS(m.fecter)
   IF !SEEK(wllave)
      APPEND BLANK
   ENDIF
   m.cedula = wced03
   m.establ = ALLTRIM(m.establ)
   m.titulo = ALLTRIM(m.titulo)
   GATHER MEMVAR
   REPLACE estado WITH westado1

   =_CLOSE('q_est')
   =COPYDBFTMP("estudi30",1,STR(wced03,11,0),"cedula=wced03","q_est")
   do carga_est
   SHOW GET wdetalle

ENDIF

RETURN
******

FUNCTION _borrar

wllave = STR(wced03,11,0)+m.tipest+DTOS(m.fecter)
IF ABRIR("estudi30",1) AND ;
   SEEK(wllave)
   DELETE NEXT 1
   =_MENS('Registro Borrado')
   =_CLOSE('q_est')
   =COPYDBFTMP("estudi30",1,STR(wced03,11,0),"cedula=wced03","q_est")
   do carga_est
   SHOW GET wdetalle
ENDIF

RETURN
******

FUNCTION v_ced
IF wced03 > 0
   IF ABRIR("DATBAS01",1) AND SEEK(wced03)
      wnom = ALLTRIM(apelli)+ " "+ALLTRIM(nombre)
   ELSE
      STORE 0  TO wced03
      STORE "" TO wnom
   ENDIF
ELSE

   IF wced03 < 0 AND ABRIR("datbas01",1)
      GO TOP
      ON KEY LABEL PGDN
      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      BROWSE NOMO NORMAL FREEZE cedula TITLE "Datos Basicos";
         FIELDS cedula : H= "Codigo", ;
                apelli : H= "Apellidos", ;
                nombre : H= "Nombres", ;
                fechar : H= "Radicado"
      ON KEY LABEL ENTER

      IF LASTKEY() # 27
         SCATTER MEMVAR
         wced03 = m.cedula
         wnom = ALLTRIM(m.apelli)+ " "+ALLTRIM(m.nombre)
      ELSE
         wced03 = 0
         wnom = ""
      ENDIF
   ENDIF

ENDIF

=_CLOSE("q_est")
IF !COPYDBFTMP("estudi30",1,STR(wced03,11,0),"cedula=wced03","q_est")
    DO crea_qest
ELSE
    DO carga_est
ENDIF
RETURN _enable()
******

FUNCTION v_tip
IF "*" $ m.tipest
   USE IN 0 tipest29 AGAIN ALIAS q_tipest29 NOUPDATE
   SELECT tipo, desest AS descrip, medida ;
     FROM q_tipest29 ;
    WHERE estado = "ACT" ;
    ORDER BY tipo ;
     INTO CURSOR q_test

   IF RECC("q_test") > 0
      ON KEY LABEL PGDN
      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      BROWSE NOMO NORMAL FREEZE tipo TITLE 'TIPOS DE ESTUDIO'
      ON KEY LABEL ENTER

      IF LASTKEY()#27
         m.tipest = tipo
         wmedida  = f_medida(medida)
      ENDIF
   ELSE
      =MESSAGEBOX("Alerta",6,"NO HAY REGISTROS ACTIVOS")
   ENDIF
   USE IN q_test
   USE IN q_tipest29
ENDIF

wdes = TRAE_DATO("tipest29",1,m.tipest,"desest")

IF ABRIR("estudi30",1)
   ktipest = m.tipest
   wllave = STR(wced03,11,0)+m.tipest
   IF !EMPTY(m.fecter) AND SEEK(wllave+DTOS(m.fecter))
      SCATTER MEMVAR
   ELSE
      IF SEEK(wllave)
         SCATTER MEMVAR
         wmedida =f_medida(TRAE_DATO('tipest29',1,m.tipest,[medida]))
      ELSE
         SCATTER MEMVAR BLANK
         *wmedida = SPACE(10)
      ENDIF
   ENDIF
   m.tipest = ktipest
ENDIF
RETURN _enable()
******

FUNCTION v_col
IF "*" $ m.establ
   SELECT q_establ
   DO DEF_WIND WITH '8','Maestro de Instituciones Educativas'
   ON KEY LABEL F8 KEYBOARD "{CTRL+W}" PLAIN
   BROWSE NOMO WINDOW consult8
   ON KEY LABEL F8

   IF LASTKEY() # 27
      m.establ = ALLTRIM(nombre)
      SHOW GET m.establ
   ENDIF

ELSE

   SELECT q_establ
   IF !SEEK(ALLTRIM(m.establ)) AND ;
      !MENSAJE('Establecimiento No Existe'+CHR(13)+"    Continua y Graba ?")
      RETURN .F.
   ENDIF
ENDIF
m.establ =  ALLTRIM(m.establ)
SHOW GET m.establ
RETURN _enable()
******

FUNCTION v_estado
RETURN _enable()
******

FUNCTION w_fec
IF EMPTY(m.fecter) AND westado1="A"
   m.fecter = {^1950.12.30}
ENDIF

DO CASE
   CASE westado1 = "A"
        men_fec = "Digite la Fecha Actual"
   CASE westado1 = "S"
        men_fec = "Digite la Fecha de Suspension del Estudio"
   CASE westado1 = "T"
        men_fec = "Digite la Fecha de Terminacion del Estudio"
ENDCASE
RETURN .T.
******

FUNCTION _enable
DO carga_est
IF !EMPTY(wced03) AND !EMPTY(wnom) AND ;
   !EMPTY(m.tipest) AND !EMPTY(m.titulo) AND ;
   !EMPTY(m.establ) AND m.fecter # {^1950.12.30}
   SHOW GET wsal4,1 ENABLE
   ON KEY LABEL PGDN DO obj_sal4
ELSE
   ON KEY LABEL PGDN
   SHOW GET wsal4,1 DISABLE
ENDIF
IF ABRIR("estudi30",1) AND SEEK(STR(wced03,11,0)+m.tipest+DTOS(m.fecter))
   SHOW GET wsal4,2 ENABLE
ELSE
   SHOW GET wsal4,2 DISABLE
ENDIF
SHOW GETS WINDOW w_estudi
RETURN .T.
******

PROCEDURE close_data
=_CLOSE("q_est","q_test","q_establ")
RETURN
******

PROCEDURE crea_qest
CREATE CURSOR q_est (CEDULA  N(11,0), ;
     TIPEST  C(2),   TITULO  C(30), ;
     ESTABL  C(30),  DURACI  N(2,0), ;
     FECTER  D,      ESTADO  C(1) )
DIMENSION a_detalle[10]
STORE SPACE(50) TO a_detalle
RETURN
******

PROCEDURE obj_sal4
ON KEY LABEL PGDN
IF TYPE('wsal4')#'U'
   _CUROBJ = OBJNUM(wsal4)
ENDIF
RETURN
******

PROCEDURE carga_est
*RELEASE a_detalle
SELECT q_est
GO TOP
_tam  = MAX(RECNO('q_est'),1)
DIMENSION a_detalle[10]
i = 1
STORE SPACE(50) TO a_detalle

DO WHILE i <= 10 AND !EOF()
   a_detalle[i] = q_est.tipest+"|"+q_est.establ+"|"+q_est.titulo+"|"+DTOC(fecter)+"|"+estado
   SKIP
   i = i + 1
ENDDO
RETURN
******

FUNCTION f_medida
PARAMETER _dato_ent
_dato_sal = SPACE(10)
DO CASE
   CASE _dato_ent = 'A'
        _dato_sal = 'Aos'
   CASE _dato_ent = 'S'
        _dato_sal = 'Semestres'
   CASE _dato_ent = 'M'
        _dato_sal = 'Meses'
   CASE _dato_ent = 'D'
        _dato_sal = 'Dias'
   CASE _dato_ent = 'N'
        _dato_sal = 'Semanas'
ENDCASE
RETURN  _dato_sal
******

FUNCTION w_ced
IF EMPTY(wced03) AND !EMPTY(_cod_cand)
   IF TYPE("_cod_cand") = 'C'
      wced03 = VAL(_cod_cand)
   ELSE
      IF TYPE("_cod_cand") = 'N'
         wced03 = _cod_cand
      ENDIF
   ENDIF
   SHOW GET wced03
ENDIF
RETURN .T.
******

*       *********************************************************
*       *                                                         
*       * _3KU0U3ZCB           wsal4 VALID                        
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         ESTUDI03,     Record Number:   26  
*       * Variable:            wsal4                              
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      1                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _3ku0u3zcb     &&  wsal4 VALID
#REGION 1
ON KEY LABEL PGDN
DO CASE
   CASE wsal4 = 1
        DO _grabar
        SHOW GET wsal4,1 DISABLE
        SHOW GET wsal4,2 DISABLE
   CASE wsal4 = 2
        DO _borrar
        SHOW GET wsal4,2 DISABLE
   CASE wsal4 = 3
        CLEAR READ
ENDCASE
RETURN
******