* ------------------------------------------------ *
* PROG: liqnovnm.prg                               *
*       Liquidacion de Novedades Nom               *
*       Oct 30/2008 Corr unid  indnom=V            *
* fec.: Oct 31/2008 Retroactivo                    *   
*       2010.  Ampliar condiciones aj_sueldo       *
*       2011.03.07 Se ajusta x jornadas            *
*       2011.09.22 Se valida multip en CONC X DIAS *
* ------------------------------------------------ *
PARAMETER _neg, _cod, _cnt

*SET STEP ON 
liq = 0

IF _get_step AND GET_STEP(5,'Liq Novedades')
   SET STEP ON
ENDIF

*IF _cod='91111111'
*   set step on
*ENDIF

IF !USED('cencosto')
   USE cencosto ORDER 1 IN 0 SHARED
ENDIF

IF ABRIR('noved',1) AND SEEK(_neg+_cod,'noved')   
      
   RELEASE novactw
   PUBLIC  novactw     
   
   IF TYPE('fecvigusw')#'D'
      fecvigusw = TRAE_DATO('empleado',6,_cod+_cnt,[FECVIGUS])
   ENDIF

   _aj_sueldo = ( BETWEEN(fecvigusw,wfecha1+1,wfecha2) AND hrapagw > 0 AND hrapag1w > 0 AND fecvigusw > fecingw)

      
   DO WHILE novempre + novemple = _neg + _cod
      
      IF novempre + novemple = _neg + _cod  AND ;
         (EMPTY(novcont) OR novcont = _cnt) AND ;
         novestado = 'A'
  
            IF ( indcosw $ "2348") AND !EMPTY(novcencos)
               ccostow = novcencos   
            ELSE
               ccostow = SPACE(8)    
            ENDIF

            x        = RECNO()         
            estanw   = novestado       
            novactw  = novact
            novunidw = novunid         
            munid    = novunid         
            mpod     = pod
            _diferenc= 0    && Base para calcular la dif del Basico var vs Incentivo productiviodad
            _hrsaju  = 0    && Horas para REajuste de suelo por aumento en el periodo de liquidacion
            
            ** tomo la fecha que esta en caracter y la vuelvo fecha
            wfec_apl = turndate(fec_apl)
            
            IF wfec_apl <= mfec2  AND novestado = "A" AND ;
                                  ((indnom $ "SV ")  OR ;
                                   (wprocinc AND indinc="S") OR;
                                   (wprocvac AND indvac="S") OR;
                                   (wprocant AND indant="S"))
            
               STORE 1 TO flagn
               SCATTER MEMVAR
               
               otrodev = 0
               codconw = novcon     
               
               valorw  = IIF(pod = "P",novvalor,-novvalor)
               mtiempo = TRAE_DATO('concepto',1,codconw,'tiempo')
               
               SELECT noved     &&B

               IF codconw = m.conprimas
                  flagp = 1
               ENDIF
               
               DO CASE                                                 

                 CASE codconw = m.conembali
                      STORE "S" TO _embali 
                      basew   = 0
                      unidw   = 0

                 CASE codconw = m.conauxtra      && gap
                   STORE "S" TO manualw
                   basew = valtrans/30
                   unidw = novunid
                   IF novunid = 0
                      STORE novvalor*IIF(POD='D',-1,1)    TO valorw
                   ELSE
                      STORE basew*unidw*IIF(POD='D',-1,1) TO valst,valorw
                   ENDIF
                   STORE novunid       TO diastrans
                   SELECT concepto
                   totdev = totdev + si_iss(codconw,valorw,indiss1w)

                 CASE mtiempo='H' AND indnom ="S"    && SE LIQUIDA EN HORAS
                 
                      * Validamos si el Centro de Costos tiene Hora Fijo para Pago.
                      whrapag  = hrapagw
                      SELECT cencosto
                      IF !EMPTY(ccostow) AND ;
                         TYPE('hrapag')='N'     AND ;
                         SEEK(_neg+ccostow,'cencosto') AND ;
                         cencosto.hrapag > 0
                         whrapag = cencosto.hrapag
                      ELSE
                         DO CASE
                            CASE _aj_sueldo AND codconw = conbasicow AND ;
                                 fecvigusw > fecingw AND fecvigusw <= mfec2
                                 whrapag = hrapag1w
                                 _diasaj = (mfec2-fecvigusw+1)
                                 
                                 * Quitamos los dias 31 para el calc del ajuste.
                                 _diactr = fecvigusw
                                 DO WHILE _diactr <=mfec2
                                    DO CASE
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=1 AND ene31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=3 AND mar31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=5 AND may31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=7 AND jul31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=8 AND ago31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=10 AND oct31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=12 AND dic31w=0
                                            _diasaj = _diasaj - 1 
                                    ENDCASE
                                    _diactr = _diactr + 1
                                 ENDDO
                                 _hrsaju = _diasaj*hrsdiaw
                                 
                            CASE _aj_sueldo AND wfec_apl < fecvigusw 
                                 whrapag = hrapag1w
                            OTHER
                                 whrapag = hrapagw
                         ENDCASE
                      ENDIF
                      
                      SELECT concepto
                      SEEK codconw
                      mprop = IIF(vlrcont#0,vlrcont,1)
                      unidw = novunid*IIF(mpod="D",-1,1)
                      basew = novvalor*IIF(mpod='D',-1,1)
                      IF CODCON02="BASICO" .OR. CODCON02="BE "
                         flagt  = 1
                         hrslab =  hrslab + unidw
                         hrsrec =  hrsrec + unidw
                      ENDIF

                      IF noved.novunid = 0
                         valorw = basew
                      ELSE
                         basew  = whrapag
                         valorw = ROUND(whrapag*unidw*mprop,0) 
                      ENDIF
                      totdev = totdev + si_iss(codconw,valorw,indiss1w)

                 CASE mtiempo ="D"  AND indnom ="S"  && Se liquida en dias
                      SELECT concepto
                      SEEK   codconw

                      DO CASE
                         CASE CODCON02="BASICO" OR CODCON02 = "BE " 
                              hrslab = hrslab + noved.novunid
                              hrsrec = hrsrec + noved.novunid
                         CASE codcon02="VACLEG" OR CODCON02 ="INCAPAC"
                              hrslab = hrslab + (noved.novunid*hrsdiaw)
                              hrsrec = hrsrec + (noved.novunid*hrsdiaw)
                              dincvac= dincvac+  noved.novunid
                      ENDCASE

                         DO CASE
                            CASE _aj_sueldo AND codconw = conbasicow AND ;
                                 fecvigusw > fecingw AND fecvigusw <= mfec2
                                 whrapag = hrapag1w
                                 _diasaj = (mfec2-fecvigusw+1)
                                 
                                 * Quitamos los dias 31 para el calc del ajuste.
                                 _diactr = fecvigusw
                                 DO WHILE _diactr <=mfec2
                                    DO CASE
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=1 AND ene31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=3 AND mar31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=5 AND may31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=7 AND jul31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=8 AND ago31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=10 AND oct31w=0
                                            _diasaj = _diasaj - 1 
                                       CASE DAY(_diactr) = 31 AND MONTH(_diactr)=12 AND dic31w=0
                                            _diasaj = _diasaj - 1 
                                    ENDCASE
                                    _diactr = _diactr + 1
                                 ENDDO
                                 _hrsaju = _diasaj  &&*hrsdiaw
                                 
                            CASE _aj_sueldo AND wfec_apl < fecvigusw 
                                 whrapag = hrapag1w
                            OTHER
                                 whrapag = hrapagw
                         ENDCASE
                         
                      mprop  = vlrcont
                      basew  = whrapag*(Whrsmes/30)&&hrsdiaw
                      unidw  = noved.novunid
                      STORE ROUND(basew*noved.novunid*mprop,0) TO valorw
                      IF noved.pod="D"
                         valorw = valorw * (-1)
                         unidw  = unidw  * (-1)
                      ENDIF
                      totdev = totdev + si_iss(codconw,valorw,indiss1w)

                 CASE mtiempo ="U" AND indnom ="S" && Se liquida en UNIDADES
                      SELECT concepto
                      SEEK codconw
                      basew  = vlrcont
                      unidw  = novunid
                      STORE ROUND(noved.novunid*basew,0) TO valorw
                      totdev = totdev + si_iss(codconw,valorw,indiss1w)

                 CASE mtiempo ="A"  AND indnom ="S" && Se liquida en ACTIVIDADES
                      SELECT concepto
                      SEEK codconw
                      mprop  = vlrcont
                      unidw  = novunid
                      cagew  = TRAE_DATO('empleado',6,_cod+_cnt,'codage')
                      basew1 = TRAE_DATO('nmactiv2',1,codconw+novactw+_neg+cagew,'v_pago')
                      basew2 = TRAE_DATO('nmactiv2',1,codconw+novactw+_neg,'v_pago')
                      basew  = IIF(basew1 = 0, basew2, basew1)
                      STORE  ROUND(unidw*mprop*basew,0) TO valorw
                      IF noved.pod="D"
                         valorw = valorw * (-1)
                         unidw  = unidw  * (-1)
                      ENDIF
*SET STEP ON

                      totdev = totdev + si_iss(codconw,valorw,indiss1w)

                 OTHER
                      IF codconw = m.conretfte   
                         manret = "S"
                      ENDIF
                      
                      * Concepto de Basico Variable (Se graba unidades y valor sin validar bases)
                      IF TYPE("mconbasva1")#"C"
                        mconbasva1 = TRAE_DATO('FLEX7SRH',1,'USUARIOS'+'CONBASVARI'+'01','ALLTRIM(dato)')
                        mconbasva2 = TRAE_DATO('FLEX7SRH',1,'USUARIOS'+'CONBASVARI'+'02','ALLTRIM(dato)')
                      ENDIF
                      IF EMPTY(mconbasva1) AND codconw = mconbasva1
                         unidw = novunid
                         basew = novbase
                         
                         * Buscamos La diferencia entre Basico-Trab vs Reportado
                         * para llevarlo por Incentivos de Produccion - Salarial
                         IF !EMPTY(mconbasva2) AND ;
                            !EMPTY(TRAE_DATO('concepto',1,mconbasva2,'descr'))
                            
                            _diferenc = valorw - ROUND(basew*unidw,0)
                            valorw = valorw - _diferenc
                         ELSE
                            _diferenc = 0
                         ENDIF
                         
                      ELSE
                         basew = 0
                         unidw = IIF(indnom='V',novunid*IIF(pod='P',1,-1),0)
                      ENDIF
                      SELECT concepto
                      SEEK codconw
                      
                      totdev = totdev + si_iss(codconw,valorw+_diferenc,indiss1w)
               ENDCASE
               
               worigen = "NV"
               DO add_dtem WITH _neg,_cod,codconw,hracobw, ;
                  basew,unidw, valorw,tippagw,mcuadre,;
                  mesw,_cnt,alfabw,ccostow,liqmultiw,clasew, ;
                  IIF(m.novfec1#"  ",m.novfec1,dtos(wfecha1)), ;
                  IIF(m.novfec2#"  ",m.novfec2,dtos(wfecha2)), xano
               STORE 1 + liq TO liq
               
               IF _diferenc # 0
                  worigen = "AU"
                  DO add_dtem WITH _neg,_cod,mconbasva2,hracobw, ;
                     basew,unidw, _diferenc,tippagw,mcuadre,;
                     mesw,_cnt,alfabw,ccostow, liqmultiw,clasew, ;
                     IIF(m.novfec1#"  ",m.novfec1,dtos(wfecha1)), ;
                     IIF(m.novfec2#"  ",m.novfec2,dtos(wfecha2)), xano
                  STORE 1 + liq TO liq
               ENDIF

               IF _hrsaju > 0 
                  worigen = "AU"
                  IF EMPTY(m.conajsala)
                     m.conajsala = codconw
                  ENDIF
                  xbase = (hrapagw-hrapag1w)*IIF(mtiempo="D",whrsmes/30,1)
                  DO add_dtem WITH _neg,_cod,m.conajsala,hracobw, ;
                     xbase,_hrsaju, ;
                     ROUND(_hrsaju*xbase,0),;
                     tippagw,mcuadre,;
                     mesw,_cnt,alfabw,ccostow, liqmultiw,clasew, ;
                     IIF(m.novfec1#"  ",m.novfec1,dtos(wfecha1)), ;
                     IIF(m.novfec2#"  ",m.novfec2,dtos(wfecha2)), xano
                  STORE 1 + liq TO liq
               ENDIF

               wfecha1 = mfec1
               wfecha2 = mfec2
               
               IF concepto.indcesa = "S" OR clacontw="C" OR codconw = conbasicow
                  STORE devengow + valorw + _diferenc TO devengow
               ELSE
                  * Verificar si el concepto es Abono_k en Pagare01
                  IF mtipo='D'
                     DO rev_pagare
                  ENDIF
               ENDIF
               
               IF codconw = m.con100f
                  STORE 0 TO festivos
               ENDIF

               IF codconw = m.con100d
                  STORE 0 TO domingos
               ENDIF
            
               SELECT noved  && noved.dbf
               GOTO x

               IF mtipo='D' AND rblokado(7)
                  REPLACE noved.novestado WITH "P"
                  REPLACE noved.loteliqn  WITH wconsec
                  UNLOCK
               ELSE
                  REPLACE noved.novestado WITH "a"
               ENDIF

            ELSE
            
               SELECT noved
               GOTO x
               
            ENDIF
            
       ENDIF
       
       SKIP +1
       
   ENDDO
   
   RELEASE novactw
   
ENDIF

RETURN
******

PROCEDURE rev_pagare
KCED = TRAECEDU(_cod)
=_CLOSE('q_pagare')
_while_ = [VAL(tercero)=kced FOR estado='APR' AND cnc_abonok=codconw]

IF noved.pod=[D] AND ;
   COPYDBFTMP('pagare01',4,kced,_while_,[q_pagare])
 
   SELECT sucursal,numero, f_saldo_k(sucursal+numero) AS saldo_k ;
     FROM q_pagare ;
     INTO CURSOR Q1_pagare
  
   USE IN q_pagare
          
   SELECT * FROM q1_pagare ;
    WHERE saldo_k > 0 ;
     INTO CURSOR q_pagare
                       
   DO CASE
      CASE RECC()=1
           wnv_dcto=numero

      CASE RECC()>1
           DO DEF_WIND WITH '8','Pagares Activos'
           ON KEY LABEL ENTER KEYBOARD '{CTRL+W}' PLAIN
           BROWSE NORMAL FREEZE numero WINDOW consult8
           ON KEY LABEL ENTER
           IF LASTKEY()#27
              wnv_dcto = sucursal+numero
           ELSE
              wnv_dcto = []
           ENDIF
      OTHER
           wnv_dcto=[]
   ENDCASE
                     
   IF !EMPTY(wnv_dcto) AND ABRIR('pagare02',1)
                     
      IF SEEK(wnv_dcto)
         _saldo = valorw
         DO WHILE sucursal+numero = wnv_dcto
            IF estado='ACT'
               IF abono_k <= _saldo
                  REPLACE estado WITH 'ENP', consec WITH wconsec
                  _saldo = _saldo - abono_k
               ELSE
                  IF _saldo < abono_k
                     SCATTER MEMVAR
                     REPLACE abono_k WITH _saldo, estado WITH 'ENP',;
                             consec WITH wconsec
                     APPEND BLANK
                     GATHER MEMVAR
                     REPLACE abono_k WITH abono_k - saldo
                  ENDIF
               ENDIF
            ENDIF
            SKIP
         ENDDO
      ENDIF
                      
   ENDIF
                     
ENDIF
RETURN
******

FUNCTION f_saldo_k
PARAMETER _knumdcto
_area_ = SELECT()
IF ABRIR('pagare02',1) AND SEEK(_knumdcto)
   SUM abono_k TO _kvalor ;
       WHILE sucursal+numero = _knumdcto ;
         FOR estado='ACT'
ELSE
   _kvalor = 0
ENDIF
SELECT (_area_)
RETURN _kvalor
******