*       *********************************************************
*       *                                                         
*       * 2011.12.13            ANTI01.PRG               09:56:00 
*       *                                                         
*       *********************************************************
*       *                                                         
*       * Ing Gustavo A. Pinilla C.                               
*       *                                                         
*       * Copyright (c) 2011 SIE7E Ltda.                          
*       * Cel 310.421.2741                                        
*       * Cali, Valle  76001                                         
*       * Colombia                                          
*       *                                                         
*       * Description:                                            
*       * Este programa lo ha generado automticamente GENSCRN.    
*       *                                                         
*       *********************************************************


#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.rborder = SET("READBORDER")
SET READBORDER ON

m.currarea = SELECT()


*       *********************************************************
*       *                                                         
*       *             Windows Definiciones de ventana             
*       *                                                         
*       *********************************************************
*

IF NOT WEXIST("w_anti01") ;
	OR UPPER(WTITLE("W_ANTI01")) == "W_ANTI01.PJX" ;
	OR UPPER(WTITLE("W_ANTI01")) == "W_ANTI01.SCX" ;
	OR UPPER(WTITLE("W_ANTI01")) == "W_ANTI01.MNX" ;
	OR UPPER(WTITLE("W_ANTI01")) == "W_ANTI01.PRG" ;
	OR UPPER(WTITLE("W_ANTI01")) == "W_ANTI01.FRX" ;
	OR UPPER(WTITLE("W_ANTI01")) == "W_ANTI01.QPR"
	DEFINE WINDOW w_anti01 ;
		AT  0.000, 0.000  ;
		SIZE 22.308,96.000 ;
		TITLE "SIE7E" ;
		FONT "MS Sans Serif", 8 ;
		FLOAT ;
		NOCLOSE ;
		NOMINIMIZE ;
		SYSTEM ;
		COLOR RGB(,,,192,192,192)
	MOVE WINDOW w_anti01 CENTER
ENDIF


*       *********************************************************
*       *                                                         
*       *   ANTI01/Windows Cdigo de configuracin - SECCION 2    
*       *                                                         
*       *********************************************************
*

#REGION 1
* Version 01: (SEP/05) Liquida Anticipos para proceso
*             dentro de la nomina
*         01A: Apaga el BOTON GRABAR
*         01B: Se suma el acumulado del Ao anterior para el calculo.
*              Se valida el MAXIMO permitido.
*         02 : Incluimos el Pago de Intereses de Cesantias
*           A: Validamos el Titulo del Screen.
*              Agregamos Fecha de Grabacion y Usuario
*              Tenemos en cuenta la fecha de Corte para calculo
*           B: Agregamos Valid en pernom
*           C: Corregimos base y corregimos intereses sobre Cesantia
*           d: Ajustamos nombre de Ventana
*           e: Agregamos suma de Comisiones para las cesantias
*          03: V 4. Agregamos validacion empleado.hrsmes
_nomprg = 'anti01'

SET PROC TO LOCKS
DO  INICIAL
STORE CHR(13) TO c13
men_cod = 'Codigo del Trabajador'
men_vlr = 'Valor solicitado x el trabajador'
men_fec = 'Fecha de Corte para el calculo'+c13+;
          'del valor Autorizado.(AAAAMMDD)'
men_per = 'Digite el Periodo de nomina en que'+c13+;
          'se debe realizar el desembolso'
men_est = "Estado de la Solicitud"+c13+;
          " A: Activa"+c13+;
          " P: Procesada "+c13+;
          " R: Retirada"

IF !FILE('SOLIANTI.DBF')
   _tab = FULLPATH('NMACUM.DBF')
   _tab = STRTRAN(_tab,'NMACUM','SOLIANTI')
   CREATE TABLE (_TAB) (codemp C(8), numcnt C(2), ;
          ultbas N(9),  fecort C(8), vlrsol N(9), ;
          vlraut N(9),  baselq N(9), pernom C(6), ;
          consec C(8),  estado C(1), vlrint N(9))
   INDEX ON codemp+numcnt+pernom TAG llave1
ENDIF

STORE .F. TO _varios_cnt
STORE 0   TO _max_permit, wbase

IF ABRIR('usuarios',0)
   wtip_cia = tipo_cia
ELSE
   wtip_cia ='T'
ENDIF

IF wtip_cia #'C'
   w_titulo = 'SOLICITUD ANTICIPO CESANTIAS'
ELSE
   w_titulo = 'SOLICITUD ANTICIPO COMPENSACIONES ANUALES'
ENDIF


*       *********************************************************
*       *                                                         
*       *         ANTI01/Windows Distribucin de pantalla         
*       *                                                         
*       *********************************************************
*

#REGION 1
IF WVISIBLE("w_anti01")
	ACTIVATE WINDOW w_anti01 SAME
ELSE
	ACTIVATE WINDOW w_anti01 NOSHOW
ENDIF
@ 0.000,0.000 TO 3.538,96.000 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(,,,0,0,128)
@ 0.077,83.400 SAY "ANTI01.03" ;
	FONT "Arial", 8 ;
	STYLE "T" ;
	COLOR RGB(255,255,255,,,,)
@ 17.769,16.600 TO 20.384,79.400 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 20.308,16.600 TO 20.308,79.400 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 17.769,79.200 TO 20.384,79.200 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 5.077,5.800 SAY "Codigo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 6.769,6.000 SAY "F-Inicio:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.385,50.600 SAY "Vlr Solicit:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 12.923,61.400 SAY "Vlr Aprobado:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.308,1.800 SAY "F Corte:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.308,26.200 SAY "Per.Nomina:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.385,80.800 SAY "Estado:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 5.077,26.600 SAY "-" ;
	FONT "Courier New", 8 ;
	STYLE "BT"
@ 6.692,30.200 SAY "Ret. Prog:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 8.538,5.800 SAY "Negocio:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 6.692,55.600 SAY "Basico Mes:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 12.923,2.000 SAY "C. Aos Ant:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 10.615,1.000 TO 16.000,94.800 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 15.923,1.000 TO 15.923,94.800 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 10.692,94.600 TO 16.000,94.600 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 14.538,66.600 SAY "IntCes:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 12.923,32.400 SAY "Anticipos:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 1.154,16.200 GET w_titulo ;
	SIZE 1.000,52.667 ;
	DEFAULT " " ;
	FONT "Arial", 10 ;
	STYLE "B" ;
	PICTURE "@KI" ;
	WHEN .F. ;
	COLOR ,RGB(255,255,0,0,0,128)
@ 5.077,17.800 GET wcod ;
	SIZE 1.000,8.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID v_cod() ;
	COLOR ,RGB(,,,0,255,255)
@ 5.077,31.400 GET wcnt ;
	SIZE 1.000,2.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!" ;
	WHEN _varios_cnt ;
	COLOR ,RGB(,,,0,255,255)
@ 5.077,39.400 GET wnom ;
	SIZE 1.000,33.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 6.692,17.600 GET wini ;
	SIZE 1.000,8.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K XXXXXXXX" ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 6.692,42.800 GET wret ;
	SIZE 1.000,8.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K XXXXXXXX" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 6.692,70.400 GET wbas ;
	SIZE 1.000,11.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K$ 99,999,999" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 8.538,17.600 GET wnit ;
	SIZE 1.000,11.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K XXXXXXXXXX" ;
	WHEN .f. ;
	COLOR ,RGB(,,,255,255,255)
@ 8.538,36.200 GET wraz ;
	SIZE 1.000,36.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 11.308,12.200 GET wfec ;
	SIZE 1.000,8.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99999999" ;
	VALID _enable() AND (wsol=0 OR v_aut()) ;
	COLOR ,RGB(,,,255,255,255)
@ 11.308,41.000 GET wper ;
	SIZE 1.000,6.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!!!!" ;
	VALID v_per() ;
	MESSAGE _mens(men_per) ;
	COLOR ,RGB(,,,0,255,255)
@ 11.308,62.600 GET wsol ;
	SIZE 1.000,12.143 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K$ 99,999,999" ;
	VALID v_aut() ;
	MESSAGE _mens('Digite el Valor Solicitado') ;
	COLOR ,RGB(,,,0,255,255)
@ 11.385,90.800 GET west ;
	SIZE 1.000,0.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !" ;
	WHEN west $ "AR " ;
	VALID west $ "APR" AND _enable() ;
	MESSAGE _mens(men_est) ;
	COLOR ,RGB(,,,0,255,255)
@ 12.923,17.200 GET wsdo ;
	SIZE 1.000,10.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 999,999,999" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 12.923,44.800 GET wanti ;
	SIZE 1.000,10.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 999,999,999" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 12.923,77.800 GET wapr ;
	SIZE 1.000,10.286 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K$ 99,999,999" ;
	VALID _enable() ;
	MESSAGE _mens('Max Permitido:'+ALLTR( TRAN(_max_permit,'999,999,999'))) ;
	COLOR ,RGB(,,,0,255,255)
@ 14.538,77.800 GET wint ;
	SIZE 1.000,10.286 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K$ 99,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Max Permitido:'+ALLTR( TRAN(_max_permit,'999,999,999'))) ;
	COLOR ,RGB(,,,255,255,255)
@ 18.231,20.800 GET wsal ;
	PICTURE "@*HN \\\<Grabar;\\\<Retirar;\<Salir" ;
	SIZE 1.769,14.167,1.333 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _3ds0lah2v()

IF NOT WVISIBLE("w_anti01")
	ACTIVATE WINDOW w_anti01
ENDIF

READ CYCLE MODAL

RELEASE WINDOW w_anti01
SELECT (m.currarea)


#REGION 0

SET READBORDER &rborder

IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF



*       *********************************************************
*       *                                                         
*       *  ANTI01/Windows Procedimientos y funciones de soporte   
*       *                                                         
*       *********************************************************
*

#REGION 1
PROCEDURE _grabar
IF ABRIR('solianti',1)
   IF !SEEK(wcod+wcnt+wper)
      APPEND BLANK
      REPLACE codemp WITH wcod, ;
              numcnt WITH wcnt, ;
              ultbas WITH wbas, ;
              vlrsol WITH wsol, ;
              vlraut WITH wapr, ;
              pernom WITH wper, ;
              fecort WITH wfec, ;
              estado WITH west, ;
              baselq WITH wbase
      REPLACE vlrint WITH wint
      REPLACE f_grab WITH DATE(), ;
              h_grab WITH TIME(), ;
              dg     WITH _wuser
   ELSE
      DO WHILE codemp+numcnt+pernom = wcod+wcnt+wper
         IF estado$'Aa'
            EXIT
         ENDIF
         SKIP
      ENDDO
      IF codemp+numcnt+pernom = wcod+wcnt+wper AND ;
         estado $ 'aA'
         REPLACE ultbas WITH wbas, ;
                 vlrsol WITH wsol, ;
                 vlraut WITH wapr, ;
                 estado WITH west, ;
                 fecort WITH wfec, ;
                 baselq WITH wbase
         REPLACE vlrint WITH wint
         REPLACE f_grab WITH DATE(), ;
                 h_grab WITH TIME(), ;
                 dg     WITH _wuser
      ELSE

         APPEND BLANK
         REPLACE codemp WITH wcod, ;
                 numcnt WITH wcnt, ;
                 ultbas WITH wbas, ;
                 vlrsol WITH wsol, ;
                 vlraut WITH wapr, ;
                 pernom WITH wper, ;
                 estado WITH west, ;
                 fecort WITH wfec, ;
                 baselq WITH wbase
         REPLACE vlrint WITH wint
         REPLACE f_grab WITH DATE(), ;
                 h_grab WITH TIME(), ;
                 dg     WITH _wuser
      ENDIF
   ENDIF
ENDIF
RETURN
******

FUNCTION v_cod
wcod = ALLTRIM(wcod)
STORE ' ' TO wcnt, wini, wret, wnit, wraz, wfec
STORE  0  TO wbas, wcant, whra, wsdo,wint,wanti
STORE .F. TO _varios_cnt

kpos = AT('*',wcod)

IF kpos > 0

   kini = LEFT(wcod,kpos-1)
   knom = SUBS(wcod,kpos+1,7)

   SELECT nitemple AS cod, ncontrato AS cnt, nombre, ;
          fecing, estado AS est, nitempre AS neg ;
     FROM empleado ;
    WHERE (EMPTY(kini) OR nitempre=kini ) ;
      AND (EMPTY(knom) OR nombre = knom ) ;
      AND estado $ "aA" ;
     INTO CURSOR q_cnt ;
    ORDER BY nombre, nitemple, fecing

   DO DEF_WIND WITH '10','Maestro de Vinculaciones Activas'
   ON KEY LABEL PGDN
   ON KEY LABEL ENTER KEYBOARD '{CTRL+W}' PLAIN
   BROWSE NOMO WINDOW consult10
   ON KEY LABEL ENTER

   IF LASTKEY() # 27
      wcod = cod
      wcnt = cnt
      wini = fecing
   ELSE
      STORE ' ' TO wcod,wcnt
   ENDIF
ELSE
   kpos = AT('/',wcod)
   IF kpos > 0
      kini = LEFT(wcod,kpos-1)
      SELECT * FROM solianti ;
       WHERE codemp=kini ;
        INTO CURSOR q1 ;
       ORDER BY codemp,numcnt,pernom

      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      BROWSE NORMAL FREE codemp
      ON KEY LABEL ENTER

      IF LASTKEY()#27
         wcod = codemp
         wcnt = numcnt
         wper = pernom
      ELSE
         wcod = SPACE(8)
      ENDIF
   ENDIF
ENDIF

IF !EMPTY(wcod)
   wnom = TRAE_NOM(wcod)
   IF ABRIR('empleado',6) AND SEEK(wcod)
      SET FUNCTION 9 TO wcod
      DO WHILE !EOF() AND nitemple = wcod
         IF estado $ 'Aa'
            IF EMPTY(wcnt)
               wcnt = ncontrato
               wini = fecing
               wnit = nitempre
               whra = hrapag
               wfec = fec_up2
               wsdo = sdoprovces
               whrs = IIF(TYPE("hrsmes")="N", hrsmes,TD7("empresas",1,nitempre,"hrsmes"))
            ENDIF
            wcant= wcant+1
         ENDIF
         SKIP
      ENDDO

      _varios_cnt = (wcant > 1)

      IF !EMPTY(wnit)
         wret = TRAE_FEC_SP(wcod,wcnt)
         wraz = TRAE_RAZ(wnit)
         wbas = ROUND(whra*whrs,0)
      ENDIF

   ENDIF
ENDIF
RETURN _enable()
******

FUNCTION v_cnt
IF !EMPTY(wcnt)
   * buscar consulta
   IF ABRIR('empleado',6) AND SEEK(wcod+wcnt) AND estado $ "aA"
      DO carg_datos
   ENDIF
ELSE
   STORE ' ' TO wcnt, wini, wret, wnit, wraz, wfec
   STORE  0  TO wbas, wcant, whra, whrs
ENDIF

RETURN .T.
******

PROCEDURE carg_datos
wcnt = ncontrato
wini = fecing
wnit = nitempre
whra = hrapag
wfec = fec_up2
wsdo = sdoprovces
whrs = IIF(TYPE("hrsmes")="N", hrsmes, TD7("empresas",1,nitempre,"hrsmes"))
IF !EMPTY(wnit)
   wret = TRAE_FEC_SP(wcod,wcnt)
   wraz = TRAE_RAZ(wnit)
*  whrs = TRAE_DATO('empresas',1,wnit,'hrsmes')
   wbas = ROUND(whra*whrs,0)
ENDIF
IF !EMPTY(wper) AND ABRIR('nmperiod',1) AND ;
   SEEK(wcod+wcnt+wper)
   wbas = ultbas
   wsol = vlrsol
   wapr = vlraut
   west = estado
   wint = vlrint
ENDIF
RETURN
******

PROCEDURE close_data
=_close('solianti','selpr001','empleado')
=_close('empresas','tabgen00','nmacum')
RETURN
******

FUNCTION v_aut
STORE 0 TO wapr,_max_permit, wint

_dtr = DIFDIAS(wfec,MAX(LEFT(wfec,4)+'0101',wini))+1

IF ABRIR('concepto',1) AND ;
   ABRIR('nmacum',2) AND SEEK(wcod+wcnt)

   SET RELATION TO codcon INTO concepto
   SUM IIF(concepto.indcesa='S',valor,000000000) ,  ;
       IIF(ALLTRIM(concepto.codcon02)$"BASICO,VACLEG,INCAPAC",valor,000000000), ;
       IIF(ALLTRIM(concepto.codcon02)$"EXTRAS,SUBTRAN,PRIMASBONI",valor,000000000), ;
       IIF(ALLTRIM(concepto.codcon02)$"OTROSCOMIS",valor,000000000), ;
       IIF(concepto.codcon02="CESANTIAS",valor,000000000), ;
       IIF(concepto.codcon02="INTERESES",valor,000000000) ;
    TO wbase_tot, wbase_bas,wbase_ext, wbase_com, wanti, winte ;
       WHILE codemp+contrato = wcod+wcnt ;
       FOR ano =  LEFT(wfec,4) AND ;
           fecha2 <= wfec

   wcla =    trae_dato('empresas',1,wnit,'clase')
   IF wcla $ 'O,V'
      kfev = TRAE_DATO('empleado',6,wcod+wcnt,'fecvigus')
      kvig = STOD(wfec)-kfev
      IF kvig >= 90
         wbase = wbas*_dtr/30 + wbase_ext + wbase_com
      ELSE
         wbase = wbase_tot
      ENDIF
   ELSE
      wbase = wbase_tot
   ENDIF

   _max_permit = ROUND(wbase/12,0)-wanti+wsdo
   wapr = MIN(wsol,_max_permit)

   * int Cesantias
   _int_ces = (wapr-wsdo)*0.12*(_dtr/360)
   wint     = MAX(_int_ces,0)

ENDIF
RETURN _enable()
******

FUNCTION v_per
wper1 = TRAE_DATO('empleado',6,wcod+wcnt,'formpago')
IF ABRIR('nmperiod',1)
   IF AT('*',wper)>0 OR !SEEK(wper)
      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      ON KEY LABEL PGDN
      BROWSE NORMAL NOMO FREE cod_per ;
         FOR est_per='A' AND pag_per = wper1
      ON KEY LABEL ENTER

      IF LASTKEY()#27
         wper = cod_per
      ENDIF
   ELSE
      IF AT('/',wper)>0 OR !SEEK(wper)
         ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
         ON KEY LABEL PGDN
         BROWSE NORMAL NOMO FREE pernom NODE NOAP ;
            KEY wcod+wcnt FIELD pernom,estado, ultbas, ;
                vlrsol, vlraut, fecort, dg, f_grab, h_grab
         ON KEY LABEL ENTER

         IF LASTKEY()#27
            wper = pernom
         ENDIF
      ENDIF
   ENDIF

   IF ABRIR('solianti',1) AND ;
      SEEK(wcod+wcnt+wper) AND ;
      estado $ "a,A"
      wsol = vlrsol
      wapr = vlraut
   ENDIF

ELSE
   STORE ' ' TO wper
ENDIF
SHOW GET wper
RETURN _enable()
******

FUNCTION _enable
ON KEY LABEL PGDN
IF !EMPTY(wini) AND !EMPTY(wcod) AND ;
   !EMPTY(wcnt) AND !EMPTY(wapr) AND ;
   west $ "AR"  AND wapr <= wsol AND ;
   wapr <= _max_permit

   IF ABRIR('nmperiod',1) AND SEEK(wper) AND est_per='A'
      SHOW GET wsal,1 ENABLE
   ELSE
      SHOW GET wsal,1 DISABLE
   ENDIF

   ON KEY LABEL PGDN DO obj_sal
   IF ABRIR('SOLIANTI',1) AND ;
      SEEK(wcod+wcnt+wper) AND estado$"aA"
      SHOW GET wsal,2 ENABLE
   ELSE
      SHOW GET wsal,2 DISABLE
   ENDIF
ELSE
   SHOW GET wsal,1 DISABLE
   SHOW GET wsal,2 DISABLE
ENDIF
SHOW GETS WINDOW w_anti01
RETURN .T.
******


*       *********************************************************
*       *                                                         
*       * _3DS0LAH2V           wsal VALID                         
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         ANTI01,     Record Number:   41    
*       * Variable:            wsal                               
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      1                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _3ds0lah2v     &&  wsal VALID
#REGION 1
ON KEY LABEL ENTER
ON KEY LABEL PGDN
ON KEY LABEL ESC

DO CASE
   CASE wsal = 1
        SHOW GET wsal,1 DISABLE
        SHOW GET wsal,2 DISABLE
        DO _grabar
   CASE wsal = 2
        SHOW GET wsal,2 DISABLE
        DO _retirar
   CASE wsal = 3
        CLEAR READ
ENDCASE
RETURN
******