* PROGRAM AUDIAUTOM
* 2011.06.08  00, CREACION SCRIPT DE AUDITORIA

SET PROCEDURE TO LOCKS
DO INICIAL

CLOSE TABLES
_hoy = DATE()

*SET STEP ON 
* 1. Auditoria de Contratos Anuales
SELECT nitempre AS codNego, ;
       nitemple AS codTrab, ;
       ncontrato AS cnt, nombre, ;
       clacont, fecing, codage, fecret, ;
       trae_Fec_sp(nitemple,ncontrato) AS ret_prog, ; 
       estado, ccosto, hrapag, fec_up2, especial, ;
       ROUND(hrapag*hrsmes,0) AS basico, fec_grabac ;
  FROM empleado ;
 WHERE estado $"A,a" ;
  INTO CURSOR q1
  
SELECT TD7("empresas",1, codNego,"razon") AS nom_nego,;
       q1.*, traecedu(codtrab) AS cc_ti, ;
       GREATEST(STOD(fecret),STOD(ret_prog),_hoy) - STOD(fecing)+1 AS antiguedad ;
  FROM q1 ;
  INTO CURSOR q2 
  
_mail = "gpinilla@7colombia.com;soporte1@7colombia.com;mrodriguez@staffing.com.co;lrivera@staffing.com.co"

SELECT antiguedad, codnego, nom_nego, cc_ti, nombre,;
       codtrab, cnt, fecing, fecret, ;
       ret_prog, estado, ccosto, basico, ;
       especial, STOD(fec_up2) AS nom_cub, ;
       DECODE(clacont,"O","ObraL","I","Indef","F","T.Fijo",clacont) AS clacont ;
  FROM q2 ;
 WHERE antiguedad >=300 ;
  INTO CURSOR q1 ORDER BY 1,2,3,4,7        

IF RECCOUNT("Q1")> 0
   SELECT q1
   warc1 =[Auditoria_Antiguedad]

   COPY TO (warc1) TYPE XL5
   warc1 = warc1 + [.xls]

*   _mail = "gpinilla@7colombia.com"
   * Enviamos Correo
   IF FILE(warc1)
      warc1 = FULLPATH(warc1)
      DO email WITH _mail,"7-Audi: Antiguedad Trabajadores",'Adjunto archivo Auditoria de antiguedad ',warc1
      DELETE FILE (warc1)
      *SELECT mailbox
      *APPEND BLANK
      *REPLACE nom WITH _nomb, dir WITH _mail
   ENDIF
ENDIF

* 2. Liquidaciones Tardias
SELECT codnego, nom_nego, cc_ti, nombre,;
       codtrab, cnt, fecing, ret_prog, ;
       estado, ccosto, basico, antiguedad,;
       especial, STOD(fec_up2) AS nom_cub ;
  FROM q2 ;
 WHERE !EMPTY(ret_prog) AND ;
       DATE()-STOD(ret_prog) > 1 ;
  INTO CURSOR q1 ORDER BY 1,2,3,6        

IF RECCOUNT("Q1")> 0
   SELECT q1
   warc1 =[Auditoria_TiempoLiquidacion]

   COPY TO (warc1) TYPE XL5
   warc1 = warc1 + [.xls]

   *_mail = "gpinilla@7colombia.com"
   * Enviamos Correo
   IF FILE(warc1)
      warc1 = FULLPATH(warc1)
      DO email WITH _mail,"7-Audi: Oportunidad Liq-Contrato",'Adjunto archivo Auditoria de Retiros ',warc1
      DELETE FILE (warc1)
      *SELECT mailbox
      *APPEND BLANK
      *REPLACE nom WITH _nomb, dir WITH _mail
   ENDIF
ENDIF

* 3. Contratacion Extemporanea
SELECT codnego, nom_nego, cc_ti, nombre,;
       codtrab, cnt, fecing, ret_prog, ;
       estado, ccosto, basico, antiguedad,;
       especial, STOD(fec_up2) AS nom_cub, ;
       fec_grabac ;
  FROM q2 ;
 WHERE !EMPTY(fec_grabac) AND ;
       STOD(fecing)- fec_grabac > 0 ;
  INTO CURSOR q1 ORDER BY 1,2,3,6        

IF RECCOUNT("Q1")> 0
   SELECT q1
   warc1 =[Auditoria_ContratacionExtemporanea]

   COPY TO (warc1) TYPE XL5
   warc1 = warc1 + [.xls]

   _mail = "gpinilla@7colombia.com"
   * Enviamos Correo
   IF FILE(warc1)
      warc1 = FULLPATH(warc1)
      DO email WITH _mail,"7-Audi: Contratacion Extemporanea",'Adjunto archivo Auditoria de contratacion Extemporanea',warc1
      DELETE FILE (warc1)
      *SELECT mailbox
      *APPEND BLANK
      *REPLACE nom WITH _nomb, dir WITH _mail
   ENDIF
ENDIF
