*       *********************************************************
*       *                                                         
*       * 2012.08.21           DATBAS17.PRG              14:15:40 
*       *                                                         
*       *********************************************************
*       *                                                         
*       * Ing Gustavo A. Pinilla C.                               
*       *                                                         
*       * Copyright (c) 2012 SIE7E Ltda.                          
*       * Cel 310.421.2741                                        
*       * Cali, Valle  76001                                         
*       * Colombia                                          
*       *                                                         
*       * Description:                                            
*       * Este programa lo ha generado automticamente GENSCRN.    
*       *                                                         
*       *********************************************************

PARAMETERS _acceso

*       *********************************************************
*       *                                                         
*       *  DATBAS17/Windows Cdigo de configuracin - SECCION 1   
*       *                                                         
*       *********************************************************
*

#REGION 1
* _acceso = 1 : Solo CITAS, CARGOS
*           2 : Dctos, Cargos, Estudios, Pruebas, Hist Laboral
*           0 : Todos

* VERSION 02  : Agregamos EPS,AFP
*         02C : Validamos wobs
*           D : Agregamos campos para evaluacion de Desempeo en EMPLEADO
*         03  : Ajustamos el pantallazo de Info de Entrevista.
*         03A : Ajustamos el acceso exclusivo a SE_ESTAD.DBF
*         04  : Creamos Acceso para Control de Capacitaciones.
*           B : Validacion para m.cedula = 'NUMERICO'
*           C : Ejecutamos la entrevista que esta en TABGEN02 (ES,001)
*         05  : Agregamos ruta de acceso a la Foto principal
*           A : 2010.08.03, se accesa Documentos x dctent22.fxp
*               2011.02.21, Se agrega campo requisicion.
*                           Se cambia campo obs x Funciones.
*               SOLUC INMED. TRABAJA CON HISLAB22 EN [Referenciacion]
*           B: 2011.03.06 Se agrega sucpaq, y se pone otravez [] observaciones
*          00: 2011.09.07 Nuevo formato unificado
*          01: 2011.09.14 Se agrega tipo_documento
*           A: 2012.01.27 Se valida tipdoc EN SELPR001
*           B: 2012.06.01 Agregamos conexion a 7-WEB
*            : 2012.08.20 Agregamos datos laborales y datos estudios
IF PARAMETERS() = 0
   _acceso = 0
ENDIF

_nomprg = "datbas17"

SET PROCEDURE TO procedi ADDITIVE

* Tomamos este archivo para validar las funciones de Cedula y unificarlas
IF FILE("datbas82.fxp")
*   SET PROCEDURE TO datbas82 ADDITIVE
ENDIF
DO INICIAL

RELEASE mced
PUBLIC  mced

SET EXCLUSIVE OFF

=_CLOSE('usuarios')
SELECT 0
USE usuarios
IF TYPE('datbas1') = "C" AND !EMPTY(datbas1)
   winstr_Db1 = ALLTRIM(datbas1)
ELSE
   winstr_db1 = ''
ENDIF


RELEASE w_accgrab
w_accgrab = .F.

c13 = CHR(13)
men_cod = "Digite el codigo del Aspirante"+c13+;
          "Con '0' pruede consultar, por"+c13+;
          "Apellido o Nombre"

men_ape = "Apellidos del Aspirante,  Recuerde"+c13+;
          "digitar los 2 primeros Apellidos."

men_nom = "Nombre del Aspirante,  Recuerde"+c13+;
          "digitar los 2 primeros nombres."

men_des = "Descripcion General del tipo de Remision"

men_nac = "Digite el lugar y/o Municipio de Nacimiento"

men_ced = "Digite el numero del documento de Identidad"
men_exp = "Municipio donde se Expide la Identificacion"

men_dbf = "Si este tipo de remision, tiene una"+c13+;
          "clasificacion detallada en otra tabla"+c13+;
          "digite el nombre de la tabla que contiene"+c13+;
          "este detalle."

men_lug = "Digite el codigo de la Ciudad de Residencia"+c13+;
          "Con '*' puede consultar."

men_bar = "Digite el codigo del Barrio de Residencia"+c13+;
          "Con '*' puede consultar."

men_zon = "Digite la Zona de la Residencia"+c13+;
          "Con '*' puede consultar"

men_are = "Seleccione el Area Operativa"

men_lib = "Grado de Libreta Militar"+c13+;
          "0: No tiene"+c13+;
          "1: de 1er Grado"+c13+;
          "2: de 2do Grado"

men_est = "Seleccione el Estado en que queda el Aspirante"

men_psc = "Seleccione esta Casilla si el persona:"+c13+;
          " PPR: Personal propio"+C13+;
          " PSC: Personal Suministrado x cliente"
men_noc = "No Conforme"
men_obs = "Seleccione esta casilla para agregar alguna"+c13+;
          "informacion importante de este candidato"

men_eps = "Codigo de la Eps"
men_afp = "Codigo de la Afp"

men_ped = "Ingrese el numero de requision, * consulta"

men_age = "Seleccione la sucursal o agencia que"+c13+;
          "administra la carpeta del trabajador"+c13+;
          "Con * puede consultar."

men_rem = "Seleccione el Sub Tipo de Remision"+c13+;
          "Con ' * ' puede consultar"

SELECT desrem, codrem ;
  FROM tiprem14 ;
  INTO ARRAY a_tiprem ;
 ORDER BY codrem

SELECT descri ;
  FROM se_areas ;
  INTO ARRAY a_areas ;
 ORDER BY descri

SELECT des, cod ;
  FROM se_estad ;
  INTO ARRAY a_estado ;
 ORDER BY cod

=_CLOSE('se_estad','se_areas','tiprem14')

IF ABRIR("DATBAS01",0)
   SCATTER MEMVAR BLANK
ENDIF

STORE 0 TO westciv, wlibmil
STORE " " TO wdesrem,westado_db,_nom_remi, warea, westado


STORE 0 TO w_carasig, w_conasig, wcedula, wcc_ti
STORE 0 TO w_len_acp, w_len_aco, m.psc

RELEASE   a_carasig, a_conasig,a_estciv, a_distur, a_cita, a_dias
PUBLIC    a_carasig, a_conasig, a_estciv, a_distur
DIMENSION a_carasig[1,3], a_conasig[1,3], a_estciv[5], ;
          a_distur[11], a_dias[7], a_cita[1]

a_dias[1] = "Domingo"
a_dias[2] = "Lunes"
a_dias[3] = "Martes"
a_dias[4] = "Miercoles"
a_dias[5] = "Jueves"
a_dias[6] = "Viernes"
a_dias[7] = "Sabado"

a_cita[1] = ""
a_carasig = ""
a_conasig = ""

m.razdes = " "
westado_db = " "
= DEF_ARRAY(1)   && Carga valores Estado Civil
= DEF_ARRAY(2)  && Carga valores por defecto para Disponib/turnos
IF !FILE('SE_ESTAD.CDX')      && EMPTY(TAG('se_estad',2))
   IF USE_EXC("se_estad",.T.,7)
      DELETE TAG ALL
      INDEX ON cod TAG llave1
      INDEX ON des TAG llave2 ADDITIVE
   ENDIF
ENDIF

IF !FILE('SE_AREAS.CDX') AND ABRIR('SE_AREAS',0)
   INDEX ON codigo TAG llave1
   INDEX ON descri TAG llave2 ADDITIVE
ENDIF

IF ABRIR('TABGEN02',1) AND SEEK([ES]+[001])
   wc_prg_entr = ALLTRIM(nomprg)
   IF !EMPTY(prmprg)
      wc_prg_entr = wc_prg_entr + [ WITH ]+ALLTRIM(prmprg)
   ENDIF

ELSE
   wc_prg_entr =[]
ENDIF
=_CLOSE('se_estad','se_areas','tiprem14','tabgen02')

STORE .F. TO _det_remi

IF _wuser = "SUP"
   SHOW GET wparm_db,1 ENABLE
ENDIF



#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.rborder = SET("READBORDER")
SET READBORDER ON

m.currarea = SELECT()


*       *********************************************************
*       *                                                         
*       *             Windows Definiciones de ventana             
*       *                                                         
*       *********************************************************
*

IF NOT WEXIST("w_datbas") ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.PJX" ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.SCX" ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.MNX" ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.PRG" ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.FRX" ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.QPR"
	DEFINE WINDOW w_datbas ;
		AT  0.000, 0.000  ;
		SIZE 33.929,117.143 ;
		TITLE "Sie7e" ;
		FONT "Courier New", 8 ;
		FLOAT ;
		NOCLOSE ;
		NOMINIMIZE ;
		SYSTEM ;
		COLOR RGB(,,,192,192,192)
	MOVE WINDOW w_datbas CENTER
ENDIF


*       *********************************************************
*       *                                                         
*       *        DATBAS17/Windows Distribucin de pantalla        
*       *                                                         
*       *********************************************************
*

#REGION 1
IF WVISIBLE("w_datbas")
	ACTIVATE WINDOW w_datbas SAME
ELSE
	ACTIVATE WINDOW w_datbas NOSHOW
ENDIF
@ 0.000,0.429 TO 3.143,117.143 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(,,,0,0,128)
@ 1.143,43.000 SAY "Registro de Hoja de Vida" ;
	FONT "MS Sans Serif", 10 ;
	STYLE "BT" ;
	COLOR RGB(255,255,0,,,,)
@ 0.214,105.429 SAY "DATBAS17.01b" ;
	FONT "Arial", 8 ;
	STYLE "T" ;
	COLOR RGB(255,255,255,,,,)
@ 28.571,23.286 TO 28.571,90.143 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(128,128,128,128,128,128)
@ 32.000,23.286 TO 32.000,90.143 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 28.571,90.000 TO 32.071,90.000 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 28.571,23.143 TO 32.071,23.143 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,128,128,128)
@ 6.357,40.714 SAY "Fec.Nmto:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.429,52.143 SAY "Sexo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,255,255,255)
@ 9.571,2.429 SAY "Telef.:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 23.643,34.143 TO 23.643,82.857 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 20.857,82.857 TO 23.714,82.857 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 20.786,34.143 TO 20.786,82.857 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(128,128,128,128,128,128)
@ 20.786,34.000 TO 23.643,34.000 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,128,128,128)
@ 7.929,2.143 SAY "Resid.:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.643,60.143 SAY "E-Civ:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 25.429,1.714 SAY "Aprobado:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 8.000,69.143 SAY "Direcc:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 4.714,2.000 SAY "Doc Id:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 6.357,105.286 SAY "Edad:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,255,255,255)
@ 6.429,11.571 SAY "Lug.Exped:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 6.429,60.714 SAY "en" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "T"
@ 3.500,27.429 SAY " ------------- Apellidos -------------" ;
	FONT "Arial", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,192,192,192)
@ 3.500,69.429 SAY "--------------- Nombres ----------------" ;
	FONT "Arial", 8 ;
	STYLE "BT"
@ 11.643,96.429 SAY "Asp.Sal:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,255,255,255)
@ 27.286,99.571 SAY "Radicado" ;
	FONT "Arial Narrow", 8 ;
	STYLE "BT"
@ 28.357,97.143 TO 28.357,108.857 ;
	PEN 1, 8 ;
	STYLE "1"
@ 3.500,104.143 SAY "--Codigo Int--" ;
	FONT "Arial", 8 ;
	STYLE "BT"
@ 6.357,0.571 SAY "TipoDoc:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.429,1.857 SAY "E-mail.:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 14.357,1.000 SAY "NivEdu.:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 14.357,39.429 SAY "Pos Viajar:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 14.357,22.143 SAY "Trab Actual:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 14.357,55.286 SAY "T_desemp:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,255,255,255)
@ 15.929,58.000 SAY "Motivo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,255,255,255)
@ 13.929,54.571 TO 17.215,114.000 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 25.357,40.857 SAY "Futuras Vacantes:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 25.357,20.143 SAY "Entrevista Jefe:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 25.286,79.286 SAY "Inhabilitado:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 25.357,62.571 SAY "A contratar:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 18.714,50.000 SAY "Desplazado:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 18.714,23.857 SAY "Cabeza Hogar:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 4.643,8.857 GET m.cc_ti ;
	SIZE 1.000,11.286 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN w_ccti() ;
	VALID v_ccti() ;
	MESSAGE _mens(men_ced) ;
	COLOR ,RGB(,,,0,255,255)
@ 4.643,21.571 GET wape1 ;
	SIZE 1.000,17.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID _enable() ;
	MESSAGE _mens("Ingrese primer Apellido") ;
	COLOR ,RGB(,,,0,255,255)
@ 4.643,40.857 GET wape2 ;
	SIZE 1.000,21.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	MESSAGE _mens(men_nom) ;
	COLOR ,RGB(,,,255,255,255)
@ 4.643,63.429 GET wnom1 ;
	SIZE 1.000,17.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID _enable() ;
	MESSAGE _mens(men_ape) ;
	COLOR ,RGB(,,,0,255,255)
@ 4.643,82.714 GET wnom2 ;
	SIZE 1.000,20.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	MESSAGE _mens(men_nom) ;
	COLOR ,RGB(,,,255,255,255)
@ 4.643,105.571 GET m.cedula ;
	SIZE 1.000,8.143 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@KL 99999999" ;
	WHEN .F. ;
	VALID v_cod2() ;
	MESSAGE _mens(men_cod) ;
	COLOR ,RGB(,,,0,255,255)
@ 6.286,8.857 GET m.tipced ;
	SIZE 1.000,1.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !" ;
	WHEN w_tced() ;
	VALID v_tced() ;
	COLOR ,RGB(0,0,0,0,255,255)
@ 6.357,21.571 GET m.expced ;
	SIZE 1.000,17.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	MESSAGE _mens(men_exp) ;
	COLOR ,RGB(,,,255,255,255)
@ 6.357,49.429 GET m.fecnac ;
	SIZE 1.000,10.286 ;
	DEFAULT {  /  /  } ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9999.99.99" ;
	WHEN w_nac() ;
	VALID v_fnac() ;
	COLOR ,RGB(0,0,0,0,255,255)
@ 6.357,63.429 GET m.lugnac ;
	SIZE 1.000,39.714 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!T" ;
	MESSAGE _mens(men_nac) ;
	COLOR ,RGB(,,,255,255,255)
@ 6.357,110.714 GET wedad ;
	SIZE 1.000,3.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "99" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 7.929,8.857 GET m.ciures ;
	SIZE 1.000,5.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!!!" ;
	VALID v_lug() ;
	MESSAGE _mens(men_lug) ;
	COLOR ,RGB(,,,0,255,255)
@ 7.929,15.000 GET wdeslug ;
	SIZE 1.000,24.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 7.929,41.000 GET m.barrio ;
	SIZE 1.000,3.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!!" ;
	VALID v_bar() ;
	MESSAGE _MENS(men_bar) ;
	COLOR ,RGB(,,,0,255,255)
@ 7.929,46.000 GET wdesbar ;
	SIZE 1.000,22.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 7.929,76.714 GET m.direcc ;
	SIZE 1.000,37.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID _enable() ;
	COLOR ,RGB(,,,255,255,255)
@ 9.571,8.857 GET m.telefo ;
	SIZE 1.000,36.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID _enable() ;
	COLOR ,RGB(,,,0,255,255)
@ 9.571,46.143 GET m.telefo2 ;
	SIZE 1.000,41.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID _enable() ;
	COLOR ,RGB(,,,255,255,255)
@ 9.571,89.000 GET m.celular ;
	SIZE 1.000,24.714 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID _enable() ;
	COLOR ,RGB(,,,255,255,255)
@ 11.429,8.857 GET m.email ;
	SIZE 1.000,42.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID _enable() ;
	COLOR ,RGB(0,0,0,255,255,255)
@ 11.429,57.143 GET m.sexo ;
	SIZE 1.000,1.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !" ;
	VALID m.sexo $ "MF " AND _enable() ;
	COLOR ,RGB(0,0,0,0,255,255)
@ 11.357,64.857 GET westciv ;
	PICTURE "@^" ;
	FROM a_estciv ;
	SIZE 1.538,17.400 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 11.429,79.286 GET m.tiene_carr ;
	PICTURE "@*C Carro" ;
	SIZE 1.308,9.500 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID _enable() ;
	MESSAGE _mens('Posee Carro ?')
@ 11.429,87.857 GET m.tiene_moto ;
	PICTURE "@*C Moto" ;
	SIZE 1.308,9.167 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID _enable() ;
	MESSAGE _MENS('Posee Moto?')
@ 11.643,103.429 GET m.aspsal ;
	SIZE 1.000,10.143 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "99,999,999" ;
	VALID _enable() ;
	MESSAGE _mens('Aspiracion Salarial, en miles de Pesos') ;
	COLOR ,RGB(,,,255,255,255)
@ 14.071,8.429 GET m.est_nivel ;
	PICTURE "@^ BACHILLER;PREGRAGO;POSGRADO;TECNICO;TECNOLOGICO" ;
	SIZE 1.538,17.400 ;
	DEFAULT "BACHILLER" ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 14.071,32.714 GET m.trabaja_ac ;
	PICTURE "@^ SI;NO" ;
	SIZE 1.538,7.400 ;
	DEFAULT "SI" ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 14.071,48.429 GET m.pos_viajar ;
	PICTURE "@^ SI;NO" ;
	SIZE 1.538,7.400 ;
	DEFAULT "SI" ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 14.286,65.143 GET m.t_desemple ;
	SIZE 1.000,47.571 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID _enable() ;
	COLOR ,RGB(0,0,0,255,255,255)
@ 15.857,65.286 GET m.m_desemple ;
	SIZE 1.000,47.571 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID _enable() ;
	COLOR ,RGB(0,0,0,255,255,255)
@ 18.429,37.714 GET m.pasa_entre ;
	PICTURE "@^ SI;NO" ;
	SIZE 1.538,7.400 ;
	DEFAULT "SI" ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 18.429,63.286 GET m.fut_vacant ;
	PICTURE "@^ SI;NO" ;
	SIZE 1.538,7.400 ;
	DEFAULT "SI" ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 18.500,73.714 GET wcontactos ;
	PICTURE "@*C \\Concepto Psicologico" ;
	SIZE 1.308,25.000 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_obs1() ;
	MESSAGE _mens("Seleccione esta casilla para agregar CONTACTOS de este Candidato")
@ 21.286,37.143 GET wbot2 ;
	PICTURE "@*HN \\\<Cargos;\\\<Estudios;\\\<Hist Laboral" ;
	SIZE 1.769,15.500,1.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _3ku0ukelc()
@ 25.000,89.429 GET m.inhabilita ;
	PICTURE "@^ SI;NO" ;
	SIZE 1.538,7.400 ;
	DEFAULT "NO" ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 25.071,33.429 GET m.pasa_entre ;
	PICTURE "@^ SI;NO" ;
	SIZE 1.538,7.400 ;
	DEFAULT "SI" ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 25.071,55.857 GET m.fut_vacant ;
	PICTURE "@^ SI;NO" ;
	SIZE 1.538,7.400 ;
	DEFAULT "SI" ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 25.071,72.714 GET m.a_contrata ;
	PICTURE "@^ SI;NO" ;
	SIZE 1.538,7.400 ;
	DEFAULT "SI" ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 25.071,96.857 GET wobs ;
	PICTURE "@*C \\\<Obs Adicionales" ;
	SIZE 1.308,20.833 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_obs() ;
	MESSAGE _mens(men_obs)
@ 25.143,10.714 GET westado ;
	PICTURE "@^" ;
	FROM a_estado ;
	SIZE 1.538,11.200 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	VALID v_est() ;
	MESSAGE _mens(men_est) ;
	COLOR ,,,,,,,,RGB(,,,0,255,255),RGB(,,,0,255,255)
@ 28.786,97.429 GET m.fechar ;
	SIZE 1.000,11.000 ;
	DEFAULT {  /  /  } ;
	FONT "Courier New", 8 ;
	PICTURE "@KD 9999.99.99" ;
	WHEN .f.
@ 29.500,25.429 GET wsal ;
	PICTURE "@*HN \\\<Grabar;\\\<Borrar;\\\<Limpiar;\<Salir" ;
	SIZE 1.769,13.167,1.000 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _3ku0ukeli()
@ 29.500,74.143 GET wparam_db ;
	PICTURE "@*HN \\\<Parametros" ;
	SIZE 1.769,15.667,0.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID v_par()
@ 30.214,97.429 GET m.horara ;
	SIZE 1.000,11.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@KI" ;
	WHEN .F.
@ 31.571,97.571 GET m.dig ;
	SIZE 1.000,11.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@KI" ;
	WHEN .F.

IF NOT WVISIBLE("w_datbas")
	ACTIVATE WINDOW w_datbas
ENDIF

READ CYCLE MODAL

RELEASE WINDOW w_datbas
SELECT (m.currarea)


#REGION 0

SET READBORDER &rborder

IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF


*       *********************************************************
*       *                                                         
*       *           DATBAS17/Windows Cdigo de limpieza           
*       *                                                         
*       *********************************************************
*

#REGION 1
ON KEY LABEL PGDN
ON KEY LABEL ESC
RETURN
******




*       *********************************************************
*       *                                                         
*       * DATBAS17/Windows Procedimientos y funciones de soporte  
*       *                                                         
*       *********************************************************
*

#REGION 1
PROCEDURE _grabar
IF m.cc_ti # 0 AND ABRIR("datbas01",1)

   m.nombre = ALLTRIM(wnom1)+[ ]+IIF(EMPTY(wnom2),'-',ALLTRIM(wnom2))
   m.apelli = ALLTRIM(wape1)+[ ]+IIF(EMPTY(wape2),'-',ALLTRIM(wape2))
   m.fechar = DATE()   &&IIF(EMPTY(m.fechar),DATE(),m.fechar)
   m.horara = TIME()   &&IIF(EMPTY(m.fechar),TIME(),m.horara)
   m.dig    = _Wuser   &&IIF(EMPTY(m.dig),_wuser,m.dig)

   m.estado = westado_db
   *RELEASE m.tiprem, m.codrem

   IF !SEEK(m.cedula)
      APPEND BLANK
      _men = "Registro Creado"
   ELSE

      ** Validamos por si tienen el mismo codigo
      IF cc_ti # m.cc_ti AND ALLTRIM(nombre) # ALLTRIM(m.nombre) AND ;
         ALLTRIM(apelli) # ALLTRIM(m.apelli)
         GO BOTT
         m.cedula = cedula + 1
         APPEND BLANK
         REPLACE cedula WITH m.cedula
      ENDIF

      _men = "Registro Modificado"

   ENDIF

   GATHER MEMVAR
   WAIT WINDOW _men NOWAIT
   w_accgrab = .T.         && Activo que se grab el Registro


   SET PROC TO PROCEDI
   IF USED("q_cgopos")
      DO act_carpos WITH m.cedula
   ENDIF
   IF USED("q_conpos")
      DO act_conpos WITH m.cedula
   ENDIF
   SET PROC TO LOCKS

   IF _enable() AND FILE('selpr001.dbf') AND ABRIR("SELPR001",1)
      IF TYPE("m.cedula")="N"
         wnitemple = NTOC(m.cedula,8,0)
      ELSE
         wnitemple = NTOC(VAL(m.cedula),8,0)
      ENDIF
      IF !SEEK(wnitemple)
         APPEND BLANK
         REPLACE nitemple WITH wnitemple
      ENDIF
      REPLACE nombre    WITH ALLTRIM(m.apelli)+" "+ALLTRIM(m.nombre)
      REPLACE cc_ti     WITH m.cc_ti
      REPLACE telefono  WITH m.telefo
      REPLACE direccion WITH m.direcc
      REPLACE fecnaci   WITH DTOS(m.fecnac)
      REPLACE barrio    WITH wdesbar
      REPLACE municipio WITH wdeslug
      REPLACE ESTADO    WITH IIF(m.inhabilita = "SI","I","A")
      IF !EMPTY(m.codeps) AND codeps # m.codeps
         mced = nitemple
         DO GRABPROC WITH  "ActEPS "+codeps+'-->'+m.codeps,'A'
         REPLACE codeps WITH m.codeps
      ENDIF
      IF !EMPTY(m.codafp) AND codafp # m.codafp
         mced = nitemple
         DO GRABPROC WITH  "ActAFP "+codafp+'-->'+m.codafp,'A'
         REPLACE codafp WITH m.codafp
      ENDIF

      IF TYPE("tipdoc")="C"
         DO CASE
            CASE LEN(tipdoc)=1
                 REPLACE tipdoc WITH m.tipced
            CASE LEN(tipdoc)>2
                 REPLACE tipdoc WITH DECODE(m.tipced,"C","CC","T","TI","E","CE","CC")
         ENDCASE
      ENDIF
   ENDIF

   SHOW GET wsal,1 DISABLE
   SHOW GET wsal,2 DISABLE

ENDIF
RETURN
******

PROCEDURE _borrar
IF ABRIR("datbas01",1) AND SEEK(m.cedula)
   IF ABRIR("carpos05",1) AND !SEEK(m.cedula)
      SELECT datbas01
      IF SEEK(m.cedula)
         DELETE NEXT 1
         WAIT WINDOW "Registro Borrado!" NOWAIT
      ENDIF
   ELSE
      _men =  "Retire los cargos Posibles,"+c13+;
              "que ya se le asignaron."
      =_mens(_men)

   ENDIF
   SHOW GET wsal,2 DISABLE
ENDIF
RETURN
******

PROCEDURE _limpiar
USE DATBAS01 ORDER 0 IN 0 ALIAS db7 AGAIN NOUPDATE

SCATTER MEMVAR MEMO BLANK
USE IN db7
STORE 0 TO westciv, wlibmil
STORE " " TO wdesrem,westado_db,_nom_remi, warea, westado
STORE " " TO wape1, wape2, wnom1, wnom2

wsex = " "
wobs = 0
wcontactos = 0

wdeseps = " "
wdesafp = " "
wdeslug = " "
wdesbar = " "
westciv = 1
wlibmil = 0
wnoc    = 0
wnoc1   = " "
wdessuc = " "

warea   = "  "
westado_db = m.estado
westado = "   "
wdesrem = " "

STORE 0 TO w_carasig, w_conasig, wcedula, wcc_ti
STORE 0 TO w_len_acp, w_len_aco, m.psc

RELEASE   a_carasig, a_conasig, a_cita
PUBLIC    a_carasig, a_conasig, a_cita
DIMENSION a_carasig[1,3], a_conasig[1,3], a_cita[1]

=_CLOSE("q_cgopos","q_cgomae","q_conpos","q_conmae")
SHOW GETS WINDOW w_datbas
RETURN
******

FUNCTION w_cod
*IF ABRIR("datbas01",1)
*   GO BOTT
*   m.cedula = cedula+1
*   SHOW GET m.cedula
*ENDIF
RETURN .T.
******

FUNCTION v_cod
=_CLOSE("q_conpos","q_conmae","q_cgopos","q_cgomae")
IF m.cedula > 0
   =_mens("Buscando Datos....")

   IF ABRIR("DATBAS01",1) AND SEEK(m.cedula)
      SCATTER MEMVAR
      m.telefo = LEFT(ALLTRIM(m.telefo)+SPACE(100),100)
      m.codeps = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codeps')
      m.codafp = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codafp')

   ELSE
      GO BOTT
      IF !EOF()
         SKIP
      ENDIF

      kced = m.cedula
      kced = IIF(TYPE('kced')='C',VAL(kced),kced)

      SCATTER MEMVAR
      m.cedula = kced
      m.telefo = SPACE(100)
      m.codeps = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codeps')
      m.codafp = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codafp')

   ENDIF
   westado_db = m.estado
   DO carga_vars
   WAIT CLEAR
ELSE

   DO CASE
      CASE m.cedula = -1 AND ABRIR("datbas01",1)
           GO TOP
           ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
           BROWSE NOMO NORMAL FREEZE cedula TITLE "Datos Basicos";
                FIELDS cedula : H= "Codigo", ;
                       apelli : H= "Apellidos", ;
                       nombre : H= "Nombres", ;
                       fechar : H= "Radicado"
           ON KEY LABEL ENTER

           IF LASTKEY() # 27
              SCATTER MEMVAR
              m.telefo = LEFT(ALLTRIM(m.telefo)+SPACE(100),100)
              m.codeps = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codeps')
              m.codafp = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codafp')
              westado_db = m.estado
              DO carga_vars
           ELSE
              m.cedula = 0
              SHOW GET m.cedula
           ENDIF

      CASE BETWEEN(m.cedula,-250,-10) AND ;
           MOD(m.cedula,10) = 0
           = ABRIR("DATBAS01",1)
           GO TOP
           ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
           BROWSE NOMO NORMAL FREEZE cedula TITLE "Datos Basicos";
                FIELDS cedula : H= "Codigo", ;
                       apelli : H= "Apellidos", ;
                       nombre : H= "Nombres", ;
                       fechar : H= "Radicado" ;
                KEY -(m.cedula*10000)+1,-(m.cedula*10000)+9999
           ON KEY LABEL ENTER

           IF LASTKEY() # 27
              SCATTER MEMVAR
              m.telefo = LEFT(ALLTRIM(m.telefo)+SPACE(100),100)
              m.codeps = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codeps')
              m.codafp = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codafp')
              westado_db = m.estado
              DO carga_vars
           ELSE
              m.cedula = 0
              SHOW GET m.cedula
           ENDIF


   ENDCASE

ENDIF
RETURN _enable()
******

FUNCTION v_cod2
=_CLOSE("q_conpos","q_conmae","q_cgopos","q_cgomae")
IF m.cedula > 0
   =_mens("Buscando Datos....")

   IF ABRIR("DATBAS01",1) AND SEEK(m.cedula)
      DO WHILE cedula = m.cedula AND !EOF()
         IF cc_ti # m.cc_ti
            =MENSAJE("Error Codigo esta con"+CHR(13)+ "otro ID: "+STR(m.cc_ti,15,0)))
            RETURN .F.
         ENDIF
         SKIP
      ENDDO
   ELSE
      GO BOTT
      IF !EOF()
         SKIP
      ENDIF

      kced = m.cedula
      kced = IIF(TYPE('kced')='C',VAL(kced),kced)

      SCATTER MEMVAR
      m.cedula = kced
      m.telefo = SPACE(100)
      m.codeps = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codeps')
      m.codafp = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codafp')

   ENDIF
   westado_db = m.estado
   DO carga_vars
   WAIT CLEAR
ELSE

   =MENSAJE("Error codigo en CERO !!")
   RETURN .F.

ENDIF
RETURN _enable()
******

FUNCTION v_nom
PARAMETER _llave
_var = IIF(_llave=3,m.apelli,m.nombre)
IF EMPTY(m.cedula) AND !EMPTY(_var) AND ABRIR("datbas01",_llave)

   kape = ALLTRIM(m.apelli)
   knom = ALLTRIM(m.nombre)

   SELECT cedula AS codigo, apelli as apellidos, ;
          nombre AS nombres, cc_ti AS Doc_Ident ;
     FROM datbas01 ;
    WHERE apelli = kape ;
      AND (EMPTY(knom) OR nombre=knom) ;
     INTO CURSOR q_datbas

   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   BROWSE NOMO NORMAL FREEZE codigo TITLE "Datos Basicos"
   ON KEY LABEL ENTER

   IF LASTKEY() # 27
      m.cedula = codigo
      SHOW GET m.cedula
      _CUROBJ = OBJNUM(m.cedula)
      KEYBOARD CHR(13)
   ENDIF
ENDIF
RETURN _enable()
******

FUNCTION v_ccti
set step on

_limpia_vars = .T.
kcc_ti = m.cc_ti
DO _limpiar
m.cc_ti = kcc_ti
SHOW GET m.cc_ti

IF m.cc_ti > 0
IF ABRIR("datbas01",5) AND SEEK(m.cc_ti)

   wcedula = cedula
   SCATTER MEMVAR MEMO
   =_CLOSE("q_conpos","q_cgopos","q_conmae","q_cgomae","ESTUDI30","refere21")
   SET STEP ON
   DO carga_vars

ELSE
   wcc_ti = m.cc_ti

   DO f_codemp

   =_CLOSE("q1_db","Q1_ne","q1_el")
   =_CLOSE("estudi30","refere21")

   _cnx7hv = SQLCONNECT("7Web-Hv","gpinill_dba","Soporte_7")

   IF _cnx7hv > 0
      set step on

      wq_instr = [SELECT * FROM hoja_vida_informacionbasica WHERE numero_documento='&/wcc_ti/&' ]
      wq_instr = STRTRAN(wq_instr,'&/wcc_ti/&',ALLTRIM(STR(wcc_ti,15,0)))

      =_MENS("Buscando en 7-Web")
      IF SQLEXEC(_cnx7hv,wq_instr,'q1_db') > 0 AND RECCOUNT('q1_db') > 0 AND ;
         !EMPTY(q1_db.apellido1) AND !EMPTY(q1_db.nombre2) AND !EMPTY(q1_db.telefono)
         IF MENSAJE("Candidato tiene datos en la Web, desea descargarlos ?")

            m.cc_ti = wcc_ti
            DO _limpiar
            DO cga_vars2

            _limpia_vars =.F.

            * Traemos los otros datos de 7WebHv
            wq_inst2 = [SELECT nivel_educativo AS nivel, titulo, institucion AS establ, fecha AS fecter,]+;
                       [       &/wcodi/& AS cedula, '01' AS tipest]+;
                       [  FROM v7_hojavida_estudios]+;
                       [ WHERE documento='&/wcc_ti/&']

            wq_inst3 = [SELECT nombre_empresa AS nomref, cargo, fecha_ingreso AS fecing, fecha_salida AS fecret,]+;
                       [       sueldo AS suefin, tp_contrato AS tipcnt, motivo AS motretiro, jefe AS nomjefe,]+;
                       [       telefono_empresa AS telefono, funciones_desemp AS funcio, &/wcodi/& AS cedula ]+;
                       [  FROM v7_hojavida_experiencialaboral]+;
                       [ WHERE documento='&/wcc_ti/&']

            wq_inst2 = STRTRAN(wq_inst2,'&/wcc_ti/&',ALLTRIM(STR(m.cc_ti,15,0)))
            wq_inst2 = STRTRAN(wq_inst2,'&/wcodi/&', ALLTRIM(STR(m.cedula,15,0)))
            wq_inst3 = STRTRAN(wq_inst3,'&/wcc_ti/&',ALLTRIM(STR(m.cc_ti,15,0)))
            wq_inst3 = STRTRAN(wq_inst3,'&/wcodi/&',ALLTRIM(STR(m.cedula,15,0)))

            =_MENS("Buscando en 7-Web..")
            IF SQLEXEC(_cnx7hv,wq_inst2,'q1_ne') > 0
               =_MENS("OK")
               IF _wuser $ "SUP,GAP" AND DATE()<{^2012.09.30}
                  BROWSE NORMAL TITLE "Registros importados "+ALIAS() NOMO
               ENDIF
               IF USED("q1_ne") AND RECCOUNT("q1_ne") > 0  &&Nivel de Educacion o estudios
                  SELECT 0
                  USE estudi30 SHARED AGAIN
                  APPEND FROM DBF("q1_ne")
                  USE IN q1_ne
               ENDIF

            ELSE
               _cliptext = wq_inst2

            ENDIF

            =_MENS("Buscando en 7-Web")
            IF SQLEXEC(_cnx7hv,wq_inst3,'q1_el') > 0

               =_MENS("OK")
               IF _wuser $ "SUP,GAP" AND DATE()<{^2012.09.30}
                  BROWSE NORMAL TITLE "Registros importados "+ALIAS() NOMO
               ENDIF
               IF USED("q1_el") AND RECCOUNT("q1_el") > 0 &&Experiencia Laboral
                  SELECT q1_el.*, RECNO() AS consec ;
                    FROM q1_el ;
                    INTO CURSOR q1_el

                  SELECT 0
                  USE refere21 SHARED AGAIN
                  APPEND FROM DBF("q1_el")
                  USE IN q1_el
               ENDIF
            ELSE
               _cliptext = wq_inst3
            ENDIF

         ENDIF

         =_CLOSE("estudi30","refere21")
         =_CLOSE("q1_db","q1_ne","q1_el")
         _continua = .F.
      ENDIF
   ELSE
      _continua = .T.
   ENDIF


   IF _limpia_vars AND !MENSAJE("Candidato NUEVO"+CHR(13)+"   Continua ?")
         do _limpiar
         CLEAR GETS
         RELEASE WINDOW w_datbas
         CLEAR READ
         RETURN

   ELSE
      IF _limpia_vars
         DO _limpiar
         m.cc_ti = kcc_ti
         wcc_ti  = kcc_ti
         SHOW GET m.cc_ti

         m.telefo2 = "otro telefono de contacto"
         m.celular = 'numero celular'
         m.direcc  = 'direccion del aspirante'
         m.email   = "nombre@email.com"
         m.lugnac  = "lugar de nacimiento"
      ENDIF

         RELEASE   a_carasig, a_conasig
         PUBLIC    a_carasig, a_conasig
         DIMENSION a_carasig[1,3], a_conasig[1,3]
         a_carasig = ''
         a_conasig = ''
         a_citas   = ''

   ENDIF
ENDIF
ENDIF
SHOW GETS WINDOW w_datbas

=_CLOSE("estudi30","refere21","datbas01")
=ABRIR("datbas01",1)

RETURN _enable()
******

PROCEDURE f_codemp
         _consec = TP7("CNF","DatosBasicos","00")

         DO CASE
            CASE VAL(_consec) > 0   && Si existe consecutivo
            wcedula = _consec + 1
            UPDATE para7srh ;
               SET dato   = ALLTRIM(STR(wcedula,15,0)) ;
             WHERE tipo   = [CNF] ;
               AND codigo = [DatosBasicos] ;
               AND secuen = [00]


            CASE ALLTRIM(_consec)="NORMAL8"

                 wcedula = MOD(wcc_ti,10^8)
                 m.cedula = wcedula
                 =ABRIR("selpr001",1)  &&SELECT selpr001
                 SET ORDER TO 1
                 IF !SEEK(NTOC(wcedula,8),"selpr001")
                    SELECT SELPR001
                    APPEND BLANK
                    REPLACE nitemple WITH NTOC(wcedula,LEN(nitemple)), ;
                            cc_ti    WITH wcc_ti
                 ENDIF

            CASE ALLTRIM(_consec)="MAXIMO+1"

                 =_mens("Asignando nuevo codigo ....")
                 STORE " " TO wape1, wape2, wnom1, wnom2
                 SHOW GETS WINDOW w_datbas

                 SELECT MAX(VAL(nitemple)) AS _ultimo ;
                   FROM selpr001 ;
                   INTO CURSOR q1_67

                 wcedula = q1_67._ultimo + 1

                 SELECT selpr001
                 APPEND BLANK
                 REPLACE nitemple WITH NTOC(wcedula,LEN(nitemple)), ;
                         cc_ti    WITH wcc_ti
                 m.cedula = wcedula

            OTHER    && No existe consecutivo grabado (MAXIMO+1)

                 =_mens("Asignando nuevo codigo ....")
                 STORE " " TO wape1, wape2, wnom1, wnom2
                 SHOW GETS WINDOW w_datbas

                 SELECT MAX(VAL(nitemple)) AS _ultimo ;
                   FROM selpr001 ;
                   INTO CURSOR q1_67

                 wcedula = q1_67._ultimo + 1

                 SELECT selpr001
                 APPEND BLANK
                 REPLACE nitemple WITH NTOC(wcedula,LEN(nitemple)), ;
                         cc_ti    WITH wcc_ti
                 m.cedula = wcedula

         ENDCASE
         SHOW GET m.cedula

         =_CLOSE("selpr001","q1_67")

RETURN
******

FUNCTION w_nac
IF EMPTY(m.fecnac)
   m.fecnac = {^1950.12.30}
ENDIF
RETURN .T.
******

FUNCTION v_fnac
IF EMPTY(m.fecnac)
   wedad = 0
ELSE
   wedad = INT(DIFDIAS(DATE(),m.fecnac)/360)
ENDIF
SHOW GET wedad
RETURN _enable()
******

FUNCTION v_tra
=_MENS('Consultando...')
=_CLOSE('q_trayec')
_cod7 = NTOC(m.cedula,8)
_WHI_ = 'nitemple=_cod7'
IF wtra=1 AND FILE('EMPRESAS.DBF') AND ;
   FILE('EMPLEADO.DBF') AND ABRIR('empleado',6) AND ;
   CopyDbfTmp('empleado',6,_cod7,_WHI_,'q_trayec')

   do def_wind WITH '1','Trayectoria Laboral'
   SELECT q_trayec
   ON KEY LABEL PGDN
   ON KEY LABEL ENTER KEYBOARD '{CTRL+W}' PLAIN
   WAIT CLEAR
   IF TYPE("eva_des1")="C"
      BROWSE NOMO FIELD ncontrato:H='Cnt', ;
          fecing :H='Inicio', fecret :H="Retiro", ;
          ret_prog=trae_Fec_sp(nitemple,ncontrato):H="Ret Prog.", ;
          Estado:H="Est", negocio=TRAE_RAZ(nitempre),;
          codage:H="Age", eva_des1:H="Evaluador", ;
          eva_des2:H="Resultado",eva_des3:H="F.Ev.Desemp" ;
          WINDOW consulta
   ELSE
      BROWSE NOMO FIELD ncontrato:H='Cnt', ;
          fecing :H='Inicio', fecret :H="Retiro", ;
          ret_prog=trae_Fec_sp(nitemple,ncontrato):H="Ret Prog.", ;
          Estado:H="Est", negocio=TRAE_RAZ(nitempre),;
          codage:H="Age" WINDOW consulta
   ENDIF
   ON KEY LABEL ENTER
   =_CLOSE('empleado','empresas')

ENDIF
RETURN _enable()
******

FUNCTION v_fte_BORRAR  && BORRAR
IF EMPTY(m.cedula) AND EMPTY(m.apelli) AND ;
   EMPTY(m.nombre) AND !EMPTY(wdesrem)

   m.tiprem = f_tiprem(wdesrem)
   SELECT cedula AS codigo, ;
          apelli AS apellidos, ;
          nombre AS nombres, ;
          cc_ti  AS doc_ident, ;
          fechar AS Radicado ;
     FROM datbas01 ;
    WHERE tiprem = m.tiprem ;
     INTO CURSOR q_dat ;
    ORDER BY apelli,nombre,cedula

   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   BROWSE NORMAL FREEZE codigo TITLE "Datos Basicos"
   ON KEY LABEL ENTER

   IF LASTKEY() # 27
      m.cedula = codigo
      _CUROBJ = OBJNUM(m.cedula)
      KEYBOARD CHR(13)
   ENDIF

ENDIF
RETURN _enable()
******

FUNCTION v_foto
_ruta_arch = TF7("DATBAS01","RUTA_FOTOS",NTOC(m.cedula,8),2)

IF EMPTY(_ruta_arch)
   DO CARG_FOTO
ELSE
   IF !FILE(_ruta_arch)
      DO CARG_FOTO
   ELSE
      DO ver_foto WITH _ruta_arch
   ENDIF
ENDIF

RETURN _enable()
******

PROCEDURE carg_foto
_tab = [DATBAS01]
_cmp = [RUTA_FOTOS]
_llav= NTOC(m.cedula,8)

   IF MENSAJE('DESEA BUSCAR LA FOTO ?')
      _ruta_arch = GETFILE("BMP")

      IF !EMPTY(_ruta_arch) AND FILE(_ruta_arch)
         DO VER_FOTO WITH _ruta_arch
      ENDIF

      IF MENSAJE('GUARDAR LA FOTO EN 7-SRH ?')
         _destino = PUTFILE("Destino",_ruta_arch,'BMP')
         IF !EMPTY(_destino)

            COPY FILE (_ruta_arch) TO (_destino)

            IF ABRIR('flex7srh',1)
               IF !SEEK(_tab + _cmp + _llav)
                  APPEND BLANK
                  REPLACE tabla WITH _tab, campo WITH _cmp, ;
                          llave WITH _llav
               ENDIF
               REPLACE datom WITH ALLTRIM(_ruta_arch)
            ENDIF
         ENDIF
      ENDIF

   ENDIF
RETURN
******

FUNCTION v_lug
wdeslug = divpol(m.ciures)
SHOW GET wdeslug
RETURN v_bar()
******

FUNCTION v_bar
wdesbar = barrio(m.ciures,m.barrio)
SHOW GET wdesbar
RETURN _enable()
******

FUNCTION v_zon
IF AT("*",m.zona) > 0
   SELECT codzona AS cod, deszona AS descr ;
     FROM se_zonas ;
    ORDER BY codzona ;
     INTO CURSOR q_zona

   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   BROWSE NORMAL NOMO FREEZE cod
   ON KEY LABEL ENTER

   IF LASTKEY() # 27
      m.zona = cod
   ENDIF

ENDIF

IF EMPTY(TRAE_DATO("se_zonas",1,m.zona,"deszona"))
   m.zona = " "
   SHOW GET m.zona
ENDIF
RETURN _enable()
******

FUNCTION v_est
m.estado = TRAE_DATO('se_estad',2,ALLTRIM(westado),'cod')
westado_db = m.estado
RETURN _enable()
******

FUNCTION v_obs
STORE MIN(m.numobs,1) TO wobs
_num_obser = m.numobs
DO se_obser WITH m.numobs,"DATBAS01",m.cedula, 1
m.numobs   = _num_obser
SHOW GET m.numobs
SHOW GET wobs
RETURN _enable()
******

FUNCTION v_obs1
STORE MIN(m.obspru5,1) TO wcontacto
_num_obser = m.obspru5
DO se_obser WITH m.obspru5,"DATBAS01",m.cedula, 1
m.obspru5   = _num_obser
SHOW GET m.obspru5
SHOW GET wcontacto
RETURN _enable()
******


FUNCTION v_ped
IF ABRIR('pedido01',1)

   IF '*' $ m.alfabe
      DO DEF_WIND WITH '1', 'Requisiciones'
      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      BROWSE WINDOW consulta ;
       FIELD numsol, fecsol, result, cdempr, ;
             cliente = TRAE_DATO('empres07',1,cdempr,'nombre'), ;
             codcgo, cargo=TRAE_DATO('cargos04',1,codcgo,'descgo'), ;
             f_inic, feclim, codofi, cgocliente=TRAE_DATO('oficio01',1,codofi,'desofi') ;
         KEY m.sucpaq ;
         FOR (fecsol >= DATE()-15) OR UPPER(result)='EN PROCESO'
      ON KEY LABEL ENTER
      IF LASTKEY()#27
         m.alfabe = numsol
      ELSE
         m.alfabe = ' '
      ENDIF
      SHOW GET m.alfabe
   ENDIF

   IF !EMPTY(m.alfabe)
   ENDIF

ENDIF
RETURN _ENABLE()
******

FUNCTION v_noc
wrazdes12 = f_no_conf(m.razdes)
IF EMPTY(wrazdes12)
   wnoc  = 0
   wnoc1 = ' '
ELSE
   m.razdes = wrazdes12
   wnoc     = 1
   wnoc1    = TRAE_DATO('razdes12',1,m.razdes,'desraz')
ENDIF

RETURN _enable()
******

FUNCTION _enable

SHOW GET wobs  DISABLE
SHOW GET wcontactos DISABLE

ON KEY LABEL PGDN
wedad  = IIF(!EMPTY(m.fecnac),INT((DATE()-m.fecnac)/365),0)
wtra = 0

kced = m.cedula
kced = IIF(TYPE('kced')='C',VAL(kced),kced)
m.cedula = kced

IF !EMPTY(m.cedula) AND !EMPTY(wape1) AND !EMPTY(wnom1) AND ;
   FILE('empleado.dbf') AND ABRIR('empleado',6) AND ;
   SEEK(NTOC(m.cedula,8),'empleado')
   SHOW GET wtra ENABLE
ELSE
   SHOW GET wtra DISABLE
ENDIF

IF !EMPTY(m.cedula) AND !EMPTY(wape1) AND !EMPTY(wnom1) AND ;
   !EMPTY(m.telefo) AND !empty(m.sexo) AND !EMPTY(wdeslug) AND ;
   !EMPTY(wdesbar)  AND !EMPTY(westado) AND m.cc_ti # 0 AND ;
   m.tipced $ "CETI"

   m.area   = TRAE_DATO('se_areas',2,PADR(TRIM(warea),15,' '),'codigo')  &&LOOKUP(codigo, warea ,descri)
   m.estciv = SUBST("SCDUV",ASCAN("a_estciv",westciv),1)
   m.libmil = STR(wlibmil,1)
   SHOW GET wedad

   SHOW GET wsal,1  ENABLE
   ON KEY LABEL PGDN DO obj_sal

   IF ABRIR("datbas01",1) AND SEEK(m.cedula,"datbas01")
      m.cedula = datbas01.cedula
      IF !EMPTY(datbas01.apelli) AND !EMPTY(datbas01.nombre) AND ;
         !EMPTY(datbas01.telefo) AND !EMPTY(datbas01.fecnac) AND ;
         !EMPTY(datbas01.sexo)

         SHOW GET wbot2,1 ENABLE
         SHOW GET wbot2,2 ENABLE
         SHOW GET wbot2,3 ENABLE
         SHOW GET wobs    ENABLE
         SHOW GET wcontactos ENABLE

         w_len_acp = alen(a_carasig,1)

      ELSE
         SHOW GET wbot2 DISABLE
      ENDIF

      IF fechar = DATE()
         SHOW GET wsal,2 ENABLE
      ELSE
         SHOW GET wsal,2 DISABLE
      ENDIF

   ELSE
      SHOW GET wsal,2  DISABLE
      SHOW GET wbot2,1 DISABLE
      SHOW GET wbot2,2 DISABLE
      SHOW GET wbot2,3 DISABLE

   ENDIF

ELSE

   SHOW GET wsal,1  DISABLE
   SHOW GET wsal,2  DISABLE

   SHOW GET wbot2,1 DISABLE
   SHOW GET wbot2,2 DISABLE
   SHOW GET wbot2,3 DISABLE
   SHOW GET wbot2,4 DISABLE

ENDIF
SHOW GETS WINDOW w_datbas
RETURN .T.
******

PROCEDURE carga_vars
SET PROC TO LOCKS, PROCEDI
         kpos  = AT(" ",m.apelli)
         wape1 = LEFT(m.apelli,kpos-1)
         wape  = ALLTRIM(SUBSTR(m.apelli,kpos,30))
         wape2 = LEFT(wape,kpos-1)

         kpos  = AT(" ",m.nombre)
         wnom1 = LEFT(m.nombre,kpos-1)
         wnom  = ALLTRIM(SUBSTR(m.nombre,kpos,30))
         wnom2 = wnom

*m.cc_ti = IIF(m.cc_ti=0,m.cedula,m.cc_ti)
wsex = AT(m.sexo,"MF ")
wobs = MIN(m.numobs,1)
wcontactos = MIN(m.obspru5,1)

wdeseps = TRAE_DATO('tabgen00',1,'PS'+m.codeps,'destab')
wdesafp = TRAE_DATO('tabgen00',1,'FP'+m.codafp,'destab')
wdeslug = divpol(m.ciures)
wdesbar = barrio1(m.ciures,m.barrio)
westciv = a_estciv(MAX(AT(m.estciv,"SCDUV"),1))
wlibmil = VAL(m.libmil)
wnoc    = IIF(EMPTY(m.razdes),0,1)
wnoc1   = IIF(wnoc=1,TRAE_DATO("razdes12",1,m.razdes,"desraz"),"")
wdessuc = TD7("TABGEN00",1,"SC"+m.sucpaq,"destab")

IF EMPTY(m.area)
   warea   = "  "
ELSE
   warea   = TRAE_DATO('se_areas',1,TRIM(m.area),'descri')
ENDIF

westado_db = m.estado
IF EMPTY(m.estado)
   westado = "   "
ELSE
   westado = TRAE_DATO('se_estad',1,westado_db,'des')
ENDIF

IF EMPTY(m.tiprem)
   wdesrem = " "
ELSE
   wdesrem = TRAE_DATO('tiprem14',1, m.tiprem,'desrem')
   IF ABRIR('tiprem14',1) AND SEEK(m.tiprem)
      IF !EMPTY(nomdbf) AND FILE(ALLTRIM(nomdbf)+[.dbf])
         _nom_dbf = ALLTRIM(nomdbf)
         STORE .T. TO _det_remi
         =t_desrem(m.tiprem, m.codrem)
      ENDIF
   ENDIF
ENDIF


SELECT b.descgo , a.codcgo , b.divisio;
  FROM carpos05 a ,;
       cargos04 b ;
 WHERE a.codcgo = b.codcgo and a.cedula = m.cedula ;
 ORDER BY 2 ;
  INTO ARRAY a_carasig

IF _TALLY > 0
   w_carasig = 1
   w_len_acp = alen(a_carasig,1)
ELSE
   w_carasig = 0
   w_len_acp = 0
ENDIF

SELECT b.deshab , a.codhab ;
  FROM conpos32 a ,;
       habili28 b ;
 WHERE a.codhab = b.codhab and a.cedula = m.cedula ;
 ORDER BY 2 ;
  INTO ARRAY a_conasig

IF _TALLY > 0
   w_conasig = 1
   w_len_aco = alen(a_conasig,1)
ELSE
   w_conasig = 0
   w_len_aco = 0
ENDIF

DO carga_cita

RETURN
******

PROCEDURE cga_vars2
* Se toman datos de 7WebSrh
wape1 = q1_db.apellido1
wape2 = q1_db.apellido2
wnom1 = q1_db.nombre1
wnom2 = q1_db.nombre2

m.cc_ti  = IIF(m.cc_ti=0,m.cedula,m.cc_ti)

m.sexo   = DECODE(LEFT(UPPER(q1_db.genero),1),'M','M','F','M')
wsex     = AT(m.sexo,"MF ")
m.tipced = DECODE(q1_db.tipo_documento,'CC','C','CE','E','TI','T','NI','N','C')
m.fecnac = q1_db.fecha_nacimiento
wdeslug  = q1_db.ciudad
wdesbar  = q1_db.barrio
m.direcc = q1_db.direccion
m.telefo = q1_db.telefono
m.celular= q1_db.celular
m.email  = q1_db.correo
westciv  = q1_db.estado_civil

m.pos_viajar= q1_db.viaja
m.tiene_carr= q1_db.pasecarro
m.tiene_moto= q1_db.pasemoto

wobs       = 0
wcontactos = 0

wnoc       = 0   &&IIF(EMPTY(m.razdes),0,1)
wnoc1      = " " &&IIF(wnoc=1,TRAE_DATO("razdes12",1,m.razdes,"desraz"),"")

*wdessuc = TD7("TABGEN00",1,"SC"+m.sucpaq,"destab")
*divpol(m.ciures)
*barrio1(m.ciures,m.barrio)
*wdeseps = TRAE_DATO('tabgen00',1,'PS'+m.codeps,'destab')
*wdesafp = TRAE_DATO('tabgen00',1,'FP'+m.codafp,'destab')

SHOW GETS WINDOW w_datbas

RETURN
******

PROCEDURE CLOSE_DATA
=_CLOSE("datbas01","tiprem14","se_areas","cargos04")
=_CLOSE("q_datbas01","carpos05","barrio19","entrev01")
=_CLOSE("refere21","conpos32","habili28","usuarios")
=_CLOSE("tabgen02","tabgen00","divpol06","selpr001")
=_CLOSE("empleado","se_estad","se_areas","se_zonas")
=_CLOSE("tiprem14","estudi30","tipest29","respru17")
=_CLOSE("tippru16","se_observ","observ10","empres07")
=_CLOSE("encped24","rutas","q_est","dctent22","tipdoc27")
=_CLOSE("q_cgopos","q_conpos","q_cgomae","q_conmae","se_citas")
RELEASE a_areas
RELEASE a_tiprem
RETURN
******

FUNCTION f_est1
PARAMETER  _dat
_resx = SPACE(10)
DO CASE
   CASE _dat = 1
        _resx= ' Enviado '
   CASE _dat = 2
        _resx= 'Aceptado '
   CASE _dat = 3
        _resx= 'Rechazado'
ENDCASE
RETURN _resx
******

FUNCTION v_eps
SET PROC TO LOCKS
wdeseps = DESTAB00("PS",m.codeps,.F.)
SHOW GET wdeseps
SET PROC TO PROCEDI
RETURN .T.
******

FUNCTION v_afp
SET PROC TO LOCKS
wdesafp = DESTAB00("FP",m.codafp,.F.)
SHOW GET wdesafp
SET PROC TO PROCEDI
RETURN .T.
******

PROCEDURE ver_otrdb
IF ABRIR('datbas01',1) AND ;
   (cedula=w_cod_dba OR SEEK(w_cod_dba))
   ON KEY LABEL F8 KEYBOARD "{CTRL+W}" PLAIN
   DO DEF_WIND WITH "8","Otros Datos Basicos"
   EDIT WINDOW consult8 FIELD &winstr_db1 NODELETE NEXT 1
   ON KEY LABEL F8
   SCATTER MEMVAR
   m.telefo = LEFT(ALLTRIM(m.telefo)+SPACE(100),100)
   m.codeps = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codeps')
   m.codafp = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codafp')
   SHOW GET wsal,1 DISABLE
ENDIF
RETURN
******

FUNCTION v_age
wdes1 = destab00("SC",m.sucpaq)
IF !EMPTY(wdes1) AND wdes1 # "."
   wdessuc = wdes1
ELSE
   wdessuc = ' '
   m.sucpaq= " "
ENDIF
*DO carga_qcco
RETURN _enable()
******

FUNCTION v_fte

_det_remi = .F.
_nom_remi = []

IF !EMPTY(wdesrem)

   m.tiprem = f_tiprem(wdesrem)

   SELECT * ;
     FROM tiprem14 ;
    WHERE codrem = m.tiprem ;
     INTO CURSOR q_dat

   IF RECC('Q_DAT') > 0
      GO TOP
      _nom_remi = ALLTRIM(nomdbf)
      IF !EMPTY(nomdbf) AND FILE(_nom_remi+[.dbf])
         _det_remi = .T.
      ELSE
         _nom_remi = []
      ENDIF
   ENDIF

ELSE
   m.codrem = SPACE(4)
ENDIF

RETURN _enable()
******

FUNCTION v_codrem
IF EMPTY(_nom_remi) AND !EMPTY(m.tiprem)
   _nom_remi = TD7("tiprem14",1,m.tiprem,[ALLTRIM(nomdbf)])
ENDIF

IF !EMPTY(_nom_remi) AND '*' $ m.codrem
   SELECT codigo, nombre  ;
     FROM (_nom_remi) ;
     INTO CURSOR q_subftes ;
    ORDER BY nombre

   DO DEF_WIND WITH '8','Subfuentes: '+wdesrem
   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   ON KEY LABEL F8  KEYBOARD "{CTRL+W}" PLAIN

   BROWSE NORMAL NOMO FREEZE codigo WINDOW consult8

   ON KEY LABEL ENTER
   ON KEY LABEL F8
   IF LASTKEY()#27
      m.codrem = codigo
      wdesfte  = nombre
   ELSE
      m.codrem = SPACE(4)
      wdesfte  = " "
   ENDIF
ENDIF


=_CLOSE('q1q')
IF !EMPTY(m.codrem) AND ;
   ABRIR(_nom_remi,1,'q1q') AND ;
   !SEEK(m.codrem)
   RETURN .F.
ENDIF
=_CLOSE('q1q')

RETURN _enable()
******

FUNCTION f_tiprem
PARAMETER _des
_area = SELECT()
_tip  = ' '
IF ABRIR('tiprem14',1)
   LOCATE FOR desrem = _des
   IF FOUND()
      _tip = codrem
   ENDIF
ENDIF
SELECT (_area)
RETURN _tip
******

PROCEDURE carga_cita

SELECT c.funcio AS codfun, f.nombre AS nomfun, ;
       DTOC(c.fecita) AS fecita, c.horaci, ;
       IIF(c.asiste=0,'Pen','OK.') AS asist ;
  FROM se_citas c, funacc18 f ;
 WHERE c.funcio = f.cdempl ;
   AND c.cedula = m.cedula ;
  INTO CURSOR q1 ;
 ORDER BY c.fecita DESC

DIMENSION a_cita[1]
STORE SPACE(50) TO a_cita

SELECT ' '+f_dia(q1.fecita)+' | '+q1.fecita+' | '+q1.horaci+' | '+LEFT(q1.nomfun,28)+'|'+q1.asist ;
  FROM q1 ;
  INTO ARRAY a_cita ;
 ORDER BY fecita DESC
SHOW GET wcitas

RETURN
******

FUNCTION f_dia
PARAMETER _fec
_fec = CTOD(_fec)
IF !EMPTY(_fec)
   _dia = a_dias[DOW(_fec)]
ELSE
   _dia = SPACE(3)
ENDIF
RETURN LEFT(_dia,3)
******

PROCEDURE ver_datbas03
SELECT 0
USE DATBAS03 ORDER 1 AGAIN ALIAS qdb03 SHARED
w_cod_dba = NTOC(m.cedula,8)
SET KEY TO w_cod_dba
ON KEY LABEL F5 DO dup_reg18
ON KEY LABEL F8 KEYBOARD "{CTRL+W}" PLAIN
ON KEY LABEL F12 DO add_reg18
BROWSE NORMAL TITLE "Parientes Registrados [F5]:Duplica  [F8]:Grabar y Salir  [F12]: Adic Reg Blanco" ;
       FIELDS tipoparien : H="Tipo Pariente", ;
              nombrepar  :H="Nombre", ;
              sexo :P="!" : V= SEXO$"M F", ;
              fecnac:H="F. Nacmto", ;
              id_par, ;
              telefono
ON KEY LABEL F12
ON KEY LABEL F8
ON KEY LABEL F5
USE IN qdb03
RETURN
******

PROCEDURE dup_reg18
SCATTER MEMVAR
APPEND BLANK
GATHER MEMVAR
REPLACE codigo WITH w_cod_dba
RETURN
******

PROCEDURE add_reg18
APPEND BLANK
REPLACE codigo WITH w_cod_dba
RETURN
******

FUNCTION t_desrem
PARAMETER _tiprem, _codrem
_AREA_ = SELECT()
_dbf14 = TD7("tiprem14",1,_tiprem,"nomdbf")
IF !EMPTY(_dbf14) AND FILE(ALLTRIM(_dbf14)+[.DBF])
  wdesfte = TD7(ALLTRIM(_dbf14),1,_codrem,[nombre])
ELSE
  wdesfte = []
ENDIF
SELECT (_area_)
RETURN _enable()
******

FUNCTION v_param
SELECT 0
USE para7srh ORDER 1 ALIAS tp7 AGAIN SHARED
IF !SEEK("CNF"+"DatosBasicos")
   INSERT INTO para7srh (tipo, codigo, secuen) ;
               VALUES ("CNF","DatosBasicos","00")
ENDIF
SET KEY TO "CNF"+"DatosBasicos"
BROWSE NORMAL TITLE "Conf Datos Basicos"

IF !SEEK("USU"+"TABLA_PARIENTES")
   INSERT INTO para7srh (tipo, codigo, secuen) ;
               VALUES ("USU","TABLA_PARIENTES","01")
ENDIF

SET KEY TO [USU]
BROWSE NORMAL FOR codigo =[TABLA_PARIENTES] OR codigo=[OTROS_DATBASICO] ;
       TITLE "Otros datos"

RETURN _enable()
******

FUNCTION v_citas
DO se_citas
RETURN _enable()
******

FUNCTION w_tced
IF EMPTY(m.tipced)
   m.tipced = "C"
   SHOW GET m.tipced
ENDIF
=_mens("C: Cedula"+CHR(13)+"T: Tarj Id"+CHR(13)+"E: Ced Extranj" )
RETURN _enable()
******

FUNCTION v_tced
IF "*" $ m.tipced
   CREATE CURSOR consulta (Cod C(1), Descrip C(30))
   INSERT INTO consulta (cod, descrip) VALUES ("C","Cedula Ciudadania")
   INSERT INTO consulta (cod, descrip) VALUES ("T","Tarjeta Identidad")
   INSERT INTO consulta (cod, descrip) VALUES ("C","Cedula Extranjeria")
   DO DEF_WIND WITH "8","Tipos de Documentos"

   ON KEY LABEL F8 KEYBOARD "{CTRL+W}" PLAIN
   BROWSE WINDOW consult8
   ON KEY LABEL F8

   IF LASTKEY()#27
      m.tipced=tipced
   ELSE
      m.tipced = " "
   ENDIF

ENDIF
RETURN _enable()
******

FUNCTION barrio1
PARAMETER m_ciures,m_barrio
wc_nombarrio=TRAE_DATO("BARRIO19",1,m_ciures+m_barrio,[nombre])
RETURN wc_nombarrio

FUNCTION w_ccti
IF _wuser $"SUP,A01,GAP"
   SHOW GET wparam_db,1 ENABLE
ENDIF
RETURN .T.
******

FUNCTION v_par
SELECT 0
USE para7srh ORDER 1 ALIAS tp7_ AGAIN
IF !SEEK("CNF"+"DatosBasicos")
   INSERT INTO TP7_ (tipo,codigo,secuen,dato) ;
             VALUES ("CNF","DatosBasicos","00","NORMAL8")
ENDIF
BROWSE NORMAL KEY "CNF"+"DatosBasicos"
USE IN tp7_
RETURN .T.
******

*       *********************************************************
*       *                                                         
*       * _3KU0UKELC           wbot2 VALID                        
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         DATBAS17,     Record Number:   77  
*       * Variable:            wbot2                              
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      1                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _3ku0ukelc     &&  wbot2 VALID
#REGION 1
w_div_acp = m.area
w_cod_dba = m.cedula
w_nom_dba = m.nombre
w_ape_dba = m.apelli
w_est_dba = m.estado
w_cod = NTOC(m.cedula,8)
SET FUNCTION 9 TO w_cod

SET PROCEDURE TO LOCKS, procedi

DO CASE

   CASE wbot2 = 1
        sw_updcop  = v_carpos(m.cedula)

   CASE wbot2 = 2
        IF USED("q1_ne") AND RECCOUNT("q1_ne") > 0
           USE estudi30
           APPEND FROM DBF("q1_ne")
           USE IN q1_ne
        ENDIF
        DO estudi03 WITH w_cod_dba

   CASE wbot2 = 3
        IF USED("q1_el") AND RECCOUNT("q1_el") > 0
           USE refere21
           APPEND FROM DBF("q1_el")
           USE IN q1_el
        ENDIF
        DO hislab22 WITH w_cod_dba

   CASE wbot2 = 4
*        =car_pos("CRUD",m.cedula)
        sw_updcop  = v_carpos(m.cedula)

ENDCASE

m.cedula = w_cod_dba
m.nombre = w_nom_dba
m.apelli = w_ape_dba
m.estado = w_est_dba
m.area   = w_div_acp
RETURN v_lug() AND v_bar()
******



*       *********************************************************
*       *                                                         
*       * _3KU0UKELI           wsal VALID                         
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         DATBAS17,     Record Number:   85  
*       * Variable:            wsal                               
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      2                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _3ku0ukeli     &&  wsal VALID
#REGION 1
set procedure to locks

ON KEY LABEL PGDN
SHOW GET wsal,wsal DISABLE
DO CASE

   CASE wsal = 1
*       SET STEP ON
        SHOW GET wsal,2 DISABLE
        DO _grabar
        SET FUNCTION 9 TO ALLTRIM(STR(m.cedula,12,0))
        SHOW GET wsal,3 ENABLE

   CASE wsal = 2
        DO _borrar

   CASE wsal = 3
        DO _limpiar

   CASE wsal = 4
        _men= "No ha grabado los datos BASICOS."+CHR(13)+;
              "           Desea Salir ?"
        IF w_accgrab
           CLEAR READ
        ELSE
           IF Mensaje(_men)
              CLEAR READ
           ENDIF
        ENDIF
ENDCASE
RETURN
