*       *********************************************************
*       *                                                         
*       * 2012.01.19           SELCO100.PRG              17:53:32 
*       *                                                         
*       *********************************************************
*       *                                                         
*       * Ing Gustavo A. Pinilla C.                               
*       *                                                         
*       * Copyright (c) 2012 SIE7E Ltda.                          
*       * Cel 310.421.2741                                        
*       * Cali, Valle  76001                                         
*       * Colombia                                          
*       *                                                         
*       * Description:                                            
*       * Este programa lo ha generado automticamente GENSCRN.    
*       *                                                         
*       *********************************************************

PARAMETERS _codage, _codct, _diascnt, _cntadic, _tippag,_mansec,_modi_cgo,_gr_db, _cambia_arp

*       *********************************************************
*       *                                                         
*       *  SELCO100/Windows Cdigo de configuracin - SECCION 1   
*       *                                                         
*       *********************************************************
*

#REGION 1

_PARS = PARAMETER()
SET PROC TO LOCKS
DO  INICIAL
IF _wuser = 'SUP'
   DO DEF_WIND WITH '17','Def de Variables'
   ACTIVATE WINDOW consult17
   ? _codage
   ? _codct
   ? _diascnt
   ? _cntadic
   ? _tippag
   ? _mansec
   ? _modi_cgo
   ? _gr_db
   ? _cambia_arp
   = _mens('Variables del parametro ...',.T.,30)
   DEACTIVATE WINDOW consult17
ENDIF

IF _PARS=0
   STORE .T.      TO _codage,_codct,_cntadic
   STORE (365*10) TO _diascnt
ELSE
   IF TYPE('_diascnt')#'N'
      _diascnt = (365*10)
   ENDIF
ENDIF

SET COLOR TO
* --------------------------------------------------------------------------
* Version 01: Se agrega Fecha de Corte limite para control de
*             contratos a termino Fijo.
*             Agregamos descripcion de Caja y Agencia
*         02: Se registran conceptos para Contratos Destajos
*         03: Activamos consulta de Tray Laboral x campo FECING.
*             Llenamos fechas de Contratos Adicionales FECING,FHASTA
*             Se deshabilita el control dias de grabacion con wpermiso=0
*         04: Limitamos los cargos posibles a los determinados en el
*             Maestro de oficios (Oficio01.DBF)
*           A: Errores en Consulta por Cargos
*           B: errores en Grab tipo pago prestaciones
*           C: Validamos cursor de Maestro de centros de costos
*           D: Cambios SELECT en Oficios por Error en SQL agregado
*           E: Valimos negocios INACTIVOS que no los tome
*         05: Activamos parametros para determinar campos obligatorios
*           B: Error Sintaxis
*           C: Consecutivos Automaticos de m.seccion
*         06: Activamos ageccosto del Centro del Costos del negocio
*         06A: Agregamos captura del Fdo Cesantias
*         06B: Quitamos automatico inicial de SECCION y lo ponemos al GRABAR
*         06C: Quitamos link a DATBAS81.PRG  y agregamos link a BD-Sel Externa
*         06D: Retomamos control rango Salario, cantidad Trabajadores x Cgo
*         06E: Validamos min garantizado = 0
*           F: Corregimos acceso al indicador de Transporte
*           G: Validamos los tipos y clases de contrato creados en tabgen11
*           H: Incluimos nivel Educativo
*           I: Validacion para evitar doble grabacion del mismo contrato
*           J: Agregamos campo para asociar contrato del cliente concliente
*           K: Arreglamos skip en Val de Fecini
*           L: Agregaoms proc REV_PEDIDO
*           P: Se agrega grabac obs1 y campos flexibles. Se cambia wsal->wsal7vi
*           Q: Se define en para7srh, el indicador general para el subtran
*              y en flex7srh el indicador sugerido de subtran x negocio
*           R: Agregamos control x seccion en flex7srh x codage
*         07 : 2010.11.15 Agregamos funcion para insertar contrato en otro sistema
*              selco100_adic.fxp
*           a: incluimos wdivisor --> empleado.hrsmes
*              2011.03.28 Validamos consulta de Vinc Activas, tome empleado.hrsmes
*              2011.04.08 Dejamos parametrizable la ejecucion del datbas81
*           b: 2011.05.24 Agregamos parametro de Caja x Agencia
*              2011.05.28 [x] Parametros
*              2011.06.24 m.niveledu --> Obligatorio
*           c: 2011.09.22 Se bloquea la modif del Cargo x Parametro de Entrada
*                         _gr_db
*              2011.09.30 Se redefine la function destab00
*              2011.11.02 Correccion valores de destab00, validaciones de campos obligatorios
*           d: 2012.01.17 Se agrega limite de contratos activos tp7([CNT],'CantLim_Act',"01","0")
* --------------------------------------------------------------------------
* _codage : Obligatorio pedir m.codage
* _codct  : Obligatorio pedir m.
* _diascnt: Dias del Contrato para fecha Hasta.
* _cntadic: Autorizado para grabar Contratos Adicionales
* _tippag : Autorizado para pedir tipo de PAgo
* _mansec : Contrato manual, no automatico x 7*SRH
* _modi_cgo : Contrl de modif Descripcion del Cargo
* _gr_db  : obligatorio invoca datbas81.prg
_nomprg = "selco100"
C13     = CHR(13)

SET PROC TO LOCKS
DO INICIAL

wuser  = getlogin()

STORE .T. TO _cnt_manual, _pide_stran
STORE .F. TO _tarif_hra,  _pide_mgara, w_accgrab,_preactivo, wflex

STORE " " TO m.patronal, wprgm, m.conbasico, m.ncontrato,_gene_stran, w_CanLimAc
STORE "N" TO m.tipcont
STORE "O" TO m.clacont
STORE  0  TO wvlrmin, wvlrmax
STORE "0" TO m.indret

xconsec  = IIF(ABRIR("usuarios",0),usuarios.consec,'XX')
IF F7_VERSION()>={^2012.01.01}
   _gene_stran = TP7([CNT],'IND_SUBTRAN',xconsec,"L")
   w_datbas81  = TP7([CNT],'EJEC_DATBAS',"01","DATBAS82.FXP")
   w_CanLimAc  = TP7([CNT],'CantLim_Activos',"01","0")
ELSE
   _gene_stran = TP7([CNT],'IND_SUBTRAN',xconsec)
   w_datbas81  = TP7([CNT],'EJEC_DATBAS',"01")
   w_CanLimAc  = TP7([CNT],'CantLim_Activos',"01")
ENDIF

wsalmin  = IIF(ABRIR("ncontrol",0),salmin,0)
wpermiso = IIF(ABRIR("usuarios",0),usuarios.audi_d01,7)
wconh100 = IIF(ABRIR("usuarios",0),usuarios.conh100,'01')
wnitcia  = IIF(ABRIR("usuarios",0),usuarios.nit,'XX')
wprg     = IIF(TYPE("PRGCNT")="C" AND ;
               !EMPTY(PRGCNT),usuarios.prgcnt,"")
wvlrmin  = wsalmin*wvlrmin
wvlrmax  = wsalmin*wvlrmax

men_cod = "Digite el codigo del Trabajador"+C13+;
          "Consulte con:  'COD*APELLIDO' "

men_nmb = "Rectifique el Nombre del Trabajador"

men_ped = "Seleccione el numero del pedido"+c13+;
          "Consulte pedidos Activos con: *"

men_tip = " -Tipo Vinculacion- "+c13+;
          " N: Normal"+c13+;
          " P: Promedio"+c13+;
          " A: Adicional"+c13+;
          " : Medio Tiempo"+c13+;
          " M: Medio Tiempo"+c13+;
          " D: Destajo"

men_cla = " -Clase de Vinculacion- "+c13+;
          " I: Indefinido"+c13+;
          " F: Termino Fijo"+c13+;
          " O: Obra o Labor"+c13+;
          " C: Contrato Civil"+c13+;
          " A: Conv de Asociacion"
men_nit = "Codigo del Negocio"

men_ini = "Fecha de Inicial  de Vinculacion"+c13+;
          "Rango  : "+DTOC(DATE()-wpermiso)+" / "+DTOC(DATE()+wpermiso)

men_cat = "Categoria Seg Social:"+c13+;
          " 0: Normal    97: No aporta a Salud"+c13+;
          "99: No Aporta 98: No Aporta a Pens."

men_cat1= "Categoria Seg Social:"+c13+;
          " 0: Normal "+c13+;
          "98: No aporta a Pension"

men_ofi = "Digite el Codigo del Oficio"+c13+;
          "Consulta con: '*'"

men_of2 = "Descripcion del Oficio Abreviado"

men_cco = "Centro de Costos donde trabaja"+c13+;
          "Consulta  con  '*'"

men_ccli = 'Ingrese o consulte el contrato del Cliente'

men_con = 'Digite el concepto de Pago para Basico'
men_has = 'Fecha limite para esta Vinculacion'
men_bas = "Salario a pagar"
men_bas1= "Salario a pagar"
men_div = "Divisor para calculo de hora"
men_hra = "Valor de la hora de Cobro"
men_atr = "-- Derecho  al Transporte --"+c13+;
          "S: Siempre, N:Nunca, L:Legal"

men_tpp = "Tipo de pago"
men_int = "Integral (S/N)"
men_ret = "Retencion en la Fuente"+c13+;
          " 0: Lo calcula el Sist"+c13+;
          " 1: Un valor Fijo"+c13+;
          " 2: Un Porc del Deveng"+c13+;
          " 3: No aplica"

men_rtv = "Valor Fijo o Porc a aplicar"
men_per = "Periodicidad Pago:"+c13+;
          " S: Semanal"+c13+;
          " D: Decadal"+c13+;
          " C: Catorcena"+c13+;
          " Q: Quincenal"+c13+;
          " K: Quin Venc"+c13+;
          " M: Mensual, etc"

men_lug = "Lugar de Trabajo"+c13+;
          "Consulta: '*' "
men_arp = "Sucursal de Arp"+c13+;
          "Consulta: '*' "

men_eps = "Codigo de Eps"+c13+;
          "Consulta: '*'"
men_afp = "Codigo de Afp"+c13+;
          "Consulta: '*'"
men_ces = "Codigo de Fondo de Cesantias"+c13+;
          "Consulta: '*'"
men_adi = "Porcentaje de Pension Adicional"+c13+;
          "por trabajo de Alto Riesgo."
men_bco = "Codigo del Banco o Corp"+c13+;
          "donde se le consigna al"+c13+;
          "Trabajador."
men_cta = "Numero de Cuenta del Trabajador."
men_Age = "Codigo Agencia o sede"+C13+;
          "responsable del Trab."

men_gar = "Valor Minimo de Devengo"+c13+;
          "Garantizado Mensual."

men_res = "Lugar de Residencia"+c13+;
          "Consulta: '*'"
men_dir = "Direccion de la Residencia"
men_tel = "Telefono de Residencia"

men_secc= "Numero preimpreso del Documento"
men_cual= "Seleccione el tipo de Documento"+c13+;
          "para el contrato"

men_ced = "Digite el Numero de Identificacion"+c13+;
          "del Trabajador"

men_caj = "Digite el Codigo de la Caja Compensacion"+c13+;
          "Con * puede consultar"

men_mot = "Seleccione el Motivo de la Labor"+c13+;
          "Con '*' puede consultar "


STORE ' '  TO _clacont, _tipcont
IF ABRIR('tabgen11',1)
   IF SEEK('CC')
      _clacont = ''
      DO WHILE !EOF() AND tiptab='CC'
         IF codtab#'0'
            _clacont = _clacont+codtab
         ENDIF
         SKIP
      ENDDO
   ENDIF

   IF SEEK('TC')
      _tipcont = ''
      DO WHILE !EOF() AND tiptab='TC'
         IF codtab#'0'
            _tipcont = _tipcont+codtab
         ENDIF
         SKIP
      ENDDO
   ENDIF

ENDIF

SET FUNCTION 4 TO DTOS(DATE())

IF ABRIR("empleado",0)
   wlenseccion = LEN(seccion)
ELSE
   wlenseccion = 6
ENDIF

=_CLOSE("empleado")

IF _wuser$"SUP,GAP,A01,A02"
   SHOW GET wparam ENABLE
ENDIF

IF _gr_db
   IF !EMPTY(w_datbas81) ;
      AND FILE(w_datbas81)
      DO (w_datbas81)
   ELSE
      IF _wuser = "SUP"
         =_MENS("No definido: "+w_datbas81,.t.,2)
      ENDIF
   ENDIF
ELSE
   IF _wuser = "SUP"
      =_MENS("Sin DatBas81",.t.,2)
   ENDIF
ENDIF

=VAL2()  && Verificar el limite de trab-Activos

#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.rborder = SET("READBORDER")
SET READBORDER ON

m.currarea = SELECT()


*       *********************************************************
*       *                                                         
*       *             Windows Definiciones de ventana             
*       *                                                         
*       *********************************************************
*

IF NOT WEXIST("w_selco100") ;
	OR UPPER(WTITLE("W_SELCO100")) == "W_SELCO100.PJX" ;
	OR UPPER(WTITLE("W_SELCO100")) == "W_SELCO100.SCX" ;
	OR UPPER(WTITLE("W_SELCO100")) == "W_SELCO100.MNX" ;
	OR UPPER(WTITLE("W_SELCO100")) == "W_SELCO100.PRG" ;
	OR UPPER(WTITLE("W_SELCO100")) == "W_SELCO100.FRX" ;
	OR UPPER(WTITLE("W_SELCO100")) == "W_SELCO100.QPR"
	DEFINE WINDOW w_selco100 ;
		AT  0.000, 0.000  ;
		SIZE 31.429,75.000 ;
		TITLE "SIE7E" ;
		FONT "Courier New", 8 ;
		STYLE "B" ;
		FLOAT ;
		NOCLOSE ;
		NOMINIMIZE ;
		SYSTEM ;
		COLOR RGB(,,,192,192,192)
	MOVE WINDOW w_selco100 CENTER
ENDIF


*       *********************************************************
*       *                                                         
*       *        SELCO100/Windows Distribucin de pantalla        
*       *                                                         
*       *********************************************************
*

#REGION 1
IF WVISIBLE("w_selco100")
	ACTIVATE WINDOW w_selco100 SAME
ELSE
	ACTIVATE WINDOW w_selco100 NOSHOW
ENDIF
@ 0.000,0.000 TO 2.286,75.000 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(,,,0,0,128)
@ 6.000,65.143 SAY "Tip:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 7.571,1.571 SAY "Negoc.:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 9.286,56.857 SAY "F.Inicio:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 13.929,24.143 SAY "Cat Seg.S:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 10.786,1.571 SAY "Cargo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 27.929,5.429 TO 30.500,69.572 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,0,0,128)
@ 6.000,52.714 SAY "Ped:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 9.214,1.714 SAY "CenCo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 12.214,1.571 SAY "Basico:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 12.214,19.571 SAY "/" ;
	FONT "Courier New", 8 ;
	COLOR RGB(,,,192,192,192)
@ 12.214,28.571 SAY "V/Hr:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 9.214,43.286 SAY "TH:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 13.929,1.857 SAY "Aux T.:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 12.286,69.857 SAY "-" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 13.857,37.714 SAY "Proc RF:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 12.357,44.857 SAY "Period:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 16.857,1.714 SAY "Lugar T:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 16.857,37.714 SAY "CenT:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 18.929,1.571 SAY "Eps:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 18.929,33.286 SAY "Afp:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 15.429,58.429 SAY "Pen Adic:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 20.357,1.571 SAY "Cta:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 12.286,54.714 SAY "Forma de Pago:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 13.929,13.000 SAY "Integral:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 7.571,52.714 SAY "Age:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 21.786,1.571 SAY "Resid.:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 15.429,31.143 SAY "Basico Garantizado:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 20.357,33.429 SAY "Caj:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 0.143,63.000 SAY "SELCO100.07D" ;
	FONT "Arial", 8 ;
	STYLE "I" ;
	COLOR RGB(255,255,255,0,0,128)
@ 0.571,19.429 SAY "VINCULACION DE TRABAJADORES" ;
	FONT "MS Sans Serif", 10 ;
	STYLE "BT" ;
	COLOR RGB(255,255,0,,,,)
@ 30.429,5.429 TO 30.429,69.429 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 27.929,69.429 TO 30.500,69.429 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 2.429,51.286 SAY "Numero Contrato:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 6.071,1.857 SAY "Codigo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 10.786,42.571 SAY "Mot:" ;
	FONT "Courier New", 8 ;
	STYLE "BT"
@ 5.357,1.143 TO 27.143,73.714 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 27.071,1.143 TO 27.071,73.714 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 5.357,73.571 TO 27.071,73.571 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 18.429,1.286 TO 18.429,73.572 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(128,128,128,128,128,128)
@ 18.357,1.286 TO 18.357,73.715 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 15.429,1.714 SAY "F.Term:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 15.500,18.714 SAY "Concepto:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 20.357,59.571 SAY "C:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 20.357,65.429 SAY "NE:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 13.929,58.571 SAY "Cnt:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 23.786,12.000 SAY "Obs:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 23.286,1.143 TO 23.286,73.429 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(128,128,128,128,128,128)
@ 23.214,1.143 TO 23.214,73.572 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 3.929,8.857 GET wcual ;
	PICTURE "@*RHN Codigo;Cedula:" ;
	SIZE 1.308,11.000,1.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	WHEN w_cual() ;
	VALID v_cual() ;
	MESSAGE _mens(men_cual)
@ 6.000,9.000 GET m.nitemple ;
	SIZE 1.000,8.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN wcual=1 ;
	VALID v_cod() ;
	MESSAGE _mens(men_cod) ;
	COLOR ,RGB(,,,0,255,255)
@ 4.071,29.857 GET m.cedula ;
	SIZE 1.000,14.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99999999999" ;
	WHEN wcual=2 ;
	VALID v_ced() ;
	MESSAGE _mens(men_ced) ;
	COLOR ,RGB(,,,255,255,255)
@ 2.429,65.857 GET m.seccion ;
	SIZE 1.000,8.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN w_secc() ;
	VALID v_secc() ;
	MESSAGE _mens(men_secc) ;
	COLOR ,RGB(,,,255,255,255)
@ 6.000,20.429 GET m.nombre ;
	SIZE 1.000,30.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN w_nom() ;
	MESSAGE _mens(men_nmb) ;
	COLOR ,RGB(,,,0,255,255)
@ 6.000,57.000 GET m.pedido ;
	SIZE 1.000,6.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@!K" ;
	WHEN w_ped() ;
	VALID v_ped() ;
	MESSAGE _mens(men_ped) ;
	COLOR ,RGB(,,,255,255,255)
@ 6.000,68.714 GET m.tipcont ;
	SIZE 1.000,1.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID m.tipcont $ _tipcont AND _enable() ;
	MESSAGE _mens(men_tip) ;
	COLOR ,RGB(,,,0,255,255)
@ 6.000,70.857 GET m.clacont ;
	SIZE 1.000,1.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID m.clacont $ _clacont AND _enable() ;
	MESSAGE _mens(men_cla) ;
	COLOR ,RGB(,,,0,255,255)
@ 7.571,9.000 GET m.nitempre ;
	SIZE 1.000,10.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN _cnt_manual ;
	VALID v_nit() ;
	MESSAGE _mens(men_nit) ;
	COLOR ,RGB(,,,0,255,255)
@ 7.571,20.429 GET wraz ;
	SIZE 1.000,30.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 7.571,56.857 GET m.codage ;
	SIZE 1.000,3.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!" ;
	VALID v_Age() AND m.codage # '000' ;
	MESSAGE _mens(men_age) ;
	COLOR ,RGB(,,,0,255,255)
@ 7.571,61.286 GET wcodage ;
	SIZE 1.000,10.714 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 9.214,9.000 GET m.ccosto ;
	SIZE 1.000,8.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN (_cnt_manual OR EMPTY(m.ccosto)) AND USED('q_maecco') ;
	VALID v_cco() ;
	MESSAGE _mens(men_cco) ;
	COLOR ,RGB(,,,255,255,255)
@ 9.214,18.143 GET wdescco ;
	SIZE 1.000,24.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 9.214,46.714 GET m.hracob ;
	SIZE 1.000,8.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "999999.999" ;
	WHEN _tarif_hra ;
	VALID m.hracob > 0 AND m.hracob > m.hrapag ;
	MESSAGE _mens(men_hra) ;
	COLOR ,RGB(,,,255,255,255)
@ 9.214,63.857 GET m.fecing ;
	SIZE 1.000,8.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !9999999" ;
	WHEN _cnt_manual OR EMPTY(m.fecing) OR w_ini() ;
	VALID v_ini() ;
	MESSAGE _mens(men_ini) ;
	COLOR ,RGB(,,,0,255,255)
@ 10.786,9.000 GET m.codofi ;
	SIZE 1.000,6.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN _cnt_manual OR EMPTY(m.codofi) ;
	VALID v_ofi() ;
	MESSAGE _mens(men_ofi) ;
	COLOR ,RGB(,,,255,255,255)
@ 10.786,16.286 GET m.oficio ;
	SIZE 1.000,25.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN !EMPTY(m.codofi) AND _modi_cgo ;
	VALID !EMPTY(m.oficio) ;
	MESSAGE _mens(men_of2) ;
	COLOR ,RGB(,,,0,255,255)
@ 10.786,46.714 GET m.mot_labor ;
	SIZE 1.000,3.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID v_mot() ;
	MESSAGE _mens(men_mot) ;
	COLOR ,RGB(,,,255,255,255)
@ 10.786,51.000 GET wmotlabor ;
	SIZE 1.000,21.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 12.214,9.000 GET wbasico ;
	SIZE 1.000,10.000 ;
	RANGE v_salmenor(), v_salmayor() ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 999,999,999" ;
	WHEN w_bas() ;
	VALID v_hra() ;
	MESSAGE _mens(men_bas) ;
	COLOR ,RGB(,,,0,255,255)
@ 12.214,21.000 GET wdivisor ;
	SIZE 1.000,6.143 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 999.99" ;
	WHEN _cnt_manual AND m.tipcont#'D' ;
	VALID v_hra() ;
	MESSAGE _mens(men_div) ;
	COLOR ,RGB(,,,0,255,255)
@ 12.214,33.429 GET m.hrapag ;
	SIZE 1.000,10.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "999999.999" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 12.214,51.143 GET m.formpago ;
	SIZE 1.000,1.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !" ;
	WHEN (_cnt_manual AND _wuser $"SUP,A01") OR EMPTY(m.formpago) ;
	VALID m.formpago $ "SDCQKMFV" ;
	MESSAGE _mens(men_per) ;
	COLOR ,RGB(,,,0,255,255)
@ 12.286,68.286 GET m.tippag ;
	SIZE 0.929,1.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !" ;
	WHEN w_tpp() ;
	VALID v_tpp() ;
	MESSAGE _mens(men_tpp) ;
	COLOR ,RGB(,,,0,255,255)
@ 12.286,71.143 GET m.tippagpr ;
	SIZE 1.000,0.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !" ;
	WHEN (_cnt_manual AND _tippag AND w_tpp()) OR EMPTY(m.tippagpr) ;
	VALID v_tppr() ;
	MESSAGE _mens(men_tpp) ;
	COLOR ,RGB(,,,0,255,255)
@ 13.857,9.000 GET m.subtran ;
	SIZE 1.071,1.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "!" ;
	WHEN _cnt_manual AND (_pide_stran OR _wuser $"SUP,A01") ;
	VALID m.subtran $ "SNLA" AND _enable() ;
	MESSAGE _mens(men_atr) ;
	COLOR ,RGB(,,,0,255,255)
@ 13.857,21.000 GET m.integral ;
	SIZE 1.000,1.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !" ;
	WHEN wbasico >= wsalmin*13 ;
	VALID m.integral $ "SN" ;
	MESSAGE _mens(men_int) ;
	COLOR ,RGB(,,,255,255,255)
@ 13.857,33.429 GET m.catiss ;
	SIZE 1.000,2.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99" ;
	VALID v_cat() ;
	MESSAGE _mens(men_cat1) ;
	COLOR ,RGB(,,,255,255,255)
@ 13.857,46.000 GET m.indret ;
	SIZE 1.000,1.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9" ;
	VALID m.indret $ "0123" AND _enable() ;
	MESSAGE _mens(men_ret) ;
	COLOR ,RGB(,,,255,255,255)
@ 13.857,48.000 GET m.vlrret ;
	SIZE 1.000,9.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99999999.99" ;
	WHEN m.indret $ "12" ;
	VALID _enable() ;
	MESSAGE _mens(men_rtv) ;
	COLOR ,RGB(,,,255,255,255)
@ 13.857,62.143 GET m.concliente ;
	SIZE 1.000,9.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN FILE('ME_CNTS.DBF') ;
	VALID v_conclie() ;
	MESSAGE _mens(men_CCLI) ;
	COLOR ,RGB(,,,255,255,255)
@ 15.357,48.000 GET m.min_garan ;
	SIZE 1.000,9.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99,999,999" ;
	WHEN _pide_mgara ;
	VALID m.min_garan >=0 ;
	MESSAGE _mens(men_gar) ;
	COLOR ,RGB(,,,255,255,255)
@ 15.429,9.000 GET m.fhasta ;
	SIZE 1.000,8.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID m.fhasta>=m.fecing ;
	MESSAGE _mens(men_has) ;
	COLOR ,RGB(,,,255,255,255)
@ 15.429,28.000 GET m.conbasico ;
	SIZE 1.000,2.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN _cnt_manual AND m.tipcont='D' ;
	MESSAGE _mens(men_con) ;
	COLOR ,RGB(,,,0,255,255)
@ 15.429,66.714 GET m.pens_adic ;
	SIZE 1.000,5.143 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@KZ 99.99" ;
	WHEN TRAE_DATO("TABGEN00",1,"RP"+m.codarp,"VAL(char01)") > 5 ;
	MESSAGE _mens(men_adi) ;
	COLOR ,RGB(,,,255,255,255)
@ 16.857,9.000 GET m.lugtraba ;
	SIZE 1.000,5.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID v_lug() ;
	MESSAGE _mens(men_lug) ;
	COLOR ,RGB(,,,0,255,255)
@ 16.857,15.286 GET wlug ;
	SIZE 1.000,21.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 16.857,43.286 GET m.codarp ;
	SIZE 1.000,3.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN _cambia_arp OR VAL(m.codarp) = 0 ;
	VALID v_arp() ;
	MESSAGE _mens(men_arp) ;
	COLOR ,RGB(,,,0,255,255)
@ 16.857,47.714 GET wcodarp ;
	SIZE 1.000,24.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 18.929,5.429 GET m.codeps ;
	SIZE 1.000,3.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID v_eps()  AND m.codeps#'000' ;
	MESSAGE _mens(men_eps) ;
	COLOR ,RGB(,,,0,255,255)
@ 18.929,9.714 GET weps ;
	SIZE 1.000,22.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 18.929,37.143 GET m.codafp ;
	SIZE 1.000,3.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID v_afp() AND m.codafp # '000' ;
	MESSAGE _mens(men_afp) ;
	COLOR ,RGB(,,,0,255,255)
@ 18.929,41.429 GET wafp ;
	SIZE 1.000,30.714 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 20.357,5.429 GET m.banco ;
	SIZE 1.000,3.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN w_bco() ;
	VALID v_bco() AND m.banco # '000' ;
	MESSAGE _mens(men_bco) ;
	COLOR ,RGB(,,,255,255,255)
@ 20.357,9.714 GET m.cuenta ;
	SIZE 1.000,22.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN !EMPTY(m.banco) ;
	VALID v_cta() ;
	MESSAGE _mens(men_cta) ;
	COLOR ,RGB(,,,255,255,255)
@ 20.357,37.143 GET m.codcaj ;
	SIZE 1.000,3.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID m.codcaj # '000' AND v_caj() ;
	MESSAGE _mens(men_caj) ;
	COLOR ,RGB(,,,0,255,255)
@ 20.357,41.429 GET wcodcaj ;
	SIZE 1.000,17.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 20.357,61.714 GET m.codces ;
	SIZE 1.000,3.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID m.codces # '000' AND v_ces() ;
	MESSAGE _mens(men_ces) ;
	COLOR ,RGB(,,,0,255,255)
@ 20.357,68.714 GET m.niveledu ;
	SIZE 1.000,3.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID v_edu() ;
	MESSAGE _mens("Nivel Educativo") ;
	COLOR ,RGB(,,,0,255,255)
@ 21.786,8.000 GET wres ;
	SIZE 1.000,5.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID v_res() ;
	MESSAGE _mens(men_res) ;
	COLOR ,RGB(,,,0,255,255)
@ 21.786,14.286 GET wdesres ;
	SIZE 1.000,17.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 21.786,32.857 GET wdir ;
	SIZE 1.000,25.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN !EMPTY(wdesres) ;
	MESSAGE _mens(men_dir) ;
	COLOR ,RGB(0,0,0,0,255,255)
@ 21.786,59.857 GET wtel ;
	SIZE 1.000,12.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN !EMPTY(wdesres) ;
	MESSAGE _mens(men_tel) ;
	COLOR ,RGB(,,,255,255,255)
@ 23.714,16.286 EDIT m.obs1 ;
	SIZE 3.000,79.000,0.000 ;
	PICTURE "@K" ;
	DEFAULT " " ;
	FONT "ARIAL", 8 ;
	SCROLL ;
	COLOR ,RGB(,,,255,255,255)
@ 28.429,7.857 GET wsal7vi ;
	PICTURE "@*HN \\\<Grabar;\\\<Conc Fijos;\\\<Prog Retiro;\\\<Mod Adic;\<Salir" ;
	SIZE 1.769,13.000,1.000 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _3ev12cm6e()
@ 25.214,3.000 GET wflex ;
	PICTURE "@*C C.Flexibles" ;
	SIZE 1.308,14.667 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_flex() ;
	DISABLE ;
	MESSAGE _mens("Seleccione esta casilla para ingresar mas datos de la vinculacion")
@ 4.071,46.143 GET mtit0 ;
	SIZE 1.000,31.667 ;
	DEFAULT " " ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	PICTURE "@KTJ" ;
	WHEN .f. ;
	VALID v_ced() ;
	MESSAGE _mens(men_ced) ;
	COLOR ,RGB(,,,192,192,192)
@ 2.571,1.571 GET wparam ;
	PICTURE "@*C Parametros" ;
	SIZE 1.308,15.000 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_param() ;
	DISABLE

IF NOT WVISIBLE("w_selco100")
	ACTIVATE WINDOW w_selco100
ENDIF

READ CYCLE MODAL ;
	VALID v_salir()

RELEASE WINDOW w_selco100
SELECT (m.currarea)


#REGION 0

SET READBORDER &rborder

IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF


*       *********************************************************
*       *                                                         
*       *           SELCO100/Windows Cdigo de limpieza           
*       *                                                         
*       *********************************************************
*

#REGION 1
ON KEY LABEL ENTER
ON KEY LABEL PGDN
ON KEY LABEL ESC
DO CLOSE_DATA
RETURN
******



*       *********************************************************
*       *                                                         
*       * SELCO100/Windows Procedimientos y funciones de soporte  
*       *                                                         
*       *********************************************************
*

#REGION 1
PROCEDURE _grabar

_men_cnt1 = "Esta seguro que desea Registrar"+c13+;
            "       este documento ?"


IF ABRIR("empleado","indemp3") AND ;
   (!w_accgrab OR MENSAJE(_men_cnt1))

   IF m.tipcont='M'
        m.tipcont=CHR(171)
   ENDIF

   wced = m.nitemple
   wnit = m.nitempre
   m.hrsmes = wdivisor
   kcnt = TRAE_DATO("selpr001",1,m.nitemple,"concontr")

   IF SEEK(m.nitemple)
      CALCULATE MAX(VAL(ncontrato)) ;
             TO wcnt WHILE nitemple = m.nitemple
   ELSE
      wcnt = 0
   ENDIF

   * 2010.11.10 : Se ajusta contador por Agencia
   kseccion = TP7("CNT","Consecu_cnt_"+m.codage,"01")
   _contador = .F.

   IF !EMPTY(kseccion)

      m.seccion = NTOC(VAL(kseccion)+1,wlenseccion)
      UPDATE para7srh ;
         SET dato  = m.seccion ;
       WHERE tipo  = "CNT" ;
         AND codigo= "Consecu_cnt_"+m.codage ;
         AND secuen= "01"

      =_CLOSE("para7srh")
      _contador = .T.
      SHOW GET m.seccion

   ENDIF

   IF VAL(m.seccion)=0 OR ;
      VAL(m.seccion)=-1

      I = 1
      SELECT empleado

      *DO WHILE !FLOCK() AND i < 100
      *   I = I + 1
      *   =_mens("Intentando registrar Vinculacion !!")
      *   =INKEY(i)
      *ENDDO

      IF !_contador &&FLOCK()
         wlenseccion = LEN(seccion)
         IF RECC() > 0
            SET ORDER TO 8
            GO BOTTOM
            DO WHILE !BOF() AND VAL(seccion)=0
               ksecc = VAL(seccion)
               m.seccion = NTOC(ksecc+1,wlenseccion)
               SKIP -1
            ENDDO

            IF BOF()
               m.seccion = NTOC(1,wlenseccion)
            ELSE
               ksecc = VAL(seccion)
               m.seccion = NTOC(ksecc+1,wlenseccion)
            ENDIF

         ELSE
            m.seccion = NTOC(1,wlenseccion)
            SET ORDER TO 8
            IF SEEK(m.seccion)
               CALCULATE MAX(seccion) TO wseccion FOR VAL(seccion)>0
               IF VAL(wseccion)>0
                  m.seccion = NTOC(VAL(wseccion)+1,wlenseccion)
               ENDIF
            ENDIF
         ENDIF

      ENDIF

      SHOW GET m.seccion
   ELSE
      _men_cnt2 = "Este Documento: "+m.seccion+' ya ha sido'+C13+;
                  "Registrado para  este Trabajador !"+C13+;
                  "       Continua ?"
      _men_cnt3 = "Este Documento: "+m.seccion+C13+;
                  "ya ha sido Registrado!"+C13+;
                  "       Continua ?"

      * VALIDAMOS QUE NO SE REPITA EL CONTRATO
      SELECT empleado
      SET ORDER TO 8  && indemp5 (seccion+nitemple)

      DO CASE
         CASE SEEK(m.seccion+m.nitemple) AND ;
              !_contador AND !MENSAJE(_men_cnt2)
              =_mens('Registro No Actualizado')
              RETURN
         CASE SEEK(m.seccion) AND ;
              !MENSAJE(_men_cnt3)
              =_mens('Registro No Actualizado')
              RETURN
      ENDCASE
   ENDIF

   wcnt = MAX(wcnt,kcnt)
   m.ncontrato = NTOC(wcnt+1,2,0)
   m.fec_grabac= DATE()
   m.dg        = wuser
   m.estado    = f_est_cnt()

   SELECT empleado
   APPEND BLANK
   GATHER MEMVAR MEMO

   IF FILE("empleado_.dbf")
      DO act_empl7 IN chgdempl
   ENDIF

   =_mens("Registro Creado ...")
   DO GRABPROC WITH "Selco100:AddCnt"+m.nitemple+' '+m.ncontrato+m.tipcont,"A", ;
                    "Selco100:AddCnt"+m.nitempre+' '+m.fecing,"B"

   DO GRABPROC WITH "Selco100:AddCnt"+STR(m.hrapag,9,3)+' '+m.formpago+m.tippag,"C"


   w_accgrab = .T.

   IF ABRIR("cntabanc",1)
      IF !SEEK(m.nitemple)
         APPEND BLANK
         REPLACE nitemple WITH m.nitemple
         REPLACE banco    WITH m.banco
         REPLACE cuenta   WITH ALLTRIM(m.cuenta)
         REPLACE fe_grab  WITH DATE()
         REPLACE hr_grab  WITH TIME()
         REPLACE dg_grab  WITH _wuser
         DO GRABPROC WITH "Selco100:AddCta"+m.banco,"A", ;
                          "Selco100:AddCta"+m.cuenta,"B"
      ELSE
         IF banco # m.banco OR ALLTRIM(cuenta) # ALLTRIM(m.cuenta) OR ;
            (DATE()-fe_grab) > 60
            REPLACE banco    WITH m.banco
            REPLACE cuenta   WITH m.cuenta
            REPLACE fe_modi  WITH DATE()
            REPLACE hr_modi  WITH TIME()
            REPLACE dg_modi  WITH _wuser
            DO GRABPROC WITH "Selco100:ModCta"+m.banco,"A", ;
                             "Selco100:ModCta"+m.cuenta,"B"
         ENDIF
      ENDIF
   ENDIF

   SELECT selpr001
   IF nitemple = m.nitemple OR SEEK(m.nitemple)
      wced = m.nitemple
      REPLACE concontr WITH wcnt+1
      REPLACE cc_ti    WITH m.cedula
      IF codeps # m.codeps
         REPLACE codeps WITH m.codeps
         DO GRABPROC WITH "Selco100:ModEps"+m.codeps,"A"
      ENDIF
      IF codafp # m.codafp
         REPLACE codafp WITH m.codafp
         DO GRABPROC WITH "Selco100:ModAfp"+m.codafp,"A"
      ENDIF
      IF codcaj # m.codcaj
         REPLACE codcaj WITH m.codcaj
         DO GRABPROC WITH "Selco100:ModCaj"+m.codcaj,"A"
      ENDIF
      IF codces # m.codces
         REPLACE codces WITH m.codces
         DO GRABPROC WITH "Selco100:ModCes"+m.codces,"A"
      ENDIF
      IF municipio # wdesres
         REPLACE municipio WITH wdesres
      ENDIF
      IF direccion # wdir
         REPLACE direccion WITH wdir
      ENDIF
      IF telefono # wtel
         REPLACE telefono WITH wtel
      ENDIF

   ELSE
      APPEND BLANK
      REPLACE nitemple WITH m.nitemple
      REPLACE nombre   WITH m.nombre
      REPLACE concontr WITH wcnt+1
      REPLACE cc_ti    WITH m.cedula
      REPLACE codeps   WITH m.codeps
      REPLACE codafp   WITH m.codafp
      REPLACE codcaj   WITH m.codcaj
      REPLACE municipio WITH wdesres
      REPLACE direccion WITH wdir
      REPLACE telefono  WITH wtel
      DO GRABPROC WITH "Selco100:AddEps"+m.nitemple,"A", ;
                       "Selco100:AddEps"+m.codeps,"B"
      DO GRABPROC WITH "Selco100:AddAfp"+m.codafp,"B", ;
                       "Selco100:AddCaj"+m.codcaj,"B"


   ENDIF

   IF FILE("datbas01.dbf") AND  ABRIR("datbas01",1)
      IF SEEK(VAL(m.nitemple))
         REPLACE cc_ti  WITH m.cedula
         REPLACE direcc WITH wdir
         REPLACE telefo WITH wtel
         REPLACE ciures WITH wres
      ELSE
         APPEND BLANK
         REPLACE cedula WITH m.nitemple
         REPLACE cc_ti  WITH m.cedula
         REPLACE nombre WITH m.nombre
         REPLACE direcc WITH wdir
         REPLACE telefo WITH wtel
         REPLACE ciures WITH wres
      ENDIF
   ENDIF

   IF !EMPTY(m.pedido) AND !_cnt_manual AND;
      ABRIR("datcnt51",1) AND ;
      SEEK(m.pedido+m.nitemple) AND ;
      datcnt51.estado $ "AB"
      REPLACE estado WITH "C"
   ENDIF

   IF ALLTRIM(m.cuenta) # ;
      ALLTRIM(TRAE_DATO("CNTABANC",1,m.nitemple,"CUENTA") )
      SELECT cntabanc
      IF nitemple = m.nitemple OR ;
         SEEK(m.nitemple)
         GATHER MEMVAR
      ELSE
         APPEND BLANK
         GATHER MEMVAR
      ENDIF
   ENDIF

   WAIT CLEAR
   =_mens("Registro Creado ... Contrato:"+STR(wcnt+1,2)+" "+m.estado+' '+m.seccion)


   IF FILE(wprg)
      SHOW GET wsal7vi,4 ENABLE
   ELSE
      SHOW GET wsal7vi,4 DISABLE
   ENDIF
   SHOW GET wsal7vi,2 ENABLE

   IF ABRIR("TABGEN13",1) AND SEEK("EMPLEADO")
      SHOW GET wflex ENABLE
   ELSE
      SHOW GET wflex DISABLE
   ENDIF

   IF FILE("selco100_adic.fxp")
      DO selco100_adic WITH "Cnt",RECN("empleado")
   ENDIF

ENDIF
SHOW GET wsal7vi,1 DISABLE
RETURN
******

FUNCTION v_ced
IF m.cedula < 10000
   RETURN 0
ENDIF

IF ABRIR("datbas01",5) AND SEEK(m.cedula)
   m.nitemple = NTOC(datbas01.cedula,8)
ELSE
   kcedula = m.cedula
   STORE " " TO m.nombre, m.pedido, m.ncontrato,m.nitemple
   IF mensaje("Trabajador NO EXISTE, desea registrar Datos BASICOS?")
      SET DECIMAL TO 0
      wced = MOD(kcedula,100000000)

      SET STEP ON
      IF !EMPTY(w_datbas81) AND ;
         FILE(w_datbas81)
         DO (w_datbas81)
         SET DECIMAL TO 2
         IF LASTKEY()#27
            KEYBOARD CHR(13)
         ENDIF	
      ELSE
         m.cedula = 0
      ENDIF
      RETURN .F.
   ENDIF
ENDIF

* invoca La funcion que valida el codigo del Empleado
* para que cargue las variables

RETURN v_cod()
******

FUNCTION v_cod

w_accgrab = .F.
IF !EMPTY(m.nitemple)

   m.nitemple = ALLTRIM(m.nitemple)
   kpos = AT("*",m.nitemple)

   IF kpos > 0
      kcod = ALLTRIM(LEFT(m.nitemple,kpos-1))
      kape = ALLTRIM(SUBS(m.nitemple,kpos+1,7))

      =_Mens('Buscando ....')
      SET TALK ON
      SELECT nitemple AS codigo, nombre, cc_ti AS Cedula, ;
             tiene_sol(nitemple) AS pedido ;
        FROM selpr001 ;
       WHERE (EMPTY(kcod) OR LEFT(nitemple,LEN(kcod))=kcod);
         AND (EMPTY(kape) OR LEFT(nombre,LEN(kape))=kape);
        INTO CURSOR q_cand
      SET TALK OFF
      IF _tally > 0
         RELEASE WINDOW consult10
         DO DEF_WIND WITH '10','Maestro de Trabajadores '
         ON KEY LABEL PGDN
         ON KEY LABEL F8    KEYBOARD "{CTRL+W}" PLAIN
         ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
         BROWSE NOMO  WINDOW consult10 FREEZE codigo NODELETE
         ON KEY LABEL ENTER
         ON KEY LABEL F8

         IF LASTKEY() # 27
            m.nitemple = codigo
            m.pedido   = pedido
            SHOW GET m.nitemple
            SHOW GET m.pedido
         ELSE
            STORE " " TO m.pedido, m.nombre
            SHOW GET m.nombre
            SHOW GET m.pedido
            RETURN .F.
         ENDIF

      ELSE
         =_mens("No hay registros para la Consulta",.T.,5)
         RETURN .F.
      ENDIF
      =_CLOSE("q_cand")
   ELSE

      kpos = AT('/',m.nitemple)
      IF kpos > 0 AND LEN(m.nitemple) > 3
         kcod = ALLTRIM(LEFT(m.nitemple,kpos-1))
         kape = ALLTRIM(SUBS(m.nitemple,kpos+1,7))
         =_Mens('Buscando ....')

         IF ABRIR('empleado','indemp3')
            DO DEF_WIND WITH '1',' Contratos registrados '
            ON KEY LABEL PGDN
            ON KEY LABEL F8    KEYBOARD "{CTRL+W}" PLAIN
            ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
            BROWSE  NOMO NODE NOAP KEY kcod WINDOW consulta;
                   FIELD ncontrato:H="Cnt",fecing :H="Inicio", ;
                         fecret:H="Retiro",  tipcont :H="Tip", ;
                         nombre, NumCnt=seccion, nitempre:h="Negocio" ;
                   FOR EMPTY(kape) OR nombre = kape
            ON KEY LABEL ENTER
            ON KEY LABEL F8

            IF LASTKEY()#27
               m.nitemple = nitemple
            ENDIF

         ENDIF
      ELSE

         IF !(TRAE_DATO('selpr001',1,m.nitemple,'estado') $ "A ")
            m.cuenta = "* Trab INACTIVO"
            =_mens(m.cuenta)
         ENDIF

      ENDIF
   ENDIF

   IF EMPTY(m.cedula)
      m.cedula = TRAE_DATO("datbas01",1,VAL(m.nitemple),"cc_ti")
   ENDIF

   m.nitemple = NTOC(VAL(m.nitemple),8)

   knom = TRAE_NOM(m.nitemple,.T.)
   IF !EMPTY(knom) AND ALLTRIM(knom) # ".."
      SET FUNCTION 9 TO ALLTRIM(m.nitemple)
      m.nombre = knom
      SHOW GET m.nombre
      DO carga_vars

      =_CLOSE('q_cnts')
      _whi_ = "nitemple=m.nitemple FOR estado$'Aa'"
      IF COPYDBFTMP('empleado',6,m.nitemple,_whi_,'q_cnts')
         SELECT q_cnts
         DO DEF_WIND WITH '1', ;
            'Alerta !, este trabajador tiene estas VINCULACIONES ACTIVAS'
         ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
         ON KEY LABEL F8    KEYBOARD "{CTRL+W}" PLAIN

         BROW NOMO WINDOW consulta NODELETE FIELD ;
              fecing, ret_prog=trae_fec_sp(nitemple,ncontrato),;
              est= estado, ;
              cnt= ncontrato+tipcont ,;
              Basico= ROUND(hrapag*IIF(TYPE("hrsmes")="N" AND hrsmes > 0,hrsmes,TD7('empresas',1,nitempre,'hrsmes')),0);
                      :p="$99,999,999",;
              negocio=trae_raz(nitempre), ;
              numcnt = seccion
         ON KEY LABEL ENTER
         ON KEY LABEL F8

      ENDIF
      =_CLOSE('q_cnts')
   ELSE
*      =_mens('Actualizando DATOS, trabajadores NUEVOS ...')
      STORE " " TO m.nombre, m.pedido, m.ncontrato
*
      * Revisamos Datos en BD Seleccion Externa
*      DO p_db_externa WITH .T.
*      KEYBOARD CHR(13)
*      RETURN .F.

   ENDIF

ELSE
   STORE " " TO m.nombre, m.ncontrato
ENDIF

RETURN _enable()
******

FUNCTION v_cual
IF wcual = 1
   _CUROBJ = OBJNUM(m.nitemple)
   STORE 0 TO m.cedula
ELSE
   _CUROBJ = OBJNUM(m.cedula)
   STORE " " TO m.nitemple
ENDIF
RETURN _enable()
******

FUNCTION w_secc
IF _mansec AND ;
   ABRIR("empleado",0)
   wlenseccion = LEN(seccion)
   GO BOTT
   m.seccion = NTOC(VAL(seccion)+1,wlenseccion)
ELSE
   m.seccion = NTOC(0,wlenseccion)
ENDIF
SHOW GET m.seccion
RETURN _mansec
******

FUNCTION v_conclie
IF "*" $ m.concliente
   knit_real = TRAE_DATO('empresas',1,m.nitempre,'nit_real')
   kcod_clie = TRAE_DATO('empresas',1,m.nitempre,'codempr')

   IF EMPTY(kcod_clie)
      SELECT cdempr FROM empres07 WHERE nitemp = VAL(knit_real) ;
        INTO CURSOR qclie
   ELSE
      CREATE CURSOR qclie (cdempr C(4))
      APPEND BLANK
      REPLACE cdempr WITH kcod_clie
   ENDIF

   SELECT num_cnt,objeto,descrip ;
     FROM me_cnts, qclie ;
    WHERE cod_int = cdempr ;
     INTO CURSOR qclie2

   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   ON KEY LABEL F8 KEYBOARD PLAIN
   BROWSE NORMAL NOMO FREEZE num_cnt
   ON KEY LABEL ENTER
   ON KEY LABEL F8
   IF LASTKEY()#27
      m.concliente = num_cnt
   ELSE
      m.concliente = SPACE(10)
   ENDIF
   SHOW GET m.concliente
ENDIF

IF !EMPTY(m.concliente)
   IF ABRIR('me_cnts',2) AND SEEK(m.concliente)
      RETURN _ENABLE()
   ELSE
      RETURN .F.
   ENDIF
ENDIF

RETURN _enable()
******

FUNCTION w_nom
DO rev_pedido
RETURN .T.
******

PROCEDURE rev_pedido
=_CLOSE('q_cnts1','datcnt51')
_whi1 = [nitemple=m.nitemple FIELD nitemple,pedido,estado FOR !EMPTY(pedido) ]
IF COPYDBFTMP('empleado',6,m.nitemple,_whi1,'q_cnts1') AND;
   ABRIR('datcnt51',1)

   SELECT q_cnts1
   GO TOP
   DO WHILE !EOF()
      SELECT datcnt51
      IF SEEK(q_cnts1.pedido+q_cnts1.nitemple)
         REPLACE estado WITH IIF(estado=[A],[C],estado) ;
           WHILE numped+cedula = q_cnts1.pedido+q_cnts1.nitemple
      ENDIF
      SELECT q_cnts1
      SKIP
   ENDDO
   USE IN datcnt51
ENDIF
=_CLOSE('q_cnts1','datcnt51')

RETURN
******

FUNCTION v_secc
IF !EMPTY(m.seccion)
   IF LEN(ALLTRIM(m.seccion)) < 6 AND LEFT(m.seccion,1)$"0123456789"
      m.seccion =  PADL(ALLTRIM(m.seccion),6,'0')
      SHOW GET m.seccion
   ENDIF
   IF ABRIR("empleado",8) AND SEEK(m.seccion)
      _MEN = "Ojo este Codigo ya Existe!"+C13+;
             "   Desea Continuar ? "
      IF !mensaje(_men)
         RETURN .F.
      ENDIF
   ENDIF
ENDIF
RETURN _enable()
******

FUNCTION w_ped
_cant = 0
IF ABRIR("datcnt51",2) AND SEEK(m.nitemple+"A")
   COUNT TO _cant WHILE cedula+estado=m.nitemple+"A"
ENDIF
RETURN (_cant # 1)
******

FUNCTION v_ped
IF !EMPTY(m.pedido)
   IF "*" $ m.pedido
      SELECT a.numped, b.empres, TRAE_RAZ(b.empres),;
             a.inicio, a.salmes ;
        FROM datcnt51 a, datped52 b ;
       WHERE a.numped = b.numped ;
         AND a.cedula = m.nitemple ;
         AND a.estado = "A" ;
        INTO CURSOR q_peds

      IF _tally > 0

         RELEASE WINDOW consulta
         DO DEF_WIND WITH "1","Consulta de Pedidos Activos"
         ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
         ON KEY LABEL F8    KEYBOARD "{CTRL+W}" PLAIN
         BROWSE NOMO WINDOW consulta FREEZE numped NODELETE
         ON KEY LABEL ENTER
         ON KEY LABEL F8

         IF LASTKEY() # 27
            m.pedido = numped
            SHOW GET m.pedido
         ELSE
            RETURN .F.
         ENDIF
      ELSE
         =_mens("No hay registros para consultar",.T.,3)
         RETURN  .F.
      ENDIF
      =_CLOSE("q_peds")
   ENDIF

   IF !EMPTY(m.pedido)
      DO carga_vars
      DO CARGA_VAR2
   ENDIF

ENDIF
RETURN _enable()
******

PROCEDURE carga_vars
kped = ALLTRIM(m.pedido)
IF !EMPTY(kped) AND ;
   ABRIR("datcnt51",IIF(!EMPTY(kped),1,2)) AND ;
    SEEK(IIF(!EMPTY(kped),kped+m.nitemple,m.nitemple+"A")) AND ;
   ABRIR("datped52",1) AND SEEK(datcnt51.numped) AND ;
   ABRIR("empresas",1) AND SEEK(datped52.empres)

   STORE .F. TO _cnt_manual, _pide_stran
   m.pedido   = datped52.numped
   m.nitempre = datped52.empres
   wraz       = empresas.razon
   m.codofi   = datcnt51.codofi
   m.oficio   = IIF(!empty(datcnt51.oficio),datcnt51.oficio,TRAE_DATO('oficio01',1,m.codofi,'desofi'))
   m.fecing   = datcnt51.inicio
   m.tipcont  = datcnt51.tipcnt
   wbasico    = datcnt51.salmes
   wdivisor   = empresas.hrsmes
   _tarif_hra = (LEFT(empresas.tipo,1)="0")
   m.hrapag   = ROUND(wbasico/wdivisor,3)
   m.subtran  = datcnt51.auxtra
   m.tippag   = datcnt51.tipago
   m.tippagpr = datcnt51.tipag2
   m.formpago = datcnt51.period
   m.integral = datcnt51.integr
   m.banco    = datcnt51.codbco
   m.cuenta   = datcnt51.numcta
   m.codeps   = datcnt51.codeps
   m.codafp   = datcnt51.codafp
   m.codarp   = empresas.suc_arp
   wcodarp    = destab00("RP",m.codarp)
   =v_nit()
ELSE
   m.tippag   = TP7([CNT],"TipoPago_Fijo","NM")
   m.tippagpr = TP7([CNT],"TipoPago_Fijo","PS")



   STORE " " TO m.pedido, m.formpago, m.codage
   STORE .T. TO _cnt_manual

   DO carga_var2   && Datos de la Negociacion
   m.codeps = TRAE_DATO("selpr001",1,m.nitemple,"codeps")
   m.codafp = TRAE_DATO("selpr001",1,m.nitemple,"codafp")
   m.codcaj = TRAE_DATO("selpr001",1,m.nitemple,"codcaj")
   m.cuenta = TRAE_DATO("cntabanc",1,m.nitemple,"cuenta")
   m.banco  = TRAE_DATO("cntabanc",1,m.nitemple,"banco")

ENDIF

weps = IIF(EMPTY(m.codeps),"",destab00("PS",m.codeps))
wafp = IIF(EMPTY(m.codeps),"",destab00("FP",m.codafp))
m.codage   = TRAE_DATO('DATBAS01',1,VAL(m.nitemple),'SUCPAQ')
wcodage    = IIF(EMPTY(m.codage),' ',DESTAB00('SC',m.codage))
wcodcaj    = IIF(EMPTY(m.codcaj),' ',DESTAB00('CJ',m.codcaj))

IF FILE("datbas01.dbf")
   kcod = VAL(m.nitemple)
   wdir = TRAE_DATO("datbas01",1,kcod,"direcc")
   wtel = TRAE_DATO("datbas01",1,kcod,"telefo")
   wres = TRAE_DATO("datbas01",1,kcod,"ciures")
   wdesres= IIF(!EMPTY(wres) AND !("*"$wres),DIVPOL06(wres),"")
ELSE
   wdir = TRAE_DATO("selpr001",1,m.nitemple,"direccion")
   wtel = TRAE_DATO("selpr001",1,m.nitemple,"telefono")
   STORE " " TO wres,wdesres
ENDIF
RETURN
******

FUNCTION v_nit
wnit = m.nitempre
kraz = TRAE_RAZ(wnit,.T.)
IF !EMPTY(kraz) AND kraz # "." AND ;
   TRAE_DATO('empresas',1,wnit,'estado')='A'
   wraz = kraz
   DO carga_var2
   _preactivo  = .F.

   DO carga_qcco

   IF ABRIR("empleado","indemp") AND SEEK(m.nitempre+m.nitemple)
      _retprog="xxxx-xxx"
      DO WHILE nitempre+nitemple=m.nitempre+m.nitemple
         IF estado $ "Aa"
            _retprog = trae_fec_sp(nitemple,ncontrato)
            _preactivo = .T.
            _men = "Ya esta Activo en esta Negociacion!"+C13+;
                   "Inicio: "+fecing
            =_mens(_men,.T.,10)
            ktec = LASTKEY()
            IF ktec =ASC("S") OR ktec = ASC("s")
               EXIT
            ELSE
               RETURN .F.
            ENDIF
         ENDIF
         SKIP
      ENDDO

      IF EMPTY(_retprog)
         =_MENS("No esta registrado el retiro programado!",.T.,10)
         RETURN .F.
      ENDIF
   ENDIF

ELSE

   STORE " " TO m.nitempre, wraz, _nego_stran
   _tarif_hra = .F.
   STORE 0   TO m.hrapag

ENDIF

RETURN _enable()
******

PROCEDURE carga_var2
IF !EMPTY(m.nitempre)
   knit = m.nitempre
   kdbf = "empresas"

   * 2011.11.02
   * Tratamos de liberar la restriccion x usuario en Grabacion de Contratos
   *wdivisor   = TRAE_DATO(kdbf,1,knit,"hrsmes")
   USE empresas ORDER 1 IN 0 ALIAS qt_nego1 AGAIN SHARED NOUPDATE
   =SEEK(knit,"qt_nego1")
   wdivisor = qt_nego1.hrsmes
   USE IN qt_nego1
   * ---------

   _tarif_hra = (LEFT(TRAE_DATO(kdbf,1,knit,"tipo"),1)="0")
   STORE TRAE_DATO(kdbf,1,knit,"LEFT(tipopag,1)") ;
         TO m.tippag, mtippagpr
   STORE TRAE_DATO(kdbf,1,knit,"formpag") ;
         TO m.formpago
   STORE TRAE_DATO(kdbf,1,knit,"suc_arp") ;
         TO m.codarp
   STORE TRAE_DATO(kdbf,1,knit,"vlrsubtran")>0 ;
         TO _pide_stran
   STORE TRAE_DATO(kdbf,1,knit,"min_garan")="S" ;
         TO _pide_mgara
   STORE TF7(kdbf,"IND_SUBTRA",knit,1);
         TO _nego_stran
   =v_arp()
ELSE
   m.tippag   = TP7([CNT],"TipoPago_Fijo","NM")
   m.tippagpr = TP7([CNT],"TipoPago_Fijo","PS")

   STORE " " TO m.formpago, m.codarp,wcodarp
   STORE .F. TO _pide_stran, _pide_mgara, _nego_stran
ENDIF
RETURN
******

PROCEDURE carga_qcco
* Cursor de Centros de costo
=_CLOSE('q_maecco','cencosto')
IF !EMPTY(m.nitempre) AND !EMPTY(wraz)
   SET TALK ON
   SELECT * ;
     FROM cencosto ;
    WHERE estado = "A" ;
      AND empccosto = m.nitempre ;
      AND (EMPTY(m.codage) OR ;
           ageccosto=m.codage OR ;
           EMPTY(ageccosto)) ;
     INTO CURSOR q_maecco ;
    ORDER BY codccosto
   SET TALK OFF

   IF _TALLY = 0
      =_CLOSE('q_maecco','cencosto')
   ENDIF
ENDIF
RETURN
******

FUNCTION w_ini
SET FUNCTION 4 TO DTOS(DATE())
RETURN .T.
******

FUNCTION v_ini

IF m.tipcont= 'A' AND '*' $ m.fecing
   _fec = ALLTRIM(m.fecing)
   kpos = AT('*',_fec)
   kini = LEFT(_fec,kpos-1)

   _whi = [nitemple=m.nitemple ]
   _whi = _whi+[FIELD ncontrato,fecing,fecret,fhasta,clacont,tipcont,estado,nitempre]
   =_CLOSE('q1_cnt')
   IF COPYDBFTMP('empleado',6,m.nitemple,'q1_cnt')
      SELECT q1_cnt
      DO DEF_WIND WITH '10','Historia Laboral'
      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      ON KEY LABEL F8    KEYBOARD "{CTRL+W}" PLAIN
      ON KEY LABEL PGDN
      BROWSE NOMO WINDOW consult10 FREEZE ncontrato;
             FIELD ncontrato :H="Cnt":W=estado$"P", ;
                   fecing:H="Inicio", ;
                   fecret:H="F.Retiro", ;
                   fhasta:H="F.Limite", ;
                   clacont:H="Clase", ;
                   tipcont:H="Tip",;
                   estado :H="Est", ;
                   nitempre:H="Cod Nego", ;
                   negocio = TRAE_RAZ(nitempre)
      ON KEY LABEL ENTER
      ON KEY LABEL F8

      IF LASTKEY()#27 AND estado="P"
         STORE fecing TO m.fecing, _ini
         STORE fecret TO m.fhasta
      ENDIF
   ENDIF

ELSE
   _ini     = m.fecing
   IF VAL(TP7('CNT','ControlDiaCnt',[01])) = 0
      wpermiso1= MIN(wpermiso,DAY(DATE())-1)     && Solo dias del mes.
   ELSE
      wpermiso1= VAL(TP7('CNT','ControlDiaCnt',[01]))
   ENDIF

   _fe1 = DTOS(DATE()-wpermiso1)
   _fe2 = DTOS(DATE()+wpermiso)

   IF _preactivo
      SELECT empleado
      SET ORDER TO 6
      IF SEEK(m.nitemple)
         DO WHILE nitemple = m.nitemple
            IF estado='A'
               _kret = TRAE_FEC_SP(nitemple,ncontrato)
               _kret = IIF(EMPTY(_kret),'21001231',_kret)
               IF _kret > _fe1
                  _fe1  = _kret
               ENDIF
            ENDIF
            SKIP
         ENDDO
      ENDIF
   ENDIF
ENDIF

IF wpermiso>0 AND !BETWEEN(_ini,_fe1,_fe2)
   m.fecing = " "
   m.fhasta = " "
   SHOW GET m.fecing
   SHOW GET m.fhasta
ELSE
   m.fhasta = STOD(m.fecing) + _diascnt
   m.fhasta = DTOS(m.fhasta)
   SHOW GET m.fhasta
ENDIF
RETURN  _enable()
******

FUNCTION v_cat
IF !ABRIR("nmcatiss",1) OR !SEEK(PADR(m.catiss,2,"0"))
   m.catiss = -1
ENDIF
RETURN _enable()
******

FUNCTION v_ofi
=_CLOSE('q_ofi')
= ABRIR('oficio01',1)
IF !EMPTY(m.codofi)
   kpos = AT("*",m.codofi)
   kcod = ALLTRIM(LEFT(m.codofi,kpos-1))
   kdes = ALLTRIM(SUBS(m.codofi,kpos+1,5))

   IF kpos = 1
      SET TALK ON
      SELECT codofi AS codigo, desofi AS descrip, ;
             IIF((EMPTY(empofi) OR empofi=m.nitempre) AND ;
                 (F_grupo(gruneg,m.nitempre)),'SI','NO') AS aut ;
        FROM oficio01 ;
       WHERE (EMPTY(kdes) OR kdes $ desofi )  AND ;
             (EMPTY(empofi) OR empofi=m.nitempre) ;
        INTO CURSOR q_ofi
      SET TALK OFF
   ENDIF

   IF kpos > 1
      SET TALK ON
      SELECT codofi AS codigo, desofi AS descrip, ;
             IIF((EMPTY(empofi) OR empofi=m.nitempre) AND ;
                 (F_grupo(gruneg,m.nitempre)),'SI','NO') AS aut ;
        FROM oficio01 ;
       WHERE (EMPTY(kcod) OR codofi=kcod) AND ;
             (EMPTY(kdes) OR kdes $ desofi )  AND ;
             (EMPTY(empofi) OR empofi=m.nitempre) ;
        INTO CURSOR q_ofi
      SET TALK OFF
   ENDIF

   IF kpos >= 1
      IF _tally > 0
         RELEASE WINDOW consult8
         DO DEF_WIND WITH "8","Maestro de Oficios"
         ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
         ON KEY LABEL F8    KEYBOARD "{CTRL+W}" PLAIN
         BROWSE NOMO WINDOW consult8 FREEZE codigo NODELETE
         ON KEY LABEL ENTER
         ON KEY LABEL F8

         IF LASTKEY()#27 AND aut='SI'
            m.codofi = codigo
            SHOW GET m.codofi
         ELSE
            RETURN .F.
         ENDIF
      ELSE
         =_mens("No hay registros para esta consulta",.T.,3)
         STORE ' ' TO m.codofi, m.oficio
      ENDIF

   ENDIF

   IF ABRIR("oficio01",1) AND SEEK(m.codofi) AND ;
      (EMPTY(empofi) OR empofi=m.nitempre) AND ;
      (EMPTY(gruneg) OR f_grupo(gruneg,m.nitempre))

      m.oficio = oficio01.desofi
      lim_trab = oficio01.canaut

      DO rev_limtrab

   ELSE
      STORE ' ' TO m.oficio, m.codofi
   ENDIF
   SHOW GET m.oficio
ENDIF

RETURN _enable()
******

PROCEDURE rev_limtrab
IF lim_trab > 0
   =_mens("Revisando Cantidad de Vinculados ...")
   SELECT empleado
   SET ORDER TO 1
   IF SEEK(m.nitempre)
      COUNT TO _vinc WHILE nitempre = m.nitempre ;
            FOR estado $ "aA" AND codofi=m.codofi

      CLEAR TYPEAHEAD
      _cant = ALLTRIM(STR(_vinc,15,0))+CHR(13)
      IF _vinc >= lim_trab AND ;
         !mensaje('Limite de Trabajadores por Cargo: '+_cant+;
                  '          Desea Continuar ? ')
         wnit = m.nitempre
         wced = m.nitemple
         DO GRABPROC WITH "CANT-TRAB:"+m.oficio+LEFT(_cant,LEN(_cant)-1),"A"
      ENDIF
   ENDIF
ENDIF

RETURN
******

FUNCTION v_cco
wdescco = ' '
SHOW GET wdescco
IF USED('q_maecco')
   SELECT q_maecco
   kcco = ALLTRIM(m.ccosto)
   kpos = AT('*',kcco)
   IF kpos > 0
      kini = LEFT(kcco,kpos-1)
      kres = SUBS(kcco,kpos+1,7)

      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      ON KEY LABEL F8
      DO DEF_WIND WITH '11', 'Maestro de Centros de Costos'
      BROWSE NOMO WINDOW consult11 ;
        FIEL codccosto : H="Cod Cco", ;
             nomccosto : H="Descripcion" ;
        FREEZE codccosto ;
         FOR (EMPTY(kini) OR LEFT(codccosto,LEN(kini))=kini) ;
         AND (EMPTY(kres) OR kres $ nomccosto)
      ON KEY LABEL ENTER
      ON KEY LABEL F8

      IF LASTKEY() # 27
         m.ccosto = codccosto
         wdescco  = nomccosto
      ENDIF

   ELSE
      LOCATE FOR codccosto = m.ccosto
      IF FOUND()
         wdescco = nomccosto
      ELSE
         RETURN .F.
      ENDIF
   ENDIF
ENDIF
RETURN _enable()
******

FUNCTION v_cco_ant
wdescco = ""
SHOW GET wdescco
ktipfac = TRAE_DATO('empresas',1,m.nitempre,'indcosto')
DO CASE
   CASE EMPTY(m.ccosto) AND ktipfac $ " 1"
        RETURN .T.
   CASE EMPTY(m.ccosto) AND ABRIR("cencosto",1) AND ;
        SEEK(m.nitempre)
        RETURN .F.

   CASE !EMPTY(m.ccosto) AND "*" $ m.ccosto
        SELECT codccosto AS codigo , ;
               nomccosto AS descrip ;
          FROM cencosto ;
         WHERE empccosto = m.nitempre ;
           AND estado = "A" ;
         ORDER BY codccosto ;
          INTO CURSOR q_cco

        RELEASE WINDOW consult8
        DO DEF_WIND WITH "8","Maestro de Centros de Costos"
        ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
        ON KEY LABEL F8    KEYBOARD "{CTRL+W}" PLAIN
        BROWSE NOMO WINDOW consult8 FREEZE codigo NODELETE
        ON KEY LABEL ENTER
        ON KEY LABEL F8

        IF LASTKEY() # 27
           m.ccosto = codigo
           wdescco  = descrip
           SHOW GET m.ccosto
           SHOW GET wdescco
        ELSE
           RETURN .F.
        ENDIF

        USE IN q_cco

   CASE !EMPTY(m.ccosto) AND ABRIR("cencosto",1) AND;
        !SEEK(m.nitempre+m.ccosto)
        RETURN .F.
   OTHER
        RETURN .F.

ENDCASE

RETURN _enable()
******

FUNCTION w_bas
men_bas = men_bas1
men_bas = men_bas+CHR(13)+'Minimo:'+TRAN(v_salmenor(),'$$,$$$,999')
men_bas = men_bas+CHR(13)+'Maximo:'+TRAN(v_salmayor(),'$$,$$$,999')
SET FUNCTION 4 TO ALLTRIM(STR(wsalmin,11,0))
RETURN _cnt_manual AND m.tipcont # 'D'
******

FUNCTION v_hra
IF wdivisor > 0
   m.hrapag = ROUND(wbasico/wdivisor,3)
ELSE
   m.hrapag = 0
ENDIF

ktrans = TRAE_DATO("empresas",1,m.nitempre,'vlrsubtran')

_ind17 = IIF(TYPE("_nego_stran")="C" AND !EMPTY(_nego_stran),;
         _nego_stran,IIF(!EMPTY(_gene_stran),_gene_stran,'S'))
m.integral = IIF(wbasico >= wsalmin*13,"S","N")
m.subtran  = IIF(wbasico <= wsalmin*2 AND ktrans > 0,_ind17,"N")
SHOW GET wbasico
SHOW GET wdivisor
SHOW GET m.hrapag
SHOW GET m.integral
SHOW GET m.subtran
RETURN .T.
******

FUNCTION w_tpp
IF _cnt_manual OR EMPTY(m.tippag)

   kdbf = "empresas"
   knit = m.nitempre
   _men = ""
   _tip = ALLTRIM(TRAE_DATO(kdbf,1,knit,"tipopag"))


   SELECT DISTINCT tipopago+":"+tipodcto AS dato ;
     FROM rangdcto ;
    WHERE tipopago $ _tip ;
    ORDER BY tipopago ;
     INTO CURSOR q_tpp

   IF _tally > 0
      GO TOP
      DO WHILE !EOF()
         _men = _men+IIF(!EMPTY(_men),C13,"  ")+ALLTRIM(dato)
         SKIP
      ENDDO
      _men = IIF(!EMPTY(_men),C13+_men,"")
   ENDIF

   IF EMPTY(m.tippagpr) AND !EMPTY(m.tippag)
      m.tippagpr = m.tippag
      SHOW GET m.tippagpr
   ENDIF

   men_tpp = "Tipo Pago Validos"+_men
   USE IN q_tpp
ENDIF
RETURN .T.
******

FUNCTION w_tppr
IF _cnt_manual OR EMPTY(m.tippagpr) OR m.tippagpr<>m.tippag

   kdbf = "empresas"
   knit = m.nitempre
   _men = ""
   _tip = ALLTRIM(TRAE_DATO(kdbf,1,knit,"tipopag"))


   SELECT DISTINCT tipopago+":"+tipodcto AS dato ;
     FROM rangdcto ;
    WHERE tipopago $ _tip ;
    ORDER BY tipopago ;
     INTO CURSOR q_tpp

   IF _tally > 0
      GO TOP
      DO WHILE !EOF()
         _men = _men+IIF(!EMPTY(_men),C13,"  ")+ALLTRIM(dato)
         SKIP
      ENDDO
      _men = IIF(!EMPTY(_men),C13+_men,"")
   ENDIF

   IF EMPTY(m.tippagpr) AND !EMPTY(m.tippag)
      m.tippagpr = m.tippag
      SHOW GET m.tippagpr
   ENDIF

   men_tpp = "Tipo Pago Validos"+_men
   USE IN q_tpp
ENDIF
RETURN .T.
******

FUNCTION v_tpp
_tpp =ALLTRIM(TRAE_DATO("empresas",1,m.nitempre,"tipopag"))
IF !(m.tippag$_tpp OR "0"$_tpp)
   STORE ' ' TO m.tipppag
ENDIF
RETURN _enable()
******

FUNCTION v_tppr
_tpp =ALLTRIM(TRAE_DATO("empresas",1,m.nitempre,"tipopag"))
IF !(m.tippagpr$_tpp OR "0"$_tpp)
   STORE ' ' TO m.tipppagpr
ENDIF
RETURN _enable()
******


FUNCTION v_lug
IF !EMPTY(m.lugtraba)
   set step on
   USE patronal ORDER 1 AGAIN ALIAS t_pat SHARED NOUPDATE IN 0

   kpos = AT('*',m.lugtraba)
   IF kpos > 0

      kcod = ALLTRIM(LEFT(m.lugtraba,kpos-1))
      knom = ALLTRIM(SUBS(m.lugtraba,kpos+1,4))
      SELECT lugar    AS codigo, ;
             nomlugar AS nombre  ;
        FROM t_pat ;
       WHERE (EMPTY(kcod) OR LEFT(lugar,LEN(kcod))=kcod) ;
         AND (EMPTY(knom) OR knom $ nomlugar ) ;
        INTO CURSOR q_lug

      IF _tally > 0
         RELEASE WINDOW consult8
         DO DEF_WIND WITH "8","Lugares de Trabajo"
         ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
         ON KEY LABEL F8    KEYBOARD "{CTRL+W}" PLAIN
         BROWSE NOMO WINDOW consult8 FREEZE codigo NODELETE
         ON KEY LABEL ENTER
         ON KEY LABEL F8
         IF LASTKEY()#27
            m.lugtraba = codigo
         ELSE
            m.lugtraba = ""
         ENDIF
      ENDIF

   ENDIF

   wlug = TRAE_DATO("PATRONAL",1,m.lugtraba,"nomlugar")

   IF !EMPTY(wlug)
      IF !USED("t_pat")
         USE patronal ORDER 1 IN 0 ALIAS t_pat AGAIN SHARED NOUPDATE
      ENDIF

      IF TYPE("t_pat.codcaj")="C"
         USE tabgen00 ORDER 1 IN 0 ALIAS tg00 NOUPDATE SHARED
         IF SEEK(m.lugtraba,"t_pat") AND !EMPTY(t_pat.codcaj) AND ;
            SEEK("CJ"+t_pat.codcaj,"tg00") AND tg00.activo = 1
            IF !EMPTY(m.codcaj) AND ;
               m.codcaj # t_pat.codcaj
               MESSAGEBOX("Se va actualizar el COD. DE CCF",16,"Notificacion",12000)
               m.codcaj = t_pat.codcaj
               wcodcaj  = tg00.destab
               SHOW GET m.codcaj
               SHOW GET wcodcaj
            ENDIF
         ENDIF
      ENDIF

   ENDIF

   =_CLOSE("q_lug","t_pat","tg00")

ELSE

   wlug = ""

ENDIF
SHOW GET wlug
RETURN _enable()
******

FUNCTION v_arp
wdes1 = destab00("RP",m.codarp,.T.)
IF !EMPTY(wdes1) AND wdes1 # "."
   wcodarp = wdes1
ELSE
   wcodarp = [ ]
ENDIF
RETURN _enable()
******

FUNCTION v_caj
kdes = destab00("CJ",m.codcaj,.T.)
IF !EMPTY(kdes) AND kdes # "."
   wcodcaj = kdes
ELSE
   wcodcaj = ' '
ENDIF
RETURN _enable()
******

FUNCTION v_eps
weps = destab00("PS",m.codeps,.T.)
IF EMPTY(weps) OR weps = "."
   weps = ""
ENDIF
SHOW GET weps
RETURN _enable()
******

FUNCTION v_afp
wafp = destab00("FP",m.codafp,.T.)
IF EMPTY(wafp) OR wafp = "."
   wafp = ""
ENDIF
SHOW GET wafp
RETURN _enable()
******

FUNCTION v_ces
kdes = destab00("AC",m.codces)
IF !EMPTY(kdes) AND kdes # "."
   =_MENS(kdes)
ENDIF
RETURN _enable()
******

FUNCTION w_bco
_men = men_bco
SELECT tipopago+": "+tipodcto ;
  FROM rangdcto ;
 WHERE cheque   = "N" ;
   AND consprop = "N" ;
   AND tipopago $ m.tippag+m.tippagpr ;
  INTO CURSOR q_bco

RETURN (RECCOUNT("q_bco") > 0)
******

FUNCTION v_bco
wdes1 = destab00("BC",m.banco,.T.)
IF !EMPTY(wdes1) AND wdes1 # "."
   =_mens(ALLTRIM(wdes1),.T.,3)
ELSE
   m.banco = " "
ENDIF
RETURN _enable()
******

FUNCTION v_cta
_area = SELECT()
IF !EMPTY(m.cuenta) AND ABRIR("cntabanc",2) AND ;
   SEEK(ALLTRIM(m.cuenta),'cntabanc')
   DO WHILE LEFT(cuenta,17)=LEFT(m.cuenta,17)
      IF cntabanc.nitemple # m.nitemple
         _men = "Esta cuenta ESTA REGISTRADA para otro"+CHR(13)+;
                "Trabajador: "+nitemple
         m.cuenta = SPACE(20)
         =_mens(_men,.T.,20)
      ENDIF
      SKIP
   ENDDO
ENDIF
SELECT (_area)
RETURN _enable()
******

FUNCTION v_age
wdes1 = destab00("SC",m.codage,.T.)
IF !EMPTY(wdes1) AND wdes1 # "."
   wcodage = wdes1
ELSE
   wcodage = ' '
ENDIF
wccf = TP7("CNT","CodigoCCF_"+m.codage,"01")
IF !EMPTY(wccf) AND wccf # m.codcaj
   m.codcaj = wccf
   wcodcaj  = TD7("TABGEN00",1,"CJ"+m.codcaj,"DESTAB")
ENDIF
DO carga_qcco
RETURN _enable()
******

FUNCTION v_res
IF !EMPTY(wres)

   klug = divpol06(wres,.T.)
   IF !EMPTY(klug) AND klug#"."
      wdesres = klug
   ENDIF

ELSE
   wdesres = ""
ENDIF
SHOW GET wdesres
RETURN _enable()
******

FUNCTION v_mot
kmot = destab00("ML",m.mot_labor,.T.)
IF !EMPTY(kmot) AND kmot # "."
   wmotlabor = kmot
   SHOW GET wmotlabor
ENDIF
RETURN _enable()
******

FUNCTION v_salmayor
kmax1 = TRAE_DATO('empresas',1,m.nitempre,'vlrmax') * wsalmin
kmax2 = TRAE_DATO('oficio01',2,m.nitempre+m.codofi,'maxofi')
kmax3 = TRAE_DATO('oficio01',1,m.codofi,'maxofi')
DO CASE
   CASE kmax2 > 0 AND kmax3 > 0
        kmax = MIN(kmax1,kmax2,kmax3)
   CASE kmax2 > 0
        kmax = MIN(kmax1,kmax2)
   CASE kmax3 > 0
        kmax = MIN(kmax1,kmax3)
   OTHER
        kmax = kmax1
ENDCASE
RETURN kmax
******

FUNCTION v_salmenor
kmin1 = TRAE_DATO('empresas',1,m.nitempre,'vlrmin') * wsalmin
kmin2 = TRAE_DATO('oficio01',2,m.nitempre+m.codofi,'minofi')
kmin3 = TRAE_DATO('oficio01',1,m.codofi,'minofi')
DO CASE
   CASE kmin2 > 0 AND kmin3 > 0
        kmin = MAX(kmin1,kmin2,kmin3)
   CASE kmin2 > 0
        kmin = MAX(kmin1,kmin2)
   CASE kmin3 > 0
        kmin = MAX(kmin1,kmin3)
   OTHER
        kmin = kmin1
ENDCASE
RETURN kmin
******

FUNCTION _enable
IF EMPTY(m.clacont)
   m.clacont = "O"
ENDIF

DO CASE
   CASE m.tipcont='A' AND !_cntadic
        m.tipcont=' '
   CASE m.tipcont='M'
        m.tipcont=CHR(171)
ENDCASE

IF EMPTY(m.conbasico) AND m.tipcont#'D'
   m.conbasico = wconh100
*  wbasico     = wsalmin
ENDIF

IF m.hrapag = 0 AND wdivisor*wbasico#0
   m.hrapag = ROUND(wbasico/wdivisor,3)
ENDIF

IF !EMPTY(m.nitemple) AND !EMPTY(m.nombre)   AND ;
   !EMPTY(m.tipcont)  AND !EMPTY(m.nitempre) AND ;
   !EMPTY(wraz)       AND !EMPTY(m.fecing)   AND ;
   m.catiss >= 0      AND !EMPTY(m.codofi)   AND ;
   !EMPTY(m.oficio)   AND !EMPTY(m.hrapag)   AND ;
   !EMPTY(m.subtran)  AND !EMPTY(m.tippag)   AND ;
   !EMPTY(m.tippagpr) AND !EMPTY(wlug)       AND ;
   !EMPTY(m.codarp)   AND !EMPTY(weps)       AND ;
   !EMPTY(wafp)       AND !EMPTY(m.mot_labor) AND;
   !EMPTY(m.clacont)  AND !EMPTY(m.conbasico) AND;
   !EMPTY(m.codcaj)   AND !EMPTY(m.niveledu)  AND ;
   m.nitemple # "00000000" AND ;
   (!_codage OR !EMPTY(m.codage)) AND ;
   !("000" $ m.codage+","+m.niveledu+","+m.mot_labor+","+m.codcaj+","+m.codeps+","+m.codafp+","+m.banco)

   IF TRAE_DATO('selpr001',1,m.nitemple,'ESTADO')$'A '
      SHOW GET wsal7vi,1 ENABLE
   ELSE
      SHOW GET wsal7vi,1 DISABLE
      m.cuenta  = "* TRAB. ESTA INACTIVO"
      SHOW GET m.cuenta
   ENDIF

ELSE
   SHOW GET wsal7vi,1 DISABLE
   SHOW GET wsal7vi,2 DISABLE
   SHOW GET wsal7vi,3 DISABLE
   SHOW GET wsal7vi,4 DISABLE
ENDIF

IF m.indret $ "03"
   m.vlrret = 0
   SHOW GET m.vlrret
ENDIF
SHOW GETS WINDOW w_selco100
ON KEY LABEL ENTER
ON KEY LABEL PGDN
ON KEY LABEL ESC
RETURN .T.
******

FUNCTION tiene_sol
PARAMETER _cod
_area = SELECT()
_nreg = RECNO()
_datp = SPACE(6)

IF ABRIR("datcnt51",2) AND SEEK(_cod+"A")
   _datp = numped
ENDIF

SELECT (_area)
IF BETWEEN(_nreg,1,RECC()) AND RECN()# _nreg
   GO _nreg
ENDIF
RETURN _datp
******

FUNCTION f_est_cnt
IF wnitcia = "00805028092" && Vanguardia
   _est = " "
   RETURN _est
ENDIF
_est = "A"
IF DATE()<STOD(m.fecing)
   _est = "a"
ELSE
   IF ABRIR("empleado","indemp") AND ;
      SEEK(m.nitempre+m.nitemple)
      DO WHILE !EOF() AND nitempre+nitemple = m.nitempre + m.nitemple
         IF estado $ "aA"
            _est = "a"
         ENDIF
         SKIP
      ENDDO
   ENDIF
ENDIF
RETURN _est
******

FUNCTION f_grupo
PARAMETER _grupo_, _negocio_
IF EMPTY(_grupo_)
   RETURN .T.
ENDIF
_AREA = SELECT()
=_CLOSE('_x7_1','_x7_2')
SELECT 0
USE nmgrupo1 ORDER 1 ALIAS _x7_1 AGAIN
IF SEEK(_grupo_) AND estado = 'ACTIVO'
   USE nmgrupo2 ORDER 1 ALIAS _x7_2 AGAIN
   IF SEEK(_grupo_+_negocio_) AND estado ='ACT'
      =_CLOSE('_x7_1','_x7_2')
      SELECT (_area)
      RETURN .T.
   ENDIF
ENDIF
=_CLOSE('_x7_1')
SELECT (_area)
RETURN .F.
******

FUNCTION TF7
PARAMETER YX7_tabla,YX7_campo,YX7_llave,YX7_cual
YX7_tabla = PADR(YX7_tabla,8,' ')
YX7_campo = PADR(YX7_campo,10,' ')

DO CASE
   CASE TYPE('YX7_cual') = [C]
        YX7_cual = IIF(LOWER(YX7_cual)=[datom],2,1)

   CASE TYPE('YX7_cual') = [N]
        YX7_cual = IIF(YX7_cual=2,2,1)
   OTHER
        YX7_cual = 1
ENDCASE
RETURN TRAE_DATO('FLEX7SRH',1,YX7_tabla+YX7_campo+YX7_llave,IIF(YX7_cual=1,[dato],[datom]))
******

FUNCTION v_edu
kdes = destab00('NE',m.niveledu)
RETURN _enable()
******

FUNCTION v_flex
WAIT WINDOW m.nitemple+[-]+m.ncontrato NOWAIT

RELEASE WINDOW w_flex_s101
DEFINE WINDOW w_flex_s101 ;
       IN WINDOW w_selco100 ;
       AT 2.2,81.2 SIZE 27, 36 ;
       TITLE '33. ATRIBUTOS-FLEXIBLES' ;
       FONT "Courier New", 8 ;
       NOFLOAT ;
	   NOCLOSE ;
	   NOMINIMIZE ;
	   DOUBLE ;
       COLOR RGB(,,,255,255,255)

DEACTIVATE WINDOW w_flex_s101

* Bajamos a Cursor Temporal los datos Flexibles
CREATE CURSOR Q_FLEX ( mensaje C(200), campo C(10), Titulo C(20), datom M, dato C(200) )
DO cga_qflex WITH [EMPLEADO],m.nitemple+[-]+m.ncontrato IN ChgDempl


RETURN .T.
******

PROCEDURE close_data
=_CLOSE("empleado",'empresas','selpr001','oficio01')
=_CLOSE("datcnt51",'datped52','tabgen00','flex7srh')
=_CLOSE("cntabanc","datbas01",'rangdcto','para7srh')
=_CLOSE("patronal",'divpol06','_x7_1','_x7_2_')
RETURN
******

FUNCTION v_param

IF ABRIR("para7srh",1)
   IF !SEEK("CNT")
      do P_param
   ENDIF

   ON KEY LABEL F12 DO ADD_reg99
   ON KEY LABEL F8  KEYBOARD "{CTRL+W}" PLAIN
   ON KEY LABEL F5  DO copyreg99
   BROWSE KEY "CNT" NORMAL
   ON KEY LABEL F12
   ON KEY LABEL F8
   ON KEY LABEL F5
ENDIF
=_CLOSE("para7srh")
RETURN .T.
******

PROCEDURE P_param
=INS_TP7([CNT],'IND_SUBTRAN',xconsec)
=INS_TP7([CNT],'EJEC_DATBAS',"01")
=INS_TP7([CNT],"Consecu_cnt_"+m.codage,"01")
=INS_TP7([CNT],'ControlDiaCnt',[01])
=INS_TP7([CNT],"CodigoCCF_Age","01")
=INS_TP7([CNT],"TipoPago_Fijo","NM")
=INS_TP7([CNT],"TipoPago_Fijo","PS")
=INS_TP7([CNT],"w_CanLimAc","01")

RETURN
******

FUNCTION ins_tp7
PARAMETER _tip,_cod,_sec
INSERT INTO para7srh (tipo,codigo,secuen) ;
            VALUES (_tip,_cod,_sec)
RETURN .T.
******

PROCEDURE add_reg99
APPEN BLANK
REPLA TIPO WITH "CNT"
RETURN
******

PROCEDURE copyreg99
SCATT MEMVAR MEMO
APPE BLANK
GATHER MEMVAR MEMO
RETURN
******

FUNCTION w_cual
IF _wuser ="SUP"
   SHOW GET wparam ENABLE
ELSE
   SHOW GET wparam DISABLE
ENDIF

RETURN .T. &&val2()
******

FUNCTION val2
* 2012.01.15
* Contar contratos activos y preactivos que no
* sobrepasen el numero autorizado. w_CanLimAc
IF VAL(w_CanLimAc) > 0
   =_CLOSE("qt_activos")
   USE empleado IN 0 ALIAS qt_activos NOUPDATE SHARED
   SELE qt_activos
   COUNT TO w_cantact FOR estado $ "A,a"
   USE IN qt_activos
   IF VAL(w_CanLimAc) <= w_cantact
      =MENSAJE("Limite de contratos activos: "+ALLT(STR(w_cantact,6)))
      DO CLOSE_dATA
      IF _wuser $ "SUP,GAP,A01,A02,N01"
         RETURN .T.
      ELSE
         RETURN TO MASTER
      ENDIF
   ENDIF
   RETURN .F.
ENDIF
RETURN .T.

FUNCTION destab00
PARAMETER _tip66_ , _cod66_,_activo_
_area_66 = SELECT()
_cmpo_66 = VARREAD()
*SET STEP ON
=_CLOSE("q_tg00")
SELECT 0
USE tabgen00 ORDER 1 AGAIN ALIAS q_tg00 SHARED NOUPDATE
SET KEY TO _tip66_

IF "*" $ _cod66_
   _res = ALLTRIM(SUBST(_cod66_,AT("*",_cod66_)+1,2))
   SELECT * FROM q_tg00 ;
     WHERE tiptab = _tip66_ ;
       AND codtab # [000] ;
       AND (EMPTY(_res) OR _res $ destab) ;
       AND (!_activo_ OR activo=1) ;
      INTO CURSOR q_tg00a ;
     ORDER BY destab

   IF USED("q_tg00a")
      SELECT q_tg00a
      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      BROWSE NORMAL FIELD codtab:H="Cod",destab:H="Descripcion" NOMO ;
             FREEZE codtab
      ON KEY LABEL ENTER
      IF LASTKEY()#27
         &_cmpo_66 = codtab
         _cod66_   = codtab
      ELSE
         &_cmpo_66 = SPACE(3)
         _cod66_   = SPACE(3)
      ENDIF
      SHOW GET  &_cmpo_66
      USE IN q_tg00a
   ENDIF
ENDIF

USE IN q_tg00

IF !EMPTY(_cod66_)
   k_respu = TD7("tabgen00",1,_tip66_+_cod66_,"destab")
ELSE
   k_respu = SPACE(30)
ENDIF

RELEASE _cmpo_66
SELECT (_area_66)
RETURN k_respu
******

*       *********************************************************
*       *                                                         
*       * _3EV12CM6E           wsal7vi VALID                      
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         SELCO100,     Record Number:  106  
*       * Variable:            wsal7vi                            
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      1                                  
*       *                                                         
*       *********************************************************
*

FUNCTION _3ev12cm6e     &&  wsal7vi VALID
#REGION 1
DO CASE
   CASE wsal7vi = 1
        DO _grabar
        SHOW GET wsal7vi,3 ENABLE
   case wsal7vi = 2
        kcod = ALLTRIM(m.nitemple)+C13
        KEYBOARD kcod
        DO descue01
   CASE wsal7vi = 3
       kcod = ALLTRIM(m.nitemple)+C13
       KEYBOARD m.seccion
       DO solipres
   CASE wsal7vi = 4
        DO &wprg
   CASE wsal7vi = 5

        IF w_accgrab
           ON KEY LABEL F4
           ON KEY LABEL F8
           CLEAR READ

        ELSE
           _men = "Este contrato no ha sido"+C13+;
                  " Grabado, Desea Salir ?"
           _res = Mensaje(_men)

           IF (TYPE("_res") ="L" AND _res) OR ;
              (TYPE("_res") ="N" AND _res=1)
              CLEAR READ
           ENDIF
        ENDIF
ENDCASE
RETURN
******