*       *********************************************************
*       *                                                         
*       * 2012.01.05           TABDBF03.PRG              17:03:59 
*       *                                                         
*       *********************************************************
*       *                                                         
*       * Ing Gustavo A. Pinilla C.                               
*       *                                                         
*       * Copyright (c) 2012 SIE7E Ltda.                          
*       * Cel 310.421.2741                                        
*       * Cali, Valle  76001                                         
*       * Colombia                                          
*       *                                                         
*       * Description:                                            
*       * Este programa lo ha generado automticamente GENSCRN.    
*       *                                                         
*       *********************************************************


#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.rborder = SET("READBORDER")
SET READBORDER ON

m.currarea = SELECT()


*       *********************************************************
*       *                                                         
*       *             Windows Definiciones de ventana             
*       *                                                         
*       *********************************************************
*

IF NOT WEXIST("w_dbf02") ;
	OR UPPER(WTITLE("W_DBF02")) == "W_DBF02.PJX" ;
	OR UPPER(WTITLE("W_DBF02")) == "W_DBF02.SCX" ;
	OR UPPER(WTITLE("W_DBF02")) == "W_DBF02.MNX" ;
	OR UPPER(WTITLE("W_DBF02")) == "W_DBF02.PRG" ;
	OR UPPER(WTITLE("W_DBF02")) == "W_DBF02.FRX" ;
	OR UPPER(WTITLE("W_DBF02")) == "W_DBF02.QPR"
	DEFINE WINDOW w_dbf02 ;
		AT  0.000, 0.000  ;
		SIZE 25.000,68.714 ;
		TITLE "SIE7E" ;
		FONT "Courier New", 8 ;
		FLOAT ;
		NOCLOSE ;
		NOMINIMIZE ;
		SYSTEM ;
		COLOR RGB(,,,192,192,192)
	MOVE WINDOW w_dbf02 CENTER
ENDIF


*       *********************************************************
*       *                                                         
*       *  TABDBF02/Windows Cdigo de configuracin - SECCION 2   
*       *                                                         
*       *********************************************************
*

#REGION 1
* VERSION 01: Se agrega AUTOL000 Y CHEQUERA
*         02: Agregamos FUNCION SUM(), COUNT(*)
*             Se le agregan derechos de Acceso x Usuario
*             Adicionamos la Tabla DATBAS01
*         03: Agregamos controles para Autorizac x Usuario x Negocio
*          A: Arreglamos ordenamiento de tabdbf00 para ver titulo campo
*          B: Corregimos error TRea_DATO ..
*          C: Activamos matriz a_q1, validamos usuarios
*          D: Correccion de join selpr vs datbas
*          E: Evitamos filtros en Tabla: _formula
*          F: Agregamos intrucc en campo memo tabdbf00.field_des
*             de la tabla virtual '_FORMULA'
*          G: Corregimos error con codigos en '*' y creacion
*          H: Incluimos ver_xls
*          I: Corregimos upper de condiciones
*          J: Agregamos tablas Estudi30, CarPos05
*          K: Agregamos LEFT JOIN cntabanc
*          L: 2010.11.08 Se pide cargar columnas de otro informe para los inf nuevos
*          M: 2011.03.07 Agregamos REV-PREACT
*          N: 2011.06.01 Agregamos EMPRES07.DBF
*          O: 2011.06.20 Cambiamos wsal -> wsal_td2
*          P: 2011.08.31 Cambiaos dbf -> foxplus
*             2011.09.15 When.wusu =  solo sup,gap
*             2011.09.22 Agregamos NOUPDATE
*         04: 2012.01.05 Miramos si hay varias cia's involucradas.
*                        rutas.dbf ('CIA')
_nomprg = 'tabdbf02'

SET PROC TO LOCKS
DO  INICIAL
c13 = CHR(13)

RELEASE a_q1, wtip, wusu,wnum,wusu

=_mens('Cargando Informacion...')

men_num = "Seleccion el Numero del Informe que"+c13+;
          "desea procesar.  Con '*' consulta."

men_cmp = "Doble [click] para Adicionar o"+c13+;
          "Borrar los campos del Informe."+c13+;
          "[Tab] para continuar"

men_usu = "Indique el codigo  de los usuarios"+c13+;
          "que pueden modificar este reporte."

men_fijo= '[F12] Para Insertar otro Registro'+c13+;
          '[F8] o [Esc] para Grabar y Continuar'+c13+;
          '[Click] en el cuadro GRIS de la Izq para Borrar'

IF !FILE('tabdbf02.dbf')
   wdbf = FULLPATH('NMACUM.DBF')
   wdbf = STRTRAN(UPPER(wdbf),'NMACUM','TABDBF02')
   CREATE TABLE (wdbf) (numinf C(03), consec C(03), ;
          ntabla C(08), ncampo C(10), sumado C(01), ;
          filtro C(100),estado C(01) )
   INDEX ON numinf+consec TAG llave1
ENDIF

CREATE CURSOR q_campos ;
      (ord C(3), tit C(50),  dbf C(8), nom C(10), ;
       sum C(1), est C(1), fil C(100), dat C(50), mem M )

wcampo = 0
STORE .F. TO _nuevo
STORE ' ' TO wtime1, wtime2

DIMENSION a_q1[60]
DO ini_array WITH 1

IF TYPE('_wuser')='U'
   _wuser = 'SUP'
ENDIF


*       *********************************************************
*       *                                                         
*       *        TABDBF02/Windows Distribucin de pantalla        
*       *                                                         
*       *********************************************************
*

#REGION 1
IF WVISIBLE("w_dbf02")
	ACTIVATE WINDOW w_dbf02 SAME
ELSE
	ACTIVATE WINDOW w_dbf02 NOSHOW
ENDIF
@ 0.000,0.000 TO 3.500,68.714 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(,,,0,0,128)
@ 1.286,17.429 SAY "GENERADOR DE INFORMES (R7)" ;
	FONT "MS Sans Serif", 10 ;
	STYLE "BT" ;
	COLOR RGB(255,255,0,,,,)
@ 0.071,57.714 SAY "TABDBF02.04" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "T" ;
	COLOR RGB(255,255,255,,,,)
@ 5.000,3.143 SAY "Informe No:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 21.071,7.714 TO 23.714,61.000 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 23.643,7.714 TO 23.643,61.000 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 21.071,60.857 TO 23.714,60.857 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 6.286,4.857 SAY "Usuarios:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 5.000,13.286 GET wnum ;
	SIZE 1.000,3.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!" ;
	VALID v_num() ;
	MESSAGE _mens(men_num) ;
	COLOR ,RGB(,,,0,255,255)
@ 5.000,18.429 GET wdes ;
	SIZE 1.000,46.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN _nuevo ;
	VALID v_nvo() ;
	COLOR ,RGB(,,,0,255,255)
@ 6.286,13.286 GET wusu ;
	SIZE 1.000,51.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN _wuser $ "SUP,A01,GAP" ;
	VALID v_usu() ;
	MESSAGE _mens(men_usu) ;
	COLOR ,RGB(,,,255,255,255)
@ 7.786,8.429 GET wcol ;
	PICTURE "@*C Agregar, Modificar, Eliminar Columnas del Informe" ;
	SIZE 1.308,51.333 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_cmp()
@ 9.357,3.571 GET wcampo ;
 	PICTURE "@&N" ;
	FROM a_q1 ;
	SIZE 10.286,61.571 ;
	DEFAULT 1 ;
	FONT "Courier New", 8 ;
	WHEN w_cmp() ;
	VALID v_cmp() ;
	MESSAGE _mens(men_cmp) ;
	COLOR RGB(,,,255,255,255),RGB(,,,255,255,255)
@ 21.571,13.571 GET wsal_td2 ;
	PICTURE "@*HN \\\<Pantalla;\\\<Excel;\\\<Texto;\<Salir" ;
	SIZE 1.769,11.000,1.500 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _3eh10kuqz()
@ 7.786,53.857 GET wvelocidad ;
	PICTURE "@*C Acelerador" ;
	SIZE 1.308,14.667 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"

IF NOT WVISIBLE("w_dbf02")
	ACTIVATE WINDOW w_dbf02
ENDIF

READ CYCLE MODAL

RELEASE WINDOW w_dbf02
SELECT (m.currarea)


#REGION 0

SET READBORDER &rborder

IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF


*       *********************************************************
*       *                                                         
*       *           TABDBF02/Windows Cdigo de limpieza           
*       *                                                         
*       *********************************************************
*

#REGION 1
DO CLOSE_DATA
ON KEY LABEL ENTER
ON KEY LABEL PGDN
ON KEY LABEL ESC
RETURN
******



*       *********************************************************
*       *                                                         
*       * TABDBF02/Windows Procedimientos y funciones de soporte  
*       *                                                         
*       *********************************************************
*

#REGION 1
PROCEDURE _exportar
_men = "Esta seguro de realizar esta Consulta ? "
wtime1 = TIME()
IF mensaje(_men) AND f_sel_reg()

   SELECT * FROM rutas ;
    WHERE grupo = "CIA" ;
     INTO CURSOR q_rut

   USE IN rutas

   _men4 = "Integrar informe con otras Cias ??"
   IF RECC("q_rut") > 1 AND MENSAJE(_men4)

      SELECT "x-x" AS cia, q.* ;
        FROM q_datos q ;
        INTO CURSOR q_datos_acum ;
        READWRITE

      _ruta_act = SET("PATH")
      SELECT q_rut
      GO TOP
      SCAN

         _ruta = ALLTRIM(rutas)
         _ccia = aplic

         IF _ruta $ _ruta_act

            SELECT q_datos_acum
            REPLACE cia WITH _ccia FOR cia="x-x"
         ELSE

            _ruta_nue = _ruta+";"+_ruta_act
            SET PATH TO (_ruta_nue)

            IF f_sel_reg()
               SELECT q_datos_acum
               APPEND FROM DBF("q_datos")
               REPLACE cia WITH _ccia FOR EMPTY(cia)
               USE IN q_datos

            ENDIF
         ENDIF

         SELECT q_rut
      ENDSCAN

      SET PATH TO (_ruta_act)

      SELECT * ;
        FROM q_datos_acum ;
        INTO CURSOR q_datos ;
       ORDER BY 1,2,3

      =_CLOSE("q_datos_acum")
   ENDIF

   =_CLOSE("q_rut","rutas")


   SELECT q_datos

   DO CASE
      CASE wsal_td2 = 1

           ON KEY LABEL ENTER
           ON KEY LABEL PGDN
           ON KEY LABEL F12
           ON KEY LABEL F8
           wtime2 = TIME()
           =_mens(wtime1+' - '+ wtime2)
           BROWSE NOMO NORMAL

           IF _wuser$"SUP,A01,S10"
              warc = PUTFILE('DBF Destino','DATOS','DBF')
              IF !EMPTY(warc)
                 COPY TO (warc) TYPE FOXPLUS
                 =_mens('Tabla Creada')
              ENDIF
           ENDIF

      CASE wsal_td2 = 2
           warc = PUTFILE('Destino','DATOS','XLS')
           IF !EMPTY(warc)
              _cant = F7_COPYXLS(warc)
              =_mens(ALLTRIM(STR(_cant,2,0))+' Hoja(s) Electronica(s) Creada(s)')
              DO VER_XLS WITH warc
           ENDIF

      CASE wsal_td2 = 3
           warc = PUTFILE('Destino','DATOS','TXT|DAT')
           IF !EMPTY(warc)
              COPY TO (warc) TYPE SDF
              =_mens('Archivo Texto Creado')
           ENDIF

      CASE wsal_td2 = 1
           warc = PUTFILE('Destino','DATOS','DBF')
           IF !EMPTY(warc)
              COPY TO (warc)
              =_mens('Tabla Creada')
           ENDIF
   ENDCASE
ENDIF
DO close_data

RETURN
******

FUNCTION f_sel_reg

_cmps = ''
_from = ''
_cwh_ = '.T.'
_grup = ''
_sumar= .F.

STORE '.T.' TO _w_sp, _w_em, _w_ct, _w_ng, _w_ac, _w_ch, _w_au, _w_db, _w_et, _w_cp_,_w_cL_
STORE ''    TO _c_sp, _c_em, _c_ct, _c_ng, _c_ac, _c_ch, _c_au, _c_db, _c_et, _c_cp_,_c_cL_

=_mens('PROCESANDO.....')

SELECT q_campos
GO TOP
DO WHILE !EOF()

   IF dbf='_FORMULA'

         IF EMPTY(mem)
            =MENSAJE('Debe Actualizar Campo Memo'+CHR(13)+tit)
            EXIT
         ELSE
            _cmps = _cmps+IIF(sum='S',[SUM(],[])+ALLTRIM(mem)+;
                          IIF(sum='S',[)],[])+[ AS ]+ALLTRIM(nom)
*           _cmps = _cmps+IIF(sum='S',[SUM(],[])+ALLTRIM(tit)+;
                          IIF(sum='S',[)],[])+[ AS ]+ALLTRIM(nom)

         ENDIF
   ELSE
      _cmps = _cmps+IIF(sum='S',[SUM(],[])+;
               ALLTRIM(dbf)+[.]+ALLTRIM(nom)+;
               IIF(sum='S',[) AS ]+ALLTRIM(nom),[])

      * Creamos Lista de Campos para Crear CURSORES
         DO CASE
            CASE dbf = 'SELPR001'
                 _c_sp = _c_sp+ IIF(EMPTY(_c_sp),[],[,])+ALLTRIM(nom)
            CASE dbf = 'EMPLEADO'
                 _c_em = _c_em+ IIF(EMPTY(_c_em),[],[,])+ALLTRIM(nom)
            CASE dbf = 'CNTABANC'
                 _c_ct = _c_ct+ IIF(EMPTY(_c_ct),[],[,])+ALLTRIM(nom)
            CASE dbf = 'EMPRESAS'
                 _c_ng = _c_ng+ IIF(EMPTY(_c_ng),[],[,])+ALLTRIM(nom)
            CASE dbf = 'NMACUM  '
                 _c_ac = _c_ac+ IIF(EMPTY(_c_ac),[],[,])+ALLTRIM(nom)
            CASE dbf = 'CHEQUERA'
                 _c_ch = _c_ch+ IIF(EMPTY(_c_ch),[],[,])+ALLTRIM(nom)
            CASE dbf = 'AUTOL000'
                 _c_au = _c_au+ IIF(EMPTY(_c_au),[],[,])+ALLTRIM(nom)
            CASE dbf = 'DATBAS01'
                 _c_db = _c_db+ IIF(EMPTY(_c_db),[],[,])+ALLTRIM(nom)
            CASE dbf = 'ESTUDI30'
                 _c_db = _c_et+ IIF(EMPTY(_c_et),[],[,])+ALLTRIM(nom)
            CASE dbf = 'CARPOS05'
                 _c_db = _c_cp+ IIF(EMPTY(_c_cp),[],[,])+ALLTRIM(nom)
            CASE dbf = 'EMPRES07'
                 _c_db = _c_cl+ IIF(EMPTY(_c_cl),[],[,])+ALLTRIM(nom)
         ENDCASE


      IF !EMPTY(fil)
         _cwh_ = _cwh_ + [ AND ]+ALLTRIM(fil)

         * Creamos WHERE's Individuales para crear CURSORES
         DO CASE
            CASE dbf = 'SELPR001'
                 _w_sp = _w_sp+ [ AND ]+ALLTRIM(fil)
            CASE dbf = 'EMPLEADO'
                 _w_em = _w_em+ [ AND ]+ALLTRIM(fil)
            CASE dbf = 'CNTABANC'
                 _w_ct = _w_ct+ [ AND ]+ALLTRIM(fil)
            CASE dbf = 'EMPRESAS'
                 _w_ng = _w_ng+ [ AND ]+ALLTRIM(fil)
            CASE dbf = 'NMACUM  '
                 _w_ac = _w_ac+ [ AND ]+ALLTRIM(fil)
            CASE dbf = 'CHEQUERA'
                 _w_ch = _w_ch+ [ AND ]+ALLTRIM(fil)
            CASE dbf = 'AUTOL000'
                 _w_au = _w_au+ [ AND ]+ALLTRIM(fil)
            CASE dbf = 'DATBAS01'
                 _w_db = _w_db+ [ AND ]+ALLTRIM(fil)
            CASE dbf = 'ESTUDI30'
                 _w_db = _w_et+ [ AND ]+ALLTRIM(fil)
            CASE dbf = 'CARPOS05'
                 _w_db = _w_cp+ [ AND ]+ALLTRIM(fil)
            CASE dbf = 'EMPRES07'
                 _w_db = _w_cl+ [ AND ]+ALLTRIM(fil)
         ENDCASE

      ENDIF
   ENDIF

   IF sum#'S'
      _grup = IIF(EMPTY(_grup),'',_grup+[,])+ALLTRIM(dbf)+[.]+ALLTRIM(nom)
   ELSE
      _sumar = .T.
   ENDIF

   SKIP
   IF !EOF()
      _cmps = _cmps+[,]
   ENDIF
ENDDO

IF !EMPTY(_cmps)

   STORE .F. TO _selpr001, _empleado, _nmacum,   _empresas, ;
                _concepto, _cntabanc, _chequera, _autol000, ;
                _datbas01, _sumar, _empres07, _carpos05,;
                _estudi30
   _selpr001 = F_TAB('SELPR001')
   _empleado = F_TAB('EMPLEADO')
   _empresas = F_TAB('EMPRESAS')
   _cntabanc = F_TAB('CNTABANC')
   _nmacum   = F_TAB('NMACUM  ')
   _concepto = F_TAB('CONCEPTO')
   _chequera = F_TAB('CHEQUERA')
   _autol000 = F_TAB('AUTOL000')
   _formula7 = F_TAB('_FORMULA')
   _datbas01 = F_TAB('DATBAS01')
   _estudi30 = F_TAB('ESTUDI30')
   _carpos05 = F_TAB('CARPOS05')
   _empres07 = F_TAB('EMPRES07')

*  Construccion del WHERE

   IF _selpr001 AND _empleado
      _cwh_ = _cwh_+[ AND selpr001.nitemple = empleado.nitemple]
   ENDIF

*   IF _selpr001 AND _cntabanc
*      _cwh_ = _cwh_+[ AND selpr001.nitemple = cntabanc.nitemple]
*   ENDIF

*   IF !_selpr001 AND _cntabanc AND _empleado
*      _cwh_ = _cwh_+[ AND empleado.nitemple = cntabanc.nitemple]
*   ENDIF

   IF _empleado AND _nmacum
      _cwh_ = _cwh_+[ AND empleado.nitemple = nmacum.codemp]
      _cwh_ = _cwh_+[ AND empleado.ncontrato=nmacum.contrato]
   ENDIF

   IF !_empleado AND _nmacum AND _selpr001
      _cwh_ = _cwh_+[ AND selpr001.nitemple = nmacum.codemp]
   ENDIF

   IF _empleado AND _empresas
      _cwh_ = _cwh_+ [ AND empleado.nitempre = empresas.nit]
   ENDIF

   IF !_empleado AND _empresas AND _nmacum
      _cwh_ = _cwh_+[ AND empresas.nit= nmacum.empresa]
   ENDIF

   IF _nmacum AND _concepto
      _cwh_ = _cwh_+[ AND nmacum.codcon=concepto.codigo]
   ENDIF

   IF _empleado AND _chequera
      _cwh_ = _cwh_+[ AND empleado.nitemple=chequera.empleado]
      _cwh_ = _cwh_+[ AND empleado.ncontrato=chequera.contrato]
   ENDIF

   IF !_empleado AND _nmacum AND _chequera
      _cwh_ = _cwh_+[ AND nmacum.cheque=chequera.numero]
      _cwh_ = _cwh_+[ AND nmacum.codemp=chequera.empleado]
   ENDIF

   IF !_empleado AND _selpr001 AND _chequera
      _cwh_ = _cwh_+[ AND selpr001.nitemple=chequera.empleado]
   ENDIF

   IF !_empleado AND _empresas AND _chequera
      _cwh_ = _cwh_+[ AND empresas.nit=chequera.empresa]
   ENDIF

   IF _empleado AND _autol000
      _cwh_ = _cwh_+[ AND empleado.nitemple=autol000.codigo]
      _cwh_ = _cwh_+[ AND empleado.ncontrato=autol000.numcnt]
   ENDIF

   IF !_empleado AND _empresas AND _autol000
      _cwh_ = _cwh_+[ AND empresas.nit=autol000.negoci]
   ENDIF

   IF !_empleado AND _nmacum AND _autol000
      _cwh_ = _cwh_+[ AND nmacum.codemp=autol000.codigo]
      _cwh_ = _cwh_+[ AND nmacum.contrato=autol000.numcnt]
   ENDIF

   IF _datbas01 AND _selpr001
      _cwh_ = _cwh_+[ AND VAL(selpr001.nitemple)=datbas01.cedula]
   ENDIF

   IF _datbas01 AND !_selpr001 AND _empleado
      _cwh_ = _cwh_+[ AND VAL(empleado.nitemple)=datbas01.cedula]
   ENDIF

   IF _datbas01 AND !_selpr001 AND !_empleado AND _cntabanc
      _cwh_ = _cwh_+[ AND VAL(cntabanc.nitemple)=datbas01.cedula]
   ENDIF

   IF _datbas01 AND _estudi30
      _cwh_ = _cwh_+[ AND estudi30.cedula=datbas01.cedula]
   ENDIF

   IF _datbas01 AND _carpos05
      _cwh_ = _cwh_+[ AND carpos05.cedula=datbas01.cedula]
   ENDIF

   IF _empres07 AND _empresas
      _cwh_ = _cwh_+[ AND empresas.codinte=empres07.cdinte]
   ENDIF


*  CONSTRUCION DEL FROM
   _tablas = 0
   IF _selpr001
      _from = _from+[ selpr001-sp]
      _cwh_ = STRTRAN(UPPER7(_cwh_,'SELPR001.'),'SELPR001.','SP.')
      _cmps = STRTRAN(UPPER(_cmps),'SELPR001.','SP.')
      _grup = STRTRAN(UPPER(_grup),'SELPR001.','SP.')
      _tablas = _tablas + 1
   ENDIF

   IF _empleado
      _from = _from+[ empleado-em]
      _cwh_ = STRTRAN(UPPER7(_cwh_,'EMPLEADO.'),'EMPLEADO.','EM.')
      _cmps = STRTRAN(UPPER(_cmps),'EMPLEADO.','EM.')
      _grup = STRTRAN(UPPER(_grup),'EMPLEADO.','EM.')
      _tablas = _tablas + 1
   ENDIF

   IF _cntabanc
      _from = _from+[-LEFT-JOIN-cntabanc-ct-ON-]
      DO CASE
         CASE _empleado
              _from = _from + [em.nitemple=ct.nitemple]
         CASE _selpr001
              _from = _from + [sp.nitemple=ct.nitemple]
         CASE _datbas01
              _from = _from + [db.cedula=VAL(ct.nitemple)]
      ENDCASE

      _cwh_ = STRTRAN(UPPER7(_cwh_,'CNTABANC.'),'CNTABANC.','CT.')
      _cmps = STRTRAN(UPPER(_cmps),'CNTABANC.','CT.')
      _grup = STRTRAN(UPPER(_grup),'CNTABANC.','CT.')
      _tablas = _tablas + 1
   ENDIF

   IF _empresas
      _from = _from+[ empresas-ng]
      _cwh_ = STRTRAN(UPPER7(_cwh_,'EMPRESAS.'),'EMPRESAS.','NG.')
      _cmps = STRTRAN(UPPER(_cmps),'EMPRESAS.','NG.')
      _grup = STRTRAN(UPPER(_grup),'EMPRESAS.','NG.')
      _tablas = _tablas + 1
   ENDIF

   IF _nmacum
      _from = _from+[ nmacum-ac]
      _cwh_ = STRTRAN(UPPER7(_cwh_,'NMACUM.'),'NMACUM.','AC.')
      _cmps = STRTRAN(UPPER(_cmps),'NMACUM.','AC.')
      _grup = STRTRAN(UPPER(_grup),'NMACUM.','AC.')
      _tablas = _tablas + 1
   ENDIF

   IF _concepto
      _from = _from+[ concepto-cn]
      _cwh_ = STRTRAN(UPPER7(_cwh_,'CONCEPTO.'),'CONCEPTO.','CN.')
      _cmps = STRTRAN(UPPER(_cmps),'CONCEPTO.','CN.')
      _grup = STRTRAN(UPPER(_grup),'CONCEPTO.','CN.')
      _tablas = _tablas + 1
   ENDIF

   IF _chequera
      _from = _from+[ chequera-ch]
      _cwh_ = STRTRAN(UPPER7(_cwh_,'CHEQUERA.'),'CHEQUERA.','CH.')
      _cmps = STRTRAN(UPPER(_cmps),'CHEQUERA.','CH.')
      _grup = STRTRAN(UPPER(_grup),'CHEQUERA.','CH.')
      _tablas = _tablas + 1
   ENDIF

   IF _autol000
      _from = _from+[ autol000-au]
      _cwh_ = STRTRAN(UPPER7(_cwh_,'AUTOL000.'),'AUTOL000.','AU.')
      _cmps = STRTRAN(UPPER(_cmps),'AUTOL000.','AU.')
      _grup = STRTRAN(UPPER(_grup),'AUTOL000.','AU.')
      _tablas = _tablas + 1
   ENDIF

   IF _datbas01
      _from = _from+[ datbas01-db]
      _cwh_ = STRTRAN(UPPER7(_cwh_,'DATBAS01.'),'DATBAS01.','DB.')
      _cmps = STRTRAN(UPPER(_cmps),'DATBAS01.','DB.')
      _grup = STRTRAN(UPPER(_grup),'DATBAS01.','DB.')
      _tablas = _tablas + 1
   ENDIF

   IF _estudi30
      _from = _from+[ estudi30-et]
      _cwh_ = STRTRAN(UPPER7(_cwh_,'ESTUDI30.'),'ESTUDI30.','ET.')
      _cmps = STRTRAN(UPPER(_cmps),'ESTUDI30.','ET.')
      _grup = STRTRAN(UPPER(_grup),'ESTUDI30.','ET.')
      _tablas = _tablas + 1
   ENDIF

   IF _carpos05
      _from = _from+[ carpos05-cp]
      _cwh_ = STRTRAN(UPPER7(_cwh_,'CARPOS05.'),'CARPOS05.','CP.')
      _cmps = STRTRAN(UPPER(_cmps),'CARPOS05.','CP.')
      _grup = STRTRAN(UPPER(_grup),'CARPOS05.','CP.')
      _tablas = _tablas + 1
   ENDIF

   IF _empres07
      _from = _from+[ empres07-cl]
      _cwh_ = STRTRAN(UPPER7(_cwh_,'EMPRES07.'),'EMPRES07.','CL.')
      _cmps = STRTRAN(UPPER(_cmps),'EMPRES07.','CL.')
      _grup = STRTRAN(UPPER(_grup),'EMPRES07.','CL.')
      _tablas = _tablas + 1
   ENDIF

   _from = ALLTRIM(_from)
   _from = STRTRAN(_from,[ ],[,])
   _from = STRTRAN(_from,[-],[ ])

*  Revisando contrato preactivos
*  2011.03.07  &&Buscamos si se pide el campo empleado.estado

   IF "ESTADO" $ UPPER(_c_em) AND FILE("cantra69.fxp")
      DO rev_preact IN cantra69
   ENDIF

*  Creando cursor parciales para mejorar rendimiento
   IF _tablas > 1 AND wvelocidad > 0

      IF _selpr001 AND !EMPTY(_w_sp)
         SELECT &_c_sp ;
           FROM selpr001 ;
          WHERE &_w_sp ;
           INTO CURSOR sp
      ENDIF

      IF _empleado AND !EMPTY(_w_em)

         IF !'NITEMPLE'$_c_em
            _c_em = _c_em+',NITEMPLE'
         ENDIF
         IF !'NCONTRATO'$_c_em
            _c_em = _c_em+',NCONTRATO'
         ENDIF

         SELECT &_c_em ;
           FROM empleado ;
          WHERE &_w_em ;
           INTO CURSOR em
      ENDIF

      IF _cntabanc AND !EMPTY(_w_ct)
         SELECT &_c_ct ;
           FROM cntabanc ;
          WHERE &_w_ct ;
           INTO CURSOR ct
      ENDIF

      IF _empresas AND !EMPTY(_w_ng)
         SELECT &_c_ng ;
           FROM empresas ;
          WHERE &_w_ng ;
           INTO CURSOR ng
      ENDIF

      IF _nmacum AND !EMPTY(_w_ac)
         SELECT &_c_ac ;
           FROM nmacum ;
          WHERE &_w_ac ;
           INTO CURSOR ac
      ENDIF

      IF _chequera AND !EMPTY(_w_ch)
         SELECT &_c_ch ;
           FROM chequera ;
          WHERE &_w_ch ;
           INTO CURSOR ch
      ENDIF

      IF _autol000 AND !EMPTY(_w_au)
         SELECT &_c_au ;
           FROM autol000 ;
          WHERE &_w_au ;
           INTO CURSOR au
      ENDIF

      IF _datbas01 AND !EMPTY(_w_db)
         SELECT &_c_db ;
           FROM datbas01 ;
          WHERE &_w_db ;
           INTO CURSOR db
      ENDIF


   ENDIF
*  FIN Cursores parciales
*  Reasignamos nombres de campos posiblemente duplicados
   _cmps = STRTRAN(_cmps,[SP.NOMBRE],[SP.NOMBRE AS nombres])
   _cmps = STRTRAN(_cmps,[SP.NITEMPLE],[SP.NITEMPLE AS cod_empl])

   IF !EMPTY(_from)

      IF _sumar
         SET TALK ON
             SELECT &_cmps ;
               FROM &_from ;
              WHERE &_cwh_ ;
               INTO CURSOR q_datos;
              GROUP BY &_grup ;
              ORDER BY 1
         SET TALK OFF
      ELSE
         SET TALK ON
             SELECT &_cmps ;
               FROM &_from ;
              WHERE &_cwh_ ;
               INTO CURSOR q_datos ;
              ORDER BY 1
         SET TALK OFF
      ENDIF
   ENDIF

ENDIF

=_CLOSE("datbas01","selpr001","empleado","cntabanc","empresas","autol000","carpos05","chequera","nmacum")
=_CLOSE("estudi30","empres07")

RETURN USED('q_datos') AND RECC('q_datos') > 0
******

FUNCTION v_num
kdes = destab00('R7',wnum)
IF !EMPTY(kdes) AND kdes # '.' AND wnum # '000'
   wdes = kdes
   wusu = TRAE_DATO('tabgen00',1,'R7'+wnum,'char01')
   DO carga_cmps
ENDIF

IF "*" $ wnum
   wnum = '   '
   wdes = '   '
ENDIF

IF !EMPTY(wnum) AND EMPTY(wdes)
   _men = 'Desea Crear este Informe ?'
   IF mensaje(_men)
      STORE .T. TO _nuevo
   ELSE
      STORE .F. TO _nuevo
      wdes = ' '
   ENDIF
   SELECT q_campos
   ZAP
   DIMENSION a_q1[5]
   STORE SPACE(100) TO a_q1
ENDIF
RETURN _enable()
******

FUNCTION v_nvo
IF !EMPTY(wnum) AND !EMPTY(wdes) AND ;
   ABRIR('tabgen00',1) AND !SEEK('R7'+wnum)
   SELECT tabgen00
   APPEND BLANK
   REPLACE tiptab WITH 'R7'
   REPLACE codtab WITH PADL(ALLTRIM(wnum),3,'0')
   REPLACE destab WITH ALLTRIM(wdes)

   wc_num =  codtab

   * 2010.11.08  && TRAER CAMPOS DE OTRO INFORME
   IF mensaje("Copiar campos de otro Informe ?")

      =_CLOSE("q_inf","q_base")
      IF COPYDBFTMP([TABGEN00],1,[R7],[tiptab='R7' FOR codtab#'000' ],[q_inf])
         SELECT q_inf
         ON KEY LABEL F8 KEYBOARD "{CTRL+W}" PLAIN
         ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN

         BROW NORMAL FIELD codtab,destab FREEZE codtab
         ON KEY LABEL F8
         ON KEY LABEL ENTER

         IF LASTKEY()#27

            kinf = codtab
            SELECT wc_num AS numinf, consec, ntabla, ncampo, ;
                   sumado, filtro, coment, estado ;
              FROM tabdbf02 ;
             WHERE numinf = kinf ;
              INTO CURSOR q_base

            IF RECC("q_base") > 0
               _dbf = DBF()
               SELECT tabdbf02
               APPEND FROM (_dbf)

               DO carga_cmps
            ENDIF

         ENDIF

      ENDIF

      =_CLOSE("q_inf","q_base")

   ENDIF

ENDIF
RETURN _enable()
******

FUNCTION v_usu
IF LEN(wusu)<3
   wusu =[]
ENDIF
IF "*" $ wusu
   wusu = STRTRAN(wusu,'*',[])
ENDIF
IF ABRIR('tabgen00',1) AND SEEK('R7'+wnum)
   IF ALLTRIM(char01) # ALLTRIM(wusu)
      REPLACE char01 WITH wusu
   ENDIF
ENDIF
RETURN _enable()
******

FUNCTION v_cmp
IF !USED('tabdbf02')
   = ABRIR('tabdbf02',1)
ENDIF
SELECT tabdbf02
IF !SEEK(wnum)
   =_mens("Primer Campo ....")
   APPEND BLANK
   REPLACE numinf WITH wnum, consec WITH '900', ;
           estado WITH 'A'

ELSE
   IF !EMPTY(wusu) AND !_wuser$wusu
      =_CLOSE('q_tabdbf')
      _wh_ = [numinf=wnum ]
      IF COPYDBFTMP('tabdbf02',1,wnum,_wh_,'q_tabdbf')
         USE IN tabdbf02
         SELECT q_tabdbf
         _dbf = DBF()
         USE (_dbf) EXCLUSIVE ALIAS tabdbf02
         INDEX ON numinf+consec TAG llave1
      ENDIF
   ENDIF
ENDIF

DO DEF_WIND WITH "1", 'Columnas del Informe'
ON KEY LABEL ENTER
ON KEY LABEL PGDN
ON KEY LABEL ESC
ON KEY LABEL F8 KEYBOARD '{CTRL+W}' PLAIN
ON KEY LABEL F12 DO ADD_BLANK

BROWSE WINDOW consulta KEY wnum ;
       FIELDS consec :H='Col':P='@!':W=w1_men(),;
              estado :H='Est':P='@!':W=w1_men(),;
              ntabla :H='Nom Tabla':v=v1_tab():P='@!':W=w1_men(), ;
              ncampo :H='Campo':v=v1_cmp():P='@!':W=w1_men(), ;
              descri = f_tit(ntabla,ncampo): R :W=w1_men() , ;
              sumado :W=f_tip(ntabla,ncampo)='N':P='!':V=sumado$'SN', ;
              filtro :W=w2_men(), coment:W=w1_men()
ON KEY LABEL F8
ON KEY LABEL F12
DO carga_cmps
RETURN _enable()
******

FUNCTION _enable
ON KEY LABEL PGDN
IF !EMPTY(wdes) AND RECC('q_campos')>0
   ON KEY LABEL PGDN DO obj_sal
   SHOW GET wsal_td2,1 ENABLE
   SHOW GET wsal_td2,2 ENABLE
   SHOW GET wsal_td2,3 ENABLE
ELSE
   SHOW GET wsal_td2,1 DISABLE
   SHOW GET wsal_td2,2 DISABLE
   SHOW GET wsal_td2,3 DISABLE
ENDIF
SHOW GETS WINDOW w_dbf02
RETURN .T.
******

PROCEDURE carga_cmps
=_CLOSE('q1','q2')
_whi_ = [ numinf = wnum ]
IF COPYDBFTMP('tabdbf02',1,wnum,_whi_,'q1')
   SELECT consec AS ord, t.field_tit AS tit, ;
          ntabla AS dbf, ncampo AS nom, ;
          estado AS est, filtro AS fil, ;
          sumado AS sum, t.field_exp AS dat, ;
          t.field_des AS mem ;
     FROM q1, tabdbf00 t ;
    WHERE q1.ntabla = t.field_dbf ;
      AND q1.ncampo = t.field_name ;
      AND q1.estado = 'A' ;
     INTO CURSOR q2 ;
    ORDER BY consec

   _dbf = DBF()

   SELECT q_campos
   ZAP
   APPEND FROM (_dbf)
   wcampo = RECC()
   DO act_array
ENDIF

=_CLOSE('q1','q2')
RETURN
******

PROCEDURE add_blank
SELECT tabdbf02
APPEND BLANK
REPLACE numinf WITH wnum, consec WITH '900', ;
        estado WITH 'A'
RETURN
******

FUNCTION w_cmp
IF RECC('q_campos') = 0
   APPEND BLANK
   GO TOP
   wcampo = 1
ENDIF
RETURN .T.
******

FUNCTION f_tit
PARAMETER _ndbf,_ncmp
_area = SELECT()
_ntit = TRAE_DATO('tabdbf00',3,_ndbf+_ncmp,'field_tit')
SELECT (_area)
RETURN PADR(_ntit,30,' ')
******

FUNCTION f_tab
PARAMETER _tab

IF _tab = "_FORMULA"
   RETURN .T.
ENDIF

IF USED(_tab)
   USE IN &_tab
ENDIF

LOCATE FOR dbf =_tab

IF FOUND()
   IF _tab = "EMPLEADO"
      USE (_tab) ALIAS &_tab IN 0 SHARED AGAIN
   ELSE
      USE (_tab) ALIAS &_tab NOUPDATE IN 0 SHARED AGAIN
   ENDIF
   RETURN .T.
ENDIF

RETURN .F.
******

FUNCTION v1_tab
_ntab = ALLTRIM(ntabla)
kpos = AT('*',_ntab)
IF kpos > 0
   kini = ALLTRIM(LEFT(_ntab,kpos-1))
   SELECT dbf_name AS tabla, ;
          dbf_tit  AS descr, ;
          IIF(dbf_expo='S','SI','NO') AS aut ;
     FROM tabdbf01 ;
    WHERE (EMPTY(kini) OR dbf_name=kini) ;
      AND (_wuser$'SUP,A00' OR dbf_expo='S' ) ;
     INTO CURSOR _tab1

   RELEASE WINDOW consult10
   DO DEF_WIND WITH '10','Catalogo de Tablas 7'
   ON KEY LABEL PGDN
   ON KEY LABEL ENTER KEYBOARD '{CTRL+W}' PLAIN
   BROWSE NOMO WINDOW consult10
   ON KEY LABEL ENTER

   IF LASTKEY()#27
      SELECT tabdbf02
      REPLACE ntabla WITH _tab1.tabla
   ENDIF

   SELECT tabdbf02

ENDIF
RETURN _enable()
******

FUNCTION v1_cmp
_ncmp = ALLTRIM(ncampo)
_ntab = ntabla
kpos = AT('*',_ncmp)
IF kpos > 0
   kini = ALLTRIM(LEFT(_ncmp,kpos-1))
   SELECT field_name AS Campo, ;
          field_tit AS descr, ;
          IIF(field_exp='S','SI','no') AS aut ;
     FROM tabdbf00 ;
    WHERE field_dbf = _ntab ;
      AND (EMPTY(kini) OR field_name=kini) ;
      AND (_wuser='SUP' OR field_exp = 'S') ;
     INTO CURSOR _tab1

   RELEASE WINDOW consult10
   DO DEF_WIND WITH '10','Catalogo de Campos 7'
   ON KEY LABEL PGDN
   ON KEY LABEL ENTER KEYBOARD '{CTRL+W}' PLAIN
   BROWSE NOMO FREEZE campo WINDOW consult10
   ON KEY LABEL ENTER

   IF LASTKEY()#27
      SELECT tabdbf02
      REPLACE ncampo WITH _tab1.campo
   ENDIF

   SELECT tabdbf02

ENDIF
RETURN _enable()
******

FUNCTION w1_men
=_mens(men_fijo)
RETURN .T.
******

FUNCTION w2_men
=_mens(men_fijo)
RETURN ntabla # [_FORMULA]
******

FUNCTION f_tip
PARAMETER _ndbf,_ncmp
_area = SELECT()
_ntip = TRAE_DATO('tabdbf00',3,_ndbf+_ncmp,'field_type')
SELECT (_area)
RETURN _ntip
******

PROCEDURE ini_array
PARAMETER _inic
jk = _inic
DO WHILE jk <= 60
   a_q1[jk] = "  "
   jk = jk + 1
ENDDO
RETURN
******

PROCEDURE act_array
SELECT q_campos
_tam = IIF(RECC()>0,RECC(),1)
DIMENSION a_q1[_tam]
GO TOP
DO WHILE !EOF()

   a_q1[RECN()] = q_campos.ord+' | '+q_campos.tit+' | '
   SKIP
ENDDO

*DO ini_array WITH RECC()+1
RETURN
******

FUNCTION upper7
PARAMETER _cadena,_palabra
klen_pal = LEN(_palabra)
kpos = AT(_palabra,UPPER(_cadena))
DO WHILE kpos > 0
   _pal = SUBST(_cadena,kpos,klen_pal)
   _cadena = STRTRAN(_cadena,_pal,[.-33Xx77-.])
   kpos = AT(_palabra,UPPER(_cadena))
ENDDO
_cadena = STRTRAN(_cadena,[.-33Xx77-.],_palabra)
RETURN _cadena
******

PROCEDURE close_data
=_CLOSE('empleado','selpr001','cntabanc','empresas')
=_CLOSE('q_datos','q1','q2','nmacum','concepto','_tab1')
=_CLOSE('chequera','autol000','empres07')
=_CLOSE('tabdbf00','tabdbf01','tabdbf02')
RETURN
******

*       *********************************************************
*       *                                                         
*       * _3EH10KUQZ           wsal_td2 VALID                     
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         TABDBF02,     Record Number:   15  
*       * Variable:            wsal_td2                           
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      1                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _3eh10kuqz     &&  wsal_td2 VALID
#REGION 1
ON KEY LABEL PGDN
DO CASE
   CASE wsal_td2 = 1
        SHOW GET wsal_td2,1 DISABLE
        DO _exportar
        SHOW GET wsal_td2,1 ENABLE
   CASE wsal_td2 = 2
        SHOW GET wsal_td2,2 DISABLE
        DO _exportar
        SHOW GET wsal_td2,2 ENABLE
   CASE wsal_td2 = 3
        SHOW GET wsal_td2,3 DISABLE
        DO _exportar
        SHOW GET wsal_td2,3 ENABLE
   CASE wsal_td2 = 4
        CLEAR READ
ENDCASE
RETURN
******