PARAMETERS _cod,_cnt,_par
* _par = 0 : Promedio General - Todo el contrato
*        1 : Promedio General - ultimo anio.
*        2 : Promedio Sin incluir BASICO - Todo el Cnt
*        3 : Promedio Sin incluir BASICO - Ult. Anio
*        4 : Promedio Solo EXTRALEGAL - Todo el Cnt
*        5.                           - Ult. Anio.

IF TYPE("_par")#"N"
   _par = 5
ENDIF
IF _COD='00006140'
   SET STEP ON
ENDIF
_area_ = SELECT()

DO CASE
   CASE USED("emple1") AND emple1.nitemple=_cod AND emple1.ncontrato=_cnt
        _ano   = IIF(EMPTY(emple1.fecret),STR(YEAR(DATE()),4,0),LEFT(EMPLE1.FECRET,4))
        _corte = IIF(EMPTY(emple1.fecret),DTOS(DATE()),EMPLE1.FECRET)
        _inicio= emple1.fecing
        
   CASE USED("empleado") AND empleado.nitemple=_cod AND empleado.ncontrato=_cnt
        _ano   = IIF(EMPTY(empleado.fecret),STR(YEAR(DATE()),4,0),LEFT(EMPLEADO.FECRET,4))
        _corte = IIF(EMPTY(empleado.fecret),DTOS(DATE()),EMPLEADO.FECRET)
        _inicio= empleado.fecing
   OTHERWISE
        RETURN 0
ENDCASE

SELECT 0
USE NMACUM ORDER 2 AGAIN ALIAS nmac_t1
USE concepto ORDER 1 IN 0 ALIAS conc_t1 AGAIN

SET RELATION TO codcon INTO conc_t1

_datoo ="  "

IF SEEK(_cod+_cnt)
   DO CASE 
      CASE _par = 0
           CALCULATE SUM(valor),MIN(NVL(fecha1,_inicio)),MAX(FECHA2) ;
                  TO wpn_vlr, wps_fec1, wps_fec2 ;
               WHILE codemp+contrato=_cod+_cnt ;
                 FOR conc_t1.indcesa="S" 
           wn_dias = stod(MIN(_corte,wps_fec2)) - stod(MAX(_inicio,wps_fec1)) + 1 
           IF wpn_vlr > 0
              wpn_vlr =  ROUND(wpn_vlr / wn_dias * 30,0)
              _datoo = "Promedio general de pagos prestacionales de "+;
                       ALLTRIM(TRAN(wpn_vlr,"$$$,$$$,999.99"))
           ENDIF

      CASE _par = 1
           CALCULATE SUM(valor),MIN(NVL(fecha1,_inicio)),MAX(FECHA2) ;
                  TO wpn_vlr, wps_fec1, wps_fec2 ;
               WHILE codemp+contrato=_cod+_cnt ;
                 FOR conc_t1.indcesa="S" ;
                 AND ano=_ano
           wn_dias = stod(MIN(_corte,wps_fec2)) - stod(MAX(_inicio,wps_fec1)) + 1 
           IF wpn_vlr > 0
              wpn_vlr =  ROUND(wpn_vlr / wn_dias * 30,0)
              _datoo = "Promedio de pagos prestacionales de "+;
                       ALLTRIM(TRAN(wpn_vlr,"$$$,$$$,999.99"))
           ENDIF

      CASE _par = 2
           CALCULATE SUM(valor),MIN(NVL(fecha1,_inicio)),MAX(FECHA2) ;
                  TO wpn_vlr, wps_fec1, wps_fec2 ;
               WHILE codemp+contrato=_cod+_cnt ;
                 FOR conc_t1.indcesa="S" ;
                 AND conc_t1.codcon02<>"BASICO" 
           wn_dias = stod(MIN(_corte,wps_fec2)) - stod(MAX(_ano+"0101",wps_fec1)) + 1 
           IF wpn_vlr > 0
              wpn_vlr =  ROUND(wpn_vlr / wn_dias * 30,0)
              _datoo = "Promedio general de otros pagos prestacionales de "+;
                       ALLTRIM(TRAN(wpn_vlr,"$$$,$$$,999.99"))
           ENDIF

      CASE _par = 3
           CALCULATE SUM(IIF(conc_t1.codcon02<>"BASICO",valor,0)),MIN(NVL(fecha1,_inicio)),MAX(FECHA2) ;
                  TO wpn_vlr, wps_fec1, wps_fec2 ;
               WHILE codemp+contrato=_cod+_cnt ;
                 FOR conc_t1.indcesa="S" ;
                 AND ano=_ano
           wn_dias = stod(MIN(_corte,wps_fec2)) - stod(MAX(_ano+"0101",wps_fec1)) + 1 
           IF wpn_vlr > 0
              wpn_vlr =  ROUND(wpn_vlr / wn_dias * 30,0)
              _datoo = "Promedio de otros pagos prestacionales de "+;
                       ALLTRIM(TRAN(wpn_vlr,"$$$,$$$,999.99"))
           ENDIF

      CASE _par = 4
           CALCULATE SUM(IIF(conc_t1.codcon02="EXTRALEG",valor,0)),MIN(NVL(fecha1,_inicio)),MAX(FECHA2) ;
                  TO wpn_vlr, wps_fec1, wps_fec2 ;
               WHILE codemp+contrato=_cod+_cnt ;

           wn_dias = stod(MIN(_corte,wps_fec2)) - stod(MAX(_ano+"0101",wps_fec1)) + 1 
           IF wpn_vlr > 0
              wpn_vlr =  ROUND(wpn_vlr / wn_dias * 30,0)
              _datoo = "Promedio de auxilios no prestacionales de "+;
                       ALLTRIM(TRAN(wpn_vlr,"$$$,$$$,999.99"))
           ENDIF

      CASE _par = 5
           CALCULATE SUM(IIF(conc_t1.codcon02="EXTRALEG",valor,0)),MIN(NVL(fecha1,_inicio)),MAX(FECHA2) ;
                  TO wpn_vlr, wps_fec1, wps_fec2 ;
               WHILE codemp+contrato=_cod+_cnt ;
                 FOR ano=_ano
           wn_dias = stod(MIN(_corte,wps_fec2)) - stod(MAX(_ano+"0101",wps_fec1)) + 1 
           IF wpn_vlr > 0
              wpn_vlr =  ROUND(wpn_vlr / wn_dias * 30,0)
              _datoo = "Promedio de auxilios no prestacionales de "+;
                       ALLTRIM(TRAN(wpn_vlr,"$$$,$$$,999.99"))
           ENDIF
      OTHERWISE 
   ENDCASE
   
ENDIF

USE IN nmac_t1
USE IN conc_t1

SELECT (_area_)
RETURN _datoo
******