* PROG: LiqNomSS
*       Programa de Seguridad Social
*       Oct 2009
*       Dic 2009
*       Mzo 2010
*       2010.07.10  Se agrega liq Retroactiva Mensual
*       2010.11.22  Se redondea el fdo de Solidaridad
*       2010.12.15  Se revisa el limite SS para trabaj > 25 salmin
*       2011.02.21  validamos el ajuste ilegal de SS para Febrero 
*       2011.03.15  Valdamos la sumatoria  - cantidad de dias
*       2011.05.18  Validamos topes para seg social prop x dias, y 
*                   creamos el fndo solid separado f-subsistencia redondeado
*       2011.06.14  Creamos ajuste al minimo x cuenta de la EmpCliente
*       2011.07.13  Creamos q_nmac si no Existe
*       2011.10.27  FSP, ConcFijo mata automatico
*       2011.11.30  Agregamos vr.inicial para diaslab7
* -------------------------------------------------------------
PARAMETER _neg,_cod,_cnt

wconsubs = TP7("CNC","ConcFdoSubsiste","01")
IF EMPTY(wconsubs)
   wconsubs = m.confsp
ENDIF

*IF _cod = '19058138'               
   SET STEP ON 
*ENDIF
               
IF !USED("q_nmac")
   SELECT 0
   DO f_sel_nmac IN liqnom ;
      WITH  _cod, _cnt, STR(YEAR(wfecha2),4), NTOC(MONTH(wfecha2),2)
ENDIF

w_audita = IIF(TYPE('w_audita')<>[L],.F.,w_audita)
STORE 0   TO _porc, diaslab7
STORE .F. TO wf_flag_fsp

IF w_audita
   CREATE CURSOR q_audi (detalle C(30), base N(15,4),valor N(15,4), DATO M)
ENDIF

_TMP7_13 = FILETEMP(3)


IF TP7("CNF","CodEPS como SubActividad","01")=[SI]
   wcod_ps = TD7("SELPR001",1,_cod,'codeps')
   wcod_fp = TD7("SELPR001",1,_cod,'codafp')
ELSE
   STORE " " TO wcod_ps, wcod_fp
ENDIF

STORE 0 TO TOTDEV9,TOT_LNR9
         *------------------------------------------*
         *    1.Verificacion Punto de solidaridad   *
         *------------------------------------------*
         
         ** tomo el ao como numerico de 4 caracteres
         anow2 = year(wfecha2)   

         SELECT dtem13
         SET ORDER TO 6
         SET RELATION TO liqcon INTO concepto

         IF SEEK(_cod)
         
            * 2011.10.27
            COUNT TO _cf1 WHILE liqemple = _cod ;
              FOR liqcon == m.confsp OR liqcon == wconsubs
            
            wf_flag_fsp = (_cf1>0)
            =SEEK(_cod)
            * 2011.10.27
            
            COPY TO (_tmp7_13) ;
                 WHILE liqemple = _cod ;
                   FOR consec = wconsec;
                   AND liqestado = [A] ;
                   AND liqcontrat= _cnt;
                   AND concepto.indiss = [S] 
                     
            =_CLOSE('q_dtem13_7','qdtem13_7r')                    
                          
            USE (_tmp7_13) EXCLUSIVE ALIAS q_dtem13_7 IN 0
            SELECT liqemple,liqano,liqmes, ;
                   SUM(liqvalor) AS C_totdev, ;
                   SUM(IIF(liqcon$m.conlicnr,liqvalor,00000000000)) AS c_totlnr ;
              FROM q_dtem13_7 ;
              INTO CURSOR qdtem13_7r ;
             GROUP BY liqemple,liqano,liqmes
            
            SELECT qdtem13_7r
            LOCATE FOR liqano+liqmes= str(anow2,4)+mesw
            totdev = c_totdev
            tot_lnr= c_totlnr

            LOCATE FOR liqano+liqmes> STR(anow2,4)+mesw
            totdev9 = c_totdev
            tot_lnr9= c_totlnr
            liqano9 = liqano
            liqmes9 = liqmes
                              
             IF w_audita 
                IF _wuser ='SUP' AND FILE('liqnomss.prg')
                *   set step on
                ENDIF
                =SEEK(_cod)
                BROWSE NORMAL KEY _cod ;
                       FOR consec=wconsec AND ;
                           liqcontrat=_cnt AND;
                           liqmes=mesw ;
                       FIELD liqcon,concepto.descr,liqvalor, concepto.indiss,;
                             totdev=IIF(concepto.indiss="S",liqvalor,0),;
                             tot_lnr=IIF(liqcon$m.conlicnr,liqvalor,0)
             ENDIF            
             
         ELSE
            STORE 0 TO tot_lnr, totdev
         ENDIF
         
         *SET STEP ON 
         
         SELECT q_nmac
         SET RELATION TO codcon INTO concepto
         SUM IIF(concepto.indiss="S",valor,0), ;
             IIF(codcon=m.coniss,unid,0), ;
             IIF(codcon=m.coniss,valor,0), ;
             IIF(codcon=m.conpen,valor,0), ;
             IIF(codcon=m.confsp,valor,0), ;
             IIF(codcon=wconsubs AND m.confsp#wconsubs,valor,0) ;
          TO wvlrdev1,wdiasiss0,wvlriss0, wvlrpen0, wvlrdes, wvlrdes_1 
             
         wvlrdev = MIN(IIF(intw="S",(wvlrdev1+totdev)*0.7,wvlrdev1+totdev),wsalmin*25)
         wtotfsp = 0
         
         * Buscamos el minino de seguridad social del periodo
         kfecha2  = MIN(wfecha2,IIF(EMPTY(fecretw),wfecha2,STOD(fecretw)))
         kfecha1  = MAX(wfecha1,fecingw)
         kdias_ss = kfecha2 - kfecha1 + 1
         * Ajuste Febrero
*         IF EMPTY(fecretw) OR STOD(fecretw) >= wfecha2
*            kdias_ss = kdias_ss + IIF(TYPE("FEB30W")="N",feb30w,0)
*         ENDIF
         * Ajuste dia 31
         _i1 = kfecha1
         DO WHILE _i1 <= kfecha2
            DO CASE  
               CASE MONTH(_i1) = 1 AND DAY(_i1) = 31 AND ;
                    td7("empresas",1,_neg,"ene31") = 0
                    kdias_ss  = kdias_ss - 1  
               CASE MONTH(_i1) = 2 AND BETWEEN(DAY(_i1),28,29) AND feb30w > 0 AND MONTH(_i1+1)=3
                    kdias_ss  = kdias_ss + feb30w  
               CASE MONTH(_i1) = 3 AND DAY(_i1) = 31 AND ;
                    td7("empresas",1,_neg,"mar31") = 0
                    kdias_ss  = kdias_ss - 1  
               CASE MONTH(_i1) = 5 AND DAY(_i1) = 31 AND ;
                    td7("empresas",1,_neg,"may31") = 0
                    kdias_ss  = kdias_ss - 1  
               CASE MONTH(_i1) = 7 AND DAY(_i1) = 31 AND ;
                    td7("empresas",1,_neg,"jul31") = 0
                    kdias_ss  = kdias_ss - 1  
               CASE MONTH(_i1) = 8 AND DAY(_i1) = 31 AND ;
                    td7("empresas",1,_neg,"ago31") = 0
                    kdias_ss  = kdias_ss - 1  
               CASE MONTH(_i1) = 10 AND DAY(_i1) = 31 AND ;
                    td7("empresas",1,_neg,"oct31") = 0
                    kdias_ss  = kdias_ss - 1  
               CASE MONTH(_i1) = 12 AND DAY(_i1) = 31 AND ;
                    td7("empresas",1,_neg,"dic31") = 0
                    kdias_ss  = kdias_ss - 1  
            ENDCASE
            _i1 = _i1 + 1
         ENDDO
         
         
IF _wuser ='SUP' AND w_audita AND FILE('liqnomss.prg')
   SET STEP ON
ENDIF

         kind_ss1 = (indiss1w='S')
         IF kind_ss1
            * DIAS que se deben reportar como minimo en Seg social x periodo cliente
            kdias_per = Tf7('USUARIOS','DIASPER_SS',_neg,[ALLTRIM(dato)])
            IF VAL(kdias_per) = 0
               kdias_per = TF7('USUARIOS','DIASPER_SS',[*TODOS*],[ALLTRIM(dato)])
               IF VAL(kdias_per)#0
                  kdias_per = STR(wdi_,4,0)
               ENDIF
            ENDIF
            
            kdias_per = VAL(kdias_per)
            IF kdias_per > 0 AND kdias_ss = (wfecha2-wfecha1)+1
               kmin_ss  = ROUND(wsalmin * kdias_per / 30,0)
            ELSE
               kmin_ss  = ROUND(wsalmin * kdias_ss / 30,0)
            ENDIF
            * Conceptos de pago y deduccion para Aj la Seg Social al sml-minimo 
            wcons_aj_ss = TF7('USUARIOS','CONAJSMLSS',m.consec,[ALLTRIM(dato)])
         ELSE
            kmin_ss  = ROUND(wsalmin * kdias_ss / 30,0)
            wcons_aj_ss = []
         ENDIF

 *       2011.05.19  && Pto solidaridad proyectado
 *       -----------------------------------------
         IF .F. AND totdev9> wsalmin * 4 AND catissw < 98 AND clacontw#'C'  AND .F.
            * 2011.05.25  QUITAMOS ESTA OPCION X ERROR REPORTADO EN MTK
            _porc = f_porc(totdev9)

            wtotfsp = ROUND(totdev9*_porc,-2)
            
            *2011.10.27
            IF wtotfspfsp # 0 AND !wl_flag_fsp
*           IF wtotfspfsp # 0 
            
               mvlrfsp1 = ROUND(totdev9*0.005,-2) 
               mvlrfsp2 = ROUND(totdev9*(_porc-0.005),-2)
               worigen = "AU"
               novactw = wcod_fp

               * Fdo Solid y subsistencia
               DO add_dtem WITH _neg,_cod,wconsubs,hracobw,wvlrdev, ;
                  0,-ROUND(mvlrfsp1,0),tippagw,mcuadre, liqmes9,_cnt, ;
                  alfabw,ccostow,0.005*100,clasew,dtos(wfecha1), ;
                  dtos(wfecha2),liqano9
                  
               * Fdo solid Pensional
               DO add_dtem WITH _neg,_cod,m.confsp,hracobw,wvlrdev, ;
                  0,-ROUND(mvlrfsp2,0),tippagw,mcuadre, liqmes9,_cnt, ;
                  alfabw,ccostow,(_porc-0.005)*100,clasew,dtos(wfecha1), ;
                  dtos(wfecha2),liqano9

            ENDIF

            
         ENDIF
 *       -----------------------------------------
 
         IF wvlrdev > wsalmin * 4 AND catissw < 98 AND clacontw#'C'
         
            IF _get_step AND GET_STEP(5,'Punto solid Pens')
               SET STEP ON
            ENDIF
            
            _porc = f_porc(wvlrdev)
            
            wtotfsp = ROUND(wvlrdev*_porc,-2)
            mvlrfsp = wtotfsp + wvlrdes + wvlrdes_1
            
            IF mvlrfsp # 0
            
               wconsubs = TP7("CNC","ConcFdoSubsiste","01")
               IF EMPTY(wconsubs) 
                  wconsubs = m.confsp
               ENDIF
               
               IF wconsubs = m.confsp
                  mvlrfsp1 = ROUND(wvlrdev*_porc,-2) + wvlrdes + wvlrdes_1
                  mvlrfsp2 = 0
                  _porc1   = _porc
               ELSE
                  _porc1   = 0.005
                  _porc2   = _porc - 0.005
                  mvlrfsp1 = ROUND(wvlrdev*_porc1,-2) + wvlrdes_1
                  mvlrfsp2 = ROUND(wvlrdev*_porc2,-2) + wvlrdes
               ENDIF
               worigen = "AU"
               novactw = wcod_fp

  
               * Fdo Solid y subsistencia
               IF mvlrfsp1 # 0
               DO add_dtem WITH _neg,_cod,wconsubs,hracobw,wvlrdev, ;
                  0,-ROUND(mvlrfsp1,0),tippagw,mcuadre, mesw,_cnt, ;
                  alfabw,ccostow,_porc1*100,clasew,dtos(wfecha1), ;
                  dtos(wfecha2),xano
               ENDIF
               
               * Fdo solid Pensional
               IF mvlrfsp2 # 0
                  DO add_dtem WITH _neg,_cod,m.confsp,hracobw,wvlrdev, ;
                     0,-ROUND(mvlrfsp2,0),tippagw,mcuadre, mesw,_cnt, ;
                     alfabw,ccostow,_porc2*100,clasew,dtos(wfecha1), ;
                     dtos(wfecha2),xano
               ENDIF
            ENDIF
         ENDIF
         
         IF _get_step AND GET_STEP(5,'Seg Social') 
            SET STEP ON
         ENDIF
         
         IF wvlrdev > wsalmin * 25 AND .F.

* 2011.05.19 && Ya no aplicamos por aca la condicion

         ELSE     
            wdiasiss01 = wdiasiss0
            IF TYPE("_segsoc1_") = "N" AND _segsoc1_ = 1  && Retroactivo Mensual
               SELECT q_nmac
               SET RELATION TO codcon INTO concepto
               SUM IIF(concepto.indiss="S",valor,0), ;
                   IIF(codcon=m.coniss,unid,0), ;
                   IIF(codcon=m.coniss,valor,0), ;
                   IIF(codcon=m.conpen,valor,0), ;
                   IIF(codcon=m.confsp,valor,0), ;
                   IIF(INLIST(concepto.codcon02,'BASICO','BE') AND concepto.tiempo='H' AND concepto.indiss="S",unid,0), ;
                   IIF(INLIST(concepto.codcon02,'BASICO','BE',"INCAPAC","VACLEG") AND concepto.tiempo='D' AND concepto.indiss="S",unid,0)  ;
                TO wvlrdev1,wdiasiss0,wvlriss0, wvlrpen0, wvlrdes, wn_htr, wn_dtr 
             ELSE
                STORE 0 TO wvlrdev1, wdiasiss0, wvlriss0, wvlrpen0, wvlrdes, wn_htr,wn_dtr
             ENDIF

            totdev = MIN(totdev+wvlrdev1,wsalmin*25/IIF(intw="S",0.7,1))
            *** CALCULO SALUD
            
            STORE 0.00             TO valorw
            valorw = calc_iss(totdev,catissw,intw,salmindiaw)
            valorw = valorw + wvlriss0
             
*           valorw=calc_iss(IIF(kind_SS1,MAX(totdev,kmin_ss),totdev),catissw,intw,salmindiaw)

            IF st_domw = "N"
               diaslab = wdom + wfes + diaslab + dincvac
            ENDIF

            IF valorw <> 0 AND clacontw # 'C'
               *SET STEP ON 
               worigen = "AU"
               novactw = wcod_ps
               IF diaslab = 0 AND (tipcontw = "D" OR (wn_dtr = 0 AND wn_htr = 0 AND kdias_ss = 0) ) 
                  diaslab7= 30 - IIF(BETWEEN(fecingw,wfecha1+1,wfecha2-1),DAY(fecingw)-1,0) ;
                               - IIF(BETWEEN(STOD(fecretw),wfecha1+1,wfecha2-1),DAY(wfecha2)-DAY(STOD(fecRETW)),0)
                  diaslab = MIN(_dias(wvlrdev,hrapagw,whrsmes),diaslab7)
               ELSE
                  diaslab = f_dias(_cod,_cnt,_neg,hrsdiaw)
               ENDIF
               
               diastotper= diaslab+(wn_htr/8)+wn_dtr
               limite_ss = 25 * wsalmin /30 * (diastotper+wdiasiss01)  && faltan los dias acum
               base_ss   = totdev*IIF(intw='S',0.7,1)
               IF base_ss > limite_ss AND base_ss > 0 AND limite_ss > 0
                  base_ss = limite_ss
                  valorw  = calc_iss(base_ss,catissw,"N",salmindiaw)
               ENDIF
               
               DO add_dtem WITH _neg,_cod,m.coniss,hracobw,base_ss,;
                  diaslab+(wn_htr/8)+wn_dtr-wDiasIss0,;
                  -ROUND(valorw,0),tippagw,mcuadre,mesw,_cnt, ;
                  alfabw,ccostow,liqmultiw,clasew,dtos(wfecha1),;
                  dtos(wfecha2),xano

               ** Ajuste ilegal de Seg soc al Min
               IF kind_ss1 AND kmin_ss > totdev AND totdev>0
                  *kcon= TRAE_DATO('flex7srh',1,'USUARIOS'+'CONAJUSALU'+'01','ALLTRIM(dato)')
                  kcon = TF7('USUARIOS','CONAJUSALU','01')
                  kcon1= LEFT(kcon,2)
                  novactw = SUBST(kcon+SPACE(6),4,3)
                  IF !EMPTY(kcon)
                     kaju = calc_iss(kmin_ss-totdev+tot_lnr,catissw,intw,salmindiaw)
                     DO add_dtem WITH _neg,_cod,kcon1,hracobw,kmin_ss-totdev,;
                        IIF(kcon#m.coniss,diaslab,0),-ROUND(kaju,0),tippagw,mcuadre,mesw,_cnt, ;
                        alfabw,ccostow,liqmultiw,clasew,dtos(wfecha1),;
                        dtos(wfecha2),xano
                  ENDIF
               ENDIF
            ENDIF      

            *** CALCULO PENSION
            
            STORE 0.00             TO valorw
            valorw = calc_pen(totdev,catissw,intw,salmindiaw)
            valorw = valorw + wvlrpen0

*           valorw = calc_pen(IIF(kind_SS1,MAX(totdev,kmin_ss),totdev),catissw,intw,salmindiaw)
            IF st_domw = "N"
               diaslab = wdom + wfes + diaslab + diasnlab
            ENDIF

               diastotper= diaslab+(wn_htr/8)+wn_dtr
               limite_ss = 25 * wsalmin /30 * (diastotper+wdiasiss01) 
               base_ss   = totdev*IIF(intw='S',0.7,1)
               IF base_ss > limite_ss AND base_ss > 0 AND limite_ss>0
                  base_ss = limite_ss
                  valorw  = calc_pen(base_ss,catissw,"N",salmindiaw)
               ENDIF

            IF valorw <> 0  AND clacontw # 'C'
               worigen = "AU"
               novactw = wcod_fp
               DO add_dtem WITH _neg,_cod,m.conpen,hracobw,base_ss,;
                  0,-ROUND(valorw,0),tippagw, mcuadre, mesw, _cnt, alfabw, ;
                  ccostow,liqmultiw,clasew,dtos(wfecha1),dtos(wfecha2),xano

               ** Ajuste ilegal de Seg soc al Min
               IF kind_ss1 AND kmin_ss > totdev AND totdev > 0
                  *kcon= TRAE_DATO('flex7srh',1,'USUARIOS'+'CONAJUPENS'+'01','alltrim(dato)')
                  kcon = TF7('USUARIOS','CONAJUPENS','01')
                  kcon = LEFT(kcon,2)
                  novactw = SUBST(kcon+SPACE(6),4,3)
                  IF !EMPTY(kcon)
                     kaju = calc_iss(kmin_ss-totdev+tot_lnr,catissw,intw,salmindiaw)
                     DO add_dtem WITH _neg,_cod,kcon,hracobw,kmin_ss-totdev,;
                        IIF(kcon#m.conpen,diaslab,0),-ROUND(kaju,0),tippagw,mcuadre,mesw,_cnt, ;
                        alfabw,ccostow,liqmultiw,clasew,dtos(wfecha1),;
                        dtos(wfecha2),xano
                  ENDIF
               ENDIF

            ENDIF      

            * Ajuste al Sml para facturar al cliente
            IF kind_ss1 AND kmin_ss > totdev-tot_lnr AND !EMPTY(wcons_aj_ss) AND totdev-tot_lnr#0 
               wconc1 = LEFT(wcons_aj_ss,2)
               *wconc2 = RIGHT(wcons_aj_ss,2)  && no se necesitan 2 concepto. con un solo concepto
               *                                  se puede parametrizar todo lo q se le cobar al 
               *                                  cliente.
               novactw=[]
               
               DO add_dtem WITH _neg,_cod,wconc1,hracobw,kmin_ss-totdev,;
                  IIF(wconc1#m.conpen,diaslab,0),ROUND(kmin_ss-totdev,0),tippagw,mcuadre,mesw,_cnt, ;
                  alfabw,ccostow,liqmultiw,clasew,dtos(wfecha1),;
                  dtos(wfecha2),xano
               
              *DO add_dtem WITH _neg,_cod,wconc2,hracobw,kmin_ss-totdev,;
              *   IIF(wconc2#m.conpen,diaslab,0),-ROUND(kmin_ss-totdev,0),tippagw,mcuadre,mesw,_cnt, ;
              *   alfabw,ccostow,liqmultiw,clasew,dtos(wfecha1),;
              *   dtos(wfecha2),xano
            ENDIF

         ENDIF

=_CLOSE('q_dtem13_7','qdtem13_7r')                    

IF FILE(_tmp7_13)
   DELETE FILE (_tmp7_13)
ENDIF

RETURN
******

FUNCTION f_porc
PARAMETER _base
_val = 0
DO CASE
   CASE BETWEEN(_base,0,4*wsalmin)
        _val = 0
   CASE BETWEEN(_base,04*wsalmin+1,16*wsalmin)
        _val = 1.0
   CASE BETWEEN(_base,16*wsalmin+1,17*wsalmin)
        _val = 1.2
   CASE BETWEEN(_base,17*wsalmin+1,18*wsalmin)
        _val = 1.4
   CASE BETWEEN(_base,18*wsalmin+1,19*wsalmin)
        _val = 1.6
   CASE BETWEEN(_base,19*wsalmin+1,20*wsalmin)
        _val = 1.8
   OTHER
        _val = 2
ENDCASE
RETURN _val/100
******

FUNCTION f_dias
PARAMETER _xcod, _xcnt, _xneg, _xhrs

set step on

_area_0 = select()
_xdias  = 0
SELECT dtem13
SET ORDER TO 6
SET RELATION TO liqcon INTO concepto
IF SEEK(_xcod)
   SUM IIF((concepto.codcon02='BASICO'  OR concepto.codcon02="BE ") AND concepto.tiempo='H' AND !liqcon$m.conlicnr, liqnrohrs, 0), ;
       IIF((concepto.codcon02='BASICO'  OR concepto.codcon02="BE ") AND concepto.tiempo='D' AND !liqcon$m.conlicnr, liqnrohrs, 0), ;
       IIF((concepto.codcon02='BASICO'  OR concepto.codcon02="BE ") AND concepto.tiempo='H' AND liqcon$m.conlicnr, liqnrohrs, 0), ;
       IIF((concepto.codcon02='BASICO'  OR concepto.codcon02="BE ") AND concepto.tiempo='D' AND liqcon$m.conlicnr, liqnrohrs, 0), ;
       IIF((concepto.codcon02='INCAPAC' OR concepto.codcon02="VACLEG") AND concepto.tiempo='D', liqnrohrs, 0) ;
    TO _xhrbas, _xdibas, _yhrbas,_ydibas,_xinvac ;
   FOR liqano=xano AND liqmes = mesw  AND liqestado='A';
   AND liqcontrat = _xcnt AND consec = wconsec;
   WHILE liqemple = _xcod
   
*  _xdias = _xdibas-_ydibas+_xinvac+ROUND((_xhrbas-_yhrbas)/_xhrs,2)
*  _xdias = _xdibas+_xinvac+ROUND((_xhrbas)/_xhrs,2)
   _xdias = _xdibas+_ydibas+_xinvac+ROUND((_xhrbas+_yhrbas)/_xhrs,2)   
ENDIF
SELECT (_area_0)
RETURN _xdias