*       *********************************************************
*       *                                                         
*       * 2011.03.07           DATBAS03.PRG              10:08:11 
*       *                                                         
*       *********************************************************
*       *                                                         
*       * Ing Gustavo A. Pinilla C.                               
*       *                                                         
*       * Copyright (c) 2011 SIE7E Ltda.                          
*       * Cel 310.421.2741                                        
*       * Cali, Valle  76001                                         
*       * Colombia                                          
*       *                                                         
*       * Description:                                            
*       * Este programa lo ha generado automticamente GENSCRN.    
*       *                                                         
*       *********************************************************

PARAMETERS _acceso

*       *********************************************************
*       *                                                         
*       *  DATBAS03/Windows Cdigo de configuracin - SECCION 1   
*       *                                                         
*       *********************************************************
*

#REGION 1
* _acceso = 1 : Solo CITAS, CARGOS
*           2 : Dctos, Cargos, Estudios, Pruebas, Hist Laboral
*           0 : Todos

* VERSION 02  : Agregamos EPS,AFP
*         02C : Validamos wobs
*           D : Agregamos campos para evaluacion de Desempeo en EMPLEADO
*         03  : Ajustamos el pantallazo de Info de Entrevista.
*         03A : Ajustamos el acceso exclusivo a SE_ESTAD.DBF
*         04  : Creamos Acceso para Control de Capacitaciones.
*           B : Validacion para m.cedula = 'NUMERICO'
*           C : Ejecutamos la entrevista que esta en TABGEN02 (ES,001)
*         05  : Agregamos ruta de acceso a la Foto principal
*           A : 2010.08.03, se accesa Documentos x dctent22.fxp
*               2011.02.21, Se agrega campo requisicion.
*                           Se cambia campo obs x Funciones.
*               SOLUC INMED. TRABAJA CON HISLAB22 EN [Referenciacion]
*           B: 2011.03.06 Se agrega sucpaq, y se pone otravez [] observaciones
IF PARAMETERS() = 0
   _acceso = 0
ENDIF

_nomprg = "datbas03"

SET PROCEDURE TO procedi ADDITIVE
DO INICIAL

RELEASE mced
PUBLIC  mced

SET EXCLUSIVE OFF

=_CLOSE('usuarios')
SELECT 0
USE usuarios
IF TYPE('datbas1') = "C" AND !EMPTY(datbas1)
   winstr_Db1 = ALLTRIM(datbas1)
ELSE
   winstr_db1 = ''
ENDIF


RELEASE w_accgrab
w_accgrab = .F.

c13 = CHR(13)
men_cod = "Digite el codigo del Aspirante"+c13+;
          "Con '0' pruede consultar, por"+c13+;
          "Apellido o Nombre"

men_ape = "Apellidos del Aspirante,  Recuerde"+c13+;
          "digitar los 2 primeros Apellidos."

men_nom = "Nombre del Aspirante,  Recuerde"+c13+;
          "digitar los 2 primeros nombres."

men_des = "Descripcion General del tipo de Remision"

men_nac = "Digite el lugar y/o Municipio de Nacimiento"

men_ced = "Digite el numero del documento de Identidad"
men_exp = "Municipio donde se Expide la Identificacion"

men_dbf = "Si este tipo de remision, tiene una"+c13+;
          "clasificacion detallada en otra tabla"+c13+;
          "digite el nombre de la tabla que contiene"+c13+;
          "este detalle."

men_lug = "Digite el codigo de la Ciudad de Residencia"+c13+;
          "Con '*' puede consultar."

men_bar = "Digite el codigo del Barrio de Residencia"+c13+;
          "Con '*' puede consultar."

men_zon = "Digite la Zona de la Residencia"+c13+;
          "Con '*' puede consultar"

men_are = "Seleccione el Area Operativa"

men_lib = "Grado de Libreta Militar"+c13+;
          "0: No tiene"+c13+;
          "1: de 1er Grado"+c13+;
          "2: de 2do Grado"

men_est = "Seleccione el Estado en que queda el Aspirante"

men_psc = "Seleccione esta Casilla si el persona:"+c13+;
          " PPR: Personal propio"+C13+;
          " PSC: Personal Suministrado x cliente"
men_noc = "No Conforme"
men_obs = "Seleccione esta casilla para agregar alguna"+c13+;
          "informacion importante de este candidato"

men_eps = "Codigo de la Eps"
men_afp = "Codigo de la Afp"

men_ped = "Ingrese el numero de requision, * consulta"

men_age = "Seleccione la sucursal o agencia que"+c13+;
          "administra la carpeta del trabajador"+c13+;
          "Con * puede consultar."

SELECT desrem, codrem ;
  FROM tiprem14 ;
  INTO ARRAY a_tiprem ;
 ORDER BY codrem

SELECT descri ;
  FROM se_areas ;
  INTO ARRAY a_areas ;
 ORDER BY descri

SELECT des, cod ;
  FROM se_estad ;
  INTO ARRAY a_estado ;
 ORDER BY cod

=_CLOSE('se_estad','se_areas','tiprem14')

IF ABRIR("DATBAS01",0)
   GO BOTT
   IF !EOF()
      SKIP
   ENDIF
   SCATTER MEMVAR
ENDIF

STORE 0 TO westciv, wlibmil
STORE " " TO wdesrem,westado_db


STORE 0 TO w_carasig, w_conasig
STORE 0 TO w_len_acp, w_len_aco, m.psc

RELEASE   a_carasig, a_conasig,a_estciv, a_distur
PUBLIC    a_carasig, a_conasig, a_estciv, a_distur
DIMENSION a_carasig[1,3], a_conasig[1,3], a_estciv[5], a_distur[11]
a_carasig = ""
a_conasig = ""

m.razdes = " "
= DEF_ARRAY(1)   && Carga valores Estado Civil
= DEF_ARRAY(2)  && Carga valores por defecto para Disponib/turnos
IF !FILE('SE_ESTAD.CDX')      && EMPTY(TAG('se_estad',2))
   IF USE_EXC("se_estad",.T.,7)
      DELETE TAG ALL
      INDEX ON cod TAG llave1
      INDEX ON des TAG llave2 ADDITIVE
   ENDIF
ENDIF

IF !FILE('SE_AREAS.CDX') AND ABRIR('SE_AREAS',0)
   INDEX ON codigo TAG llave1
   INDEX ON descri TAG llave2 ADDITIVE
ENDIF

IF ABRIR('TABGEN02',1) AND SEEK([ES]+[001])
   wc_prg_entr = ALLTRIM(nomprg)
   IF !EMPTY(prmprg)
      wc_prg_entr = wc_prg_entr + [ WITH ]+ALLTRIM(prmprg)
   ENDIF

ELSE
   wc_prg_entr =[]
ENDIF
=_CLOSE('se_estad','se_areas','tiprem14','tabgen02')



#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.rborder = SET("READBORDER")
SET READBORDER ON

m.currarea = SELECT()


*       *********************************************************
*       *                                                         
*       *             Windows Definiciones de ventana             
*       *                                                         
*       *********************************************************
*

IF NOT WEXIST("w_datbas") ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.PJX" ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.SCX" ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.MNX" ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.PRG" ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.FRX" ;
	OR UPPER(WTITLE("W_DATBAS")) == "W_DATBAS.QPR"
	DEFINE WINDOW w_datbas ;
		AT  0.000, 0.000  ;
		SIZE 33.929,71.429 ;
		TITLE "Sie7e" ;
		FONT "Courier New", 8 ;
		FLOAT ;
		NOCLOSE ;
		NOMINIMIZE ;
		SYSTEM ;
		COLOR RGB(,,,192,192,192)
	MOVE WINDOW w_datbas CENTER
ENDIF


*       *********************************************************
*       *                                                         
*       *        DATBAS03/Windows Distribucin de pantalla        
*       *                                                         
*       *********************************************************
*

#REGION 1
IF WVISIBLE("w_datbas")
	ACTIVATE WINDOW w_datbas SAME
ELSE
	ACTIVATE WINDOW w_datbas NOSHOW
ENDIF
@ 0.000,0.000 TO 3.143,71.429 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(,,,0,0,128)
@ 1.143,23.000 SAY "Registro de Hoja de Vida" ;
	FONT "MS Sans Serif", 10 ;
	STYLE "BT" ;
	COLOR RGB(255,255,0,,,,)
@ 0.143,59.857 SAY "DATBAS03.05B" ;
	FONT "Arial", 8 ;
	STYLE "T" ;
	COLOR RGB(255,255,255,,,,)
@ 4.357,2.000 SAY "Codigo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 30.143,10.714 TO 30.143,60.571 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(128,128,128,128,128,128)
@ 33.286,10.714 TO 33.286,60.571 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 29.857,60.571 TO 33.357,60.571 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 29.857,10.571 TO 33.357,10.571 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,128,128,128)
@ 7.714,2.000 SAY "F.Nmto:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 9.286,57.286 SAY "Sex:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,255,255,255)
@ 12.500,2.000 SAY "Telef.:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 29.214,3.857 TO 29.214,67.571 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 22.571,67.429 TO 29.285,67.429 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 22.500,3.857 TO 22.500,67.571 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(128,128,128,128,128,128)
@ 22.571,3.857 TO 29.285,3.857 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,128,128,128)
@ 10.857,2.000 SAY "Resid.:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 12.571,52.143 SAY "Zona:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,255,255,255)
@ 14.071,51.714 SAY "E-Civ:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 20.500,1.571 SAY "Estado:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 14.143,2.000 SAY "Direcc:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 6.143,2.000 SAY "Doc Id:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 9.286,48.857 SAY "Edad:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,255,255,255)
@ 15.571,2.000 SAY "Eps:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 6.143,20.714 SAY "de" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "T"
@ 9.286,63.714 SAY "Lib:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,255,255,255)
@ 7.786,20.571 SAY "en" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "T"
@ 3.286,29.286 SAY "Apellidos" ;
	FONT "Arial", 8 ;
	STYLE "BT"
@ 3.286,50.571 SAY "Nombres" ;
	FONT "Arial", 8 ;
	STYLE "BT"
@ 12.571,62.857 SAY "P.P:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,255,255,255)
@ 17.286,1.714 SAY "Dispon:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 17.000,47.286 TO 18.429,62.572 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 15.714,51.571 SAY "Asp.Sal:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(,,,255,255,255)
@ 18.357,47.429 TO 18.357,62.572 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 17.000,62.429 TO 18.357,62.429 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 15.571,28.143 SAY "Afp:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 18.786,1.571 SAY "Numero de Requisicion:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 9.286,1.857 SAY "Suc/Ag:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 4.357,9.143 GET m.cedula ;
	SIZE 1.000,10.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@KL 99999999" ;
	WHEN w_cod() ;
	VALID v_cod() ;
	MESSAGE _mens(men_cod) ;
	COLOR ,RGB(,,,0,255,255)
@ 4.357,23.286 GET m.apelli ;
	SIZE 1.000,19.714 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID v_nom(3) ;
	MESSAGE _mens(men_ape) ;
	COLOR ,RGB(,,,0,255,255)
@ 4.357,44.286 GET m.nombre ;
	SIZE 1.000,24.714 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID v_nom(4) ;
	MESSAGE _mens(men_nom) ;
	COLOR ,RGB(,,,0,255,255)
@ 6.071,8.857 GET m.cc_ti ;
	SIZE 1.000,11.286 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID v_ccti() ;
	MESSAGE _mens(men_ced) ;
	COLOR ,RGB(,,,0,255,255)
@ 6.071,23.286 GET m.expced ;
	SIZE 1.000,23.714 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	MESSAGE _mens(men_exp) ;
	COLOR ,RGB(,,,255,255,255)
@ 5.786,50.143 GET warea ;
	PICTURE "@^" ;
	FROM a_areas ;
	SIZE 1.538,22.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _enable() ;
	MESSAGE _mens(men_are) ;
	COLOR ,,,,,,,,RGB(,,,0,255,255),RGB(,,,0,255,255)
@ 7.714,9.000 GET m.fecnac ;
	SIZE 1.000,10.286 ;
	DEFAULT {  /  /  } ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9999.99.99" ;
	WHEN w_nac() ;
	VALID v_fnac() ;
	COLOR ,RGB(0,0,0,0,255,255)
@ 7.714,23.286 GET m.lugnac ;
	SIZE 1.000,45.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!T" ;
	MESSAGE _mens(men_nac) ;
	COLOR ,RGB(,,,255,255,255)
@ 9.214,9.000 GET m.sucpaq ;
	SIZE 1.000,3.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!" ;
	VALID v_age() ;
	MESSAGE _mens(men_age) ;
	COLOR ,RGB(0,0,0,0,255,255)
@ 9.214,13.571 GET wdessuc ;
	SIZE 1.000,33.571 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	VALID v_age() ;
	MESSAGE _mens(men_age) ;
	COLOR ,RGB(,,,255,255,255)
@ 9.286,54.143 GET wedad ;
	SIZE 1.000,2.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "99" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 9.286,61.429 GET m.sexo ;
	SIZE 1.000,1.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !" ;
	VALID m.sexo $ "MF " AND _enable() ;
	COLOR ,RGB(0,255,255,255,255,255)
@ 9.286,67.286 GET wlibmil ;
	SIZE 1.000,1.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9" ;
	VALID _enable() ;
	MESSAGE _mens(men_lib) ;
	COLOR ,RGB(,,,255,255,255)
@ 10.857,8.857 GET m.ciures ;
	SIZE 1.000,5.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!!!" ;
	VALID v_lug() ;
	MESSAGE _mens(men_lug) ;
	COLOR ,RGB(,,,0,255,255)
@ 10.857,15.000 GET wdeslug ;
	SIZE 1.000,22.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 10.857,39.286 GET m.barrio ;
	SIZE 1.000,3.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!!" ;
	VALID v_bar() ;
	MESSAGE _MENS(men_bar) ;
	COLOR ,RGB(,,,0,255,255)
@ 10.857,44.286 GET wdesbar ;
	SIZE 1.000,24.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 12.500,8.857 GET m.telefo ;
	SIZE 1.000,41.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID _enable() ;
	COLOR ,RGB(,,,0,255,255)
@ 12.500,57.286 GET m.zona ;
	SIZE 1.000,2.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID v_zon() ;
	MESSAGE _mens(men_zon) ;
	COLOR ,RGB(,,,255,255,255)
@ 12.500,67.143 GET m.preper ;
	SIZE 1.000,1.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99" ;
	VALID _enable() ;
	MESSAGE _mens("Presentacion Personal") ;
	COLOR ,RGB(,,,255,255,255)
@ 14.071,8.857 GET m.direcc ;
	SIZE 1.000,41.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@KT" ;
	VALID _enable() ;
	COLOR ,RGB(,,,0,255,255)
@ 13.786,57.000 GET westciv ;
	PICTURE "@^" ;
	FROM a_estciv ;
	SIZE 1.538,17.400 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 15.643,8.857 GET m.codeps ;
	SIZE 1.000,3.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!" ;
	VALID v_eps() ;
	MESSAGE _mens(men_eps) ;
	COLOR ,RGB(,,,255,255,255)
@ 15.643,13.143 GET wdeseps ;
	SIZE 1.000,12.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 15.643,32.429 GET m.codafp ;
	SIZE 1.000,3.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!" ;
	VALID v_afp() ;
	MESSAGE _mens(men_afp) ;
	COLOR ,RGB(,,,255,255,255)
@ 15.643,37.000 GET wdesafp ;
	SIZE 1.000,12.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 15.714,58.714 GET m.aspsal ;
	SIZE 1.000,10.143 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "99,999,999" ;
	VALID _enable() ;
	MESSAGE _mens('Aspiracion Salarial, en miles de Pesos') ;
	COLOR ,RGB(,,,255,255,255)
@ 17.071,8.571 GET m.distur ;
	PICTURE "@^" ;
	FROM a_distur ;
	SIZE 1.538,18.200 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	VALID _enable()
@ 17.143,23.143 GET m.tiene_carr ;
	PICTURE "@*C Carro" ;
	SIZE 1.308,9.500 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID _enable() ;
	MESSAGE _mens('Posee Carro ?')
@ 17.143,31.714 GET m.tiene_moto ;
	PICTURE "@*C Moto" ;
	SIZE 1.308,9.167 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID _enable() ;
	MESSAGE _MENS('Posee Moto?')
@ 17.143,40.143 GET wfoto ;
	PICTURE "@*C Foto" ;
	SIZE 1.308,8.667 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_foto() ;
	MESSAGE _MENS('Foto Principal')
@ 17.143,47.857 GET m.psc ;
	PICTURE "@*RHN PPR;PSC" ;
	SIZE 1.308,8.000,0.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 6 ;
	STYLE "BT" ;
	VALID _enable() ;
	MESSAGE _mens(men_psc)
@ 18.857,23.000 GET m.alfabe ;
	SIZE 1.000,6.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!!!!" ;
	VALID v_ped() ;
	MESSAGE _mens(men_ped) ;
	COLOR ,RGB(,,,255,255,255)
@ 18.643,51.429 GET wtra ;
	PICTURE "@*C Tray-Laborar" ;
	SIZE 1.308,16.500 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_tra() ;
	DISABLE
@ 18.786,35.286 GET wobs ;
	PICTURE "@*C \\\<Observaciones" ;
	SIZE 1.308,19.667 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_obs() ;
	MESSAGE _mens(men_obs)
@ 20.214,8.429 GET westado ;
	PICTURE "@^" ;
	FROM a_estado ;
	SIZE 1.538,29.400 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	VALID v_est() ;
	MESSAGE _mens(men_est) ;
	COLOR ,,,,,,,,RGB(,,,0,255,255),RGB(,,,0,255,255)
@ 20.286,35.286 GET wnoc ;
	PICTURE "@*C \<NC" ;
	SIZE 1.308,8.500 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_noc() ;
	MESSAGE _mens(men_noc)
@ 20.357,41.714 GET wnoc1 ;
	SIZE 1.000,22.714 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 23.071,7.000 GET wbot2 ;
	PICTURE "@*HN \\\<Otros DB;\\\<Documentos;\\Ci\<tas / F.Rec;\\\<Cargos" ;
	SIZE 1.769,15.500,1.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _35z0lq59w()
@ 25.143,7.000 GET wbot3 ;
	PICTURE "@*HN \\\<Estudios;\\Conoci\<mientos;\\\<Historia Lab;\\\<Ref Personales" ;
	SIZE 1.769,15.500,1.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _35z0lq59x()
@ 27.214,7.000 GET wbot4 ;
	PICTURE "@*HN \\Conc  Prue\<bas;\\\<Entrevista;\\Re\quisiones;\\\<Remitido" ;
	SIZE 1.769,15.500,1.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _35z0lq5a5()
@ 30.714,14.000 GET wsal ;
	PICTURE "@*HN \\\<Grabar;\\\<Borrar;\<Salir" ;
	SIZE 1.769,15.667,1.833 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _35z0lq5ag()

IF NOT WVISIBLE("w_datbas")
	ACTIVATE WINDOW w_datbas
ENDIF

READ CYCLE MODAL ;
	VALID v_salir()

RELEASE WINDOW w_datbas
SELECT (m.currarea)


#REGION 0

SET READBORDER &rborder

IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF



*       *********************************************************
*       *                                                         
*       * DATBAS03/Windows Procedimientos y funciones de soporte  
*       *                                                         
*       *********************************************************
*

#REGION 1
PROCEDURE _grabar
IF ABRIR("datbas01",1)

   m.nombre = ALLTRIM(m.nombre)
   m.apelli = ALLTRIM(m.apelli)
   m.fechar = IIF(EMPTY(m.fechar),DATE(),m.fechar)
   m.horara = IIF(EMPTY(m.fechar),TIME(),m.horara)
   m.dig    = IIF(EMPTY(m.dig),_wuser,m.dig)

   m.estado = westado_db
   RELEASE m.tiprem, m.codrem

   IF !SEEK(m.cedula)
      APPEND BLANK
      _men = "Registro Creado"
   ELSE

      ** Validamos por si tienen el mismo codigo
      IF cc_ti # m.cc_ti AND ALLTRIM(nombre) # ALLTRIM(m.nombre) AND ;
         ALLTRIM(apelli) # ALLTRIM(m.apelli)
         GO BOTT
         m.cedula = cedula + 1
         APPEND BLANK
         REPLACE cedula WITH m.cedula
      ENDIF
      _men = "Registro Modificado"
   ENDIF

   GATHER MEMVAR
   WAIT WINDOW _men NOWAIT
   w_accgrab = .T.         && Activo que se grab el Registro


   IF USED("q_cgopos")
      DO act_carpos WITH m.cedula
   ENDIF
   IF USED("q_conpos")
      DO act_conpos WITH m.cedula
   ENDIF

   IF _enable() AND FILE('selpr001.dbf') AND ABRIR("SELPR001",1)
      IF TYPE("m.cedula")="N"
         wnitemple = NTOC(m.cedula,8,0)
      ELSE
         wnitemple = NTOC(VAL(m.cedula),8,0)
      ENDIF
      IF !SEEK(wnitemple)
         APPEND BLANK
         REPLACE nitemple WITH wnitemple
      ENDIF
      REPLACE nombre    WITH ALLTRIM(m.apelli)+" "+ALLTRIM(m.nombre)
      REPLACE cc_ti     WITH m.cc_ti
      REPLACE telefono  WITH m.telefo
      REPLACE direccion WITH m.direcc
      REPLACE fecnaci   WITH DTOS(m.fecnac)
      REPLACE barrio    WITH wdesbar
      REPLACE municipio WITH wdeslug
      REPLACE ESTADO    WITH IIF(wnoc = 1,"I","A")
      IF !EMPTY(m.codeps) AND codeps # m.codeps
         mced = nitemple
         DO GRABPROC WITH  "ActEPS "+codeps+'-->'+m.codeps,'A'
         REPLACE codeps WITH m.codeps
      ENDIF
      IF !EMPTY(m.codafp) AND codafp # m.codafp
         mced = nitemple
         DO GRABPROC WITH  "ActAFP "+codafp+'-->'+m.codafp,'A'
         REPLACE codafp WITH m.codafp
      ENDIF
   ENDIF

   SHOW GET wsal,1 DISABLE
   SHOW GET wsal,2 DISABLE

ENDIF
RETURN
******

PROCEDURE _borrar
IF ABRIR("datbas01",1) AND SEEK(m.cedula)
   IF ABRIR("carpos05",1) AND !SEEK(m.cedula)
      SELECT datbas01
      IF SEEK(m.cedula)
         DELETE NEXT 1
         WAIT WINDOW "Registro Borrado!" NOWAIT
      ENDIF
   ELSE
      _men =  "Retire los cargos Posibles,"+c13+;
              "que ya se le asignaron."
      =_mens(_men)

   ENDIF
   SHOW GET wsal,2 DISABLE
ENDIF
RETURN
******

FUNCTION w_cod
*IF ABRIR("datbas01",1)
*   GO BOTT
*   m.cedula = cedula+1
*   SHOW GET m.cedula
*ENDIF
RETURN .T.
******

FUNCTION v_cod
=_CLOSE("q_conpos","q_conmae","q_cgopos","q_cgomae")
IF m.cedula > 0
   =_mens("Buscando Datos....")

   IF ABRIR("DATBAS01",1) AND SEEK(m.cedula)
      SCATTER MEMVAR
      m.telefo = LEFT(ALLTRIM(m.telefo)+SPACE(100),100)
      m.codeps = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codeps')
      m.codafp = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codafp')

   ELSE
      GO BOTT
      IF !EOF()
         SKIP
      ENDIF

      kced = m.cedula
      kced = IIF(TYPE('kced')='C',VAL(kced),kced)

      SCATTER MEMVAR
      m.cedula = kced
      m.telefo = SPACE(100)
      m.codeps = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codeps')
      m.codafp = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codafp')

   ENDIF
   westado_db = m.estado
   DO carga_vars
   WAIT CLEAR
ELSE

   DO CASE
      CASE m.cedula = -1 AND ABRIR("datbas01",1)
           GO TOP
           ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
           BROWSE NOMO NORMAL FREEZE cedula TITLE "Datos Basicos";
                FIELDS cedula : H= "Codigo", ;
                       apelli : H= "Apellidos", ;
                       nombre : H= "Nombres", ;
                       fechar : H= "Radicado"
           ON KEY LABEL ENTER

           IF LASTKEY() # 27
              SCATTER MEMVAR
              m.telefo = LEFT(ALLTRIM(m.telefo)+SPACE(100),100)
              m.codeps = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codeps')
              m.codafp = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codafp')
              westado_db = m.estado
              DO carga_vars
           ELSE
              m.cedula = 0
              SHOW GET m.cedula
           ENDIF
      CASE BETWEEN(m.cedula,-250,-10) AND ;
           MOD(m.cedula,10) = 0
           = ABRIR("DATBAS01",1)
           GO TOP
           ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
           BROWSE NOMO NORMAL FREEZE cedula TITLE "Datos Basicos";
                FIELDS cedula : H= "Codigo", ;
                       apelli : H= "Apellidos", ;
                       nombre : H= "Nombres", ;
                       fechar : H= "Radicado" ;
                KEY -(m.cedula*10000)+1,-(m.cedula*10000)+9999
           ON KEY LABEL ENTER

           IF LASTKEY() # 27
              SCATTER MEMVAR
              m.telefo = LEFT(ALLTRIM(m.telefo)+SPACE(100),100)
              m.codeps = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codeps')
              m.codafp = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codafp')
              westado_db = m.estado
              DO carga_vars
           ELSE
              m.cedula = 0
              SHOW GET m.cedula
           ENDIF


   ENDCASE

ENDIF
RETURN _enable()
******

FUNCTION v_nom
PARAMETER _llave
_var = IIF(_llave=3,m.apelli,m.nombre)
IF EMPTY(m.cedula) AND !EMPTY(_var) AND ABRIR("datbas01",_llave)

   kape = ALLTRIM(m.apelli)
   knom = ALLTRIM(m.nombre)

   SELECT cedula AS codigo, apelli as apellidos, ;
          nombre AS nombres, cc_ti AS Doc_Ident ;
     FROM datbas01 ;
    WHERE apelli = kape ;
      AND (EMPTY(knom) OR nombre=knom) ;
     INTO CURSOR q_datbas

   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   BROWSE NOMO NORMAL FREEZE codigo TITLE "Datos Basicos"
   ON KEY LABEL ENTER

   IF LASTKEY() # 27
      m.cedula = codigo
      SHOW GET m.cedula
      _CUROBJ = OBJNUM(m.cedula)
      KEYBOARD CHR(13)
   ENDIF
ENDIF

RETURN _enable()
******

FUNCTION v_ccti
IF ABRIR("datbas01",5) AND ;
   SEEK(m.cc_ti) AND cedula#m.cedula

   WAIT CLEAR
   m.cc_ti = 0

ENDIF
=ABRIR("datbas01",1)
RETURN .T.
******

FUNCTION w_nac
IF EMPTY(m.fecnac)
   m.fecnac = {1950.12.30}
ENDIF
RETURN .T.
******

FUNCTION v_fnac
IF EMPTY(m.fecnac)
   wedad = 0
ELSE
   wedad = INT(DIFDIAS(DATE(),m.fecnac)/360)
ENDIF
SHOW GET wedad
RETURN _enable()
******

FUNCTION v_tra
=_MENS('Consultando...')
=_CLOSE('q_trayec')
_cod7 = NTOC(m.cedula,8)
_WHI_ = 'nitemple=_cod7'
IF wtra=1 AND FILE('EMPRESAS.DBF') AND ;
   FILE('EMPLEADO.DBF') AND ABRIR('empleado',6) AND ;
   CopyDbfTmp('empleado',6,_cod7,_WHI_,'q_trayec')

   do def_wind WITH '1','Trayectoria Laboral'
   SELECT q_trayec
   ON KEY LABEL PGDN
   ON KEY LABEL ENTER KEYBOARD '{CTRL+W}' PLAIN
   WAIT CLEAR
   BROWSE NOMO FIELD ncontrato:H='Cnt', ;
          fecing :H='Inicio', fecret :H="Retiro", ;
          Estado:H="Est", negocio=TRAE_RAZ(nitempre),;
          codage:H="Age", eva_des1:H="Evaluador", ;
          eva_des2:H="Resultado",eva_des3:H="F.Ev.Desemp" ;
          WINDOW consulta
   ON KEY LABEL ENTER
   =_CLOSE('empleado','empresas')

ENDIF
RETURN _enable()
******

FUNCTION v_fte_BORRAR  && BORRAR
IF EMPTY(m.cedula) AND EMPTY(m.apelli) AND ;
   EMPTY(m.nombre) AND !EMPTY(wdesrem)

   m.tiprem = f_tiprem(wdesrem)  &&a_tiprem((ASCAN("a_tiprem",wdesrem)+1)/2,2)
   SELECT cedula AS codigo, ;
          apelli AS apellidos, ;
          nombre AS nombres, ;
          cc_ti  AS doc_ident, ;
          fechar AS Radicado ;
     FROM datbas01 ;
    WHERE tiprem = m.tiprem ;
     INTO CURSOR q_dat ;
    ORDER BY apelli,nombre,cedula

   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   BROWSE NORMAL FREEZE codigo TITLE "Datos Basicos"
   ON KEY LABEL ENTER

   IF LASTKEY() # 27
      m.cedula = codigo
      _CUROBJ = OBJNUM(m.cedula)
      KEYBOARD CHR(13)
   ENDIF

ENDIF
RETURN _enable()
******

FUNCTION v_foto
_ruta_arch = TF7("DATBAS01","RUTA_FOTOS",NTOC(m.cedula,8),2)

IF EMPTY(_ruta_arch)
   DO CARG_FOTO
ELSE
   IF !FILE(_ruta_arch)
      DO CARG_FOTO
   ELSE
      DO ver_foto WITH _ruta_arch
   ENDIF
ENDIF

RETURN _enable()
******

PROCEDURE carg_foto
_tab = [DATBAS01]
_cmp = [RUTA_FOTOS]
_llav= NTOC(m.cedula,8)

   IF MENSAJE('DESEA BUSCAR LA FOTO ?')
      _ruta_arch = GETFILE("BMP")

      IF !EMPTY(_ruta_arch) AND FILE(_ruta_arch)
         DO VER_FOTO WITH _ruta_arch
      ENDIF

      IF MENSAJE('GUARDAR LA FOTO EN 7-SRH ?')
         _destino = PUTFILE("Destino",_ruta_arch,'BMP')
         IF !EMPTY(_destino)

            COPY FILE (_ruta_arch) TO (_destino)

            IF ABRIR('flex7srh',1)
               IF !SEEK(_tab + _cmp + _llav)
                  APPEND BLANK
                  REPLACE tabla WITH _tab, campo WITH _cmp, ;
                          llave WITH _llav
               ENDIF
               REPLACE datom WITH ALLTRIM(_ruta_arch)
            ENDIF
         ENDIF
      ENDIF

   ENDIF
RETURN
******

FUNCTION v_lug
wdeslug = divpol(m.ciures)
SHOW GET wdeslug
RETURN v_bar()
******

FUNCTION v_bar
wdesbar = barrio(m.ciures,m.barrio)
SHOW GET wdesbar
RETURN _enable()
******

FUNCTION v_zon
IF AT("*",m.zona) > 0
   SELECT codzona AS cod, deszona AS descr ;
     FROM se_zonas ;
    ORDER BY codzona ;
     INTO CURSOR q_zona

   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   BROWSE NORMAL NOMO FREEZE cod
   ON KEY LABEL ENTER

   IF LASTKEY() # 27
      m.zona = cod
   ENDIF

ENDIF

IF EMPTY(TRAE_DATO("se_zonas",1,m.zona,"deszona"))
   m.zona = " "
   SHOW GET m.zona
ENDIF
RETURN _enable()
******

FUNCTION v_est
m.estado = TRAE_DATO('se_estad',2,westado,'cod')
westado_db = m.estado
RETURN _enable()
******

FUNCTION v_obs
STORE MIN(m.numobs,1) TO wobs
_num_obser = m.numobs
DO se_obser WITH m.numobs,"DATBAS01",m.cedula, 1
m.numobs   = _num_obser
SHOW GET m.numobs
SHOW GET wobs
RETURN _enable()
******

FUNCTION v_ped
IF ABRIR('pedido01',1)

   IF '*' $ m.alfabe
      DO DEF_WIND WITH '1', 'Requisiciones'
      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      BROWSE WINDOW consulta ;
       FIELD numsol, fecsol, result, cdempr, ;
             cliente = TRAE_DATO('empres07',1,cdempr,'nombre'), ;
             codcgo, cargo=TRAE_DATO('cargos04',1,codcgo,'descgo'), ;
             f_inic, feclim, codofi, cgocliente=TRAE_DATO('oficio01',1,codofi,'desofi') ;
         KEY m.sucpaq ;
         FOR (fecsol >= DATE()-15) OR UPPER(result)='EN PROCESO'
      ON KEY LABEL ENTER
      IF LASTKEY()#27
         m.alfabe = numsol
      ELSE
         m.alfabe = ' '
      ENDIF
      SHOW GET m.alfabe
   ENDIF

   IF !EMPTY(m.alfabe)
   ENDIF

ENDIF
RETURN _ENABLE()
******

FUNCTION v_noc
wrazdes12 = f_no_conf(m.razdes)
IF EMPTY(wrazdes12)
   wnoc  = 0
   wnoc1 = ' '
ELSE
   m.razdes = wrazdes12
   wnoc     = 1
   wnoc1    = TRAE_DATO('razdes12',1,m.razdes,'desraz')
ENDIF

RETURN _enable()
******

FUNCTION _enable

SHOW GET wobs  DISABLE
ON KEY LABEL PGDN
wedad  = IIF(!EMPTY(m.fecnac),INT((DATE()-m.fecnac)/365),0)
wtra = 0

kced = m.cedula
kced = IIF(TYPE('kced')='C',VAL(kced),kced)
m.cedula = kced

IF !EMPTY(m.cedula) AND !EMPTY(m.apelli) AND !EMPTY(m.nombre) AND ;
   FILE('empleado.dbf') AND ABRIR('empleado',6) AND ;
   SEEK(NTOC(m.cedula,8),'empleado')
   SHOW GET wtra ENABLE
ELSE
   SHOW GET wtra DISABLE
ENDIF

IF !EMPTY(m.cedula) AND !EMPTY(m.apelli) AND !EMPTY(m.nombre) AND ;
   !EMPTY(m.telefo) AND BETWEEN(m.fecnac,DATE()-(365*69),DATE()-(365*12)) AND ;
   !EMPTY(warea)    AND !empty(m.sexo) AND !EMPTY(wdeslug) AND ;
   !EMPTY(wdesbar)  AND !EMPTY(westado)

   m.area   = TRAE_DATO('se_areas',2,PADR(TRIM(warea),15,' '),'codigo')  &&LOOKUP(codigo, warea ,descri)
   m.estciv = SUBST("SCDUV",ASCAN("a_estciv",westciv),1)
   m.libmil = STR(wlibmil,1)
   SHOW GET wedad

   SHOW GET wsal,1  ENABLE
   ON KEY LABEL PGDN DO obj_sal

   IF ABRIR("datbas01",1) AND SEEK(m.cedula,"datbas01")
      m.cedula = datbas01.cedula
      IF !EMPTY(datbas01.apelli) AND !EMPTY(datbas01.nombre) AND ;
         !EMPTY(datbas01.telefo) AND !EMPTY(datbas01.fecnac) AND ;
         !EMPTY(datbas01.sexo)

         IF _acceso = 0
            IF mtit0#"OCU"
            SHOW GET wbot3,2 ENABLE  && Conocimientos
            ENDIF
            SHOW GET wbot3,3 ENABLE  && Referenciacion
            SHOW GET wbot4,1 ENABLE  && Concep Pruebas
            IF !EMPTY(wc_prg_entr)
               SHOW GET wbot4,2 ENABLE  && Entrevista
            ELSE
               SHOW GET wbot4,2 DISABLE  && Entrevista
            ENDIF
         ENDIF

         IF _acceso = 0 OR _acceso = 2
            SHOW GET wbot2,2 ENABLE  && Documentos
            SHOW GET wbot3,1 ENABLE  && Estudios
            IF .t. &&**FILE("rescap17.dbf") activamos para referencias personales
               SHOW GET wbot3,4 ENABLE  && Capacitaciones
            ENDIF
         ENDIF

         IF !EMPTY(winstr_db1)
            SHOW GET wbot2,1 ENABLE  && AHORA OTROS DB / ANTES  ...Fte Recl
         ENDIF
         IF mtit0 # "OCU"   && Quitamos para Ocupar
         SHOW GET wbot2,3 ENABLE  && Citas
         ENDIF
         SHOW GET wbot2,4 ENABLE  && Cargos
         SHOW GET wobs    ENABLE


         w_len_acp = alen(a_carasig,1)
         IF alen(a_carasig,1) > 0
            SHOW GET wbot4,3 ENABLE
         ELSE
            SHOW GET wbot4,3 DISABLE
         ENDIF

         IF ABRIR("pedido03",2) AND ;
            SEEK(m.cedula,"pedido03")
            SHOW GET wbot4,4 ENABLE
         ELSE
            SHOW GET wbot4,4 DISABLE
         ENDIF
      ELSE
         SHOW GET wbot2 DISABLE
         SHOW GET wbot3 DISABLE
         SHOW GET wbot4 DISABLE
      ENDIF

      IF fechar = DATE()
         SHOW GET wsal,2 ENABLE
      ELSE
         SHOW GET wsal,2 DISABLE
      ENDIF

   ELSE
      SHOW GET wsal,2  DISABLE
      SHOW GET wbot2,1 DISABLE
      SHOW GET wbot2,2 DISABLE
      SHOW GET wbot2,3 DISABLE
      SHOW GET wbot2,4 DISABLE

      SHOW GET wbot3,1 DISABLE
      SHOW GET wbot3,2 DISABLE
      SHOW GET wbot3,3 DISABLE
      SHOW GET wbot3,4 DISABLE

      SHOW GET wbot4,1 DISABLE
      SHOW GET wbot4,2 DISABLE
      SHOW GET wbot4,3 DISABLE
      SHOW GET wbot4,4 DISABLE

   ENDIF

ELSE

   SHOW GET wsal,1  DISABLE
   SHOW GET wsal,2  DISABLE

   SHOW GET wbot2,1 DISABLE
   SHOW GET wbot2,2 DISABLE
   SHOW GET wbot2,3 DISABLE
   SHOW GET wbot2,4 DISABLE

   SHOW GET wbot3,1 DISABLE
   SHOW GET wbot3,2 DISABLE
   SHOW GET wbot3,3 DISABLE
   SHOW GET wbot3,4 DISABLE

   SHOW GET wbot4,1 DISABLE
   SHOW GET wbot4,2 DISABLE
   SHOW GET wbot4,3 DISABLE
   SHOW GET wbot4,4 DISABLE

ENDIF
SHOW GETS WINDOW w_datbas
RETURN .T.
******

PROCEDURE carga_vars
m.cc_ti = IIF(m.cc_ti=0,m.cedula,m.cc_ti)
wsex = AT(m.sexo,"MF ")
wobs = MIN(m.numobs,1)

wdeseps = TRAE_DATO('tabgen00',1,'PS'+m.codeps,'destab')
wdesafp = TRAE_DATO('tabgen00',1,'FP'+m.codafp,'destab')
wdeslug = divpol(m.ciures)
wdesbar = barrio(m.ciures,m.barrio)
westciv = a_estciv(MAX(AT(m.estciv,"SCDUV"),1))
wlibmil = VAL(m.libmil)
wnoc    = IIF(EMPTY(m.razdes),0,1)
wnoc1   = IIF(wnoc=1,TRAE_DATO("razdes12",1,m.razdes,"desraz"),"")
wdessuc = TD7("TABGEN00",1,"SC"+m.sucpaq,"destab")

IF EMPTY(m.area)
   warea   = "  "
ELSE
   warea   = TRAE_DATO('se_areas',1,TRIM(m.area),'descri')
ENDIF

IF EMPTY(m.estado)
   westado = "   "
ELSE
   westado = TRAE_DATO('se_estad',1,westado_db,'des')
ENDIF

SELECT b.descgo , a.codcgo , b.divisio;
  FROM carpos05 a ,;
       cargos04 b ;
 WHERE a.codcgo = b.codcgo and a.cedula = m.cedula ;
 ORDER BY 2 ;
  INTO ARRAY a_carasig

IF _TALLY > 0
   w_carasig = 1
   w_len_acp = alen(a_carasig,1)
ELSE
   w_carasig = 0
   w_len_acp = 0
ENDIF

SELECT b.deshab , a.codhab ;
  FROM conpos32 a ,;
       habili28 b ;
 WHERE a.codhab = b.codhab and a.cedula = m.cedula ;
 ORDER BY 2 ;
  INTO ARRAY a_conasig

IF _TALLY > 0
   w_conasig = 1
   w_len_aco = alen(a_conasig,1)
ELSE
   w_conasig = 0
   w_len_aco = 0
ENDIF

RETURN
******

PROCEDURE CLOSE_DATA
=_CLOSE("datbas01","tiprem14","se_areas","cargos04")
=_CLOSE("q_datbas01","carpos05","barrio19","entrev01")
=_CLOSE("refere21","conpos32","habili28","usuarios")
=_CLOSE("tabgen02","tabgen00","divpol06","selpr001")
=_CLOSE("empleado","se_estad","se_areas","se_zonas")
=_CLOSE("tiprem14","estudi30","tipest29","respru17")
=_CLOSE("tippru16","se_observ","observ10","empres07")
=_CLOSE("encped24","rutas","q_est","dctent22","tipdoc27")
=_CLOSE("q_cgopos","q_conpos","q_cgomae","q_conmae")
RELEASE a_areas
RELEASE a_tiprem
RETURN
******

FUNCTION f_est1
PARAMETER  _dat
_resx = SPACE(10)
DO CASE
   CASE _dat = 1
        _resx= ' Enviado '
   CASE _dat = 2
        _resx= 'Aceptado '
   CASE _dat = 3
        _resx= 'Rechazado'
ENDCASE
RETURN _resx
******

FUNCTION f_tiprem
PARAMETER _des
_area = SELECT()
_tip  = ' '
IF ABRIR('tiprem14',1)
   LOCATE FOR desrem = _des
   IF FOUND()
      _tip = codrem
   ENDIF
ENDIF
SELECT (_area)
RETURN _tip
******

FUNCTION v_eps
SET PROC TO LOCKS
wdeseps = DESTAB00("PS",m.codeps,.F.)
SHOW GET wdeseps
SET PROC TO PROCEDI
RETURN .T.
******

FUNCTION v_afp
SET PROC TO LOCKS
wdesafp = DESTAB00("FP",m.codafp,.F.)
SHOW GET wdesafp
SET PROC TO PROCEDI
RETURN .T.
******

PROCEDURE ver_otrdb
IF ABRIR('datbas01',1) AND ;
   (cedula=w_cod_dba OR SEEK(w_cod_dba))
   ON KEY LABEL F8 KEYBOARD "{CTRL+W}" PLAIN
   DO DEF_WIND WITH "8","Otros Datos Basicos"
   EDIT WINDOW consult8 FIELD &winstr_db1 NODELETE NEXT 1
   ON KEY LABEL F8
   SCATTER MEMVAR
   m.telefo = LEFT(ALLTRIM(m.telefo)+SPACE(100),100)
   m.codeps = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codeps')
   m.codafp = TRAE_DATO('selpr001',1,NTOC(m.cedula,8),'codafp')
   SHOW GET wsal,1 DISABLE
ENDIF
RETURN
******

FUNCTION v_age
wdes1 = destab00("SC",m.sucpaq)
IF !EMPTY(wdes1) AND wdes1 # "."
   wdessuc = wdes1
ELSE
   wdessuc = ' '
   m.sucpaq= " "
ENDIF
*DO carga_qcco
RETURN _enable()
******


*       *********************************************************
*       *                                                         
*       * _35Z0LQ59W           wbot2 VALID                        
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         DATBAS03,     Record Number:   77  
*       * Variable:            wbot2                              
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      1                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _35z0lq59w     &&  wbot2 VALID
#REGION 1
w_div_acp = m.area
w_cod_dba = m.cedula
w_nom_dba = m.nombre
w_ape_dba = m.apelli
w_est_dba = m.estado
w_cod = NTOC(m.cedula,8)
SET FUNCTION 9 TO w_cod

SET PROCEDURE TO LOCKS, PROCEDI

DO CASE
   CASE wbot2 = 1
*       KEYBOARD ALLTRIM(STR(m.cedula,12,0))+C13
*       DO fterem01    && Captura solo fte de reclutamiento
*                      && pero se puede realizar por SE_CITAS
        DO ver_otrdb

   CASE wbot2 = 2

        IF FILE("dctent22.fxp")
           KEYBOARD w_cod+C13
           DO dctent22
        ELSE
*          KEYBOARD w_cod+C13
           DO dctent23
        ENDIF
   CASE wbot2 = 3
        KEYBOARD w_cod +C13
        DO se_citas

   CASE wbot2 = 4
*        =car_pos("CRUD",m.cedula)
        sw_updcop  = v_carpos(m.cedula)

ENDCASE

m.cedula = w_cod_dba
m.nombre = w_nom_dba
m.apelli = w_ape_dba
m.estado = w_est_dba
m.area   = w_div_acp
RETURN v_lug() AND v_bar()
******



*       *********************************************************
*       *                                                         
*       * _35Z0LQ59X           wbot3 VALID                        
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         DATBAS03,     Record Number:   78  
*       * Variable:            wbot3                              
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      2                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _35z0lq59x     &&  wbot3 VALID
#REGION 1
w_cod     = ALLTRIM(STR(m.cedula,12,0))
SET FUNCTION 9 TO w_cod
w_div_acp = m.area
w_cod_dba = m.cedula
w_nom_dba = m.nombre
w_ape_dba = m.apelli
w_est_dba = m.estado
DO CASE
   CASE wbot3 = 1  && Estudios
        KEYBOARD w_cod+CHR(13)
        DO Estudi03
   CASE wbot3 = 2  && Conocimientos
        sw_updcop  = v_conpos(m.cedula)
   CASE wbot3 = 3  && Referenciacion / hist Laboral
        KEYBOARD w_cod+CHR(13)
*       DO refere03
*       DO refere22
        DO hislab22 WITH w_cod
   CASE wbot3 = 4  && Capacitaciones/ Ref Personales
*        KEYBOARD w_cod+CHR(13)
*        DO rescap17
        STORE .T. TO _grab, _borr, _info
        DO refere23 WITH _grab,_borr, _info, w_cod
ENDCASE
m.cedula = w_cod_dba
m.nombre = w_nom_dba
m.apelli = w_ape_dba
m.estado = w_est_dba
m.area   = w_div_acp
RETURN v_lug() AND v_bar() &&_enable()
******

*       *********************************************************
*       *                                                         
*       * _35Z0LQ5A5           wbot4 VALID                        
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         DATBAS03,     Record Number:   79  
*       * Variable:            wbot4                              
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      3                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _35z0lq5a5     &&  wbot4 VALID
#REGION 1
w_div_acp = m.area
w_cod     = NTOC(m.cedula,8,0)
SET FUNCTION 9 TO w_cod
w_div_acp = m.area
w_cod_dba = m.cedula
w_nom_dba = m.nombre
w_ape_dba = m.apelli
w_est_dba = m.estado
DO CASE
   CASE wbot4 = 1   && Resultado de Pruebas
        KEYBOARD w_cod+CHR(13)
        DO infpru01 WITH .T.,.T.,.T.
   CASE wbot4 = 2   && Entrevista
        KEYBOARD w_cod+CHR(13)
*       DO entrev03 WITH .T.
        DO (wc_prg_entr)
   CASE wbot4 = 3  && Pedidos / Requisiciones
        DO ver_pedido
   CASE wbot4 = 4  && Remisiones a clientes

        =_CLOSE('q_rem')
        _whi_ = 'cedula=w_cod_dba'
        IF COPYDBFTMP('pedido03',2,m.cedula,_whi_,'q_rem')

           SELECT q_rem
           SELECT q_rem.numsol AS Numero, q_rem.fremis AS fecha, ;
                  F_est1(q_rem.estado) AS estado ,;
                  TRAE_DATO('empres07',1,TRAE_DATO('pedido01',1,sucpaq+numsol,'cdempr'),'nombre') AS cliente, ;
                  TRAE_DATO('cargos04',1,TRAE_DATO('pedido01',1,sucpaq+numsol,'codcgo'),'descgo') AS Cargo ;
             FROM q_rem ;
            ORDER BY fremis ;
             INTO CURSOR q_rem2


           ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
           w_nom_tt1 = ALLTRIM(w_ape_dba)+' '+w_nom_dba
           BROWSE NOMO NORMAL FREEZE numero;
                  TITLE 'Remisiones a Clientes de: '+w_nom_tt1
           ON KEY LABEL ENTER

           USE IN q_rem
           USE IN q_rem2

        ENDIF
ENDCASE

SET PROCEDURE TO PROCEDI
m.cedula = w_cod_dba
m.nombre = w_nom_dba
m.apelli = w_ape_dba
m.estado = w_est_dba

RETURN v_lug() AND v_bar()
******

*       *********************************************************
*       *                                                         
*       * _35Z0LQ5AG           wsal VALID                         
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         DATBAS03,     Record Number:   80  
*       * Variable:            wsal                               
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      4                                  
*       *                                                         
*       *********************************************************
*

FUNCTION _35z0lq5ag     &&  wsal VALID
#REGION 1
ON KEY LABEL PGDN

DO CASE
   CASE wsal = 1
*       SET STEP ON
        DO _grabar
        SET FUNCTION 9 TO ALLTRIM(STR(m.cedula,12,0))
   CASE wsal = 2
        DO _borrar
   CASE wsal = 3
        _men= "No ha grabado los datos BASICOS."+CHR(13)+;
              "           Desea Salir ?"
        IF w_accgrab
           CLEAR READ
        ELSE
           IF Mensaje(_men)
              CLEAR READ
           ENDIF
        ENDIF
ENDCASE
RETURN
