*       *********************************************************
*       *                                                         
*       * 2011.09.15           PAGARE00.PRG              15:39:04 
*       *                                                         
*       *********************************************************
*       *                                                         
*       * Ing Gustavo A. Pinilla C.                               
*       *                                                         
*       * Copyright (c) 2011 SIE7E Ltda.                          
*       * Cel 310.421.2741                                        
*       * Cali, Valle  76001                                         
*       * Colombia                                          
*       *                                                         
*       * Description:                                            
*       * Este programa lo ha generado automticamente GENSCRN.    
*       *                                                         
*       *********************************************************


*       *********************************************************
*       *                                                         
*       *  PAGARE00/Windows Cdigo de configuracin - SECCION 1   
*       *                                                         
*       *********************************************************
*

#REGION 1
* VERSION 01B : Incluimos amortizacion Decadal y Semanal
*           C : Agregamos consulta de PAgares x numero y Tercero
*         02  : bOTON [Cuotas]
*           A : Buscamos el ultimo dcto registrado por sucursal (elmayor)
*         03  : Incliumos el Perido Nomina y el concepto para desembolso
*           A : PG-DN --> wsal
*           B : Revisamos el calculo de los intereses para quincenas
*           C : Habilitamos prestamos sin Intereses.
*           D : Definimos cursor q1 tamano=60 Regs., mostramos Tray lab
*         04  : Introducimos Arreglos para cursor q1
*           A : Cambiamos DEFECTO de _MODULO a Nomina
*           B : Anular cambia a ANU y no es RET
*           C : fILTRO PARA reporte saldo_k # 0
*           D : Validamos q' la Cedula no este repetida
*           E : Ampliamos cuotas de 60 a 180
*           F : Agregamos fecha de control para informes
*           G : Agregamos Listado de Tray para Cnts Activos
*           H : 2011.01.26 Agregamos amortiz catorcenal
*         05  : 2011.07.22 Agregamos campos desctos varios
*                          Total del credito.
*                          Imprimir libranza para firma.
*         00  : 2011.09.13 Pasa a PAgare00
_nomprg = "pagare00"

RELEASE wpernom, wcnc1,wcnc2,wcnc3, wdes1, wdes2, wdes2, wper, wter1, wter2

SET PROC TO LOCKS
DO  INICIAL

IF TYPE('_modulo') # "C"
   _modulo = 'N'
ENDIF

men_suc = IIF(_modulo='C',"Digite la sucursal","Digite Codigo de Agencia")
men_num = "Numero del pagare"

_fmto0 = '999,999,999,999'
_fmto1 = '999,999,999'
_fmto2 = '99,999,999'

wamor      = 1    && Amoritzacion mensual
wanualidad = 1
wcuotant   = 0
wint       = 0

_get_step = GET_STEP(5," General ")

RELEASE a_q1
DIMENSION a_q1[180]
DO cursor_q1


IF "SOLUCIONES INMEDIATAS" $ UPPER(mtit0) OR ;
   "DOMA" $ UPPER(mtit0)
   wcnc1 ='PA'
ENDIF




#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.rborder = SET("READBORDER")
SET READBORDER ON

m.currarea = SELECT()


*       *********************************************************
*       *                                                         
*       *             Windows Definiciones de ventana             
*       *                                                         
*       *********************************************************
*

IF NOT WEXIST("w_pagare01") ;
	OR UPPER(WTITLE("W_PAGARE01")) == "W_PAGARE01.PJX" ;
	OR UPPER(WTITLE("W_PAGARE01")) == "W_PAGARE01.SCX" ;
	OR UPPER(WTITLE("W_PAGARE01")) == "W_PAGARE01.MNX" ;
	OR UPPER(WTITLE("W_PAGARE01")) == "W_PAGARE01.PRG" ;
	OR UPPER(WTITLE("W_PAGARE01")) == "W_PAGARE01.FRX" ;
	OR UPPER(WTITLE("W_PAGARE01")) == "W_PAGARE01.QPR"
	DEFINE WINDOW w_pagare01 ;
		AT  0.000, 0.000  ;
		SIZE 38.231,122.200 ;
		TITLE "SIE7E" ;
		FONT "MS Sans Serif", 8 ;
		FLOAT ;
		NOCLOSE ;
		NOMINIMIZE ;
		SYSTEM ;
		COLOR RGB(,,,192,192,192)
	MOVE WINDOW w_pagare01 CENTER
ENDIF


*       *********************************************************
*       *                                                         
*       *        PAGARE00/Windows Distribucin de pantalla        
*       *                                                         
*       *********************************************************
*

#REGION 1
IF WVISIBLE("w_pagare01")
	ACTIVATE WINDOW w_pagare01 SAME
ELSE
	ACTIVATE WINDOW w_pagare01 NOSHOW
ENDIF
@ 4.692,5.800 SAY "Sucursal:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 4.692,57.800 SAY "Numero:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.692,69.000 SAY "Fecha Desembolso:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 6.154,6.400 SAY "Tercero:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 14.923,14.600 SAY "Descripcion:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(0,0,128,,,,)
@ 11.769,50.400 SAY "Cuotas:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.769,14.800 SAY "Vr. Capital:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 0.000,0.000 TO 3.769,122.200 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(,,,0,0,128)
@ 1.154,35.000 SAY "SOLICITUD DE ANTICIPOS / PRESTAMOS" ;
	FONT "Arial", 11 ;
	STYLE "BT" ;
	COLOR RGB(255,255,0,255,255,0)
@ 0.154,106.400 SAY "PAGARE00.00" ;
	FONT "Arial", 8 ;
	STYLE "T" ;
	COLOR RGB(255,255,255,,,,)
@ 33.385,13.400 TO 37.077,108.000 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 37.000,13.400 TO 37.000,108.000 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 33.385,107.800 TO 37.077,107.800 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 13.154,15.400 SAY "Amortizac:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 4.692,83.200 SAY "Estado:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 4.231,4.600 TO 11.385,117.000 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 7.538,4.800 TO 7.538,117.000 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 4.308,116.800 TO 11.308,116.800 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 13.154,53.400 SAY "Tipo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 4.692,17.200 GET wsuc1 ;
	SIZE 1.000,3.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!" ;
	WHEN w_suc() ;
	VALID v_suc() ;
	COLOR ,RGB(,,,0,255,255)
@ 4.692,23.200 GET wsuc2 ;
	SIZE 1.000,23.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 4.692,68.400 GET wnum ;
	SIZE 1.000,9.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!-!!!!!!" ;
	VALID v_num() ;
	COLOR ,RGB(,,,0,255,255)
@ 6.154,17.200 GET wter1 ;
	SIZE 1.000,12.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	VALID v_ter() ;
	MESSAGE _mens("Codigo Tercero, ' * ' para consultar") ;
	COLOR ,RGB(,,,0,255,255)
@ 6.154,36.400 GET wter2 ;
	SIZE 1.000,56.571 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 11.692,28.000 GET wcapital ;
	SIZE 1.000,13.286 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9999,999,999" ;
	VALID v_cuo() ;
	COLOR ,RGB(,,,0,255,255)
@ 11.692,60.200 GET wcuo ;
	SIZE 1.000,4.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9999" ;
	WHEN w_cuo() ;
	VALID v_cuo() ;
	MESSAGE _mens("Cantidad de cuotas para Pago") ;
	COLOR ,RGB(,,,0,255,255)
@ 12.923,27.600 GET wamor ;
	PICTURE "@^ Mensual;Quincenal;Decadal;Semanal;Catorcenal" ;
	SIZE 1.538,16.333 ;
	DEFAULT "Mensual" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID v_cuo()
@ 11.692,92.400 GET wfec ;
	SIZE 1.000,10.000 ;
	DEFAULT {  /  /  } ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9999.99.99" ;
	VALID v_cuo() ;
	MESSAGE _MENS("Fecha del Desembolso") ;
	COLOR ,RGB(,,,0,255,255)
@ 13.077,60.200 GET wcnc1 ;
	SIZE 1.000,2.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!" ;
	VALID v_cnc(1) ;
	MESSAGE _mens('Concepto Para contabilizar tipo de Prestamo') ;
	COLOR ,RGB(,,,0,255,255)
@ 16.231,14.800 GET wdes0 ;
	SIZE 3.000,65.571 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID _enable() ;
	MESSAGE _mens("Detalle Informativo del Pagare") ;
	COLOR ,RGB(,,,255,255,255)
@ 34.385,16.000 GET wsal ;
	PICTURE "@*HN \\\<Grabar;\\\<Borrar;\\\<Informe;\\E\<xcel;\\A\<probar;\<Salir" ;
	SIZE 1.769,10.000,0.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _3bb0xjnyp()
@ 4.692,92.600 GET west ;
	SIZE 1.000,4.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 13.077,64.600 GET wdes1 ;
	SIZE 1.000,29.857 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,0,255,255)
@ 11.308,4.800 TO 11.308,117.000 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 7.615,4.800 TO 7.615,116.800 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(128,128,128,128,128,128)
@ 7.846,6.200 EDIT wtra_ ;
	SIZE 3.000,78.571,0.000 ;
	PICTURE "@K" ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	SCROLL ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 34.385,92.800 GET w_par1 ;
	PICTURE "@*HN Parametros" ;
	SIZE 1.769,11.667,0.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 20.538,15.000 EDIT winfo ;
	SIZE 11.000,66.000,0.000 ;
	PICTURE "@K" ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	SCROLL ;
	COLOR ,RGB(,,,255,255,255)

IF NOT WVISIBLE("w_pagare01")
	ACTIVATE WINDOW w_pagare01
ENDIF

READ CYCLE MODAL

RELEASE WINDOW w_pagare01
SELECT (m.currarea)


#REGION 0

SET READBORDER &rborder

IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF


*       *********************************************************
*       *                                                         
*       *           PAGARE00/Windows Cdigo de limpieza           
*       *                                                         
*       *********************************************************
*

#REGION 1
ON KEY LABEL ENTER
ON KEY LABEL PGDN
ON KEY LABEL ESC
DO CLOSE_DATA
RETURN
******



*       *********************************************************
*       *                                                         
*       * PAGARE00/Windows Procedimientos y funciones de soporte  
*       *                                                         
*       *********************************************************
*

#REGION 1
PROCEDURE _grabar
IF _get_step AND GET_STEP('Grabando ..',5)
   SET STEP ON
ENDIF

IF ABRIR('pagare01',1)
   IF !SEEK(wsuc1+wnum)
      APPEND BLANK
      REPLACE sucursal WITH wsuc1, ;
              numero   WITH wnum, ;
              estado   WITH 'SOL'
   ENDIF
   REPLACE f_desembol WITH wfec, ;
           tercero    WITH wter1,;
           descripcio WITH wdes0, ;
           intmensual WITH wint

   REPLACE numcuotas  WITH wcuo, ;
           vrcapital  WITH wcapital, ;
           amortizaci WITH wamor

   REPLACE cnc_desemb WITH wcnc1

   =_mens("Solicitud grabada ....")

ENDIF
RETURN
******

PROCEDURE _borrar
IF _get_step AND GET_STEP('Borrando ..',5)
   SET STEP ON
ENDIF

IF ABRIR('pagare01',1) AND SEEK(wsuc1+wnum)

   DO CASE

      CASE estado='SOL'     && NO SE HA APROBADO/NO SE HA DESEMBOLSADO
           REPLACE estado WITH 'BOR'
           DELETE NEXT 1

      CASE estado='GRA'     && NO SE HA DESEMBOLSADO
           REPLACE estado WITH 'RET'

      OTHER
           =MENSAJE('NO SE PUEDE PROCESAR SOLICITUD !!!')
   ENDCASE
ENDIF
RETURN
******

PROCEDURE _reporte
IF _get_step AND GET_STEP('Reporte ..',5)
   SET STEP ON
ENDIF


SELECT q1
GO TOP
   REPORT FORM pagare00 NOCONSOLE TO PRINT PROMPT  FOR !EMPTY(estado)
RETURN
******

PROCEDURE _excel

IF _get_step AND GET_STEP('Excel ...',5)
   SET STEP ON
ENDIF

wxls = PUTFILE('xls','Pagare'+wnum)
IF !EMPTY(wxls)
   SELECT q1
   GO TOP
   COPY TO (wxls) TYPE XLS FOR !EMPTY(numero) AND !EMPTY(sucursal)
   DO VER_XLS WITH wxls
ENDIF
RETURN
******

FUNCTION w_cuo
wcuotant = wcuo
RETURN .T.
******

FUNCTION v_cuo
knvo = wcuo
*IF BETWEEN(knvo,1,wcuotant-2)
*   wcuo = wcuotant - 1
*   DO WHILE wcuo > knvo
*      = F_Calcuota()
*      wcuo = wcuo - 1
*   ENDDO
*ENDIF
RETURN  _enable() &&F_calcuota()
******

FUNCTION v_cnc
PARAMETER _cual
DO CASE
   CASE _cual = 1
        wdes1 = TRAE_CNC(wcnc1,[CODCON08='CAR'])
   CASE _cual = 2
        wdes2 = TRAE_CNC(wcnc2)
   CASE _cual = 3
        wdes3 = TRAE_CNC(wcnc3)
ENDCASE
RETURN _enable()
******

FUNCTION F_calcuota
DO cursor_q1
IF wint>=0 AND wcuo > 0 AND wcapital > 0
  DO calc_cuotas
ENDIF
SELECT q1
GO TOP
SHOW GET wanualidad
RETURN _enable()
******

PROCEDURE calc_cuotas_BORRAR
kinte  = DECODE(wamor,4,wint/4.33,5,wint/2.165,wint/wamor)
IF kinte = 0
   wtasa = 1/wcuo
ELSE
   wtasa = F7_TASA(kinte/100,wcuo)
ENDIF
wsaldo = wcapital
wcuota = ROUND(wtasa*wcapital,0)
wf_ini = wfec
wf_in1 = wfec
wdia   = DAY(wf_ini)
SHOW GET wcuota

SELECT q1
ZAP
DO WHILE RECNO()<= wcuo AND wsaldo > 0
   APPEND BLANK
   kint_ = ROUND(wsaldo*kinte/100,0)
   kabo_ = wsaldo - kint_
   REPLACE Saldo_k   WITH wsaldo, ;
           Cuota     WITH wcuota, ;
           intereses WITH kint_, ;
           abono_k   WITH cuota-kint_, ;
           estado    WITH 'ACT', ;
           numero    WITH wnum, ;
           sucursal  WITH wsuc1


   wsaldo= wsaldo - abono_k

   * Revisar que la ultimo couta no sea despreciable
   IF wsaldo < wcuota*.005
      REPLACE cuota   WITH cuota + wsaldo, ;
              abono_k WITH abono_k + wsaldo
      wsaldo = 0
   ENDIF

   * Calcular fechas de Pago
   IF !EMPTY(wfec)

      DO CASE
         CASE wamor = 1   && Mensual
              IF MONTH(wf_ini) = 2
                 wf_ini= f_mes(wf_in1,2)
              ELSE
                 IF MONTH(wf_ini)=1
                    wf_in1 = wf_ini
                 ENDIF
                 wf_ini= f_mes(wf_ini,1)
              ENDIF
         CASE wamor = 2   && Quincenal
              *
              IF MOD(RECNO(),2)=0
                 wf_ini = f_mes(wf_in1,1)
                 IF MONTH(wf_ini)#2 AND DAY(wf_ini) < DAY(wfec)
                    wf2 = wf_ini
                    dd2 = DAY(wfec)
                    DO WHILE DAY(wf2) < dd2
                       wf2 = wf2 + 1
                    ENDDO
                    wf_ini = wf2
                 ENDIF
                 wf_in1 = wf_ini
              ELSE
                 wf_ini = f_qui(wf_ini,1)
              ENDIF

         CASE wamor = 3   && Decadal
              wf_ini = wf_ini+10

         CASE wamor = 4   && Semanal
              wf_ini = wf_ini+7

         CASE wamor = 5   && Catorcenal
              wf_ini = wf_ini+14

      ENDCASE

      IF ABS(DAY(wf_ini)-wdia) < 5 AND wamor<>4  AND wamor<>5
         wf_ini = wf_ini + (wdia-DAY(wf_ini))
      ENDIF
      REPLACE fechavenc WITH DTOS(wf_ini)
   ENDIF

   a_q1[RECNO()] = TRAN(RECN('q1'),'999')+' | '+ ;
                   DTOC(STOD(q1.fechavenc))+'|'+ ;
                   TRAN(q1.saldo_k,_fmto1) + ' | '+ ;
                   TRAN(q1.abono_k,_fmto1)+' | '+ ;
                   TRAN(q1.intereses,_fmto1)+ '  '+q1.estado
   SKIP
ENDDO


IF RECC('q1')<180
   DO app_bl60
ENDIF

RETURN
******

PROCEDURE app_bl60
SELECT q1
DO WHILE RECC('q1')<180
   SELECT q1
   APPEND BLANK
   a_q1[RECNO()]=SPACE(120)
ENDDO
GO TOP
wanualidad = 1
RETURN
******

FUNCTION f_mes
PARAMETER _fec_,_nmeses
_yy = YEAR(_fec_)
_mm = MONTH(_fec_)
_dd = DAY(_fec_)
DO CASE
   CASE _mm + _nmeses <=12
        _dd    = IIF(_mm+_nmeses=2 AND _dd>28 ,28,_dd)
        _dd    = IIF(_dd=31,30,_dd)
        _fec1_ = STR(_yy,4)+NTOC(_mm+_nmeses,2)+NTOC(_dd,2)
        _fec1_ = STOD(_fec1_)
   CASE _mm + _nmeses > 12
        _nanos = INT((_mm+_nmeses)/12)
        _nmeses= MOD((_mm+_nmeses),12)
        _dd    = IIF(_nmeses=2 AND _dd>28 ,28,_dd)
        _fec1_ = STR(_yy+_nanos,4)+NTOC(_nmeses,2)+NTOC(_dd,2)
        _fec1_ = STOD(_fec1_)
ENDCASE
RETURN _fec1_
******

FUNCTION f_qui
PARAMETER _fecq_, _nquinc
IF MOD(_nquinc,2)=0
   _fec1_ = f_mes(_fecq_,_nquinc/2)
ELSE
   _nmes  = INT(_nquinc/2)+1
   _fec1_ = f_mes(_fecq_,_nmes)-15
ENDIF
RETURN _fec1_
******

PROCEDURE cursor_q1
wk69   = FILETEMP(3)
=_CLOSE("q1","Q0")
SELECT * FROM pagare02 WHERE 1=2 ;
  INTO CURSOR q0
SELECT q0
COPY STRU TO (wk69)
USE (wk69) ALIAS q1 EXCL
DO app_bl60
RETURN
******

FUNCTION v_anu

RETURN _enable()
******

FUNCTION _enable
ON KEY LABEL PGDN
IF !EMPTY(wsuc1) AND !EMPTY(wter1) AND ;
   !EMPTY(wter2) AND ;
   !EMPTY(wfec)  AND !EMPTY(wcuo)  AND ;
   !EMPTY(wnum)  AND !EMPTY(wcapital) AND;
   !EMPTY(wcnc1)
   SHOW GET wsal,1 ENABLE
   ON KEY LABEL PGDN DO obj_sal
   IF ABRIR('pagare01',1) AND SEEK(wsuc1+wnum)
      SHOW GET wsal,2 ENABLE
      SHOW GET wsal,3 ENABLE
      SHOW GET wsal,4 ENABLE
   ELSE
      SHOW GET wsal,2 DISABLE
      SHOW GET wsal,3 DISABLE
      SHOW GET wsal,4 DISABLE
   ENDIF
   IF ABRIR('pagare02',1) AND SEEK(wsuc1+wnum)
      SHOW GET wsal,5 ENABLE
   ELSE
      SHOW GET wsal,5 DISABLE
   ENDIF
ELSE
   SHOW GET wsal,1 DISABLE
ENDIF
SHOW GETS WINDOW w_pagare01
RETURN .T.
******

FUNCTION v_suc
IF "*" $ wsuc1
   SELECT codtab AS codigo, destab AS descripcion ;
     FROM tabgen00 ;
    WHERE tiptab="SC" ;
    ORDER BY codtab ;
     INTO CURSOR q_sucursales

   SELECT q_sucursales
   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   BROWSE normal NOMO
   ON KEY LABEL ENTER

   IF LASTKEY()#27
      wsuc1 = codigo
      wsuc2 = descripcion
   ELSE
      STORE ' ' TO wsuc1,wsuc2
   ENDIF
ELSE
   wsuc2 = TRAE_DATO('tabgen00',1,'SC'+wsuc1,'destab')
   * Buscar ultimo "mayor" Pagare
   IF !EMPTY(wsuc2) AND EMPTY(wter1)
      IF ABRIR('pagare01',1) AND SEEK(wsuc1)
         DO WHILE !EOF() AND sucursal=wsuc1
            wnum = numero
            SKIP
         ENDDO
         SHOW GET wnum
         SHOW GET wsuc1
         SHOW GET wsuc2
         RETURN .T.
      ENDIF
   ENDIF
ENDIF
SHOW GET wsuc1
SHOW GET wsuc2
RETURN v_num()
******

FUNCTION w_num
IF EMPTY(wsuc1) AND ;
   ABRIR('pagare01',1) AND ;
   SEEK(wsuc1)

   STORE '' TO _ult
   DO WHILE sucursal = wsuc1
      _ult = numero
      SKIP
   ENDDO

   =_mens('[F8]:'+_ult+' (Ultimo docmto)')
ENDIF
RETURN .T.
******

FUNCTION v_num
IF !EMPTY(wsuc1) AND ABRIR('pagare01',1)

   IF "*" $ wnum
      _ini = LEFT(wnum,AT('*',wnum)-1)

      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      ON KEY LABEL F8 KEYBOARD "{CTRL+W}" PLAIN
      ON KEY LABEL PGDN
            BROWSE NORMAL NOMO TITLE 'Consulta Pagares' FREEZE numero KEY wsuc1 ;
       FIELD numero, tercero, nombre=TRAE_DATO('selpr001',3,VAL(tercero),'nombre'),;
             estado, f_desembol : H="Desembolso", ;
             vrcapital :P="999,999,999":H="Cap. Inicial" ;
         FOR EMPTY(_ini) OR numero=_ini

      ON KEY LABEL ENTER
      ON KEY LABEL F8

      IF LASTKEY()# 27
         wnum = numero
         SHOW GET wnum
      ENDIF

   ENDIF

   IF SEEK(wsuc1+wnum,'pagare01')

      wter1 = pagare01.tercero
      wter2 = f_nom()
      wper  = pagare01.mes_contab
      wfec  = pagare01.f_desembol
      wdes0 = pagare01.descripcio
      wint  = pagare01.intmensual
      wcuo  = pagare01.numcuotas
      wcapital = pagare01.vrcapital
      west  = pagare01.estado
      wamor = pagare01.amortizaci
      wpernom = pagare01.per_desemb
      wcnc1   = pagare01.cnc_desemb
      wcnc2   = pagare01.cnc_abonok
      wcnc3   = pagare01.cnc_abonoi
      wdes1   = trae_cnc(wcnc1)

      IF ABRIR('pagare02',1) AND SEEK(wsuc1+wnum)

         k1 = FILETEMP(1)
         SELECT * FROM pagare02 ;
          WHERE sucursal = wsuc1 ;
            AND numero   = wnum  ;
           INTO TABLE (k1) ;
          ORDER BY fechavenc

         =_CLOSE('Q1')
         USE (k1) EXCL ALIAS q1
         GO TOP
         DO WHILE !EOF()
            a_q1[RECNO()] = TRAN(RECN('q1'),'999')+' | '+ ;
                            DTOC(STOD(q1.fechavenc))+'|'+ ;
                            TRAN(q1.saldo_k,_fmto1) + ' | '+ ;
                            TRAN(q1.abono_k,_fmto1)+' | '+ ;
                            TRAN(q1.intereses,_fmto1)+ '  '+q1.estado
            SKIP
         ENDDO
         DO app_bl60
         SHOW GETS WINDOW w_pagare01
         RETURN .T.
      ENDIF
   ELSE
      STORE ' ' TO wdes1,wdes2,wdes3
      STORE DATE() TO wfec
   ENDIF

ENDIF
RETURN _enable() &&f_calcuota()
******

FUNCTION f_nom
IF _modulo='C'
   _dat = TRAE_DATO('pc_terc',1,wter1,'descter')
ELSE
   _dat = TRAE_DATO('selpr001',3,VAL(wter1),'nombre')
ENDIF
RETURN _dat
******

FUNCTION v_ter
IF _modulo='C'
   =mens("Por Contabilidad ....")
   RETURN v_ter1()
ELSE
   RETURN v_ter2()
ENDIF
RETURN _enable()
******

FUNCTION v_ter1
IF LASTKEY() = 28 OR "*"$ wter1

   _F1KEY = .T.
   kpos   = AT("*",wter1)
   kdes   = IIF(kpos=0,"",ALLTRIM(SUBSTR(wter1,kpos+1,LEN(wter1)-kpos)))
   kter   = IIF(kpos=0,ALLTRIM(wter1),ALLTRIM(LEFT(wter1,kpos-1)))
   wter1 =  STRTRAN(wter1,'*','')

   SELECT DISTINCT coditer, descter ;
     FROM pc_terc ;
    WHERE (EMPTY(kter) OR LEFT(coditer,LEN(kter))=kter) ;
      AND (EMPTY(kdes) OR kdes $ descter) ;
    ORDER BY descter ;
     INTO CURSOR q_ter ;

   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN

   DO DEF_WIND WITH "1","Maestro de Terceros"
   BROWSE NOMO FREEZE coditer WINDOW consulta ;
          FIELD coditer :H="Nit/CC" , ;
                descter :H="Beneficiario"
   ON KEY LABEL ENTER

   IF LASTKEY() # 27
      wter1 = coditer
*      KEYBOARD CHR(13)
*      RETURN 0
   ELSE
      _F1KEY = .F.
      RETURN .F.
   ENDIF
ENDIF

_F1KEY =.F.

STORE " " TO wter2

IF EMPTY(wter1)
   RETURN  .F.
ENDIF

IF ABRIR("pc_terc",1) AND SEEK(wter1)
   wter2 = ALLTRIM(descter)
   SET FUNCTION  9 TO ALLTRIM(wter2)
   SET FUNCTION 10 TO ALLTRIM(wter1)

ELSE

*  =_mens("Codigo de Tercero no Existe")
   KEYBOARD " "+ALLTRIM(wter1) +CHR(13)
   DO CREATER
   IF LASTKEY()# 27
      =_mens("Codigo de Tercero CREADO")
   ELSE
      wter1 = " "
   ENDIF
   SHOW GET wter1
   RETURN .F.

ENDIF

SHOW GET wter2
SHOW GET wter1

RETURN _enable()
******

FUNCTION v_ter2
*set step on
IF "*" $ wter1
   _pos = AT('*',wter1)
   _ini = LEFT(wter1,_pos-1)
   _res = SUBS(wter1,_pos+1,10)

   =_mens('consultando...')

      SELECT cc_ti, nombre, nitemple AS codigo, estado ;
        FROM selpr001 ;
       WHERE (EMPTY(_ini) OR nitemple=_ini) ;
         AND (EMPTY(_res) OR nombre=ALLTRIM(_res)) ;
        INTO CURSOR q_cand

      ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
      ON KEY LABEL F8 KEYBOARD "{CTRL+W}" PLAIN
      ON KEY LABEL PGDN

      BROWSE NORMAL NOMO TITLE 'Consulta Terceros'
      ON KEY LABEL ENTER
      ON KEY LABEL F8

      IF LASTKEY()# 27
         wter1 = PADR(STR(cc_ti,12,0),12,' ')
         SHOW GET wter1
      ENDIF

ENDIF

kter1 = IIF(TYPE('wter1')='C',VAL(wter1),wter1)
wced = TRAECODI(kter1)
knom = TRAE_NOM(wced)

IF knom#"." AND !EMPTY(wced)
   kccti = ROUND(kter1,0)  &&TRAECEDU(wced)
   wter1 = PADR(kccti,12,' ')
   wter2 = knom
   IF ABRIR('selpr001',3)
      IF SEEK(kccti)
         COUNT TO _repetidos WHILE cc_ti = kccti
         IF _repetidos > 1 AND ;
            MENSAJE('Tercero tiene mas de un Registro'+CHR(13)+'asociado, desea verlos ?')
            BROWSE NORMAL TITLE 'Cedula Repetida: '+wter1 NOMODIFY NOAPPEND  ;
             FIELD cc_ti, codigo=nitemple,nombre,direccion KEY kccti
         ENDIF
      ENDIF
   ENDIF
ELSE
   STORE ' ' TO wter1,wter2
ENDIF

SHOW GET wter1
SHOW GET wter2

IF !EMPTY(wced) AND ;
    ABRIR('pagare01',1) AND ;
    ABRIR('empleado',6)
*  !SEEK(wsuc1+wnum) AND ;

   IF SEEK(wced)
      wtra_ = []
      DO WHILE nitemple=wced AND !EOF()
         IF estado$ "Aa"
            wtra_ = wtra_ + IIF(!EMPTY(wtra_),CHR(13),"") + ;
                    " Fec-Ing: "+fecing + " | FecRet: "+fecret + ;
                    " | RetProg: "+ trae_fec_sp(nitemple,ncontrato)+;
                    " | Estado: "+estado
         ENDIF
         SKIP
      ENDDO
   ELSE
      wtra_ = []
   ENDIF

*   DO DEF_WIND WITH 1, "Trayectoria Laboral"

*   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
*   ON KEY LABEL F8    KEYBOARD "{CTRL+W}" PLAIN
*   BROWSE WINDOW consulta KEY wced FIELD ncontrato:H="Cnt", estado:H="Est", nitempre:H="Cod. Neg", ;
          Negocio = TRAE_RAZ(nitempre), fecing, fecret, ret_prog=trae_fec_sp(nitemple,ncontrato) ;
          FREEZE ncontrato
*   ON KEY LABEL ENTER
*   ON KEY LABEL F8


   _date_ref =  DTOS(DATE()-119)
   SELECT * FROM nmacum ;
    WHERE codemp=wced ;
      AND ano+mes+"01" > _date_ref ;
     INTO CURSOR q_acum

   SELECT q.*, td7("concepto",1,codcon,"codcon02") AS grupo ;
     FROM q_acum q;
     INTO CURSOR q_acum1

   SELECT pernom,grupo, SUM(unid) as UNID, ;
          SUM(valor) AS valor ;
     FROM q_acum1 ;
     INTO CURSOR q_acum ;
    GROUP BY pernom,grupo

   SELECT DISTINCT pernom, 00 as pos ;
     FROM q_acum ;
     INTO CURSOR q_titulos ;
    ORDER BY 1 DESC READWRITE

   REPLACE pos WITH RECNO() ALL

   SELECT q1.grupo,q1.pernom,;
          IIF(qt.pos=1,UNID, 00000.00)  AS unid1, ;
          IIF(qt.pos=2,UNID, 00000.00)  AS unid2, ;
          IIF(qt.pos=3,UNID, 00000.00)  AS unid3, ;
          IIF(qt.pos=4,UNID, 00000.00)  AS unid4, ;
          IIF(qt.pos=5,UNID, 00000.00)  AS unid5, ;
          IIF(qt.pos=1,VALOR, 00000.00) AS Valor1, ;
          IIF(qt.pos=2,VALOR, 00000.00) AS Valor2, ;
          IIF(qt.pos=3,VALOR, 00000.00) AS Valor3, ;
          IIF(qt.pos=4,VALOR, 00000.00) AS Valor4, ;
          IIF(qt.pos=5,VALOR, 00000.00) AS Valor5 ;
     FROM q_acum q1, q_titulos qt ;
    WHERE q1.pernom=qt.pernom ;
     INTO CURSOR q_acum1

   SELECT grupo, ;
          SUM(unid1) AS unid1, ;
          SUM(valor1) AS valor1, ;
          SUM(unid2) AS unid2, ;
          SUM(valor2) AS valor2, ;
          SUM(unid3) AS unid3, ;
          SUM(valor3) AS valor3, ;
          SUM(unid4) AS unid4, ;
          SUM(valor4) AS valor4, ;
          SUM(unid5) AS unid5, ;
          SUM(valor5) AS valor5 ;
     FROM q_acum1 ;
     INTO CURSOR q_acum ;
    GROUP BY grupo

   BROWSE

ENDIF
RETURN _enable()
******

PROCEDURE close_data
=_close("pagare01","pagare02",'pc_terc','datbas01','selpr001')
RETURN
******

FUNCTION v_pernom
IF EMPTY(wpernom)
   RETURN .F.
ENDIF
kpos1 = AT("*",wpernom)
kpos2 = AT("/",wpernom)
IF kpos1+kpos2 > 0
   kpos = IIF(kpos1*kpos2=0,MAX(kpos1,kpos2),MIN(kpos1,kpos2))
   kcod = LEFT(wpernom,kpos-1)
   kdes = SUBS(wpernom,kpos+1,6)
   SELECT * FROM nmperiod ;
    WHERE (EMPTY(kcod) OR cod_per = kcod) ;
      AND (EMPTY(kdes) OR ano_per = kdes) ;
      AND  est_per="A" ;
     INTO CURSOR q_per ;
    ORDER BY cod_per

   DO DEF_WIND WITH "6", "Consulta de Periodos "
   ON KEY LABEL PGDN
   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   ON KEY LABEL F8 KEYBOARD "{CTRL+W}" PLAIN

   BROWSE NOMO NODE TITLE "Maestro de Periodos" FREE cod_per ;
          FIELD cod_per, ano_per: H="Ao", ;
                mes_per: H="Mes", pag_per: H="Per.P", ;
                des_per: H="Desde", has_per: H="Hasta", ;
                Est=f_est(Est_per) WINDOW consult6 FONT 'ARIAL',8
   ON KEY LABEL ENTER
   ON KEY LABEL F8

   IF LASTKEY()#27 AND est_per='A'
      wpernom= cod_per
      anow   = ano_per
      mesw   = mes_per
      period = pag_per
      wfecha1= des_per
      wfecha2= has_per
      _men   = ''
   ELSE
      wpernom= ''
      _men   = IIF(est_per#'A','Periodo NO ACTIVO','')
   ENDIF

ELSE
   IF ABRIR("nmperiod",1) AND SEEK(wpernom)
      IF est_per= "A"
         anow   = ano_per
         mesw   = mes_per
         period = pag_per
         wfecha1= des_per
         wfecha2= has_per
         _men   =''
       ELSE
         _men   ='Periodo NO esta ACTIVO'
       ENDIF
   ELSE
      _men = 'Periodo NO EXISTE!'
   ENDIF
ENDIF

IF !EMPTY(_men)
   =_mens(_men)
ENDIF
RETURN _enable()
******

FUNCTION f_est
PARAMETER _est
_dat = "Act"
DO CASE
   CASE _est = "A"
        _dat = "Act"
   CASE _est = "C"
        _dat = "Cer"
ENDCASE
RETURN _dat
******

FUNCTION w_suc
IF _wuser $ "SUP,GAP,A01"
   SHOW GET w_par1,1 ENABLE
ELSE
   SHOW GET w_par1,1 DISABLE
ENDIF
RETURN .T.
******

*       *********************************************************
*       *                                                         
*       * _3BB0XJNYP           wsal VALID                         
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         PAGARE00,     Record Number:   32  
*       * Variable:            wsal                               
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      1                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _3bb0xjnyp     &&  wsal VALID
#REGION 1
ON KEY LABEL PGDN
DO CASE
   CASE wsal = 1
        SHOW GET wsal,1 DISABLE
        DO _grabar
        SHOW GET wsal,5 ENABLE
   CASE wsal = 2
        SHOW GET wsal,2 DISABLE
        DO _anular
   CASE wsal = 3
        SHOW GET wsal,3 DISABLE
        DO _reporte
        SHOW GET wsal,3 ENABLE
   CASE wsal = 4
        SHOW GET wsal,4 ENABLE
        DO _excel
        SHOW GET wsal,4 ENABLE
   CASE wsal = 5
        DO _cuotas
   CASE wsal = 6
        DO CLOSE_DATA
        CLEAR READ
ENDCASE
RETURN
