*       *********************************************************
*       *                                                         
*       * 2011.10.25           RETFTE02.PRG              19:20:13 
*       *                                                         
*       *********************************************************
*       *                                                         
*       * Ing Gustavo A. Pinilla C.                               
*       *                                                         
*       * Copyright (c) 2011 SIE7E Ltda.                          
*       * Cel 310.421.2741                                        
*       * Cali, Valle  76001                                         
*       * Colombia                                          
*       *                                                         
*       * Description:                                            
*       * Este programa lo ha generado automticamente GENSCRN.    
*       *                                                         
*       *********************************************************

PARAMETERS _cod,_cnt,_anio,_sem

*       *********************************************************
*       *                                                         
*       *  RETFTE02/Windows Cdigo de configuracin - SECCION 1   
*       *                                                         
*       *********************************************************
*

#REGION 1

_nomprg = [retfte02]
SET PROC TO LOCKS
DO INICIAL

DO CLOSE_DATA
RELEASE wcod,wano,wsem,wuvt, wingr1,wingr2,wingr3,wingr4
PUBLIC wingr1,wingr2,wingr3,wingr4
STORE 0  TO wingr1,wingr2,wingr3,wingr4
STORE 0  TO wpen1, wpen2, wpen3, wpen4

_MANUAL = (TYPE('_cod')<>'C')
IF TYPE('_cod')='C'
   wcod = _cod
ENDIF

IF TYPE('_anio')='C'
   wanio = _anio
ELSE
   wanio = STR(YEAR(DATE()),4)
ENDIF

IF TYPE('_sem')='C'
   wsem = VAL(_sem)
ELSE
   wsem = IIF(BETWEEN(MONTH(DATE()),1,6),1,2)
ENDIF

do close_data

USE USUARIOS
SCATT MEMVAR MEMO
USE

wdiap  = 30

* VALIDAMOS MONTO MAXIMOS
DO valida_mnto

wproc = 0

STORE 0   TO kret_ruvt, kret_rcal
STORE " " TO kret_vpos

#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.rborder = SET("READBORDER")
SET READBORDER ON

m.currarea = SELECT()


*       *********************************************************
*       *                                                         
*       *             Windows Definiciones de ventana             
*       *                                                         
*       *********************************************************
*

IF NOT WEXIST("w_rf02") ;
	OR UPPER(WTITLE("W_RF02")) == "W_RF02.PJX" ;
	OR UPPER(WTITLE("W_RF02")) == "W_RF02.SCX" ;
	OR UPPER(WTITLE("W_RF02")) == "W_RF02.MNX" ;
	OR UPPER(WTITLE("W_RF02")) == "W_RF02.PRG" ;
	OR UPPER(WTITLE("W_RF02")) == "W_RF02.FRX" ;
	OR UPPER(WTITLE("W_RF02")) == "W_RF02.QPR"
	DEFINE WINDOW w_rf02 ;
		AT  0.000, 0.000  ;
		SIZE 31.000,140.000 ;
		TITLE "SIE7E" ;
		FONT "MS Sans Serif", 8 ;
		FLOAT ;
		NOCLOSE ;
		NOMINIMIZE ;
		SYSTEM ;
		COLOR RGB(,,,192,192,192)
	MOVE WINDOW w_rf02 CENTER
ENDIF


*       *********************************************************
*       *                                                         
*       *        RETFTE02/Windows Distribucin de pantalla        
*       *                                                         
*       *********************************************************
*

#REGION 1
IF WVISIBLE("w_rf02")
	ACTIVATE WINDOW w_rf02 SAME
ELSE
	ACTIVATE WINDOW w_rf02 NOSHOW
ENDIF
@ 4.692,2.200 SAY "Periodo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 4.692,25.000 SAY "UVT:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 4.692,47.400 SAY "Codigo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 4.692,12.200 GET wanio ;
	SIZE 1.000,4.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9999" ;
	WHEN _manual ;
	VALID BETWEEN(VAL(wanio),2006,YEAR(DATE())) AND v_year() ;
	MESSAGE _mens('Ingrese el Ao Gravable') ;
	COLOR ,RGB(,,,255,255,255)
@ 4.692,20.000 GET wsem ;
	SIZE 1.000,1.143 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9" ;
	WHEN _manual ;
	VALID BETWEEN(wsem,1,2) AND v_cod() ;
	MESSAGE _mens('Ingrese el Semestre  Gravable') ;
	COLOR ,RGB(,,,255,255,255)
@ 4.692,32.000 GET wuvt ;
	SIZE 1.000,9.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $999,999" ;
	WHEN _manual  AND wuvt <= 0 ;
	VALID v_uvt() ;
	MESSAGE _mens('Ingrese el valor del UVT') ;
	COLOR ,RGB(,,,255,255,255)
@ 4.692,57.200 GET wcod ;
	SIZE 1.000,8.571 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K!" ;
	WHEN _manual ;
	VALID v_cod() ;
	MESSAGE _mens('Ingrese el codigo del trabajador') ;
	COLOR ,RGB(,,,255,255,255)
@ 4.692,71.000 GET wnom ;
	SIZE 1.000,37.286 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 7.000,19.600 GET wingr1a ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 8.385,19.600 GET wingr2a ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 9.769,19.600 GET wingr3a ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 11.154,19.600 GET wingr4a ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 13.846,19.600 GET wpen1a ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 15.231,19.600 GET wpen2a ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 16.615,19.600 GET wpen3a ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 18.000,19.600 GET wpen4a ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 21.077,19.600 GET wded1 ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 22.462,19.600 GET wded2 ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 23.846,19.600 GET wded3 ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 25.231,19.600 GET wded4 ;
	SIZE 1.000,13.571 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 27.385,34.600 TO 30.154,99.000 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 0.000,0.000 TO 3.769,140.000 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(,,,0,0,128)
@ 1.231,39.000 SAY "CALCULO % RETENCION EN LA FUENTE - PROC 2" ;
	FONT "Arial", 10 ;
	STYLE "BT" ;
	COLOR RGB(255,255,0,,,,)
@ 0.231,123.400 SAY "RETFTE02.001" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "IT" ;
	COLOR RGB(255,255,255,,,,)
@ 7.000,5.800 SAY "Ingreso 1:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 8.385,5.800 SAY "Ingreso 2:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 9.769,5.800 SAY "Ingreso 3:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.154,5.800 SAY "Ingreso 4:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 13.846,6.800 SAY "Pension:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 15.231,6.600 SAY "Ap. FSP:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 16.615,5.200 SAY "Ap Volunt:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 18.000,6.000 SAY "Ctas AFC:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 21.077,4.400 SAY "Gastos Sal:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 22.462,3.600 SAY "Gastos Edu:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 23.846,6.600 SAY "Vivienda:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 25.231,3.400 SAY "Salud - Pos:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 7.000,57.600 SAY "A. Promedio Ingreso:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 8.385,60.200 SAY "B. Ingreso Exento:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 9.769,56.200 SAY "C. Ingreso Neto (A-B):" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.154,54.800 SAY "D. Rent-Exentas 25%C:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 8.385,120.000 SAY "Max 30%A" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 11.077,120.000 SAY "Max240 UVT" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 12.538,54.800 SAY "E. Base Gravable(C-D):" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 13.923,62.600 SAY "F. Deducciones:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 15.308,55.000 SAY "G. Base Depurada E-F:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 21.769,59.600 SAY "Max 15%E" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 20.923,40.800 TO 23.692,40.800 ;
	PEN 1, 8
@ 23.846,59.600 SAY "Mx.100 UVT" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 6.077,1.600 TO 12.615,49.000 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 6.077,48.800 TO 12.615,48.800 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 12.538,1.800 TO 12.538,49.000 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 6.000,2.200 SAY "A." ;
	FONT "MS Sans Serif", 10 ;
	STYLE "BT" ;
	COLOR RGB(0,0,128,,,,)
@ 13.077,1.600 TO 19.615,49.000 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 19.538,1.800 TO 19.538,48.800 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 13.077,48.800 TO 19.615,48.800 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 13.154,2.400 SAY "B." ;
	FONT "MS Sans Serif", 10 ;
	STYLE "BT" ;
	COLOR RGB(0,0,128,,,,)
@ 20.154,1.600 TO 26.692,75.200 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 26.615,1.800 TO 26.615,75.200 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 20.154,75.000 TO 26.692,75.000 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 20.154,2.200 SAY "F." ;
	FONT "MS Sans Serif", 10 ;
	STYLE "BT" ;
	COLOR RGB(0,0,128,,,,)
@ 20.923,39.600 TO 20.923,41.000 ;
	PEN 1, 8 ;
	STYLE "1"
@ 23.615,39.600 TO 23.615,41.000 ;
	PEN 1, 8 ;
	STYLE "1"
@ 30.077,34.600 TO 30.077,99.000 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 27.538,98.800 TO 30.076,98.800 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 18.308,107.400 SAY "%" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 16.692,54.200 SAY "Tabla:(" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 16.692,73.800 SAY "-" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 16.692,80.600 SAY ") x" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 16.692,88.600 SAY "% +" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 16.538,97.200 SAY "=" ;
	FONT "MS Sans Serif", 10 ;
	STYLE "BT"
@ 7.000,82.400 GET wingr0 ;
	SIZE 1.000,13.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 8.385,82.400 GET wpen0 ;
	SIZE 1.000,13.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 9.769,82.400 GET wneto ;
	SIZE 1.000,13.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 11.154,82.400 GET wneto25 ;
	SIZE 1.000,13.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,255,255,255)
@ 8.385,103.600 GET wingr30 ;
	SIZE 1.000,10.714 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,0,255,255)
@ 11.077,103.600 GET wuvt240 ;
	SIZE 1.000,10.714 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,0,255,255)
@ 12.538,82.400 GET wbase1 ;
	SIZE 1.000,13.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	COLOR ,RGB(,,,255,255,255)
@ 15.308,82.400 GET wbase2a ;
	SIZE 1.000,13.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	COLOR ,RGB(,,,255,255,255)
@ 21.769,43.200 GET wbase1_15 ;
	SIZE 1.000,10.714 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,0,255,255)
@ 23.846,43.200 GET wuvt100 ;
	SIZE 1.000,10.714 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,0,255,255)
@ 18.308,99.200 GET wporc ;
	SIZE 1.000,5.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99.99" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el Porcentaje Proc 2') ;
	COLOR ,RGB(,,,255,255,255)
@ 27.923,38.400 GET w_ok ;
	PICTURE "@*HN \\\<Informe;\\Det \<Pagos;\<Salir" ;
	SIZE 1.692,14.667,1.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _3cf15g2aw()
@ 16.692,63.200 GET wbase2u ;
	SIZE 1.000,6.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99999.99" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,192,192,192)
@ 16.692,75.400 GET wfac1 ;
	SIZE 1.000,3.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 999" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,192,192,192)
@ 16.692,84.800 GET wfac2 ;
	SIZE 1.000,2.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,192,192,192)
@ 16.692,93.200 GET wfac3 ;
	SIZE 1.000,2.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,192,192,192)
@ 16.692,99.200 GET wuvt0 ;
	SIZE 1.000,6.143 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 999.99" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el Porcentaje Proc 2') ;
	COLOR ,RGB(,,,255,255,255)
@ 13.923,82.400 GET wded0 ;
	SIZE 1.000,13.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	COLOR ,RGB(,,,255,255,255)
@ 15.308,109.400 GET wbase2 ;
	SIZE 1.000,14.429 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K $9999,999,999" ;
	WHEN .F. ;
	VALID _enable() ;
	COLOR ,RGB(,,,255,255,0)
@ 15.154,103.000 SAY "-->" ;
	FONT "MS Sans Serif", 12 ;
	STYLE "BT"
@ 9.769,41.000 GET wdiac ;
	SIZE 1.000,4.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9999" ;
	COLOR ,RGB(,,,255,255,255)
@ 11.154,41.000 GET wdias ;
	SIZE 1.000,4.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9999" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 18.231,67.000 GET wuvt0 ;
	SIZE 1.000,6.143 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 999.99" ;
	WHEN _manual ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el Porcentaje Proc 2') ;
	COLOR ,RGB(,,,192,192,192)
@ 18.231,78.200 GET wbase2u ;
	SIZE 1.000,6.857 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "@K 99999.99" ;
	WHEN .F. ;
	VALID _enable() ;
	MESSAGE _mens('Ingrese el valor') ;
	COLOR ,RGB(,,,192,192,192)
@ 18.077,76.400 SAY "/" ;
	FONT "MS Sans Serif", 10 ;
	STYLE "BT"
@ 18.308,51.800 SAY "Porcentaje:(" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 18.308,88.600 SAY ") x 100 =" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"

IF NOT WVISIBLE("w_rf02")
	ACTIVATE WINDOW w_rf02
ENDIF

READ CYCLE MODAL

RELEASE WINDOW w_rf02
SELECT (m.currarea)


#REGION 0

SET READBORDER &rborder

IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF



*       *********************************************************
*       *                                                         
*       * RETFTE02/Windows Procedimientos y funciones de soporte  
*       *                                                         
*       *********************************************************
*

#REGION 1
FUNCTION v_mes
IF !EMPTY(wnom) AND !EMPTY(wanio) AND !EMPTY(wsem)
   DO carga_vars_rf
ENDIF
RETURN _enable()
******

FUNCTION V_cod
STORE 0 TO wingr1,wingr2,wingr3,wingr4
STORE 0 TO wded1, wded2, wded3, wded4
STORE 0 TO wpen1, wpen2, wpen3, wpen4

kret_Vpos = TP7("CNF",'RetFteSalProPos','01')   && Determina si toma:
                                                && GRABADO, el prom pos anio anterior
                                                && MESACTUAL, Pos Mes actual
                                                && MAYOR2: Mayor de los 2
kret_Ruvt = VAL(TP7("CNF",'RetFteSalRedUvt','01'))   && Decimales para Redondea los UVT's FINALES
kret_Rcal = VAL(TP7("CNF",'RetFteSalRedCal','01'))   && Decimales para Redondea el calc en $$ Final


IF EMPTY(wcod)
   wnom = [ ]
ELSE
   knom = TRAE_NOM(wcod)
   IF !EMPTY(knom) AND knom # "."
      wnom  = knom
      DO carga_vars_rf
   ENDIF
ENDIF
RETURN _enable()
******

FUNCTION v_year
wuvt = TRAE_DATO('tabgen01',1,[UV]+STR(VAL(wanio),15,2),[VALOR])
RETURN  v_uvt()
******

FUNCTION v_uvt
kuvt = TRAE_DATO('tabgen01',1,[UV]+STR(VAL(wanio),15,2),[VALOR])
IF kuvt <> wuvt AND MENSAJE('UVT No Registrada o Diferente'+CHR(13)+[ Desea Actualizar ?])
   SELECT 0
   USE TABGEN01 ORDER 1 IN 0 ALIAS tg01
   IF SEEK([UV]+STR(VAL(wanio),15,2))
      REPLACE valor WITH wuvt
   ELSE
      REPLACE tipvlr WITH [UV], base WITH wanio, valor WITH wuvt
   ENDIF
ENDIF
wuvt100 = wuvt*100
wuvt240 = wuvt*240
RETURN _enable()
******

PROCEDURE carga_vars_rf

IF !EMPTY(wcod) AND !EMPTY(wanio) AND !EMPTY(wsem)
   _area = SELECT()

   CREATE CURSOR q_audi_ac (codemp C(8), anio c(4), mes C(2), unid N(12,2), ;
                            ingr1 N(15,2), ingr2 N(15,2), ingr3 N(15,2), ;
                            ingr4 N(15,2), ingrP N(15,0), ;
                            pens1 N(15,2), pens2 N(15,2), pens3 N(15,2), ;
                            pens4 N(15,2), pensP N(15,0), ;
                            dedu_tot N(15), ded_salud N(15), ded_educac N(15), ;
                            ded_vivien N(15), ded_salpos N(15),;
                            base2 N(15), base2u n(8,2), factor1 N(7,2), ;
                            factor2 N(7,2), factor3 N(7,2),;
                            uvt0 N(7,2), porcen n(6,2) )
   INDEX ON codemp+anio+mes TAG llave1

   _whi_xx = [codigo=wcod  ]


   IF COPYDBFTMP('datbasrf',1,wcod,_whi_xx,[q_db_rf])
      SELECT q_db_rf
      LOCATE FOR ano_aplica = wanio AND sem_aplica = wsem
      IF !FOUND()
         LOCATE FOR ano_aplica = wanio AND sem_aplica = 1
         IF !FOUND()
            LOCATE FOR ano_aplica = STR(VAL(wanio)-1,4) AND sem_aplica = 2
         ENDIF
      ENDIF

      IF !EOF() && Los encontro
         wded1 = Ded_Salud
         wded2 = Ded_Educa
         wded3 = Ded_Vivien
         wded4A= DedPromPos
        *wporc = porc_proc2
         wproc = tipo_proc
      ELSE
         STORE 0 TO wded1, wded2, wded3,wded4A, wded4b, wporc,wproc
      ENDIF
   ELSE
      STORE 0 TO wded1, wded2, wded3,wded4A, wded4b, wporc,wproc
   ENDIF
   STORE 0 TO wret

   =_CLOSE('q_db_rf','qtconc','qtacum')

   SELECT 0
   USE nmacum   ORDER 2 ALIAS qtacum AGAIN SHARED NOUPDATE
   USE concepto ORDER 1 ALIAS qtconc AGAIN SHARED IN 0 NOUPDATE
   SET RELATION TO codcon INTO qtconc

   _tipconc = 'EXTRAS,PRIMASBONI,OTROSCOMIS,INCAPAC,VACLEG,SUBTRAN'
   _tipcon  = 'BASICO,EXTRAS,PRIMASBONI,OTROSCOMIS,INCAPAC,VACLEG,EXTRALEG,SUBTRAN'

   * Buscamos los periodos acumulados del ultimo ao (12 meses atras)
   IF wsem = 1
      xper2 = STR(VAL(wanio)-1,4,0)+[11]
      xper1 = STR(VAL(wanio)-2,4,0)+[12]
   ELSE   && wsem = 2
      xper2 = wanio+[05]
      xper1 = STR(VAL(wanio)-1,4,0)+[06]
   ENDIF

   * En mtk, se debe tomar solo los acumulados x cada Negocio,
   * puesto que cada NEg es una cia diferente.   *

*  IF VAL(m.codnom) = (415039483)*2
      wneg = TD7("empleado",6,wcod,[nitempre])
      wcnt = TD7("empleado",6,wcod,[ncontrato])
*  ELSE
*      wneg = []
*  ENDIF

   IF SEEK(wcod+wcnt)

      STORE 0 TO wingr1, wingr2, wingr3, wingr4, ;
                 wpen1, wpen2, wpen3,wpen4, wded4B, wret, wdiac

      DO WHILE !EOF() AND codemp = wcod AND contrato=wcnt


         IF BETWEEN(ano+mes,xper1,xper2) AND ;
            (EMPTY(wneg) OR empresa = wneg)

            _llave = codemp+ano+mes
            _valor = valor
            _unid  = unid

            SELECT q_audi_ac
            IF !SEEK(_llave)
               APPEND BLANK
               REPLACE codemp WITH qtacum.codemp, ;
                       anio   WITH qtacum.ano ;
                       mes    WITH qtacum.mes
            ENDIF

            DO CASE
               CASE TRIM(qtconc.codcon02)='BASICO'
                    REPLACE ingr1 WITH ingr1 + _valor

               CASE TRIM(qtconc.codcon02)$_tipconc
                    REPLACE ingr2 WITH ingr2 + _valor

               CASE TRIM(qtconc.codcon02)='EXTRALEG'
                    REPLACE ingr3 WITH ingr3 + _valor

               CASE qtconc.indret = "S"
                    REPLACE ingr4 WITH ingr4 + _valor

               CASE qtacum.codcon $ m.conpen
                    REPLACE pens1 WITH pens1 - _valor

               CASE qtacum.codcon $ m.confsp
                    REPLACE pens2 WITH pens2 - _valor

               CASE TRIM(qtconc.codcon02) ="PENSVOLUN"
                    REPLACE pens3 WITH pens3 - _valor

               CASE TRIM(qtconc.codcon02) ="APORTE-AFC"
                    REPLACE pens4 WITH pens4 - _valor

               CASE qtacum.codcon $ m.coniss
                    *REPLACE wded4 = wded4 - _valor
                    REPLACE unid  WITH unid  + _unid

            ENDCASE

         ENDIF


         SELECT qtacum
         SKIP
      ENDDO

*     SUM IIF(TRIM(qtconc.codcon02)='BASICO',valor,0), ;
          IIF(TRIM(qtconc.codcon02)$_tipconc,valor,0), ;
          IIF(TRIM(qtconc.codcon02)='EXTRALEG',valor,0), ;
          IIF(!TRIM(qtconc.codcon02)$_tipcon AND qtconc.indret='S',valor,0), ;
          IIF(codcon$m.conpen,-valor,0), ;
          IIF(codcon$m.confsp,-valor,0), ;
          IIF(TRIM(qtconc.codcon02)='PENSVOLUN',-valor,0), ;
          IIF(TRIM(qtconc.codcon02)='APORTE-AFC',-valor,0), ;
          IIF(codcon$m.coniss,-valor,0), ;
          IIF(codcon$m.conretfte,-valor,0), ;
          IIF(codcon$m.coniss,unid,0) ;
          TO wingr1, wingr2, wingr3, wingr4, ;
             wpen1, wpen2, wpen3,wpen4, wded4B,wret,wdiac ;
          WHILE codemp =  wcod ;
            FOR BETWEEN(ano+mes,xper1,xper2)

       SELECT q_audi_ac
       REPLACE unid WITH IIF(unid=0,30,ROUND(unid,0)) ALL
       ** Se usa para calcular el promedio x dia x mes
       *  REPLACE ingrP WITH ROUND((ingr1+ingr2+ingr3+ingr4)/unid*30,0), ;
                  pensP WITH ROUND((pens1+pens2+pens3+pens4)/unid*30,0) ALL

       REPLACE ingrP WITH ROUND((ingr1+ingr2+ingr3+ingr4),0), ;
               pensP WITH ROUND((pens1+pens2+pens3+pens4),0) ALL

       _t1_= FILETEMP(3)
       TOTAL ON codemp TO (_t1_) &&FIELD unid, ingrP, pensP
       APPEND FROM (_t1_)
       REPLACE anio WITH "Subt", mes WITH "01"
       SCATTER MEMVAR
       wingr1a = ingr1
       wingr2a = ingr2
       wingr3a = ingr3
       wingr4a = ingr4
       wpen1a  = pens1
       wpen2a  = pens2
       wpen3a  = pens3
       wpen4a  = pens4

       APPEND BLANK
       REPLACE codemp WITH m.codemp, anio WITH "Subt", ;
               mes WITH "02", unid WITH IIF(m.unid>=360,390,m.unid)
       REPLACE ingrP WITH ROUND(m.ingrP/unid*30,0);
               pensP WITH ROUND(m.pensP/unid*30,0)

       wingr1= ingrP
       wpen1 = pensP
       wdias = unid
       wdiac =m.unid

       *BROWSE NORMAL

   ELSE
          STORE 0 TO wingr1, wingr2, wingr3, wingr4, ;
                  wpen1, wpen2, wpen3,wpen4, wded4B, wret

   ENDIF

   *wded4 = DECODE(wproc,0,wded4b,2,wded4a,1,wded4b,wded4a)   &&IIF(wproc=2, wded4a,wded4b) &&wded4A

   USE IN qtacum
   USE IN qtconc
   SELECT (_area)

   * 2010.06.21  && Determinamos cuando tomar el prom Pos
   DO CASE
         kret_Vpos = [GRABADO]
                     wded4 = wded4A
         kret_Vpos = [MESACTUAL]
                     wded4 = wded4B
         kret_Vpos = [MAYOR2]
                     wded4 = MAX(wded4A,wded4B)
         other
                     wded4 = wded4A

   ENDCASE

   =v_uvt()
   DO _calcula
   SELECT q_audi_ac
   GO BOTT
   IF anio+mes=[Subt02]
      REPLACE  ded_salud  WITH wded1, ded_educac WITH wded2, ;
               ded_vivien WITH wded3, ded_salpos WITH wded4, ;
               dedu_tot   WITH wded0, ;
               base2      WITH wbase2, base2u  WITH wbase2u, ;
               factor1    WITH wfac1,  factor2 WITH wfac2, ;
               factor3    WITH wfac3,  uvt0    WITH wuvt0, ;
               porcen     WITH wporc
   ENDIF
ENDIF
RETURN
******

PROCEDURE _calcula

wingr0 = wingr1+wingr2+wingr3+wingr4
wingr30= ROUND(wingr0*30/100,0)

wpen0  = MIN(wpen1 +wpen2 +wpen3 +wpen4,wingr30)
wneto  = wingr0 - wpen0
wneto25= MIN(ROUND(wneto*25/100,0),wuvt240)

wbase1   = wneto  - wneto25
wbase1_15 = ROUND(wbase1*15/100,0)

wded0a= MAX(MIN(wded1+wded2,wbase1_15),MIN(wded3,wuvt100)) + wded4
wded0 = ROUND(wded0a/30*wdiap,0)

wbase2a= wbase1 - wded0
wbase2 = ROUND(wbase2a/wdiap*30,0)

*wret2  = ROUND(wbase2a*wporc/100,0)
wbase2u= ROUND(wbase2/wuvt,2)

DO CASE
   CASE wbase2u <= 95
        STORE 0 TO wfac1,wfac2,wfac3
   CASE wbase2u <= 150
        STORE 95 TO wfac1
        STORE 19 TO wfac2
        STORE 0  TO wfac3
   CASE wbase2u <= 360
        STORE 150 TO wfac1
        STORE 28  TO wfac2
        STORE 10  TO wfac3
   OTHER
        STORE 360 TO wfac1
        STORE 33  TO wfac2
        STORE 69  TO wfac3
ENDCASE
wuvt0 = ((wbase2u-wfac1)*wfac2/100)+wfac3
wuvt0 = ROUND(wuvt0,kret_Ruvt)

wporc = ROUND(wuvt0/wbase2u*100,2)
*wret1a= ROUND(wuvt0*wuvt,0)
*wret1 = ROUND(wret1a/30*wdiap,0)

*wretencion = ROUND(IIF(wproc=2,wret2,wret1)-wret,kret_Rcal)

*IF wretencion # 0
*   DO grab_audirf
*ENDIF
RETURN
******

FUNCTION _enable
ON KEY LABEL PGDN
DO _calcula
IF wuvt > 0
   ON KEY LABEL PGDN DO objsal(OBJNUM(w_ok))
   SHOW GET w_ok,1 ENABLE
ELSE
   SHOW GET w_ok,1 DISABLE
ENDIF

IF !EMPTY(wanio) AND !EMPTY(wsem)
   SHOW GET w_ok,2 ENABLE
ELSE
   SHOW GET w_ok,2 DISABLE
ENDIF

IF WEXIST("w_rf02")
   SHOW GETS WINDOW w_rf02
ENDIF
RETURN .T.
******

PROCEDURE valida_mnto
IF VAL(m.codnom)/2 = 402513901
   DO REV_BASES7 IN liqnomrf
ENDIF
RETURN
******

PROCEDURE _pagos
IF USED("q_audi_ac")
   SELECT q_audi_ac
   GO TOP
   BROWSE NORMAL
ENDIF
RETURN .T.
******

PROCEDURE close_data
=_CLOSE('qtconc','qtacum','q_acum','q_conc','usuarios','ncontrol','q_audi_ac')
RETURN
******

PROCEDURE _informe
SELECT q_audi_ac
GO TOP

IF (TYPE("_pantalla")=[L] AND _pantalla) OR ;
   MENSAJE("Visualizar por Pantalla?")
   REPORT FORM retfte02 PREVIEW
ELSE
   REPORT FORM retfte02 NOCONSOLE TO PRINT PROMPT
ENDIF
RETURN
******

*       *********************************************************
*       *                                                         
*       * _3CF15G2AW           w_ok VALID                         
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         RETFTE02,     Record Number:   83  
*       * Variable:            w_ok                               
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      1                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _3cf15g2aw     &&  w_ok VALID
#REGION 1
SHOW GET w_ok,w_ok DISABLE
ON KEY LABEL PGDN
DO CASE
   CASE w_ok = 1
        DO _informe

   CASE w_ok = 2
        DO _pagos

   OTHER
        DO close_data
        CLEAR READ
ENDCASE
RETURN
******