*       *********************************************************
*       *                                                         
*       * 2011.06.02            SOP_SP.PRG               15:12:05 
*       *                                                         
*       *********************************************************
*       *                                                         
*       * Ing Gustavo A. Pinilla C.                               
*       *                                                         
*       * Copyright (c) 2011 SIE7E Ltda.                          
*       * Cel 310.421.2741                                        
*       * Cali, Valle  76001                                         
*       * Colombia                                          
*       *                                                         
*       * Description:                                            
*       * Este programa lo ha generado automticamente GENSCRN.    
*       *                                                         
*       *********************************************************


#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.rborder = SET("READBORDER")
SET READBORDER ON

m.currarea = SELECT()


*       *********************************************************
*       *                                                         
*       *             Windows Definiciones de ventana             
*       *                                                         
*       *********************************************************
*

IF NOT WEXIST("w_sop_sp") ;
	OR UPPER(WTITLE("W_SOP_SP")) == "W_SOP_SP.PJX" ;
	OR UPPER(WTITLE("W_SOP_SP")) == "W_SOP_SP.SCX" ;
	OR UPPER(WTITLE("W_SOP_SP")) == "W_SOP_SP.MNX" ;
	OR UPPER(WTITLE("W_SOP_SP")) == "W_SOP_SP.PRG" ;
	OR UPPER(WTITLE("W_SOP_SP")) == "W_SOP_SP.FRX" ;
	OR UPPER(WTITLE("W_SOP_SP")) == "W_SOP_SP.QPR"
	DEFINE WINDOW w_sop_sp ;
		AT  0.000, 0.000  ;
		SIZE 26.154,94.400 ;
		TITLE "SIE7E" ;
		FONT "MS Sans Serif", 8 ;
		FLOAT ;
		NOCLOSE ;
		MINIMIZE ;
		SYSTEM ;
		COLOR RGB(,,,192,192,192)
	MOVE WINDOW w_sop_sp CENTER
ENDIF


*       *********************************************************
*       *                                                         
*       *   SOP_SP/Windows Cdigo de configuracin - SECCION 2    
*       *                                                         
*       *********************************************************
*

#REGION 1
* Version 02 : Agregamos acumulados x Trabajador
*           A: Corregimos acumulados x Trabajador
*           C: Revisamos ORDEN de ano+cuadre para el Inf.
*           D: Agregamos Funcion F_VIGUS()
*           E: Inclimos wfmto3 donde solo saca resumen
*              de Acumulados.
*           F: Incluimos consec, como parte de la ;
*              llave para novedades
*           G: Ordenamos soportes Acum por Nombre
*              Agregamos el filtro por Agencia WAGE
*           H: incluimos modificacion del reporte y agregamos
*              Formato de retiro y retiro de Cesantias sop_sp02
*          03: Tamao cuadre ver 7.32
*           A: Agregamos NOCONSOLE
*           B: Agregamos carta solicitud/Autorizacion de Examen de Egreso
*          04: Se agrega en el informe de acumulados el valor pag en la liq
*           a: Filtro para que separe DEV/DED Y ACT, Y RESUMEN HORIZONTAL.
*           B: 2010.07.20 Agregamos combo de fondos de cesantias, y parametrizamos
*              el reporte sop_sp para que lo tome de :
*              para7srh.CNF.ReporteSop_sp01.01
*              2010.08.05, revisamos las bases q_acum, para el informe de temporales-unoa
*              2010.08.20, validamos que el basico de Vacaciones no quede inferior al basico de ces
*              2010.10.15, validamos cuando tienen 0 dias de vacacaciones
*           C: 2010.11.19, Agregamos campo para filtrar x consec
*           d: 2010.11.30, 1A, Ponemos la base del ultimo sueldo para vacaciones.
*           D: 2011.04.29, Incluimos cuerpo carta: sop_sp03a en tp7
*              2011.05.12  CORRECCION COPYDBFTMP
*              2011.06.02  Agregamos filtro x consec para mostrar en Reliquid.
_nomprg = "sop_sp"

SET PROC TO LOCKS
DO  INICIAL
c13 = CHR(13)

men_nit = "Digite el Codigo del Negocio"+C13+;
          "Con '*' puede Consultar"

men_cod = "Digite el Codigo del Trabajador"+C13+;
          "Con '*' puede Consultar"

men_fec = "Digite la fecha de Proceso"+c13+;
          "o dejela en Blanco."

men_age = "Digite el codigo de la Suc o Agencia"+c13+;
          "o dejelo en Blanco para todas."

men_con = "Digite el lote de Liquidacion de P.Soc"


=_close("USUARIOS",'Q_USU')
select 0
USE usuarios SHARED AGAIN ALIAS USUARIOS
USE usuarios SHARED AGAIN ALIAS q_usu IN 0
*IF ABRIR("usuarios",0)
   SCATTER MEMVAR
*ELSE
*   RETURN
*ENDIF
USE IN q_usu

IF ABRIR('nmacum',0)
   wlencuadre = LEN(cuadre)
   USE
ELSE
   RETURN
ENDIF

RELEASE a_fondo
SELECT destab ;
  FROM tabgen00 ;
 WHERE tiptab = [AC] ;
   AND codtab # "000" ;
  INTO ARRAY a_fondos

USE IN tabgen00

_sop_sp01 = ALLTRIM(Tp7("CNF","ReporteSop_sp01","01"))
_sop_sp01 = IIF(!EMPTY(_sop_sp01) AND FILE(_sop_sp01+'.frx'),_sop_sp01,"sop_sp01")

WAIT WINDOW _sop_sp01 TIMEOUT 2

RELEASE _prim, _cesa, _vaca
PUBLIC  _prim, _cesa, _vaca
STORE 0 TO _prim, _cesa, _vaca, _totales

*       *********************************************************
*       *                                                         
*       *         SOP_SP/Windows Distribucin de pantalla         
*       *                                                         
*       *********************************************************
*

#REGION 1
IF WVISIBLE("w_sop_sp")
	ACTIVATE WINDOW w_sop_sp SAME
ELSE
	ACTIVATE WINDOW w_sop_sp NOSHOW
ENDIF
@ 0.000,0.000 TO 3.769,94.400 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(,,,0,0,128)
@ 1.154,25.400 SAY "SOPORTES DE TERMINACION" ;
	FONT "MS Sans Serif", 10 ;
	STYLE "BT" ;
	COLOR RGB(255,255,0,,,,)
@ 0.077,80.200 SAY "SOP_SP.04D" ;
	FONT "Arial", 8 ;
	STYLE "T" ;
	COLOR RGB(255,255,255,255,255,255)
@ 12.000,43.600 SAY "Fecha:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 22.154,19.400 TO 25.000,75.000 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 24.923,19.400 TO 24.923,75.000 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 22.154,74.800 TO 25.000,74.800 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 14.231,6.800 TO 21.462,87.400 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 21.385,7.000 TO 21.385,87.400 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 14.231,87.200 TO 21.385,87.200 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 11.923,69.400 SAY "Agencia:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 12.000,8.600 SAY "Consecutivo:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 9.692,4.800 TO 13.461,89.000 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,,,,)
@ 13.385,4.800 TO 13.385,89.000 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 9.769,88.800 TO 13.384,88.800 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 4.692,5.000 GET wcual ;
	PICTURE "@*RVN Un Trabajador;Un Negocio;Todos" ;
	SIZE 1.308,17.500,0.308 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	WHEN w_cual() ;
	VALID v_cual() ;
	COLOR ,,,,,,,,RGB(0,0,128,192,192,192),RGB(0,0,128,192,192,192)
@ 4.846,26.800 GET wcod ;
	SIZE 1.000,8.571 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!!!!!!" ;
	WHEN wcual = 1 ;
	VALID v_cod() ;
	MESSAGE _mens(men_cod) ;
	COLOR ,RGB(,,,255,255,255)
@ 4.846,40.800 GET wnom ;
	SIZE 1.000,34.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 6.538,26.800 GET wnit ;
	SIZE 1.000,11.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!!!!!!!!" ;
	WHEN wcual=2 ;
	VALID v_nit() ;
	MESSAGE _mens(men_nit) ;
	COLOR ,RGB(,,,255,255,255)
@ 6.538,44.600 GET wraz ;
	SIZE 1.000,31.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 10.308,8.400 GET wltnt ;
	PICTURE "@*C Liq \<Tentativa" ;
	SIZE 1.308,18.167 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_tnt()
@ 10.308,33.200 GET wldef ;
	PICTURE "@*C Liq \<Definitiva" ;
	SIZE 1.308,18.167 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_def()
@ 10.308,57.200 GET wlacu ;
	PICTURE "@*C \<Acumulados" ;
	SIZE 1.308,17.000 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_acu()
@ 10.385,77.000 GET wcua ;
	SIZE 1.000,6.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K 999999" ;
	WHEN wlacu=1 ;
	VALID v_cua() ;
	MESSAGE _mens('Numero de Cuadre?') ;
	COLOR ,RGB(,,,255,255,255)
@ 11.923,25.000 GET wconsec ;
	SIZE 1.000,10.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K A9999999" ;
	VALID _enable() ;
	MESSAGE _mens(men_con) ;
	COLOR ,RGB(,,,255,255,255)
@ 11.923,52.200 GET wfec ;
	SIZE 1.000,10.429 ;
	DEFAULT {  /  /  } ;
	FONT "Courier New", 8 ;
	PICTURE "@K 9999.99.99" ;
	WHEN w_fec() ;
	VALID _enable() ;
	MESSAGE _mens(men_fec) ;
	COLOR ,RGB(,,,255,255,255)
@ 11.923,80.800 GET wage ;
	SIZE 1.000,3.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K !!!" ;
	VALID _enable() ;
	MESSAGE _mens(men_age) ;
	COLOR ,RGB(,,,255,255,255)
@ 14.538,10.600 GET wfmto1 ;
	PICTURE "@*C Portada de Liquidacion" ;
	SIZE 1.308,26.333 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID _enable()
@ 15.846,52.200 GET whoz ;
	PICTURE "@*C Horizontal" ;
	SIZE 1.308,14.000 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	WHEN wfmto2 = 1 ;
	VALID _enable() ;
	DISABLE
@ 15.923,10.600 GET wfmto2 ;
	PICTURE "@*C Soporte Acumulados Detallado" ;
	SIZE 1.308,33.500 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_fmto2()
@ 17.308,10.600 GET wfmto3 ;
	PICTURE "@*C Soporte de Acum Resumido" ;
	SIZE 1.308,30.500 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID v_fmto3()
@ 18.538,51.400 GET wfondo ;
	PICTURE "@^" ;
	FROM a_fondos ;
	SIZE 1.538,28.333 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	WHEN wfmto4=1
@ 18.692,10.600 GET wfmto4 ;
	PICTURE "@*C Soporte Retiro Cesantias" ;
	SIZE 1.308,28.000 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID _enable()
@ 19.923,10.600 GET wfmto5 ;
	PICTURE "@*C Solicitud Examen Egreso" ;
	SIZE 1.308,27.833 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	VALID _enable()
@ 22.692,22.000 GET wsal ;
	PICTURE "@*HN \\\<Consultar;\\\<Imprimir;\<Salir" ;
	SIZE 1.769,13.333,1.000 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _38e0wkyay()

IF NOT WVISIBLE("w_sop_sp")
	ACTIVATE WINDOW w_sop_sp
ENDIF

READ CYCLE MODAL

RELEASE WINDOW w_sop_sp
SELECT (m.currarea)


#REGION 0

SET READBORDER &rborder

IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF


*       *********************************************************
*       *                                                         
*       *            SOP_SP/Windows Cdigo de limpieza            
*       *                                                         
*       *********************************************************
*

#REGION 1
DO CLOSE_DATA
ON KEY LABEL PGDN
ON KEY LABEL ENTER
RETURN
******



*       *********************************************************
*       *                                                         
*       *  SOP_SP/Windows Procedimientos y funciones de soporte   
*       *                                                         
*       *********************************************************
*

#REGION 1
PROCEDURE _imprime

STORE 0 TO wdev,wded,wneto
CREATE CURSOR q_acum ;
     ( tipo C(02), codemp C(8), contrato c(2), codcon c(2), ;
       ano c(4), mes c(2), unid n(7,2), valor n(13), ;
       cuadre c(wlencuadre), anexo c(6), fecha1 c(8), fecha2 c(8), ;
       empresa c(10), nombre C(30), primas n(15), cesantias n(15), ;
       vacaciones n(15), descr C(30), fecret C(8) )
INDEX ON empresa+nombre+codemp+contrato+tipo+cuadre+codcon TAG llave1
INDEX ON codemp TAG llave2 ADDITIVE

_prestac = IIF(wltnt=1,"prestacw","prestaci")
_dtem13  = IIF(wltnt=1,"dtem13cw","dtem13c")

SET TALK ON
SELECT * FROM (_prestac) ;
 WHERE (EMPTY(wcod) OR  presemple = wcod) ;
   AND (EMPTY(wnit) OR  presempre = wnit) ;
   AND (EMPTY(wfec) OR  fecha = wfec) ;
   AND (EMPTY(wage) OR  wage='000' OR presage=wage) ;
   AND (EMPTY(wconsec) OR consec = wconsec) ;
  INTO CURSOR q_prestaci ;
 ORDER BY presrazon, presempre, presnombr
SET TALK OFF

IF _tally > 0

   _cnc_ps = m.conprimaa+','+m.conprimas+','+m.concesaa+','+;
             m.concesant+','+m.convacacp+','+m.conintant+','+;
             m.conintces

   SELECT DISTINCT presemple,prescontr,consec, presretir ;
     FROM q_prestaci ;
    ORDER BY presemple ;
     INTO CURSOR q_trab
   INDEX ON presemple+prescontr TAG llave1


   IF wlacu = 1    && Toma de Acumulados
      wcua = NTOC(VAL(wcua),wlencuadre)
      SHOW GET wcua
      =_mens('Buscando Informacion ....')
      =_CLOSE('qcuadre')
      _whi_ = [ cuadre = wcua ]
      IF CopydbfTmp('nmacum',4,wcua,_whi_,'qcuadre')

         SELECT qcuadre
         SUM valor TO wneto

         SET TALK ON
         SELECT empresa  AS liqempre, codemp AS liqemple, ;
                contrato AS liqcontrat, codcon AS liqcon, ;
                ano      AS liqano, mes AS liqmes, ;
                unid     AS liqnrohrs, valor AS liqvalor, ;
                cencosto AS liqcosto,  "A"   AS liqestado ;
           FROM qcuadre ;
          WHERE codemp+contrato IN (SELECT presemple+prescontr ;
                                      FROM q_trab) ;
            AND valor  > 0 ;
            AND !(codcon $ _cnc_ps ) ;
            AND TRAE_DATO('concepto',1,codcon,[TRIM(pod)]) $ [P,D] ;
           INTO CURSOR q_dev
         SET TALK OFF
         SUM liqvalor TO wdev

         SET TALK ON
         SELECT empresa  AS liqempre, codemp AS liqemple, ;
                contrato AS liqcontrat, codcon AS liqcon, ;
                ano      AS liqano, mes AS liqmes, ;
                unid     AS liqnrohrs, valor AS liqvalor, ;
                cencosto AS liqcosto,  "A"   AS liqestado ;
           FROM qcuadre ;
          WHERE codemp+contrato IN (SELECT presemple+prescontr ;
                                      FROM q_trab) ;
            AND valor  < 0 ;
            AND !(codcon $ _cnc_ps ) ;
            AND TRAE_DATO('concepto',1,codcon,[TRIM(pod)]) $ [P.D] ;
           INTO CURSOR q_ded
         SET TALK OFF
         SUM liqvalor TO wded

         SELECT qcuadre
         DO WHILE !EOF()
            DO CASE
               CASE codcon = m.conprimaa
                    vlrprimaa = valor
               CASE codcon = m.conprimas
                    vlrprimas = valor
               CASE codcon = m.concesaa
                    vlrcesaa = valor
               CASE codcon = m.concesant
                    vlrcesant = valor
               CASE codcon = m.convacac
                    vlrvacac = valor
               CASE codcon = m.convacacp
                    vlrvacacp = valor
               CASE codcon = m.conintant
                    vlrintant = valor
               CASE codcon = m.conintces
                    vlrintces = valor
            ENDCASE
            SKIP
         ENDDO

      ENDIF
   ELSE

      =_CLOSE("q_dtemt_72")
      SELECT q_trab
      GO TOP

      IF RECC("Q_TRAB") = 1 AND ;
         COPYDBFTMP(_dtem13,6,q_trab.presemple,"liqemple=q_trab.presemple FOR liqcontrat=q_trab.prescontr","q_dtemt_72")
         SELECT q_dtemt_72
         _dtem13 = DBF()
      ENDIF

*      SELECT * FROM (_dtem13) ;
       WHERE liqemple+liqcontrat+consec IN (SELECT presemple+prescontr+consec ;
                                              FROM q_trab ) ;
         AND liqvalor > 0 ;
         AND !(liqcon $ _cnc_ps ) ;
         AND liqestado $ "AFT" ;
         AND TRAE_DATO('concepto',1,liqcon,[TRIM(pod)]) $ [P,D] ;
        INTO CURSOR q_dev

*      SELECT * FROM (_dtem13) ;
       WHERE liqemple+liqcontrat+consec IN (SELECT presemple+prescontr+consec ;
                                              FROM q_trab ) ;
         AND liqvalor < 0 ;
         AND !(liqcon $ _cnc_ps ) ;
         AND liqestado $ "AFT" ;
         AND TRAE_DATO('concepto',1,liqcon,[TRIM(pod)]) $ [P,D] ;
        INTO CURSOR q_ded
   ENDIF

 *2010.11.26
      SELECT d.* FROM (_dtem13) d, q_trab q ;
       WHERE d.liqemple = q.presemple ;
         AND d.liqcontrat=q.prescontr ;
         AND d.consec    =q.consec ;
         AND liqvalor > 0 ;
         AND !(liqcon $ _cnc_ps ) ;
         AND liqestado $ "AFT" ;
         AND TRAE_DATO('concepto',1,liqcon,[TRIM(pod)]) $ [P,D] ;
        INTO CURSOR q_dev

      SELECT d.* FROM (_dtem13) d, q_trab q ;
       WHERE d.liqemple = q.presemple ;
         AND d.liqcontrat=q.prescontr ;
         AND d.consec    =q.consec ;
         AND liqvalor < 0 ;
         AND !(liqcon $ _cnc_ps ) ;
         AND liqestado $ "AFT" ;
         AND TRAE_DATO('concepto',1,liqcon,[TRIM(pod)]) $ [P,D] ;
        INTO CURSOR q_ded


   IF wfmto2 = 1      && crear cursor de los acumulados
                      && de los Trabajadores Solicitados
                      && q_acum
      IF whoz = 0
         DO cursor_acum
      ELSE
         DO cursor_horiz
      ENDIF
   ELSE
      IF wfmto3 = 1
         DO cursor2_acu
      ENDIF
   ENDIF

   SELECT q_prestaci

   _salida = IIF(wsal=1,'PREVIEW','NOCONSOLE TO PRINT PROMPT')

   IF wfmto1 = 1
*      IF m.tipo_cia = "C"
*         REPORT FORM sop_sp91 &_salida
*      ELSE
         REPORT FORM (_sop_sp01) &_salida
*      ENDIF
   ENDIF

   IF wfmto2+wfmto3 > 0 AND RECC('q_acum')>0

      IF whoz = 0
         IF FILE("sop_sp02.frx")
            SELECT q_acum
            REPORT FORM sop_sp02 &_salida
         ENDIF
      ELSE
         IF FILE("sop_sp2h.frx")
            SELECT q_acumh
            REPORT FORM sop_sp2h &_salida
         ENDIF
      ENDIF
   ENDIF

   IF wfmto4 = 1
      * Impresion de carta Retiro de Cesantias.
      =ABRIR('empleado',6)
      SELECT q_prestaci
      SET RELATION TO presemple+prescontr INTO empleado
      IF m.tipo_cia = "C"
         REPORT FORM sop_sp93 &_salida
      ELSE
         IF FILE('SOP_SP3A.FRX') AND ;
            MENSAJE('Imprimir formato Retiro?')

            wcuerpo1 = TP7("CNF","ReporteSop_sp03","01")
            GO TOP
            REPORT FORM sop_sp3a &_salida
         ELSE
            IF _wuser = 'SUP'
               =_mens('Falta:sop_sp3.frx',.t.,10)
            ENDIF
         ENDIF
         IF FILE('cer_cesa.frx') AND ;
            MENSAJE('Desea Imprimir carta'+C13+'Retiro de Cesantias ?')

            wnom1 = m.jefeperson
            wciu  = ALLTRIM(m.ciudad)

            SELECT presnombr AS wnom, presingre AS fecing, presretir AS fecret, ;
                   F_codces(presemple) AS wfondo1, presemple AS nitemple,;
                   TRAECEDU(presemple) AS wced, prescontr AS ncontrato, ;
                   TRAE_DATO('datbas01',1,VAL(presemple),'expced') AS wexp ;
              FROM q_prestaci ;
             WHERE prtrasfc > 0 ;
              INTO CURSOR q1

               IF EMPTY(wcuerpo1)
               wcuerpo1 = [Respetados seores, por medio de la presente les informamos que el (la) seor(a) ]+;
                          ALLTRIM(TRAE_NOM(nitemple))+[, identificado(a) con la Cedula de ciudadania: ]+;
                          ALLTRIM(TRAN(TRAECEDU(nitemple),'999,999,999,999'))+;
                          [ a terminado de laborar con nuestra compaia.]+CHR(13)+CHR(13)+;
                          [   Por tal motivo les solicito que le sean reintegradas las cesantias que han sido]+;
                          [ consignadas por nuestra compaia.]
               ENDIF
             wlogo = 1

             REPORT FORM cer_cesa  &_salida

         ELSE
            IF _wuser = 'SUP'
               =_mens('Falta:cer_cesa.frx',.t.,10)
            ENDIF
         ENDIF

      ENDIF
   ENDIF

   IF wfmto5 = 1
      * Impresion de carta Solicitud de Examen Egreso
      SELECT q_prestaci
      GO TOP
      IF FILE('cer_exa1.frx')
         REPORT cer_exa1 &_salida
      ELSE
         IF _wuser='SUP'
            =_mens('Falta:cer_exa1.frx',.T.,10)
         ENDIF
      ENDIF
   ENDIF

ELSE
   =_mens('No hay Registros Seleccionados')
ENDIF
RETURN
******

FUNCTION v_nit
kraz =  TRAE_RAZ(wnit)
IF kraz # '.' AND !EMPTY(kraz)
   wraz = kraz
   SET FUNCTION 10 TO wnit
ELSE
   STORE " " TO wnit, wraz
ENDIF
RETURN _enable()
******

FUNCTION v_cod
wcod = ALLTRIM(wcod)
kpos = AT('/',wcod)
IF kpos > 0
   kini = ALLTRIM(LEFT(wcod,kpos-1))
   kfin = ALLTRIM(SUBS(wcod,kpos+1,7))

   _prestac = IIF(wltnt=1,"prestacw","prestaci")

   SELECT presemple AS codigo, presnombr AS nombre, ;
          prescontr AS Cnt,    presingre AS inicio, ;
          presrazon AS negocio ;
     FROM (_prestac) ;
    WHERE (EMPTY(kini) OR presemple = kini) ;
      AND (EMPTY(kfin) OR kfin $ presnombr) ;
     INTO CURSOR q_pres

   ON KEY LABEL ENTER KEYBOARD "{CTRL+W}" PLAIN
   BROWSE NOMO NORMAL FREEZE codigo
   ON KEY LABEL ENTER

   IF LASTKEY()#27
      wcod = codigo
      SHOW GET wcod
   ENDIF

ENDIF

knom =  TRAE_nom(wcod,.T.)
IF knom # '.' AND !EMPTY(knom)
   wnom = knom
   SET FUNCTION 9 TO wcod
ELSE
   STORE " " TO wcod, wnom
ENDIF
RETURN _enable()
******

FUNCTION w_cual
IF FILE('sop_sp3a.frx') OR ;
   FILE('cer_cesa.frX')
   SHOW GET wfmto4 ENABLE
ELSE
   SHOW GET wfmto4 DISABLE
ENDIF
RETURN  .T.
******

FUNCTION v_cual
DO CASE
   CASE wcual = 1
        STORE " " TO wnit, wraz
        _CUROBJ = OBJNUM(wcod)
   CASE wcual = 1
        STORE " " TO wcod, wnom
        _CUROBJ = OBJNUM(wnit)
   CASE wcual = 1
        STORE " " TO wnit, wraz, wcod, wnom
        _CUROBJ = OBJNUM(wfec)
ENDCASE
RETURN _enable()
******

FUNCTION w_fec
IF EMPTY(wfec)
   wfec = DATE()
ENDIF
RETURN .T.
******

FUNCTION v_fec
IF !EMPTY(wfec)
   SELECT DISTINCT fecha ;
     FROM prestaci ;
    WHERE (EMPTY(wcod) OR  presemple = wcod) ;
      AND (EMPTY(wnit) OR  presempre = wnit) ;
      AND (EMPTY(wfec) OR  fecha = wfec) ;
     INTO CURSOR q_fechas

   LOCATE FOR fecha = wfec
   IF !FOUND()
      ON KEY LABEL ENTER KEYBOARD '{CTRL+W}' PLAIN
      BROWSE NOMO NORMAL TITLE 'Fechas de Liquidacion'
      ON KEY LABEL ENTER

      IF LASTKEY() # 27
         wfec = fecha
      ENDIF
   ENDIF

ENDIF
RETURN _enable()
******

FUNCTION _enable
IF ((wcual=1 AND !EMPTY(wnom)) OR ;
    (wcual=2 AND !EMPTY(wraz)) OR ;
     wcual=3) AND wfmto1+wfmto2 > 0 AND ;
   (wltnt+wldef+wlacu>0 AND (wlacu=0 OR !EMPTY(wcua)))
   SHOW GET wsal,1 ENABLE
   SHOW GET wsal,2 ENABLE
   ON KEY LABEL PGDN DO obj_sal
ELSE
   SHOW GET wsal,1 DISABLE
   SHOW GET wsal,2 DISABLE
   ON KEY LABEL PGDN
ENDIF
SHOW GETS WINDOW w_sop_sp
RETURN .T.
******

PROCEDURE close_data
=_CLOSE("prestaci","dtem13cw","empresas","usuarios",'ncontrol','concepto','nmactiv1')
=_CLOSE("q_fechas","q_prestaci","q_trab","qcuadre","q_acum","q_dtemt_72",'nmactiv2')
RETURN
******

FUNCTION f_lin
PARAMETER _conc, _tipo

_AREA_PS = SELECT()
_dat_lin = ''
IF _tipo = 1
   SELECT q_dev1
ELSE
   SELECT q_ded1
ENDIF

IF ABS(_conc) <= RECC()

   IF _conc > 0
      GO _conc
      _dat_lin=liqcon + ' ' + TRAE_DATO('concepto',1,liqcon,'descr')+ ;
               TRAN(liqnrohrs,'999,999.99')+TRAN(ABS(liqvalor),'999,999,999')
   ELSE
      GO -_conc
      _lin = ""
      _vlr = 0
      DO WHILE !EOF()
         _lin = _lin + liqcon+ ','
         _vlr = _vlr + liqvalor
         SKIP
      ENDDO
       _dat_lin = PADR(_lin,30,' ') + TRAN(liqvalor,'999,999,999')

   ENDIF

ENDIF

SELECT (_AREA_PS)
RETURN _dat_lin
******

FUNCTION _seccion
PARAMETER _cod,_cnt,_sec

IF TYPE("_sec") # "C"
   _sec = " "
ENDIF
_area_ps = SELECT()

SELECT * FROM q_dev ;
 WHERE liqemple   = _cod ;
   AND liqcontrat = _cnt ;
   AND consec     = _sec ;
  INTO CURSOR q_dev1

SELECT * FROM q_ded ;
 WHERE liqemple   = _cod ;
   AND liqcontrat = _cnt ;
   AND consec     = _sec ;
  INTO CURSOR q_ded1

SELECT  (_area_ps)

_numsec = Td7('empleado',6,_cod+_cnt,'seccion')

SELECT  (_area_ps)

RETURN _numsec
******

PROCEDURE cursor_horiz

=_CLOSE("q_acum_gp7")

_while_="codemp+contrato == q_trab.presemple+q_trab.prescontr"

IF !COPYDBFTMP("nmacum",2,q_trab.presemple+q_trab.prescontr,_while_,"q_acum_gp7")
   SELECT 0
   q_gp1 = FILETEMP(1)
   USE Nmacum AGAIN ALIAS t1_acum SHARED
   COPY TO (q_gp1) NEXT 1
   USE (q_gp1) ALIAS  q_acum_gp7
ENDIF

CREATE CURSOR q_acumh (codnego C(10), codemp C(8), contrato C(2), ;
                       cc_ti N(14), NOMBRE C(40),  codcon C(2), ;
                       concepto C(40),anio c(4),v_01 N(15,0), ;
                       v_02 n(15,0),v_03 n(15,0),v_04 n(15,0),;
                       v_05 n(15,0),v_06 n(15,0),v_07 n(15,0),;
                       v_08 n(15,0),v_09 n(15,0),v_10 n(15,0),;
                       v_11 n(15,0),v_12 n(15,0), ;
                       U_01 n(15,2),U_02 n(15,2),U_04 n(15,2),;
                       U_03 n(15,2),U_05 n(15,2),U_06 n(15,2),;
                       U_07 n(15,2),U_08 n(15,2),U_09 n(15,2),;
                       U_10 n(15,2),U_11 n(15,2),U_12 N(15,2) )

=_mens("Seleccionando registros ..")

*SELECT nm.* ;
  FROM nmacum nm, q_trab ;
 WHERE nm.codemp   = q_trab.presemple ;
   AND nm.contrato = q_trab.prescontr ;
   AND nm.valor    # 0 ;
  INTO CURSOR q_acum1 ;
 ORDER BY codemp,contrato,cuadre

* 2010.11.19 : Agregamos Pre-Cursor de NMACUM para ver si agiliza la busqueda
SELECT nm.* ;
  FROM q_acum_gp7 nm, q_trab ;
 WHERE nm.codemp   = q_trab.presemple ;
   AND nm.contrato = q_trab.prescontr ;
   AND nm.valor    # 0 ;
  INTO CURSOR q_acum1 ;
 ORDER BY codemp,contrato,cuadre

=_mens("Seleccionando registros ....")
SELECT liqempre AS codnego, liqemple AS codemp, liqcontrat AS contrato, ;
       liqano AS anio, liqmes AS mes, liqcon AS codcon, ;
       liqvalor AS valor, liqnrohrs AS unid ;
  FROM (_dtem13) dt ;
 WHERE dt.liqemple   = q_trab.presemple ;
   AND dt.liqcontrat = q_trab.prescontr ;
   AND dt.liqestado =[A] ;
   INTO CURSOR q_acum1d

_ceros = 000000000000.00
SELECT empresa AS codnego, codemp,contrato, ;
       ano AS anio, codcon, ;
       IIF(mes=[01],valor,_ceros) AS v_01, ;
       IIF(mes=[02],valor,_ceros) AS v_02, ;
       IIF(mes=[03],valor,_ceros) AS v_03, ;
       IIF(mes=[04],valor,_ceros) AS v_04, ;
       IIF(mes=[05],valor,_ceros) AS v_05, ;
       IIF(mes=[06],valor,_ceros) AS v_06, ;
       IIF(mes=[07],valor,_ceros) AS v_07, ;
       IIF(mes=[08],valor,_ceros) AS v_08, ;
       IIF(mes=[09],valor,_ceros) AS v_09, ;
       IIF(mes=[10],valor,_ceros) AS v_10, ;
       IIF(mes=[11],valor,_ceros) AS v_11, ;
       IIF(mes$[12,13],valor,_ceros) AS v_12, ;
       IIF(mes=[01],unid,_ceros) as u_01, ;
       IIF(mes=[02],unid,_ceros) as u_02, ;
       IIF(mes=[03],unid,_ceros) as u_03, ;
       IIF(mes=[04],unid,_ceros) as u_04, ;
       IIF(mes=[05],unid,_ceros) as u_05, ;
       IIF(mes=[06],unid,_ceros) as u_06, ;
       IIF(mes=[07],unid,_ceros) as u_07, ;
       IIF(mes=[08],unid,_ceros) as u_08, ;
       IIF(mes=[09],unid,_ceros) as u_09, ;
       IIF(mes=[10],unid,_ceros) as u_10, ;
       IIF(mes=[11],unid,_ceros) as u_11, ;
       IIF(mes$[12,13],unid,_ceros) AS u_12 ;
  FROM q_acum1 ;
  INTO CURSOR q_acum2


SELECT codnego, trae_raz(codnego) AS negocio, ;
       trae_nom(codemp) AS nombre, traecedu(codemp) AS cc_ti,;
       codemp,contrato,anio, codcon, ;
       TRAE_DATO('concepto',1,codcon,[DESCR]) AS concepto, ;
       SUM(v_01) AS v_01, ;
       SUM(v_02) AS v_02, SUM(v_03) AS v_03, ;
       SUM(v_04) AS v_04, SUM(v_05) AS v_05, ;
       SUM(v_06) AS v_06, SUM(v_07) AS v_07, ;
       SUM(v_08) AS v_08, SUM(v_09) AS v_09, ;
       SUM(v_10) AS v_10, SUM(v_11) AS v_11, ;
       SUM(v_12) AS v_12, SUM(u_01) AS u_01, ;
       SUM(u_02) AS u_02, SUM(u_03) AS u_03, ;
       SUM(v_12) AS v_12, SUM(u_01) AS u_01, ;
       SUM(u_02) AS u_02, SUM(u_03) AS u_03, ;
       SUM(u_04) AS u_04, SUM(u_05) AS u_05, ;
       SUM(u_06) AS u_06, SUM(u_07) AS u_07, ;
       SUM(u_08) AS u_08, SUM(u_09) AS u_09, ;
       SUM(u_10) AS u_10, SUM(u_11) AS u_11, ;
       SUM(u_12) AS u_12 ;
  FROM q_acum2 ;
  INTO CURSOR q_acum2A ;
 GROUP BY codemp, contrato, anio, codcon

 _DBF = DBF()
 SELECT q_acumh
 APPEND FROM (_dbf)

 IF RECC()>0
    warc = PUTFILE('Destino','Sop_SpHorizontal','XLS')
    IF !EMPTY(warc)
       _xls5 = IIF("VISUAL"$UPPER(VERSION()),[XL5],[XLS])
       COPY TO (warc) TYPE &_xls5
       DO VER_XLS WITH warc
    ENDIF
 ELSE
    =MENSAJE('NO HAY REGISTROS EN ACUMULADOS')
 ENDIF

RETURN
******

PROCEDURE cursor_acum

SELECT '01' AS tipo, nm.*, ;
       q_trab.presretir AS fecret ;
  FROM nmacum nm, q_trab ;
 WHERE nm.codemp   = q_trab.presemple ;
   AND nm.contrato = q_trab.prescontr ;
   AND nm.valor    # 0 ;
  INTO CURSOR q_acum1 ;
 ORDER BY codemp,contrato,tipo,cuadre

_name_cursor = DBF()
SELECT q_acum
APPEND FROM (_name_cursor)

IF wltnt+wldef > 0

   _cnc_ps = m.conprimaa+','+m.conprimas+','+m.concesaa+','+;
             m.concesant+','+m.convacacp+','+m.conintant+','+;
             m.conintces

   _dtem = IIF(wltnt=1,'dtem13cw','dtem13c')
   SELECT '01' AS tipo,  nm.liqempre AS empresa,  ;
          nm.liqemple AS codemp, nm.liqcontrat AS contrato, ;
          nm.liqcon AS codcon, nm.liqnrohrs AS unid, ;
          nm.liqvalor AS valor, nm.liqcosto AS cencosto, ;
          '999999' AS cuadre, 0 AS cheque, fecha1, fecha2, ;
          liqano AS ano, liqmes AS mes, q_trab.presretir AS fecret ;
     FROM (_dtem) nm, q_trab ;
    WHERE nm.liqemple   = q_trab.presemple ;
      AND nm.liqcontrat = q_trab.prescontr ;
      AND nm.liqvalor    # 0 ;
      AND nm.liqestado   = 'A' ;
      AND NOT(nm.liqcon $ _cnc_ps) ;
     INTO CURSOR q_acum1 ;
    ORDER BY codemp,contrato,tipo,cuadre

    _name_cursor = DBF()
    SELECT q_acum
    APPEND FROM (_name_cursor)

    RELEASE _dtem
ENDIF

_reg = RECNO()

SELECT '02' AS tipo, codemp, contrato, codcon, ;
       ano, mes, SUM(unid) AS unid, SUM(valor) AS valor, ;
       cuadre, empresa, MIN(fecha1) AS fecha1, ;
       MAX(fecha2) AS fecha2, MAX(fecret) AS fecret ;
  FROM q_acum ;
 GROUP BY codemp,contrato,ano, codcon ;
  INTO CURSOR q_acum2 ;
 ORDER BY tipo, codemp,contrato, ano, codcon

_name_cursor = DBF()
SELECT q_acum
APPEND FROM (_name_cursor)
REPLACE cuadre WITH ano FOR Tipo='02'   &&recn()>_reg

= ABRIR('selpr001',1)
SELECT q_acum
SET RELATION TO codemp INTO selpr001
REPLACE nombre WITH selpr001.nombre ALL

RETURN
******

PROCEDURE cursor2_acu
* Reporte de TEMPORALES UNO-A (1A)

*SELECT '01' AS tipo, nm.*, ;
       q_trab.presretir AS fecret ;
  FROM nmacum nm, q_trab ;
 WHERE nm.codemp   = q_trab.presemple ;
   AND nm.contrato = q_trab.prescontr ;
   AND nm.valor    # 0 ;
  INTO CURSOR q_acum1 ;
 ORDER BY codemp,contrato,tipo,cuadre

* 2010.11.19 : Agregamos Pre-Cursor de NMACUM para ver si agiliza la busqueda
=_close("q_acum_gp7","nmacum")

_while_="codemp+contrato == q_trab.presemple+q_trab.prescontr"

IF !COPYDBFTMP("nmacum",2,q_trab.presemple+q_trab.prescontr,_while_,"q_acum_gp7")
   SELECT 0
   q_gp1 = FILETEMP(1)
   USE Nmacum AGAIN ALIAS t1_acum SHARED
   COPY TO (q_gp1) NEXT 1
   USE (q_gp1) ALIAS  q_acum_gp7
ENDIF


SELECT '01' AS tipo, nm.*, ;
       q_trab.presretir AS fecret ;
  FROM q_acum_gp7 nm, q_trab ;
 WHERE nm.codemp   = q_trab.presemple ;
   AND nm.contrato = q_trab.prescontr ;
   AND nm.valor    # 0 ;
  INTO CURSOR q_acum1 ;
 ORDER BY codemp,contrato,cuadre


_name_cursor = DBF()
SELECT q_acum
APPEND FROM (_name_cursor)
_reg = RECNO()

IF wltnt+wldef > 0

   _cnc_ps = m.conprimaa+','+m.conprimas+','+m.concesaa+','+;
             m.concesant+','+m.convacacp+','+m.conintant+','+;
             m.conintces

   _dtem = IIF(wltnt=1,'dtem13cw','dtem13c')
   SELECT '01' AS tipo,  nm.liqempre AS empresa,  ;
          nm.liqemple AS codemp, nm.liqcontrat AS contrato, ;
          nm.liqcon AS codcon, nm.liqnrohrs AS unid, ;
          nm.liqvalor AS valor, nm.liqcosto AS cencosto, ;
          '999999' AS cuadre, 0 AS cheque, fecha1, fecha2, ;
          liqano AS ano, liqmes AS mes, ;
          q_trab.presretir AS fecret ;
     FROM (_dtem) nm, q_trab ;
    WHERE nm.liqemple   = q_trab.presemple ;
      AND nm.liqcontrat = q_trab.prescontr ;
      AND nm.liqvalor    # 0 ;
      AND nm.liqestado   = 'A' ;
      AND NOT(nm.liqcon $ _cnc_ps) ;
     INTO CURSOR q_acum1 ;
    ORDER BY codemp,contrato,tipo,cuadre

    _name_cursor = DBF()
    SELECT q_acum
    APPEND FROM (_name_cursor)

    RELEASE _dtem
ENDIF


SELECT '02' AS tipo, codemp, contrato, codcon, ;
       ano, mes, SUM(unid) AS unid, SUM(valor) AS valor, ;
       cuadre, empresa, MIN(fecha1) AS fecha1, ;
       MAX(fecha2) AS fecha2, MAX(fecret) AS fecret ;
  FROM q_acum ;
 GROUP BY codemp,contrato,ano, codcon ;
  INTO CURSOR q_acum2 ;
 ORDER BY tipo, codemp,contrato, ano, codcon

_name_cursor = DBF()
SELECT q_acum

* ESTE PROC ES IGUAL QUE EL ANTERIOR PERO BORRAMOS
* LOS REGISTROS TIPO 1 PARA QUE NO SALGAN EN EL INFORME
ZAP
APPEND FROM (_name_cursor)
REPLACE cuadre WITH ano FOR Tipo='02'   &&recn()>_reg

= ABRIR('selpr001',1) AND ABRIR("concepto",1)
SELECT q_acum
SET RELATION TO codemp INTO selpr001
SET RELATION TO codcon INTO concepto ADDITIVE
REPLACE ALL nombre     WITH selpr001.nombre,  ;
            primas     WITH IIF(concepto.indpser=[S],valor,0),;
            cesantias  WITH IIF(concepto.indcesa=[S],valor,0),;
            vacaciones WITH IIF(concepto.indpnav=[S],valor,0),;
            descr      WITH concepto.descr

RETURN
******

FUNCTION v_tnt
IF wltnt = 1
   STORE 0 TO wldef,wlacu
   _CUROBJ = OBJNUM(wfmto1)
ENDIF
RETURN _enable()
******

FUNCTION v_def
IF wldef = 1
   STORE 0 TO wltnt,wlacu
   _CUROBJ = OBJNUM(wfmto1)
ENDIF
RETURN _enable()
******

FUNCTION v_acu
IF wlacu = 1
   STORE 0 TO wldef,wltnt
   _CUROBJ = OBJNUM(wfmto1)
ENDIF
RETURN _enable()
******

FUNCTION v_cua
kcua = VAL(wcua)
wcua = NTOC(kcua,wlencuadre)
RETURN _enable()
******

FUNCTION f_vacub
PARAMETER _cod,_cnt
_dat = TRAE_DATO('empleado',6,_cod+_cnt,'fecvacub')
_dat = DTOS(_dat)
RETURN _DAT
******

FUNCTION v_fmto2
IF wfmto2 = 1
   STORE 0 TO wfmto3
   SHOW GET whoz   ENABLE
   SHOW GET wfmto3 DISABLE
ELSE
   SHOW GET wfmto3 ENABLE
   SHOW GET whoz   DISABLE
ENDIF
RETURN _enable()
******

FUNCTION v_fmto3
IF wfmto3 = 1
   STORE 0 TO wfmto2
   SHOW GET wfmto2 DISABLE
ELSE
   SHOW GET wfmto2 ENABLE
ENDIF
RETURN _enable()
******

FUNCTION f_codces
PARAMETER _cod
kces = TRAE_DATO('selpr001',1,_cod,'codces')
IF !EMPTY(kces)
   knom = DESTAB00('FC',kces)
ELSE
   knom = 'FONDO ADMINISTRADOR DE CESANTIAS'
ENDIF
RETURN knom
******

FUNCTION f_lin2
PARAMETER _tra,_cnt,_sec,_todos

_area_ = SELECT()
_lin7_ = SPACE(30)

IF USED("q_acum")
   SELECT codemp, contrato, codcon, descr, ;
          SUM(IIF(ano=LEFT(fecret,4),primas,0)) AS primas, ;
          SUM(IIF(ano=LEFT(fecret,4),cesantias,0)) AS cesantias, ;
          SUM(vacaciones) AS vacaciones ;
     FROM q_acum ;
    WHERE codemp = _tra ;
      AND contrato = _cnt ;
     INTO CURSOR q_acumt ;
    GROUP BY codemp,contrato, codcon

   LOCATE FOR codemp+contrato = _tra+_cnt
   IF FOUND()
      i = 1
      DO WHILE !EOF() AND i < _sec
         SKIP
         IF _todos OR ;
            (primas#0 OR cesantias#0 OR vacaciones#0)
            i = i + 1
         ENDIF
      ENDDO

      IF i=_sec AND _tra+_cnt = codemp+contrato

         IF _sec = 1
            STORE 0 TO _prim, _cesa, _vaca, _totales
         ENDIF

         IF q_prestaci.prdiaspri = 0
            _pri1 =0
         ELSE
            _pri1 = ROUND(primas/q_prestaci.prdiaspri*30,0)
         ENDIF
         IF q_prestaci.prdiasces = 0
            _ces1 = 0
         ELSE
            _ces1 = ROUND(cesantias/q_prestaci.prdiasces*30,0)
         endif
         IF q_prestaci.prdiasvac = 0
            _vac1 = 0
         ELSE
            _vac1 = ROUND(vacaciones/q_prestaci.prdiasvac*30,0)
         ENDIF
         IF codcon = TRAE_DATO("empleado",6,_tra+_cnt,[conbasico])
            IF _vac1 < _ces1
               *_vac1 = _ces1
               *2010.11.30    && Tomamos el ultimo sueldo
               x_hora = TRAE_DATO("empleado",6,_tra+_cnt,[hrapag])
               x_cneg = TRAE_DATO("empleado",6,_tra+_cnt,[nitempre])
               x_hmes = TRAE_DATO("empresas",1,x_cneg,[hrsmes])
               _vac1  = ROUND(ROUND(x_hora*x_hmes,3),0)
            ENDIF

            IF TD7("empleado",6,_tra+_cnt,[tipcont]) $ CHR(171)+"M"
               whra = TD7("empleado",6,_tra+_cnt,[hrapag])
               _vac1 = ROUND(whra * 120,0)
            ENDIF

         ELSE
            IF xc_grupo=TRAE_DATO("concepto",1,codcon,[codcon02])=[BASICO]
               _vac1 = 0
            ENDIF
         ENDIF

         _lin7_ = codcon+[ ]+descr+[ ]+TRAN(_pri1,"99,999,999,999")+;
                  TRAN(_ces1,"99,999,999,999")+TRAN(_vac1,"99,999,999,999")
         _prim = _prim + _pri1
         _cesa = _cesa + _ces1
         _vaca = _vaca + _vac1

      ELSE

        IF _sec = 0

           sum primas, cesantias, vacaciones to _pri1,_ces1, _vac1
           _prim = _pri1/q_prestaci.prdiaspri*30
           _cesa = _ces1/q_prestaci.prdiasces*30
           _vaca = _vac1/q_prestaci.prdiasvac*30


           _lin7_ = [   Totales]+SPACE(LEN(descr)-6) +TRAN(_prim,"99,999,999,999")+;
                    TRAN(_cesa,"99,999,999,999")+TRAN(_vaca,"99,999,999,999")
           _totales = 1
        ENDIF

      ENDIF

   ENDIF
ENDIF

=_CLOSE("q_acumt")

SELECT (_area_)
RETURN _lin7_
******

*       *********************************************************
*       *                                                         
*       * _38E0WKYAY           wsal VALID                         
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         SOP_SP,     Record Number:   36    
*       * Variable:            wsal                               
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      1                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _38e0wkyay     &&  wsal VALID
#REGION 1
SHOW GET wsal,wsal DISABLE

ON KEY LABEL PGDN
DO CASE
   CASE wsal = 1
        DO _imprime
   CASE wsal=2
        DO _imprime
   CASE wsal = 3
        CLEAR READ
ENDCASE
RETURN
******